/*---------------------------------------------------------------------------------------------------------------------
 * Copyright (c) AUMA Riester GmbH & Co. KG (2017). All Rights Reserved
 *---------------------------------------------------------------------------------------------------------------------
 * Description:
 * * Definitions for asset management functionality in edd 
 *---------------------------------------------------------------------------------------------------------------------
 *  (c) Sipos Aktorik GmbH (Mathias Monse <mathias.monse@sipos.de>)
 *---------------------------------------------------------------------------------------------------------------------
 */

/*---------------------------------------------------------------------------------------------------------------------
 * DEFINE
 *---------------------------------------------------------------------------------------------------------------------
 */
#define AC2_AM

/*---------------------------------------------------------------------------------------------------------------------
 * VARIABLES
 *---------------------------------------------------------------------------------------------------------------------
 */
/* ---------------------------------------------------------------------------------------------------------------------
 * Defining VARIABLE  PRM_4714
 */
VARIABLE PRM_4714	/* MT Lebensdauer Schtz */
{
    LABEL		[TXT_PRM_4714];
    HELP		[HLP_PRM_4714];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_4714, 47, 14)

/* ---------------------------------------------------------------------------------------------------------------------
 * Defining VARIABLE  PRM_4715
 */
VARIABLE PRM_4715	/* MT Lebensdauer Oring */
{
    LABEL		[TXT_PRM_4715];
    HELP		[HLP_PRM_4715];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_4715, 47, 15)
 
/* ---------------------------------------------------------------------------------------------------------------------
 * Defining VARIABLE  PRM_4716
 */
VARIABLE PRM_4716	/* MT Lebensdauer Fett */
{
    LABEL		[TXT_PRM_4716];
    HELP		[HLP_PRM_4716];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    CONSTANT_UNIT		"";
    HANDLING		READ;
}
ReadCmdDef(PRM_4716, 47, 16)
 
/* ---------------------------------------------------------------------------------------------------------------------
 * Defining VARIABLE  PRM_4719
 */
VARIABLE PRM_4719	/* MT Wartungsintervall */
{
    LABEL		[TXT_PRM_4719];
    HELP		[HLP_PRM_4719];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ;
}
ReadCmdDef(PRM_4719, 47, 19)
 
/* ---------------------------------------------------------------------------------------------------------------------
 * Defining VARIABLE  PRM_4723
 */
VARIABLE PRM_4723	/* Limit Schtz */
{
    LABEL		[TXT_PRM_4723];
    HELP		[HLP_PRM_4723];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	2000000;
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_4723, 47, 23)
 
/* ---------------------------------------------------------------------------------------------------------------------
 * Defining VARIABLE  PRM_4725
 */
VARIABLE PRM_4725	/* Limit Oring */
{
    LABEL		[TXT_PRM_4725];
    HELP		[HLP_PRM_4725];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	13300000;
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_4725, 47, 25)

/* ---------------------------------------------------------------------------------------------------------------------
 * Defining VARIABLE  PRM_4726
 */
VARIABLE PRM_4726	/* Limit Fett */
{
    LABEL		[TXT_PRM_4726];
    HELP		[HLP_PRM_4726];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	2800000;
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_4726, 47, 26)

/* ---------------------------------------------------------------------------------------------------------------------
 * Defining VARIABLE  PRM_4886
 */
VARIABLE PRM_4886	/* MT Mechanik */
{
	LABEL		[TXT_PRM_4886];
    HELP		[HLP_PRM_4886];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_4886, 48, 86)

/* ---------------------------------------------------------------------------------------------------------------------
 * Defining VARIABLE  PRM_4891
 */
VARIABLE PRM_4891	/* Limit Mechanik */
{
	LABEL		[TXT_PRM_4891];
    HELP		[HLP_PRM_4891];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	100;
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_4891, 48, 91)

/* ---------------------------------------------------------------------------------------------------------------------
 * Defining VARIABLE  PRM_4893
 */
VARIABLE PRM_4893	/* Limit Mechanik */
{
    LABEL		[TXT_PRM_4893];
    HELP		[HLP_PRM_4893];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_3738 */
    {
        DEFAULT_VALUE	8;
        { 0, [TXT_TYP_3739] }, /* 1 Monat */
        { 1, [TXT_TYP_3740] }, /* 3 Monate */
        { 2, [TXT_TYP_3741] }, /* 6 Monate */
        { 3, [TXT_TYP_3742] }, /* 1 Jahr */
        { 4, [TXT_TYP_3743] }, /* 2 Jahre */
        { 5, [TXT_TYP_3744] }, /* 3 Jahre */
        { 6, [TXT_TYP_3745] }, /* 4 Jahre */
        { 7, [TXT_TYP_3746] }, /* 5 Jahre */
        { 8, [TXT_TYP_3747] }  /* 10 Jahre */
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_4893, 48, 93)

/* ---------------------------------------------------------------------------------------------------------------------
 *    Defining VARIABLE  var_AM_mechanics 
 */
VARIABLE var_AM_mechanics
{
    LABEL		[TXT_PRM_4886];
    CLASS		LOCAL;
#if __TOKVER__ >= 602
    DEFAULT_VALUE   0;
#endif
    TYPE		FLOAT { DISPLAY_FORMAT   ".2f"; }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
	REFRESH_ACTIONS
	{
		method_AM_refresh_mechanics
	}
}

/* ---------------------------------------------------------------------------------------------------------------------
 *    Defining VARIABLE  var_AM_oring 
 */
VARIABLE var_AM_oring 
{
    LABEL		[TXT_PRM_4715];
    CLASS		LOCAL;
#if __TOKVER__ >= 602
    DEFAULT_VALUE   0;
#endif
    TYPE		FLOAT { DISPLAY_FORMAT   ".2f"; }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
	REFRESH_ACTIONS
	{
		method_AM_refresh_oring
	}
}

/* ---------------------------------------------------------------------------------------------------------------------
 *    Defining VARIABLE  var_AM_lubricant
 */
VARIABLE var_AM_lubricant 
{
    LABEL		[TXT_PRM_4716];
    CLASS		LOCAL;
#if __TOKVER__ >= 602
    DEFAULT_VALUE   0;
#endif
    TYPE		FLOAT { DISPLAY_FORMAT   ".2f"; }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
	REFRESH_ACTIONS
	{
		method_AM_refresh_lubricant
	}
}

/* ---------------------------------------------------------------------------------------------------------------------
 *    Defining VARIABLE  var_AM_revcontactor 
 */
VARIABLE var_AM_revcontactor
{
    LABEL		[TXT_PRM_4714];
    CLASS		LOCAL;
#if __TOKVER__ >= 602
    DEFAULT_VALUE   0;
#endif
    TYPE		FLOAT { DISPLAY_FORMAT   ".2f"; }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
	REFRESH_ACTIONS
	{
		method_AM_refresh_revcontactor
	}
}

/* ---------------------------------------------------------------------------------------------------------------------
 *    Defining VARIABLE  var_AM_maintintervall 
 */
VARIABLE var_AM_maintintervall
{
    LABEL		[TXT_PRM_4719];
    CLASS		LOCAL;
#if __TOKVER__ >= 602
    DEFAULT_VALUE   0;
#endif
    TYPE		FLOAT { DISPLAY_FORMAT   ".2f"; }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
	REFRESH_ACTIONS
	{
		method_AM_refresh_maintintervall
	}
}
/* ---------------------------------------------------------------------------------------------------------------------
 * IMAGES
 * ---------------------------------------------------------------------------------------------------------------------
 */
/* ---------------------------------------------------------------------------------------------------------------------
 * Defining IMAGE  img_AM_mechanics
 */
IMAGE img_AM_mechanics{	PATH  	"AM_symbols_mechanics.png";}

/* ---------------------------------------------------------------------------------------------------------------------
 * Defining IMAGE  img_AM_oring
 */
IMAGE img_AM_oring{	PATH  	"AM_symbols_oring.png";}

/* ---------------------------------------------------------------------------------------------------------------------
 * Defining IMAGE  img_AM_lubricant
 */
IMAGE img_AM_lubricant{	PATH  	"AM_symbols_lubricant.png";}

/* ---------------------------------------------------------------------------------------------------------------------
 * Defining IMAGE  img_AM_revcontactor
 */
IMAGE img_AM_revcontactor{	PATH  	"AM_symbols_revcontactor.png";}

/* ---------------------------------------------------------------------------------------------------------------------
 * Defining IMAGE  img_AM_maintintervall
 */
IMAGE img_AM_maintintervall{	PATH  	"AM_symbols_maintintervall.png";}

/* ---------------------------------------------------------------------------------------------------------------------
 * CHARTS
 * ---------------------------------------------------------------------------------------------------------------------
 */
/* ---------------------------------------------------------------------------------------------------------------------
 * Defining AXIS  chart_AM_yaxis  - common to all charts
 */
AXIS	chart_AM_yaxis
{
	LABEL	[TXT_TST_1115]; /* Maintenance figure [%] */
	MIN_VALUE	0;
	MAX_VALUE	100;
}

/* ---------------------------------------------------------------------------------------------------------------------
 * Defining CHART  chart_AM_mechanics
 */
CHART chart_AM_mechanics
{
	LABEL	" ";  /*  space to avoid label text in chart */
	TYPE	VERTICAL_BAR;
    WIDTH   XX_SMALL;
	MEMBERS
	{
		SOURCE1, chart_source_AM_mechanics;
	}
}
SOURCE	chart_source_AM_mechanics
{
	LABEL	" ";  /*  space to avoid label text in chart */
	Y_AXIS	chart_AM_yaxis;
	MEMBERS
	{
		VALUE1, var_AM_mechanics;
	}
	#ifdef _PDM_
  	INIT_ACTIONS
	{
		method_AM_calc_mechanics
	}
	#endif
}

/* ---------------------------------------------------------------------------------------------------------------------
 * Defining CHART  chart_AM_oring
 */
CHART chart_AM_oring
{
	LABEL	" ";  /*  space to avoid label text in chart */
	TYPE	VERTICAL_BAR;
    WIDTH   XX_SMALL;
	MEMBERS
	{
		SOURCE1, chart_source_AM_oring;
	}
}
SOURCE	chart_source_AM_oring
{
	LABEL	" ";  /*  space to avoid label text in chart */
	Y_AXIS	chart_AM_yaxis;
	MEMBERS
	{
		VALUE1, var_AM_oring;
	}
	#ifdef _PDM_
  	INIT_ACTIONS
	{
		method_AM_calc_oring
	}
	#endif
}

/* ---------------------------------------------------------------------------------------------------------------------
 * Defining CHART  chart_AM_lubricant
 */
CHART chart_AM_lubricant
{
	LABEL	" ";  /*  space to avoid label text in chart */
	TYPE	VERTICAL_BAR;
	WIDTH	XX_SMALL;
	MEMBERS
	{
		SOURCE1, chart_source_AM_lubricant;
	}
}
SOURCE	chart_source_AM_lubricant
{
	LABEL	" ";  /*  space to avoid label text in chart */
	Y_AXIS	chart_AM_yaxis;
	MEMBERS
	{
		VALUE1, var_AM_lubricant;
	}
	#ifdef _PDM_
  	INIT_ACTIONS
	{
		method_AM_calc_lubricant
	}
	#endif
}

/* ---------------------------------------------------------------------------------------------------------------------
 * Defining CHART  chart_AM_revcontactor
 */
CHART chart_AM_revcontactor
{
	LABEL	" ";  /*  space to avoid label text in chart */
	TYPE	VERTICAL_BAR;
	WIDTH	XX_SMALL;
	MEMBERS
	{
		SOURCE1, chart_source_AM_revcontactor;
	}
}
SOURCE	chart_source_AM_revcontactor
{
	LABEL	" ";  /*  space to avoid label text in chart */
	Y_AXIS	chart_AM_yaxis;
	MEMBERS
	{
		VALUE1, var_AM_revcontactor;
	}
	#ifdef _PDM_
  	INIT_ACTIONS
	{
		method_AM_calc_revcontactor
	}
	#endif
}

/* ---------------------------------------------------------------------------------------------------------------------
 * Defining CHART  chart_AM_maintintervall
 */
CHART chart_AM_maintintervall
{
	LABEL	" ";  /*  space to avoid label text in chart */
	TYPE	VERTICAL_BAR;
	WIDTH	XX_SMALL;
	MEMBERS
	{
		SOURCE1, chart_source_AM_maintintervall;
	}
}
SOURCE	chart_source_AM_maintintervall
{
	LABEL	" ";  /*  space to avoid label text in chart */
	Y_AXIS	chart_AM_yaxis;
	MEMBERS
	{
		VALUE1, var_AM_maintintervall;
	}
	#ifdef _PDM_
  	INIT_ACTIONS
	{
		method_AM_calc_maintintervall
	}
	#endif
}

/* ---------------------------------------------------------------------------------------------------------------------
 * METHODS
 * ---------------------------------------------------------------------------------------------------------------------
 */
/* ---------------------------------------------------------------------------------------------------------------------
 * Defining METHOD  method_AM_reset_values
 */
METHOD method_AM_reset_values
{
	LABEL		[TXT_TST_1113];   /* Reset maintenance figure */
#ifdef _PDM_	
	ACCESS		OFFLINE;
#endif	
	DEFINITION
	{
		int rc;
		char sz_msg[100];
		char sz_ans[20];
		char sz_opt[100];
		
		get_dictionary_string(TXT_TST_1112, sz_msg, 100);  /* Really reset maintenance figure? */
		get_dictionary_string(TXT_TXT_67, sz_ans, 20);     /* yes */
		sz_opt= sz_ans;
		get_dictionary_string(TXT_TXT_68, sz_ans, 20);     /* no */
		sz_opt += ";" + sz_ans;
		rc=SELECT_FROM_LIST(sz_msg, sz_opt);               /* 0 - yes (1st option) | 1 - no (2nd option) */
		if ( rc == 0 )
		{
		    /* Reset-Kommando schreiben */
            PRM_4892= 1;
			rc= WriteCommand(write_PRM_4892);
			if ( 0 == rc) {
				/* Refresh der Wartungskonten */
				method_AM_refresh_revcontactor();
				method_AM_refresh_oring();
				method_AM_refresh_lubricant();
				method_AM_refresh_maintintervall();
				method_AM_refresh_mechanics();
			}
		}
	}
}

/* ---------------------------------------------------------------------------------------------------------------------
 * Defining METHOD  method_AM_calc_mechanics
 */
#define  AM_CALC_MECH_VALS    if (0 != PRM_4891) {var_AM_mechanics= (PRM_4886 * 100.0)/PRM_4891;save_values();}

METHOD method_AM_calc_mechanics
{
	LABEL		"method_AM_calc_mechanics";
	DEFINITION
	{
		AM_CALC_MECH_VALS
	}
}

/* ---------------------------------------------------------------------------------------------------------------------
 * Defining METHOD  method_AM_refresh_mechanics
 */
METHOD method_AM_refresh_mechanics
{
	LABEL		[TXT_TST_403];  /* "Update" */
#ifdef _PDM_	
	ACCESS		OFFLINE;
#endif	
	DEFINITION
	{
		ReadCommand(read_PRM_4886);
		ReadCommand(read_PRM_4891);
		AM_CALC_MECH_VALS
	}
}

/* ---------------------------------------------------------------------------------------------------------------------
 * Defining METHOD  method_AM_calc_oring
 */
#define  AM_CALC_ORING_VALS    if (0 != PRM_4725) {var_AM_oring= (PRM_4715 * 100.0)/PRM_4725;save_values();}

METHOD method_AM_calc_oring
{
	LABEL		"method_AM_calc_oring";
	DEFINITION
	{
		AM_CALC_ORING_VALS
	}
}

/* ---------------------------------------------------------------------------------------------------------------------
 * Defining METHOD  method_AM_refresh_oring
 */
METHOD method_AM_refresh_oring
{
	LABEL		[TXT_TST_403];  /* "Update" */
#ifdef _PDM_	
	ACCESS		OFFLINE;
#endif	
	DEFINITION
	{
		ReadCommand(read_PRM_4715);
		ReadCommand(read_PRM_4725);
		AM_CALC_ORING_VALS
	}
}

/* ---------------------------------------------------------------------------------------------------------------------
 * Defining METHOD  method_AM_calc_lubricant
 */
#define AM_CALC_LUBRI_VALS    if (0 != PRM_4726) {var_AM_lubricant= (PRM_4716 * 100.0)/PRM_4726;save_values();}

METHOD method_AM_calc_lubricant
{
	LABEL		"method_AM_calc_lubricant";
	DEFINITION
	{
		AM_CALC_LUBRI_VALS
	}
}

/* ---------------------------------------------------------------------------------------------------------------------
 * Defining METHOD  method_AM_refresh_lubricant
 */
METHOD method_AM_refresh_lubricant
{
	LABEL		[TXT_TST_403];  /* "Update" */
#ifdef _PDM_	
	ACCESS		OFFLINE;
#endif	
	DEFINITION
	{
		ReadCommand(read_PRM_4716);
		ReadCommand(read_PRM_4726);
		AM_CALC_LUBRI_VALS
	}
}

/* ---------------------------------------------------------------------------------------------------------------------
 * Defining METHOD  method_AM_calc_revcontactor
 */
#define AM_CALC_REVCONT_VALS    if (0 != PRM_4723) {var_AM_revcontactor= (PRM_4714 * 100.0)/PRM_4723;save_values();}

METHOD method_AM_calc_revcontactor
{
	LABEL		"method_AM_calc_revcontactor";
	DEFINITION
	{
		AM_CALC_REVCONT_VALS
	}
}

/* ---------------------------------------------------------------------------------------------------------------------
 * Defining METHOD  method_AM_refresh_revcontactor
 */
METHOD method_AM_refresh_revcontactor
{
	LABEL		[TXT_TST_403];  /* "Update" */
#ifdef _PDM_	
	ACCESS		OFFLINE;
#endif	
	DEFINITION
	{
		ReadCommand(read_PRM_4714);
		ReadCommand(read_PRM_4723);
		AM_CALC_REVCONT_VALS
	}
}

/* --------------------------------------------------------------------------------------------------------------------- */
/*    Defining METHOD  method_AM_calc_maintintervall */
#define SEC_PER_MONTH	2629746 /* 1 m = 30,43688 d = 2629746 s */
#define SEC_PER_YEAR	31556952 /* 1 y = 365,2425 d = 31556952 s */
#define AM_CALC_MAINTINT_VALS    \
		switch(PRM_4893) {\
		case 0: /* 1 month  */ int_sec= 1 * SEC_PER_MONTH;	break;\
		case 1: /* 3 months */ int_sec= 3 * SEC_PER_MONTH;	break;\
		case 2: /* 6 months */ int_sec= 6 * SEC_PER_MONTH;	break;\
		case 3: /* 1 year   */ int_sec= 1 * SEC_PER_YEAR;	break;\
		case 4: /* 2 years  */ int_sec= 2 * SEC_PER_YEAR;	break;\
		case 5: /* 3 years  */ int_sec= 3 * SEC_PER_YEAR;	break;\
		case 6: /* 4 years  */ int_sec= 4 * SEC_PER_YEAR;	break;\
		case 7: /* 5 years  */ int_sec= 5 * SEC_PER_YEAR;	break;\
		default: case 8: /* 10 years */ int_sec= 10 * SEC_PER_YEAR;	break; }\
		var_AM_maintintervall= (PRM_4719 * 100.0)/int_sec; save_values();

METHOD method_AM_calc_maintintervall
{
	LABEL		"method_AM_calc_maintintervall";
	DEFINITION
	{
        long int_sec;
		AM_CALC_MAINTINT_VALS
	}
}

/* ---------------------------------------------------------------------------------------------------------------------
 * Defining METHOD  method_AM_refresh_maintintervall
 */
METHOD method_AM_refresh_maintintervall
{
	LABEL		[TXT_TST_403];  /* "Update" */
#ifdef _PDM_	
	ACCESS		OFFLINE;
#endif	
	DEFINITION
	{
        long int_sec;
		ReadCommand(read_PRM_4719);
		ReadCommand(read_PRM_4893);
		AM_CALC_MAINTINT_VALS
	}
}

/* ---------------------------------------------------------------------------------------------------------------------
 * MENUS
 * ---------------------------------------------------------------------------------------------------------------------
 */
/* ---------------------------------------------------------------------------------------------------------------------
 * Defining MENU  menu_AM_main -- root menu for asset management
 */
MENU  menu_AM_main
{
    LABEL    [TXT_TST_1149];  /* Maintenance */
	STYLE    WINDOW;
#ifdef _PDM_	
	ACCESS		OFFLINE;
#endif	
	ITEMS
	{
        menu_AM_mechanics
		, COLUMNBREAK
        , menu_AM_oring
		, COLUMNBREAK
        , menu_AM_lubricant
		, COLUMNBREAK
        , menu_AM_revcontactor
		, COLUMNBREAK
        , menu_AM_maintintervall
		, ROWBREAK
		, method_AM_reset_values
        /* device identification data */
		, PRM_1164 (READ_ONLY)
		, PRM_1762 (READ_ONLY)
		, PRM_1760 (READ_ONLY)
        , COLUMNBREAK
        , PRM_4893 /* Dauer Wartungsintervall (using RULE_663) */
		, ROWBREAK
	}
}

/* ---------------------------------------------------------------------------------------------------------------------
 * Defining MENU  menu_AM_mechanics -- menu for asset management (mechanics)
 */
MENU  menu_AM_mechanics
{
    LABEL    [TXT_TST_3575];  /*  Mechanics */
	STYLE    GROUP;
#ifdef _PDM_	
	ACCESS		OFFLINE;
#endif	
	ITEMS
	{
        method_AM_refresh_mechanics
        , chart_AM_mechanics
        , img_AM_mechanics (INLINE)
	}	
}

/* ---------------------------------------------------------------------------------------------------------------------
 * Defining MENU  menu_AM_oring -- menu for asset management (o-ring)
 */
MENU  menu_AM_oring
{
    LABEL    [TXT_TST_1102];  /* Seals */
	STYLE    GROUP;
#ifdef _PDM_	
	ACCESS		OFFLINE;
#endif	
	ITEMS
	{
        method_AM_refresh_oring
        , chart_AM_oring
        , img_AM_oring (INLINE)
	}	
}

/* ---------------------------------------------------------------------------------------------------------------------
 * Defining MENU  menu_AM_lubricant -- menu for asset management (lubricant)
 */
MENU  menu_AM_lubricant
{
    LABEL    [TXT_TST_1103];  /*  Lubricant */
	STYLE    GROUP;
#ifdef _PDM_	
	ACCESS		OFFLINE;
#endif	
	ITEMS
	{
        method_AM_refresh_lubricant
        , chart_AM_lubricant
        , img_AM_lubricant (INLINE)
	}	
}

/* ---------------------------------------------------------------------------------------------------------------------
 * Defining MENU  menu_AM_revcontactor -- menu for asset management (reverse contactor)
 */
MENU  menu_AM_revcontactor
{
    LABEL    [TXT_TST_1104];  /*  Rev contactor */
	STYLE    GROUP;
#ifdef _PDM_	
	ACCESS		OFFLINE;
#endif	
	ITEMS
	{
        method_AM_refresh_revcontactor
        , chart_AM_revcontactor
        , img_AM_revcontactor (INLINE)
	}	
}

/* ---------------------------------------------------------------------------------------------------------------------
 * Defining MENU  menu_AM_maintintervall -- menu for asset management (maintenance interval)
 */
MENU  menu_AM_maintintervall
{
    LABEL    [TXT_TST_3579];  /*  Maintenance intervall */
	STYLE    GROUP;
#ifdef _PDM_	
	ACCESS		OFFLINE;
#endif	
	ITEMS
	{
        method_AM_refresh_maintintervall
        , chart_AM_maintintervall
        img_AM_maintintervall (INLINE)
	}
	VALIDITY	IF (PRM_4730 != 0) { TRUE; } ELSE { FALSE; }
}

/* ---------------------------------------------------------------------------------------------------------------------
 *   End of file 
 * ---------------------------------------------------------------------------------------------------------------------
 */