﻿//---------------------------------------------------------------------------------------------------------------------
// Copyright (c) AUMA Riester GmbH & Co. KG (2013). All Rights Reserved
// Target System: SIMATIC PDM
//---------------------------------------------------------------------------------------------------------------------
// Imported data:
//  Name....................: Doors Export P56
//  DeviceId................: unknown
//  DeviceName..............: AC2
//  Description.............: Baseline: 1.39 (FW3.0.0-xx), BudingV, 18 February 2011, AC01.2 Firmware 03.00.00-xx
//  RequestedFirmwareVersion: 0.23
//  SchemaVersion...........: 8.00
//  Timestamp...............: 18.02.2011 10:57:17
//  Version.................: 01.39
//  Author..................: Thomas Gutmann
//---------------------------------------------------------------------------------------------------------------------
// Generated 05.11.2014 09:57:23 by EDD-Generator Version 01.01.09
//  Selected root menu: Hauptmenü
//  (c) Sipos Aktorik GmbH (Mathias Monse <mathias.monse@sipos.de>)
//---------------------------------------------------------------------------------------------------------------------
 
#ifdef _AMSDM_
//---------------------------------------------------------------------------------------------------------------------
//~
//   EDD user interface setup (AMS-DM)
// 
IMAGE device_icon 
{
    PATH "ac2_devicon.jpg";
}

#else

//---------------------------------------------------------------------------------------------------------------------
//~
//   EDD Main menu and methods
// 
#ifdef _PDM6_COMPAT_ // PDM6 compatibility mode
MENU Menu_Main_Specialist
{
    LABEL		[main_menu]; //PDM based reference text
    ITEMS
    {
        Menu_File,
        Menu_S_Device,
        Menu_View,
        Menu_Options,
        Menu_Help
    }
}
 
MENU Menu_Main_Maintenance
{
    LABEL		[main_menu]; //PDM based reference text
    ITEMS
    {
        Menu_File,
        Menu_M_Device,
        Menu_View,
        Menu_Options,
        Menu_Help
    }
}
 
METHOD std_LoadinDevice
{
    LABEL		[menu_Device_LoadinDevice]; //PDM based reference text
    CLASS		INPUT;
    DEFINITION
    {
    }
}
 
METHOD std_LoadinPC
{
    LABEL		[menu_Device_LoadinPC]; //PDM based reference text
    CLASS		INPUT;
    DEFINITION
    {
    }
}
 
MENU Menu_View
{
    LABEL		[menu_View]; //PDM based reference text
    ITEMS
    {
        std_Funktionsleiste,
        std_Statuszeile
    }
}
 
METHOD std_Funktionsleiste
{
    LABEL		[menu_View_Toolbar]; //PDM based reference text
    CLASS		INPUT;
    DEFINITION
    {
    }
}
 
METHOD std_Statuszeile
{
    LABEL		[menu_View_Statusbar]; //PDM based reference text
    CLASS		INPUT;
    DEFINITION
    {
    }
}
 
METHOD std_Update
{
    LABEL		[menu_View_Update]; //PDM based reference text
    CLASS		INPUT;
    DEFINITION
    {
    }
}
#endif /* _PDM6_COMPAT_ */
 
MENU Menu_S_Device
{
    LABEL		[TXT_TST_1233];
    ITEMS
    {
        coPRM_3484,
        coPRM_3487
#ifdef _PDM6_COMPAT_ // PDM6 compatibility mode
        , SEPARATOR,
        std_LoadinDevice,
        std_LoadinPC
#endif /* _PDM6_COMPAT_ */
    }
}
 
#ifdef _PDM6_COMPAT_ // PDM6 compatibility mode
MENU Menu_M_Device
{
    LABEL		[menu_Device]; //PDM based reference text
    ITEMS
    {
        std_LoadinPC
    }
}
#endif /* _PDM6_COMPAT_ */
#endif  /* _AMSDM_ */

//---------------------------------------------------------------------------------------------------------------------
//~
//   EDD Special variable definitions
// 
//---------------------------------------------------------------------------------------------------------------------
//~
//   EDD Bus identification
// 
VARIABLE PROFIBUS_Profile_Ident_Number
{
    LABEL		[TXT_TST_1226];
    CLASS		LOCAL;
    TYPE		UNSIGNED_INTEGER (2)
    {
        DEFAULT_VALUE	0x013F;
    }
    HANDLING	READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   EDD Generator version
// 
VARIABLE VersionEddGen
{
    LABEL		[TXT_TST_1227];
    HELP		[HLP_TST_1228];
    CLASS		LOCAL;
    TYPE		ENUMERATED (2)
    {
        { 0,"01.01.09" }
    }
    HANDLING	READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Designated device version
// 
VARIABLE DesignatedDevVersion
{
    LABEL		[TXT_DesignatedDevVersion];
    HELP		[HLP_DesignatedDevVersion];
    CLASS		LOCAL;
    TYPE		ENUMERATED (2)
    {
        { 0,"03.00.xx" }
    }
    HANDLING	READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   EDD Variable definitions
// 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_5
// 
VARIABLE PRM_5	// Taktstrecke: Start AUF
{
    LABEL		[TXT_PRM_5];
    HELP		[HLP_PRM_5];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	999;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
	VALIDITY		IF (PRM_1176 == 1) { TRUE; } ELSE { FALSE; }  // using RULE_17
}
ReadCmdDef(PRM_5, 0, 5)
WriteCmdDef(PRM_5, 0, 5)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_6
// 
VARIABLE PRM_6	// Taktstrecke: Ende AUF
{
    LABEL		[TXT_PRM_6];
    HELP		[HLP_PRM_6];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	1;
        MAX_VALUE	1000;
        DEFAULT_VALUE	1000;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
	VALIDITY		IF (PRM_1176 == 1) { TRUE; } ELSE { FALSE; }  // using RULE_17
}
ReadCmdDef(PRM_6, 0, 6)
WriteCmdDef(PRM_6, 0, 6)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_7
// 
VARIABLE PRM_7	// Taktfahrzeit AUF
{
    LABEL		[TXT_PRM_7];
    HELP		[HLP_PRM_7];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
#ifdef dtmGENERATOR
    TYPE		TIME_MMSS01
#else
    TYPE		UNSIGNED_INTEGER (2)
#endif /* dtmGENERATOR */
    {
        MIN_VALUE	10;
        MAX_VALUE	18000;
        DEFAULT_VALUE	50;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    POST_READ_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_7, uiPRM_7),
        DEFINITION{ uiPRM_7.VARIABLE_STATUS = PRM_7.VARIABLE_STATUS; }
    }
	VALIDITY		IF (PRM_1176 == 1) { TRUE; } ELSE { FALSE; }  // using RULE_17
}
ReadCmdDef(PRM_7, 0, 7)
WriteCmdDef(PRM_7, 0, 7)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_8
// 
VARIABLE PRM_8	// Taktpausenzeit AUF
{
    LABEL		[TXT_PRM_8];
    HELP		[HLP_PRM_8];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
#ifdef dtmGENERATOR
    TYPE		TIME_MMSS01
#else
    TYPE		UNSIGNED_INTEGER (2)
#endif /* dtmGENERATOR */
    {
        MIN_VALUE	10;
        MAX_VALUE	18000;
        DEFAULT_VALUE	50;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    POST_READ_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_8, uiPRM_8),
        DEFINITION{ uiPRM_8.VARIABLE_STATUS = PRM_8.VARIABLE_STATUS; }
    }
	VALIDITY		IF (PRM_1176 == 1) { TRUE; } ELSE { FALSE; }  // using RULE_17
}
ReadCmdDef(PRM_8, 0, 8)
WriteCmdDef(PRM_8, 0, 8)

//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_9
// 
VARIABLE PRM_9	// Abschaltart AUF
{
    LABEL		[TXT_PRM_9];
    HELP		[HLP_PRM_9];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_59
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_60] }, // wegabhängig
        { 1, [TXT_TYP_61] }  // drehmomentabhängig
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_9, 0, 9)
WriteCmdDef(PRM_9, 0, 9)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_12
// 
VARIABLE PRM_12	// Selbsthaltungsverhalten Ort
{
    LABEL		[TXT_PRM_12];
    HELP		[HLP_PRM_12];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_62
    {
        DEFAULT_VALUE	3;
        { 0, [TXT_TYP_63] }, // ausgeschaltet (Tippbetrieb AUF + ZU)
        { 1, [TXT_TYP_64] }, // Selbsthaltung AUF, Tippbetrieb ZU
        { 2, [TXT_TYP_360] }, // Selbsthaltung ZU, Tippbetrieb AUF
        { 3, [TXT_TYP_362] }, // Selbsthaltung AUF + ZU
        { 4, [TXT_TYP_363] }  // Direkt AUF-ZU
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_12, 0, 12)
WriteCmdDef(PRM_12, 0, 12)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_13
// 
VARIABLE PRM_13	// Takbetrieb Mode AUF
{
    LABEL		[TXT_PRM_13];
    HELP		[HLP_PRM_13];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_68
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_69], [HLP_TYP_69] }, // ausgeschaltet
        { 1, [TXT_TYP_70], [HLP_TYP_70] }, // nur FERN
        { 2, [TXT_TYP_71], [HLP_TYP_71] }, // nur ORT
        { 3, [TXT_TYP_72], [HLP_TYP_72] }  // FERN und ORT
    }
    HANDLING		READ & WRITE;
	VALIDITY		IF (PRM_1176 == 1) { TRUE; } ELSE { FALSE; }  // using RULE_17
}
ReadCmdDef(PRM_13, 0, 13)
WriteCmdDef(PRM_13, 0, 13)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_20
// 
VARIABLE PRM_20	// Stützpunkt 1 Position
{
    LABEL		[TXT_PRM_20];
    HELP		[HLP_PRM_20];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	1000;
        DEFAULT_VALUE	150;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_20, 0, 20)
WriteCmdDef(PRM_20, 0, 20)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_28
// 
VARIABLE PRM_28	// Stützpunkt 1 Meldeverhalten
{
    LABEL		[TXT_PRM_28];
    HELP		[HLP_PRM_28];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_73
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_74] }, // deaktiviert
        { 1, [TXT_TYP_75] }, // Meldung aktiv vom Erreichen der Zwischenstellung bis zur Endlage AUF
        { 2, [TXT_TYP_76] }, // Meldung aktiv von der Endlage ZU bis zum Erreichen der Zwischenstellung
        { 3, [TXT_TYP_77] }  // Meldung ist aktiv im Bereich +-1% um die definierte Zwischenstellung
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_28, 0, 28)
WriteCmdDef(PRM_28, 0, 28)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_29
// 
VARIABLE PRM_29	// Stützpunkt 1 Fahrverhalten
{
    LABEL		[TXT_PRM_29];
    HELP		[HLP_PRM_29];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_78
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_79] }, // nicht verwendet
        { 1, [TXT_TYP_80] }, // bei Fahrt in Richtung AUF bleibt der Antrieb am Stützpunkt stehen.
        { 2, [TXT_TYP_81] }, // bei Fahrt in Richtung ZU bleibt der Antrieb am Stützpunkt stehen.
        { 3, [TXT_TYP_82] }, // beim Erreichen des Stützpunkts bleibt der Antrieb stehen
        { 4, [TXT_TYP_643] }, // bei Fahrt in Richtung AUF bleibt der Antrieb am Stützpunkt stehen; liegt nach Ablauf einer Pausenzeit immer noch ein Fahrbefehl in Richtung AUF an, dann wird die Fahrt fortgesetzt. Ein Fahrbefehl in Gegenrichtung während der Pause wird umgehend ausgeführt.
        { 5, [TXT_TYP_644] }, // bei Fahrt in Richtung ZU bleibt der Antrieb am Stützpunkt stehen; liegt nach Ablauf einer Pausenzeit immer noch ein Fahrbefehl in Richtung ZU an, dann wird die Fahrt fortgesetzt. Ein Fahrbefehl in Gegenrichtung während der Pause wird umgehend ausgeführt.
        { 6, [TXT_TYP_645] }  // beim Erreichen des Stützpunkts bleibt der Antrieb stehen; liegt nach Ablauf einer Pausenzeit immer noch ein Fahrbefehl an, dann wird die Fahrt abhängig vom Inhalt des Fahrbefehls fortgesetzt.
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_29, 0, 29)
WriteCmdDef(PRM_29, 0, 29)

//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_33
// 
VARIABLE PRM_33	// Sprache Display
{
    LABEL		[TXT_PRM_33];
    HELP		[HLP_PRM_33];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_83
    {
        DEFAULT_VALUE	1;
        { 1, [TXT_TYP_84], [HLP_TYP_84] }, // Deutsch (DE)
        { 2, [TXT_TYP_85], [HLP_TYP_85] }, // Englisch (EN)
        { 3, [TXT_TYP_86], [HLP_TYP_86] }, // Französisch (FR)
        { 4, [TXT_TYP_87], [HLP_TYP_87] }, // Spanisch (ES)
        { 5, [TXT_TYP_88], [HLP_TYP_88] }, // Italienisch (IT)
        { 6, [TXT_TYP_89], [HLP_TYP_89] }, // Russisch (RU)
        { 7, [TXT_TYP_90], [HLP_TYP_90] }, // Polnisch (PL)
        { 8, [TXT_TYP_372], [HLP_TYP_372] }, // Portugiesisch (PT)
        { 9, [TXT_TYP_373], [HLP_TYP_373] }, // Türkisch (TR)
        { 10, [TXT_TYP_374], [HLP_TYP_374] }, // Ungarisch (HU)
        { 11, [TXT_TYP_378], [HLP_TYP_378] }, // Chinesisch (ZN)
        { 12, [TXT_TYP_779], [HLP_TYP_779] }, // Niederländisch/Dutch (NL)
        { 13, [TXT_TYP_1061], [HLP_TYP_1061] }, // Tschechisch (CS)
        { 14, [TXT_TYP_1062], [HLP_TYP_1062] }, // Rumänisch (RO)
        { 15, [TXT_TYP_1063], [HLP_TYP_1063] }, // Japanisch (JA)
        { 16, [TXT_TYP_1185], [HLP_TYP_1185] }, // Bulgarisch (BG)
        { 17, [TXT_TYP_1186], [HLP_TYP_1186] }, // Dänisch (DA)
        { 18, [TXT_TYP_1187], [HLP_TYP_1187] }, // Griechisch (EL)
        { 19, [TXT_TYP_1188], [HLP_TYP_1188] }, // Finnisch (FI)
        { 20, [TXT_TYP_1189], [HLP_TYP_1189] }, // Koreanisch (KO)
        { 21, [TXT_TYP_1190], [HLP_TYP_1190] }, // Schwedisch (SV)
        { 22, [TXT_TYP_1191], [HLP_TYP_1191] }, // Vietnamesisch (VI)
        { 23, [TXT_TYP_1192], [HLP_TYP_1192] }, // Arabisch (AR)
        { 24, [TXT_TYP_1230], [HLP_TYP_1230] }, // Estnisch (ET)
        { 25, [TXT_TYP_1231], [HLP_TYP_1231] }, // Kroatisch (HR)
        { 26, [TXT_TYP_1232], [HLP_TYP_1232] }, // Litauisch (LT)
        { 27, [TXT_TYP_1233], [HLP_TYP_1233] }, // Lettisch (LV)
        { 28, [TXT_TYP_1234], [HLP_TYP_1234] }, // Norwegisch (NO)
        { 29, [TXT_TYP_1235], [HLP_TYP_1235] }, // Slowakisch (SK)
        { 30, [TXT_TYP_1236], [HLP_TYP_1236] }, // Slowenisch (SL)
        { 31, [TXT_TYP_1237], [HLP_TYP_1237] }, // Serbisch (SR)
        { 32, [TXT_TYP_1275], [HLP_TYP_1275] }, // Thailändisch (TH)
        { 33, [TXT_TYP_1276], [HLP_TYP_1276] }, // Indonesisch (ID)
        { 34, [TXT_TYP_1653], [HLP_TYP_1653] }, // Farsi (FA)
        { 35, [TXT_TYP_3585] }  // Mazedonisch (MK)
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_33, 0, 33)
WriteCmdDef(PRM_33, 0, 33)

//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_45
// 
VARIABLE PRM_45	// Interface1-Vorhanden SOLL-Konfiguration
{
    LABEL		[TXT_PRM_45];
    HELP		[HLP_PRM_45];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_846
    {
        DEFAULT_VALUE	1;
        { 0, [TXT_TYP_847] }, // Funktion/Baugruppe nicht vorhanden
        { 1, [TXT_TYP_848] }  // Funktion/Baugruppe vorhanden
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_45, 0, 45)

//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_67
// 
VARIABLE PRM_67	// NOT-Funktion Betriebsart
{
    LABEL		[TXT_PRM_67];
    HELP		[HLP_PRM_67];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_252
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_262] }, // nur FERN
        { 1, [TXT_TYP_263] }  // FERN und ORT
    }
    HANDLING		READ & WRITE;
	VALIDITY	IF (PRM_2923 != 0) { TRUE; } ELSE { FALSE; }  // using RULE_12
}
ReadCmdDef(PRM_67, 0, 67)
WriteCmdDef(PRM_67, 0, 67)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_68
// 
VARIABLE PRM_68	// NOT-Funktion Auslösung
{
    LABEL		[TXT_PRM_68];
    HELP		[HLP_PRM_68];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_253
    {
        DEFAULT_VALUE	1;
        { 1, [TXT_TYP_260] }, // Zuerst Gut
        { 2, [TXT_TYP_261] }  // Sofort aktiv
    }
    HANDLING		READ & WRITE;
	VALIDITY	IF (PRM_2923 != 0) { TRUE; } ELSE { FALSE; }  // using RULE_12
}
ReadCmdDef(PRM_68, 0, 68)
WriteCmdDef(PRM_68, 0, 68)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_69
// 
VARIABLE PRM_69	// NOT Überbrückung Thermofehler
{
    LABEL		[TXT_PRM_69];
    HELP		[HLP_PRM_69];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_364
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_365] }, // Überbrückung inaktiv
        { 1, [TXT_TYP_366] }  // Überbrückung aktiv
    }
    HANDLING		READ & WRITE;
	VALIDITY		IF (((PRM_2923 != 0) && (PRM_3156 == 0))) { TRUE; } ELSE { FALSE; }  // using RULE_457
}
ReadCmdDef(PRM_69, 0, 69)
WriteCmdDef(PRM_69, 0, 69)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_70
// 
VARIABLE PRM_70	// NOT Überbrückung Drehmomentfehler
{
    LABEL		[TXT_PRM_70];
    HELP		[HLP_PRM_70];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_364
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_365] }, // Überbrückung inaktiv
        { 1, [TXT_TYP_366] }  // Überbrückung aktiv
    }
    HANDLING		READ & WRITE;
	VALIDITY	IF (PRM_2923 != 0) { TRUE; } ELSE { FALSE; }  // using RULE_12
}
ReadCmdDef(PRM_70, 0, 70)
WriteCmdDef(PRM_70, 0, 70)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_71
// 
VARIABLE PRM_71	// NOT Überbrückung Taktgeber
{
    LABEL		[TXT_PRM_71];
    HELP		[HLP_PRM_71];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_364
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_365] }, // Überbrückung inaktiv
        { 1, [TXT_TYP_366] }  // Überbrückung aktiv
    }
    HANDLING		READ & WRITE;
	VALIDITY	IF (PRM_2923 != 0) { TRUE; } ELSE { FALSE; }  // using RULE_12
}
ReadCmdDef(PRM_71, 0, 71)
WriteCmdDef(PRM_71, 0, 71)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_79
// 
VARIABLE PRM_79	// Drehsinn
{
    LABEL		[TXT_PRM_79];
    HELP		[HLP_PRM_79];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_223
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_224] }, // rechtdrehend schliessen (Uhrzeigersinn)
        { 1, [TXT_TYP_225] }  // linksdrehend schliessen (Gegenuhrzeigersinn)
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_79, 0, 79)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_82
// 
VARIABLE PRM_82	// Anfahrüberbrückungszeit
{
    LABEL		[TXT_PRM_82];
    HELP		[HLP_PRM_82];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	50;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_82, 0, 82)
WriteCmdDef(PRM_82, 0, 82)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_84
// 
VARIABLE PRM_84	// Stellungsregler Adaptives Verhalten
{
    LABEL		[TXT_PRM_84];
    HELP		[HLP_PRM_84];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_234
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_235] }, // ausgeschaltet
        { 1, [TXT_TYP_237] }  // Adaptiv
    }
    HANDLING		READ & WRITE;
	VALIDITY		IF (PRM_1169 == 1) { TRUE; } ELSE { FALSE; }  // using RULE_14
}
ReadCmdDef(PRM_84, 0, 84)
WriteCmdDef(PRM_84, 0, 84)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_86
// 
VARIABLE PRM_86	// Totzeit Tt
{
    LABEL		[TXT_PRM_86];
    HELP		[HLP_PRM_86];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	2;
        MAX_VALUE	600;
        DEFAULT_VALUE	5;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
	VALIDITY		IF (PRM_1169 == 1) { TRUE; } ELSE { FALSE; }  // using RULE_14
}
ReadCmdDef(PRM_86, 0, 86)
WriteCmdDef(PRM_86, 0, 86)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_87
// 
VARIABLE PRM_87	// Totzone Xt
{
    LABEL		[TXT_PRM_87];
    HELP		[HLP_PRM_87];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	1;
        MAX_VALUE	100;
        DEFAULT_VALUE	10;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
	VALIDITY		IF (((PRM_1169 == 1) && (PRM_84 == 0))) { TRUE; } ELSE { FALSE; }  // using RULE_167
}
ReadCmdDef(PRM_87, 0, 87)
WriteCmdDef(PRM_87, 0, 87)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_160
// 
VARIABLE PRM_160	// Prozesswert (Auswahl Input Link)
{
    LABEL		[TXT_PRM_160];
    HELP		[HLP_PRM_160];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_273
    {
        DEFAULT_VALUE	370;
        { 372, [TXT_TYP_724] }, // Nicht verwendet (Verdrahtet mit konstante 0)
        { 259, [TXT_TYP_310] }, // Endlage ZU
        { 258, [TXT_TYP_309] }, // Endlage AUF
        { 370, [TXT_TYP_968] }, // Endlage_ZU+Blinker
        { 369, [TXT_TYP_969] }, // Endlage_AUF+Blinker
        { 401, [TXT_TYP_743] }, // Ist bei Sollposition
        { 265, [TXT_TYP_740] }, // Fährt ZU
        { 264, [TXT_TYP_741] }, // Fährt AUF
        { 113, [TXT_TYP_744] }, // Wahlschalter ORT
        { 115, [TXT_TYP_311] }, // Wahlschalter FERN
        { 116, [TXT_TYP_990] }, // WahlschalterAUS
        { 376, [TXT_TYP_318] }, // Wegschalter ZU
        { 375, [TXT_TYP_317] }, // Wegschalter AUF
        { 460, [TXT_TYP_320] }, // Drehmoschalter ZU
        { 459, [TXT_TYP_319] }, // Drehmoschalter AUF
        { 86, [TXT_TYP_747] }, // Gerätestatus Namur Ausfall
        { 84, [TXT_TYP_748] }, // Gerätestatus Namur Funktionskontrolle
        { 83, [TXT_TYP_749] }, // Gerätestatus Namur Ausserh. d. Spezifikation
        { 85, [TXT_TYP_750] }, // Gerätestatus Namur Wartungsbedarf
        { 79, [TXT_TYP_696] }, // Fehler
        { 78, [TXT_TYP_739] }, // Warnungen
        { 80, [TXT_TYP_742] }, // Nicht  bereit FERN
        { 554, [TXT_TYP_757] }, // Fahrpause
        { 560, [TXT_TYP_755] }, // Taktstrecke betreten
        { 603, [TXT_TYP_754] }, // Antrieb fährt
        { 539, [TXT_TYP_751] }, // Fährt von Ort
        { 540, [TXT_TYP_752] }, // Fährt von Fern
        { 541, [TXT_TYP_753] }, // Fährt mit Handrad
        { 549, [TXT_TYP_756] }, // In Mittelstellung
        { 392, [TXT_TYP_767] }, // Zwischenstellung 1
        { 399, [TXT_TYP_766] }, // Zwischenstellung 2
        { 398, [TXT_TYP_765] }, // Zwischenstellung 3
        { 397, [TXT_TYP_764] }, // Zwischenstellung 4
        { 396, [TXT_TYP_762] }, // Zwischenstellung 5
        { 395, [TXT_TYP_760] }, // Zwischenstellung 6
        { 394, [TXT_TYP_759] }, // Zwischenstellung 7
        { 393, [TXT_TYP_758] }, // Zwischenstellung 8
        { 500, [TXT_TYP_772] }, // Digitaleingang 1
        { 501, [TXT_TYP_771] }, // Digitaleingang 2
        { 505, [TXT_TYP_770] }, // Digitaleingang 3
        { 504, [TXT_TYP_763] }, // Digitaleingang 4
        { 503, [TXT_TYP_769] }, // Digitaleingang 5
        { 502, [TXT_TYP_768] }, // Digitaleingang 6
        { 285, [TXT_TYP_991] }, // NOT-HALT aktiv
        { 269, [TXT_TYP_312] }, // Drehmofehler ZU
        { 268, [TXT_TYP_313] }, // Drehmofehler AUF
        { 546, [TXT_TYP_989] }, //  DrehmoFehler
        { 270, [TXT_TYP_314] }, // Thermofehler
        { 302, [TXT_TYP_315] }  // Phasenfehler
        IF (PRM_181 != 0) {{ 466, [TXT_TYP_970] }} // Feldbus_Digout_01 (using RULE_304)
        IF (PRM_181 != 0) {{ 467, [TXT_TYP_971] }} // Feldbus_Digout_02 (using RULE_304)
        IF (PRM_181 != 0) {{ 468, [TXT_TYP_972] }} // Feldbus_Digout_03 (using RULE_304)
        IF (PRM_181 != 0) {{ 469, [TXT_TYP_973] }} // Feldbus_Digout_04 (using RULE_304)
        IF (PRM_181 != 0) {{ 470, [TXT_TYP_974] }} // Feldbus_Digout_05 (using RULE_304)
        IF (PRM_181 != 0) {{ 471, [TXT_TYP_975] }} // Feldbus_Digout_06 (using RULE_304)
        IF (PRM_181 != 0) {{ 472, [TXT_TYP_976] }} // Feldbus_Digout_07 (using RULE_304)
        IF (PRM_181 != 0) {{ 473, [TXT_TYP_977] }} // Feldbus_Digout_08 (using RULE_304)
        IF (PRM_181 != 0) {{ 474, [TXT_TYP_978] }} // Feldbus_Digout_09 (using RULE_304)
        IF (PRM_181 != 0) {{ 475, [TXT_TYP_979] }} // Feldbus_Digout_10 (using RULE_304)
        IF (PRM_181 != 0) {{ 476, [TXT_TYP_980] }} // Feldbus_Digout_11 (using RULE_304)
        IF (PRM_181 != 0) {{ 477, [TXT_TYP_981] }} // Feldbus_Digout_12 (using RULE_304)
        IF (PRM_181 != 0) {{ 606, [TXT_TYP_1319], [HLP_TYP_1319] }} // Feldbus Fail Safe aktiv (using RULE_304)
        { 553, [TXT_TYP_1400], [HLP_TYP_1400] }, // Handradschalter ist betätigt
        { 952, [TXT_TYP_1415] }, // PVST aktiv
        { 953, [TXT_TYP_1416] }, // PVST Error
        { 954, [TXT_TYP_1417] }, // PVST Abbruch
        { 94, [TXT_TYP_1619], [HLP_TYP_1619] }, // Störung AC1 kompatibel
        { 753, [TXT_TYP_1630] }, // Interlock FERN
        { 754, [TXT_TYP_1631] }, // Interlock ORT
        { 755, [TXT_TYP_1632] }, // Interlock AUF
        { 756, [TXT_TYP_1633] }, // Interlock ZU
        { 757, [TXT_TYP_1634] }, // Interlock wurde ausglöst
        { 1016, [TXT_TYP_1658] }, // Bypass Sync Out
        { 1017, [TXT_TYP_1659] }  // Bypass Interlock
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_160, 1, 60)
WriteCmdDef(PRM_160, 1, 60)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_163
// 
VARIABLE PRM_163	// MotorRunningTime (User)
{
    LABEL		[TXT_PRM_163];
    HELP		[HLP_PRM_163];
    CLASS		DIAGNOSTIC /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ;
}
ReadCmdDef(PRM_163, 1, 63)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_164
// 
VARIABLE PRM_164	// NumberOfStarts (User)
{
    LABEL		[TXT_PRM_164];
    HELP		[HLP_PRM_164];
    CLASS		DIAGNOSTIC /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_164, 1, 64)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_165
// 
VARIABLE PRM_165	// Resets (User)
{
    LABEL		[TXT_PRM_165];
    HELP		[HLP_PRM_165];
    CLASS		DIAGNOSTIC /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_165, 1, 65)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_166
// 
VARIABLE PRM_166	// StopsTrqClose (User)
{
    LABEL		[TXT_PRM_166];
    HELP		[HLP_PRM_166];
    CLASS		DIAGNOSTIC /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_166, 1, 66)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_167
// 
VARIABLE PRM_167	// ErrorsEDMax (User)
{
    LABEL		[TXT_PRM_167];
    HELP		[HLP_PRM_167];
    CLASS		DIAGNOSTIC /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_167, 1, 67)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_168
// 
VARIABLE PRM_168	// ErrorsEDTime (User)
{
    LABEL		[TXT_PRM_168];
    HELP		[HLP_PRM_168];
    CLASS		DIAGNOSTIC /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_168, 1, 68)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_170
// 
VARIABLE PRM_170	// ErrorsThermo (User)
{
    LABEL		[TXT_PRM_170];
    HELP		[HLP_PRM_170];
    CLASS		DIAGNOSTIC /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_170, 1, 70)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_171
// 
VARIABLE PRM_171	// ErrorsTrqOpen (User)
{
    LABEL		[TXT_PRM_171];
    HELP		[HLP_PRM_171];
    CLASS		DIAGNOSTIC /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_171, 1, 71)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_172
// 
VARIABLE PRM_172	// StopsPosClose (User)
{
    LABEL		[TXT_PRM_172];
    HELP		[HLP_PRM_172];
    CLASS		DIAGNOSTIC /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_172, 1, 72)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_173
// 
VARIABLE PRM_173	// StopsTrqOpen (User)
{
    LABEL		[TXT_PRM_173];
    HELP		[HLP_PRM_173];
    CLASS		DIAGNOSTIC /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_173, 1, 73)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_174
// 
VARIABLE PRM_174	// StopsPosOpen (User)
{
    LABEL		[TXT_PRM_174];
    HELP		[HLP_PRM_174];
    CLASS		DIAGNOSTIC /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_174, 1, 74)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_175
// 
VARIABLE PRM_175	// ErrorsTrqClose (User)
{
    LABEL		[TXT_PRM_175];
    HELP		[HLP_PRM_175];
    CLASS		DIAGNOSTIC /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_175, 1, 75)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_181
// 
VARIABLE PRM_181	// Bus-Vorhanden SOLL-Konfiguration
{
    LABEL		[TXT_PRM_181];
    HELP		[HLP_PRM_181];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_1108
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_1109] }, // Kein Feldbus
        { 1, [TXT_TYP_1110] }, // Profibus
        { 2, [TXT_TYP_1111] }  // Modbus
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_181, 1, 81)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_208
// 
VARIABLE PRM_208	// Mode Temperaturfehler
{
    LABEL		[TXT_PRM_208];
    HELP		[HLP_PRM_208];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_239
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_240] }, // Rücksetzung automatisch
        { 1, [TXT_TYP_241] }  // Rücksetzung manuell über RESET
    }
    HANDLING		READ & WRITE;
	VALIDITY		IF (PRM_3156 == 0) { TRUE; } ELSE { FALSE; }  // using RULE_301
}
ReadCmdDef(PRM_208, 2, 8)
WriteCmdDef(PRM_208, 2, 8)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_209
// 
VARIABLE PRM_209	// DelayTime
{
    LABEL		[TXT_PRM_209];
    HELP		[HLP_PRM_209];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	20;
        MAX_VALUE	3000;
        DEFAULT_VALUE	100;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_209, 2, 9)
WriteCmdDef(PRM_209, 2, 9)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_212
// 
VARIABLE PRM_212	// Nachlauf AUF (innere Totzone Xi_AUF)
{
    LABEL		[TXT_PRM_212];
    HELP		[HLP_PRM_212];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	100;
        DEFAULT_VALUE	5;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
	VALIDITY		IF (((PRM_1169 == 1) && (PRM_84 == 0))) { TRUE; } ELSE { FALSE; }  // using RULE_167
}
ReadCmdDef(PRM_212, 2, 12)
WriteCmdDef(PRM_212, 2, 12)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_213
// 
VARIABLE PRM_213	// Nachlauf ZU (innere Totzone Xi_ZU)
{
    LABEL		[TXT_PRM_213];
    HELP		[HLP_PRM_213];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	100;
        DEFAULT_VALUE	5;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
	VALIDITY		IF (((PRM_1169 == 1) && (PRM_84 == 0))) { TRUE; } ELSE { FALSE; }  // using RULE_167
}
ReadCmdDef(PRM_213, 2, 13)
WriteCmdDef(PRM_213, 2, 13)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_214
// 
VARIABLE PRM_214	// Toleranz E1 AUF
{
    LABEL		[TXT_PRM_214];
    HELP		[HLP_PRM_214];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		INTEGER (4)
    {
        MIN_VALUE	950;
        MAX_VALUE	1000;
        DEFAULT_VALUE	1000;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
	VALIDITY		IF (PRM_1169 == 1) { TRUE; } ELSE { FALSE; }  // using RULE_14
}
ReadCmdDef(PRM_214, 2, 14)
WriteCmdDef(PRM_214, 2, 14)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_215
// 
VARIABLE PRM_215	// Toleranz E1 ZU
{
    LABEL		[TXT_PRM_215];
    HELP		[HLP_PRM_215];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		INTEGER (4)
    {
        MIN_VALUE	0;
        MAX_VALUE	50;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
	VALIDITY		IF (PRM_1169 == 1) { TRUE; } ELSE { FALSE; }  // using RULE_14
}
ReadCmdDef(PRM_215, 2, 15)
WriteCmdDef(PRM_215, 2, 15)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_217
// 
VARIABLE PRM_217	// Prozeßregler Freischaltung \"Kauf\"
{
    LABEL		[TXT_PRM_217];
    HELP		[HLP_PRM_217];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_335
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_336], [HLP_TYP_336] }, // ausgeschaltet
        { 1, [TXT_TYP_337], [HLP_TYP_337] }  // eingeschaltet
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_217, 2, 17)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_230
// 
VARIABLE PRM_230	// NOT-Funktion Verhalten
{
    LABEL		[TXT_PRM_230];
    HELP		[HLP_PRM_230];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_254
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_255] }, // Stop
        { 1, [TXT_TYP_256] }, // Fahre ZU
        { 2, [TXT_TYP_257] }  // Fahre AUF
        IF (PRM_1169 == 1) {{ 3, [TXT_TYP_258] }} // Fahre auf Position (using RULE_14)
    }
    HANDLING		READ & WRITE;
	VALIDITY		IF (PRM_2923 != 0) { TRUE; } ELSE { FALSE; }  // using RULE_12
}
ReadCmdDef(PRM_230, 2, 30)
WriteCmdDef(PRM_230, 2, 30)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_231
// 
VARIABLE PRM_231	// NOT-Position
{
    LABEL		[TXT_PRM_231];
    HELP		[HLP_PRM_231];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	1000;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
	VALIDITY		IF (PRM_2923 != 0) { TRUE; } ELSE { FALSE; }  // using RULE_12
}
ReadCmdDef(PRM_231, 2, 31)
WriteCmdDef(PRM_231, 2, 31)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_466
// 
VARIABLE PRM_466	// Stützpunkt 2 Position
{
    LABEL		[TXT_PRM_466];
    HELP		[HLP_PRM_466];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	1000;
        DEFAULT_VALUE	250;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_466, 4, 66)
WriteCmdDef(PRM_466, 4, 66)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_467
// 
VARIABLE PRM_467	// Stützpunkt 2 Fahrverhalten
{
    LABEL		[TXT_PRM_467];
    HELP		[HLP_PRM_467];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_78
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_79] }, // nicht verwendet
        { 1, [TXT_TYP_80] }, // bei Fahrt in Richtung AUF bleibt der Antrieb am Stützpunkt stehen.
        { 2, [TXT_TYP_81] }, // bei Fahrt in Richtung ZU bleibt der Antrieb am Stützpunkt stehen.
        { 3, [TXT_TYP_82] }, // beim Erreichen des Stützpunkts bleibt der Antrieb stehen
        { 4, [TXT_TYP_643] }, // bei Fahrt in Richtung AUF bleibt der Antrieb am Stützpunkt stehen; liegt nach Ablauf einer Pausenzeit immer noch ein Fahrbefehl in Richtung AUF an, dann wird die Fahrt fortgesetzt. Ein Fahrbefehl in Gegenrichtung während der Pause wird umgehend ausgeführt.
        { 5, [TXT_TYP_644] }, // bei Fahrt in Richtung ZU bleibt der Antrieb am Stützpunkt stehen; liegt nach Ablauf einer Pausenzeit immer noch ein Fahrbefehl in Richtung ZU an, dann wird die Fahrt fortgesetzt. Ein Fahrbefehl in Gegenrichtung während der Pause wird umgehend ausgeführt.
        { 6, [TXT_TYP_645] }  // beim Erreichen des Stützpunkts bleibt der Antrieb stehen; liegt nach Ablauf einer Pausenzeit immer noch ein Fahrbefehl an, dann wird die Fahrt abhängig vom Inhalt des Fahrbefehls fortgesetzt.
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_467, 4, 67)
WriteCmdDef(PRM_467, 4, 67)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_468
// 
VARIABLE PRM_468	// Stützpunkt 2 Meldeverhalten
{
    LABEL		[TXT_PRM_468];
    HELP		[HLP_PRM_468];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_73
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_74] }, // deaktiviert
        { 1, [TXT_TYP_75] }, // Meldung aktiv vom Erreichen der Zwischenstellung bis zur Endlage AUF
        { 2, [TXT_TYP_76] }, // Meldung aktiv von der Endlage ZU bis zum Erreichen der Zwischenstellung
        { 3, [TXT_TYP_77] }  // Meldung ist aktiv im Bereich +-1% um die definierte Zwischenstellung
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_468, 4, 68)
WriteCmdDef(PRM_468, 4, 68)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_470
// 
VARIABLE PRM_470	// Stützpunkt 3 Position
{
    LABEL		[TXT_PRM_470];
    HELP		[HLP_PRM_470];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	1000;
        DEFAULT_VALUE	350;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_470, 4, 70)
WriteCmdDef(PRM_470, 4, 70)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_471
// 
VARIABLE PRM_471	// Stützpunkt 3 Fahrverhalten
{
    LABEL		[TXT_PRM_471];
    HELP		[HLP_PRM_471];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_78
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_79] }, // nicht verwendet
        { 1, [TXT_TYP_80] }, // bei Fahrt in Richtung AUF bleibt der Antrieb am Stützpunkt stehen.
        { 2, [TXT_TYP_81] }, // bei Fahrt in Richtung ZU bleibt der Antrieb am Stützpunkt stehen.
        { 3, [TXT_TYP_82] }, // beim Erreichen des Stützpunkts bleibt der Antrieb stehen
        { 4, [TXT_TYP_643] }, // bei Fahrt in Richtung AUF bleibt der Antrieb am Stützpunkt stehen; liegt nach Ablauf einer Pausenzeit immer noch ein Fahrbefehl in Richtung AUF an, dann wird die Fahrt fortgesetzt. Ein Fahrbefehl in Gegenrichtung während der Pause wird umgehend ausgeführt.
        { 5, [TXT_TYP_644] }, // bei Fahrt in Richtung ZU bleibt der Antrieb am Stützpunkt stehen; liegt nach Ablauf einer Pausenzeit immer noch ein Fahrbefehl in Richtung ZU an, dann wird die Fahrt fortgesetzt. Ein Fahrbefehl in Gegenrichtung während der Pause wird umgehend ausgeführt.
        { 6, [TXT_TYP_645] }  // beim Erreichen des Stützpunkts bleibt der Antrieb stehen; liegt nach Ablauf einer Pausenzeit immer noch ein Fahrbefehl an, dann wird die Fahrt abhängig vom Inhalt des Fahrbefehls fortgesetzt.
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_471, 4, 71)
WriteCmdDef(PRM_471, 4, 71)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_472
// 
VARIABLE PRM_472	// Stützpunkt 3 Meldeverhalten
{
    LABEL		[TXT_PRM_472];
    HELP		[HLP_PRM_472];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_73
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_74] }, // deaktiviert
        { 1, [TXT_TYP_75] }, // Meldung aktiv vom Erreichen der Zwischenstellung bis zur Endlage AUF
        { 2, [TXT_TYP_76] }, // Meldung aktiv von der Endlage ZU bis zum Erreichen der Zwischenstellung
        { 3, [TXT_TYP_77] }  // Meldung ist aktiv im Bereich +-1% um die definierte Zwischenstellung
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_472, 4, 72)
WriteCmdDef(PRM_472, 4, 72)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_474
// 
VARIABLE PRM_474	// Stützpunkt 4 Position
{
    LABEL		[TXT_PRM_474];
    HELP		[HLP_PRM_474];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	1000;
        DEFAULT_VALUE	450;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_474, 4, 74)
WriteCmdDef(PRM_474, 4, 74)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_475
// 
VARIABLE PRM_475	// Stützpunkt 4 Fahrverhalten
{
    LABEL		[TXT_PRM_475];
    HELP		[HLP_PRM_475];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_78
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_79] }, // nicht verwendet
        { 1, [TXT_TYP_80] }, // bei Fahrt in Richtung AUF bleibt der Antrieb am Stützpunkt stehen.
        { 2, [TXT_TYP_81] }, // bei Fahrt in Richtung ZU bleibt der Antrieb am Stützpunkt stehen.
        { 3, [TXT_TYP_82] }, // beim Erreichen des Stützpunkts bleibt der Antrieb stehen
        { 4, [TXT_TYP_643] }, // bei Fahrt in Richtung AUF bleibt der Antrieb am Stützpunkt stehen; liegt nach Ablauf einer Pausenzeit immer noch ein Fahrbefehl in Richtung AUF an, dann wird die Fahrt fortgesetzt. Ein Fahrbefehl in Gegenrichtung während der Pause wird umgehend ausgeführt.
        { 5, [TXT_TYP_644] }, // bei Fahrt in Richtung ZU bleibt der Antrieb am Stützpunkt stehen; liegt nach Ablauf einer Pausenzeit immer noch ein Fahrbefehl in Richtung ZU an, dann wird die Fahrt fortgesetzt. Ein Fahrbefehl in Gegenrichtung während der Pause wird umgehend ausgeführt.
        { 6, [TXT_TYP_645] }  // beim Erreichen des Stützpunkts bleibt der Antrieb stehen; liegt nach Ablauf einer Pausenzeit immer noch ein Fahrbefehl an, dann wird die Fahrt abhängig vom Inhalt des Fahrbefehls fortgesetzt.
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_475, 4, 75)
WriteCmdDef(PRM_475, 4, 75)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_476
// 
VARIABLE PRM_476	// Stützpunkt 4 Meldeverhalten
{
    LABEL		[TXT_PRM_476];
    HELP		[HLP_PRM_476];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_73
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_74] }, // deaktiviert
        { 1, [TXT_TYP_75] }, // Meldung aktiv vom Erreichen der Zwischenstellung bis zur Endlage AUF
        { 2, [TXT_TYP_76] }, // Meldung aktiv von der Endlage ZU bis zum Erreichen der Zwischenstellung
        { 3, [TXT_TYP_77] }  // Meldung ist aktiv im Bereich +-1% um die definierte Zwischenstellung
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_476, 4, 76)
WriteCmdDef(PRM_476, 4, 76)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_478
// 
VARIABLE PRM_478	// Stützpunkt 5 Position
{
    LABEL		[TXT_PRM_478];
    HELP		[HLP_PRM_478];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	1000;
        DEFAULT_VALUE	550;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_478, 4, 78)
WriteCmdDef(PRM_478, 4, 78)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_479
// 
VARIABLE PRM_479	// Stützpunkt 5 Fahrverhalten
{
    LABEL		[TXT_PRM_479];
    HELP		[HLP_PRM_479];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_78
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_79] }, // nicht verwendet
        { 1, [TXT_TYP_80] }, // bei Fahrt in Richtung AUF bleibt der Antrieb am Stützpunkt stehen.
        { 2, [TXT_TYP_81] }, // bei Fahrt in Richtung ZU bleibt der Antrieb am Stützpunkt stehen.
        { 3, [TXT_TYP_82] }, // beim Erreichen des Stützpunkts bleibt der Antrieb stehen
        { 4, [TXT_TYP_643] }, // bei Fahrt in Richtung AUF bleibt der Antrieb am Stützpunkt stehen; liegt nach Ablauf einer Pausenzeit immer noch ein Fahrbefehl in Richtung AUF an, dann wird die Fahrt fortgesetzt. Ein Fahrbefehl in Gegenrichtung während der Pause wird umgehend ausgeführt.
        { 5, [TXT_TYP_644] }, // bei Fahrt in Richtung ZU bleibt der Antrieb am Stützpunkt stehen; liegt nach Ablauf einer Pausenzeit immer noch ein Fahrbefehl in Richtung ZU an, dann wird die Fahrt fortgesetzt. Ein Fahrbefehl in Gegenrichtung während der Pause wird umgehend ausgeführt.
        { 6, [TXT_TYP_645] }  // beim Erreichen des Stützpunkts bleibt der Antrieb stehen; liegt nach Ablauf einer Pausenzeit immer noch ein Fahrbefehl an, dann wird die Fahrt abhängig vom Inhalt des Fahrbefehls fortgesetzt.
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_479, 4, 79)
WriteCmdDef(PRM_479, 4, 79)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_480
// 
VARIABLE PRM_480	// Stützpunkt 5 Meldeverhalten
{
    LABEL		[TXT_PRM_480];
    HELP		[HLP_PRM_480];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_73
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_74] }, // deaktiviert
        { 1, [TXT_TYP_75] }, // Meldung aktiv vom Erreichen der Zwischenstellung bis zur Endlage AUF
        { 2, [TXT_TYP_76] }, // Meldung aktiv von der Endlage ZU bis zum Erreichen der Zwischenstellung
        { 3, [TXT_TYP_77] }  // Meldung ist aktiv im Bereich +-1% um die definierte Zwischenstellung
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_480, 4, 80)
WriteCmdDef(PRM_480, 4, 80)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_482
// 
VARIABLE PRM_482	// Stützpunkt 6 Position
{
    LABEL		[TXT_PRM_482];
    HELP		[HLP_PRM_482];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	1000;
        DEFAULT_VALUE	650;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_482, 4, 82)
WriteCmdDef(PRM_482, 4, 82)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_483
// 
VARIABLE PRM_483	// Stützpunkt 6 Fahrverhalten
{
    LABEL		[TXT_PRM_483];
    HELP		[HLP_PRM_483];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_78
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_79] }, // nicht verwendet
        { 1, [TXT_TYP_80] }, // bei Fahrt in Richtung AUF bleibt der Antrieb am Stützpunkt stehen.
        { 2, [TXT_TYP_81] }, // bei Fahrt in Richtung ZU bleibt der Antrieb am Stützpunkt stehen.
        { 3, [TXT_TYP_82] }, // beim Erreichen des Stützpunkts bleibt der Antrieb stehen
        { 4, [TXT_TYP_643] }, // bei Fahrt in Richtung AUF bleibt der Antrieb am Stützpunkt stehen; liegt nach Ablauf einer Pausenzeit immer noch ein Fahrbefehl in Richtung AUF an, dann wird die Fahrt fortgesetzt. Ein Fahrbefehl in Gegenrichtung während der Pause wird umgehend ausgeführt.
        { 5, [TXT_TYP_644] }, // bei Fahrt in Richtung ZU bleibt der Antrieb am Stützpunkt stehen; liegt nach Ablauf einer Pausenzeit immer noch ein Fahrbefehl in Richtung ZU an, dann wird die Fahrt fortgesetzt. Ein Fahrbefehl in Gegenrichtung während der Pause wird umgehend ausgeführt.
        { 6, [TXT_TYP_645] }  // beim Erreichen des Stützpunkts bleibt der Antrieb stehen; liegt nach Ablauf einer Pausenzeit immer noch ein Fahrbefehl an, dann wird die Fahrt abhängig vom Inhalt des Fahrbefehls fortgesetzt.
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_483, 4, 83)
WriteCmdDef(PRM_483, 4, 83)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_484
// 
VARIABLE PRM_484	// Stützpunkt 6 Meldeverhalten
{
    LABEL		[TXT_PRM_484];
    HELP		[HLP_PRM_484];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_73
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_74] }, // deaktiviert
        { 1, [TXT_TYP_75] }, // Meldung aktiv vom Erreichen der Zwischenstellung bis zur Endlage AUF
        { 2, [TXT_TYP_76] }, // Meldung aktiv von der Endlage ZU bis zum Erreichen der Zwischenstellung
        { 3, [TXT_TYP_77] }  // Meldung ist aktiv im Bereich +-1% um die definierte Zwischenstellung
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_484, 4, 84)
WriteCmdDef(PRM_484, 4, 84)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_486
// 
VARIABLE PRM_486	// Stützpunkt 7 Position
{
    LABEL		[TXT_PRM_486];
    HELP		[HLP_PRM_486];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	1000;
        DEFAULT_VALUE	750;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_486, 4, 86)
WriteCmdDef(PRM_486, 4, 86)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_487
// 
VARIABLE PRM_487	// Stützpunkt 7 Fahrverhalten
{
    LABEL		[TXT_PRM_487];
    HELP		[HLP_PRM_487];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_78
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_79] }, // nicht verwendet
        { 1, [TXT_TYP_80] }, // bei Fahrt in Richtung AUF bleibt der Antrieb am Stützpunkt stehen.
        { 2, [TXT_TYP_81] }, // bei Fahrt in Richtung ZU bleibt der Antrieb am Stützpunkt stehen.
        { 3, [TXT_TYP_82] }, // beim Erreichen des Stützpunkts bleibt der Antrieb stehen
        { 4, [TXT_TYP_643] }, // bei Fahrt in Richtung AUF bleibt der Antrieb am Stützpunkt stehen; liegt nach Ablauf einer Pausenzeit immer noch ein Fahrbefehl in Richtung AUF an, dann wird die Fahrt fortgesetzt. Ein Fahrbefehl in Gegenrichtung während der Pause wird umgehend ausgeführt.
        { 5, [TXT_TYP_644] }, // bei Fahrt in Richtung ZU bleibt der Antrieb am Stützpunkt stehen; liegt nach Ablauf einer Pausenzeit immer noch ein Fahrbefehl in Richtung ZU an, dann wird die Fahrt fortgesetzt. Ein Fahrbefehl in Gegenrichtung während der Pause wird umgehend ausgeführt.
        { 6, [TXT_TYP_645] }  // beim Erreichen des Stützpunkts bleibt der Antrieb stehen; liegt nach Ablauf einer Pausenzeit immer noch ein Fahrbefehl an, dann wird die Fahrt abhängig vom Inhalt des Fahrbefehls fortgesetzt.
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_487, 4, 87)
WriteCmdDef(PRM_487, 4, 87)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_488
// 
VARIABLE PRM_488	// Stützpunkt 7 Meldeverhalten
{
    LABEL		[TXT_PRM_488];
    HELP		[HLP_PRM_488];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_73
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_74] }, // deaktiviert
        { 1, [TXT_TYP_75] }, // Meldung aktiv vom Erreichen der Zwischenstellung bis zur Endlage AUF
        { 2, [TXT_TYP_76] }, // Meldung aktiv von der Endlage ZU bis zum Erreichen der Zwischenstellung
        { 3, [TXT_TYP_77] }  // Meldung ist aktiv im Bereich +-1% um die definierte Zwischenstellung
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_488, 4, 88)
WriteCmdDef(PRM_488, 4, 88)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_490
// 
VARIABLE PRM_490	// Stützpunkt 8 Position
{
    LABEL		[TXT_PRM_490];
    HELP		[HLP_PRM_490];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	1000;
        DEFAULT_VALUE	850;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_490, 4, 90)
WriteCmdDef(PRM_490, 4, 90)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_491
// 
VARIABLE PRM_491	// Stützpunkt 8 Fahrverhalten
{
    LABEL		[TXT_PRM_491];
    HELP		[HLP_PRM_491];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_78
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_79] }, // nicht verwendet
        { 1, [TXT_TYP_80] }, // bei Fahrt in Richtung AUF bleibt der Antrieb am Stützpunkt stehen.
        { 2, [TXT_TYP_81] }, // bei Fahrt in Richtung ZU bleibt der Antrieb am Stützpunkt stehen.
        { 3, [TXT_TYP_82] }, // beim Erreichen des Stützpunkts bleibt der Antrieb stehen
        { 4, [TXT_TYP_643] }, // bei Fahrt in Richtung AUF bleibt der Antrieb am Stützpunkt stehen; liegt nach Ablauf einer Pausenzeit immer noch ein Fahrbefehl in Richtung AUF an, dann wird die Fahrt fortgesetzt. Ein Fahrbefehl in Gegenrichtung während der Pause wird umgehend ausgeführt.
        { 5, [TXT_TYP_644] }, // bei Fahrt in Richtung ZU bleibt der Antrieb am Stützpunkt stehen; liegt nach Ablauf einer Pausenzeit immer noch ein Fahrbefehl in Richtung ZU an, dann wird die Fahrt fortgesetzt. Ein Fahrbefehl in Gegenrichtung während der Pause wird umgehend ausgeführt.
        { 6, [TXT_TYP_645] }  // beim Erreichen des Stützpunkts bleibt der Antrieb stehen; liegt nach Ablauf einer Pausenzeit immer noch ein Fahrbefehl an, dann wird die Fahrt abhängig vom Inhalt des Fahrbefehls fortgesetzt.
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_491, 4, 91)
WriteCmdDef(PRM_491, 4, 91)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_492
// 
VARIABLE PRM_492	// Stützpunkt 8 Meldeverhalten
{
    LABEL		[TXT_PRM_492];
    HELP		[HLP_PRM_492];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_73
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_74] }, // deaktiviert
        { 1, [TXT_TYP_75] }, // Meldung aktiv vom Erreichen der Zwischenstellung bis zur Endlage AUF
        { 2, [TXT_TYP_76] }, // Meldung aktiv von der Endlage ZU bis zum Erreichen der Zwischenstellung
        { 3, [TXT_TYP_77] }  // Meldung ist aktiv im Bereich +-1% um die definierte Zwischenstellung
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_492, 4, 92)
WriteCmdDef(PRM_492, 4, 92)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_495
// 
VARIABLE PRM_495	// MotorRunningTime (Factory)
{
    LABEL		[TXT_PRM_495];
    HELP		[HLP_PRM_495];
    CLASS		DIAGNOSTIC /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ;
}
ReadCmdDef(PRM_495, 4, 95)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_496
// 
VARIABLE PRM_496	// NumberOfStarts (Factory)
{
    LABEL		[TXT_PRM_496];
    HELP		[HLP_PRM_496];
    CLASS		DIAGNOSTIC /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_496, 4, 96)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_497
// 
VARIABLE PRM_497	// StopsTrqClose (Factory)
{
    LABEL		[TXT_PRM_497];
    HELP		[HLP_PRM_497];
    CLASS		DIAGNOSTIC /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_497, 4, 97)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_498
// 
VARIABLE PRM_498	// StopsPosClose (Factory)
{
    LABEL		[TXT_PRM_498];
    HELP		[HLP_PRM_498];
    CLASS		DIAGNOSTIC /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_498, 4, 98)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_499
// 
VARIABLE PRM_499	// StopsTrqOpen (Factory)
{
    LABEL		[TXT_PRM_499];
    HELP		[HLP_PRM_499];
    CLASS		DIAGNOSTIC /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_499, 4, 99)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_500
// 
VARIABLE PRM_500	// StopsPosOpen (Factory)
{
    LABEL		[TXT_PRM_500];
    HELP		[HLP_PRM_500];
    CLASS		DIAGNOSTIC /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_500, 5, 0)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_501
// 
VARIABLE PRM_501	// ErrorsTrqClose (Factory)
{
    LABEL		[TXT_PRM_501];
    HELP		[HLP_PRM_501];
    CLASS		DIAGNOSTIC /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_501, 5, 1)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_502
// 
VARIABLE PRM_502	// ErrorsTrqOpen (Factory)
{
    LABEL		[TXT_PRM_502];
    HELP		[HLP_PRM_502];
    CLASS		DIAGNOSTIC /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_502, 5, 2)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_503
// 
VARIABLE PRM_503	// ErrorsThermo (Factory)
{
    LABEL		[TXT_PRM_503];
    HELP		[HLP_PRM_503];
    CLASS		DIAGNOSTIC /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_503, 5, 3)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_505
// 
VARIABLE PRM_505	// ErrorsEDTime (Factory)
{
    LABEL		[TXT_PRM_505];
    HELP		[HLP_PRM_505];
    CLASS		DIAGNOSTIC /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_505, 5, 5)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_506
// 
VARIABLE PRM_506	// ErrorsEDMax (Factory)
{
    LABEL		[TXT_PRM_506];
    HELP		[HLP_PRM_506];
    CLASS		DIAGNOSTIC /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_506, 5, 6)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_507
// 
VARIABLE PRM_507	// Resets (Factory)
{
    LABEL		[TXT_PRM_507];
    HELP		[HLP_PRM_507];
    CLASS		DIAGNOSTIC /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_507, 5, 7)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_519
// 
VARIABLE PRM_519	// Selbsthaltungsverhalten Fern1
{
    LABEL		[TXT_PRM_519];
    HELP		[HLP_PRM_519];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_62
    {
        DEFAULT_VALUE	3;
        { 0, [TXT_TYP_63] }, // ausgeschaltet (Tippbetrieb AUF + ZU)
        { 1, [TXT_TYP_64] }, // Selbsthaltung AUF, Tippbetrieb ZU
        { 2, [TXT_TYP_360] }, // Selbsthaltung ZU, Tippbetrieb AUF
        { 3, [TXT_TYP_362] }, // Selbsthaltung AUF + ZU
        { 4, [TXT_TYP_363] }  // Direkt AUF-ZU
    }
    HANDLING		READ & WRITE;
	VALIDITY		IF (PRM_45 == 1) { TRUE; } ELSE { FALSE; }  // using RULE_19
}
ReadCmdDef(PRM_519, 5, 19)
WriteCmdDef(PRM_519, 5, 19)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_533
// 
VARIABLE PRM_533	// Selbsthaltungsverhalten Fern2
{
    LABEL		[TXT_PRM_533];
    HELP		[HLP_PRM_533];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_62
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_63] }, // ausgeschaltet (Tippbetrieb AUF + ZU)
        { 1, [TXT_TYP_64] }, // Selbsthaltung AUF, Tippbetrieb ZU
        { 2, [TXT_TYP_360] }, // Selbsthaltung ZU, Tippbetrieb AUF
        { 3, [TXT_TYP_362] }, // Selbsthaltung AUF + ZU
        { 4, [TXT_TYP_363] }  // Direkt AUF-ZU
    }
    HANDLING		READ & WRITE;
	VALIDITY		IF (PRM_2415 == 1) { TRUE; } ELSE { FALSE; }  // using RULE_20
}
ReadCmdDef(PRM_533, 5, 33)
WriteCmdDef(PRM_533, 5, 33)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_557
// 
VARIABLE PRM_557	// Prozesswert
{
    LABEL		[TXT_PRM_557];
    HELP		[HLP_PRM_557];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_273
    {
        DEFAULT_VALUE	269;
        { 372, [TXT_TYP_724] }, // Nicht verwendet (Verdrahtet mit konstante 0)
        { 259, [TXT_TYP_310] }, // Endlage ZU
        { 258, [TXT_TYP_309] }, // Endlage AUF
        { 370, [TXT_TYP_968] }, // Endlage_ZU+Blinker
        { 369, [TXT_TYP_969] }, // Endlage_AUF+Blinker
        { 401, [TXT_TYP_743] }, // Ist bei Sollposition
        { 265, [TXT_TYP_740] }, // Fährt ZU
        { 264, [TXT_TYP_741] }, // Fährt AUF
        { 113, [TXT_TYP_744] }, // Wahlschalter ORT
        { 115, [TXT_TYP_311] }, // Wahlschalter FERN
        { 116, [TXT_TYP_990] }, // WahlschalterAUS
        { 376, [TXT_TYP_318] }, // Wegschalter ZU
        { 375, [TXT_TYP_317] }, // Wegschalter AUF
        { 460, [TXT_TYP_320] }, // Drehmoschalter ZU
        { 459, [TXT_TYP_319] }, // Drehmoschalter AUF
        { 86, [TXT_TYP_747] }, // Gerätestatus Namur Ausfall
        { 84, [TXT_TYP_748] }, // Gerätestatus Namur Funktionskontrolle
        { 83, [TXT_TYP_749] }, // Gerätestatus Namur Ausserh. d. Spezifikation
        { 85, [TXT_TYP_750] }, // Gerätestatus Namur Wartungsbedarf
        { 79, [TXT_TYP_696] }, // Fehler
        { 78, [TXT_TYP_739] }, // Warnungen
        { 80, [TXT_TYP_742] }, // Nicht  bereit FERN
        { 554, [TXT_TYP_757] }, // Fahrpause
        { 560, [TXT_TYP_755] }, // Taktstrecke betreten
        { 603, [TXT_TYP_754] }, // Antrieb fährt
        { 539, [TXT_TYP_751] }, // Fährt von Ort
        { 540, [TXT_TYP_752] }, // Fährt von Fern
        { 541, [TXT_TYP_753] }, // Fährt mit Handrad
        { 549, [TXT_TYP_756] }, // In Mittelstellung
        { 392, [TXT_TYP_767] }, // Zwischenstellung 1
        { 399, [TXT_TYP_766] }, // Zwischenstellung 2
        { 398, [TXT_TYP_765] }, // Zwischenstellung 3
        { 397, [TXT_TYP_764] }, // Zwischenstellung 4
        { 396, [TXT_TYP_762] }, // Zwischenstellung 5
        { 395, [TXT_TYP_760] }, // Zwischenstellung 6
        { 394, [TXT_TYP_759] }, // Zwischenstellung 7
        { 393, [TXT_TYP_758] }, // Zwischenstellung 8
        { 500, [TXT_TYP_772] }, // Digitaleingang 1
        { 501, [TXT_TYP_771] }, // Digitaleingang 2
        { 505, [TXT_TYP_770] }, // Digitaleingang 3
        { 504, [TXT_TYP_763] }, // Digitaleingang 4
        { 503, [TXT_TYP_769] }, // Digitaleingang 5
        { 502, [TXT_TYP_768] }, // Digitaleingang 6
        { 285, [TXT_TYP_991] }, // NOT-HALT aktiv
        { 269, [TXT_TYP_312] }, // Drehmofehler ZU
        { 268, [TXT_TYP_313] }, // Drehmofehler AUF
        { 546, [TXT_TYP_989] }, //  DrehmoFehler
        { 270, [TXT_TYP_314] }, // Thermofehler
        { 302, [TXT_TYP_315] }  // Phasenfehler
        IF (PRM_181 != 0) {{ 466, [TXT_TYP_970] }} // Feldbus_Digout_01 (using RULE_304)
        IF (PRM_181 != 0) {{ 467, [TXT_TYP_971] }} // Feldbus_Digout_02 (using RULE_304)
        IF (PRM_181 != 0) {{ 468, [TXT_TYP_972] }} // Feldbus_Digout_03 (using RULE_304)
        IF (PRM_181 != 0) {{ 469, [TXT_TYP_973] }} // Feldbus_Digout_04 (using RULE_304)
        IF (PRM_181 != 0) {{ 470, [TXT_TYP_974] }} // Feldbus_Digout_05 (using RULE_304)
        IF (PRM_181 != 0) {{ 471, [TXT_TYP_975] }} // Feldbus_Digout_06 (using RULE_304)
        IF (PRM_181 != 0) {{ 472, [TXT_TYP_976] }} // Feldbus_Digout_07 (using RULE_304)
        IF (PRM_181 != 0) {{ 473, [TXT_TYP_977] }} // Feldbus_Digout_08 (using RULE_304)
        IF (PRM_181 != 0) {{ 474, [TXT_TYP_978] }} // Feldbus_Digout_09 (using RULE_304)
        IF (PRM_181 != 0) {{ 475, [TXT_TYP_979] }} // Feldbus_Digout_10 (using RULE_304)
        IF (PRM_181 != 0) {{ 476, [TXT_TYP_980] }} // Feldbus_Digout_11 (using RULE_304)
        IF (PRM_181 != 0) {{ 477, [TXT_TYP_981] }} // Feldbus_Digout_12 (using RULE_304)
        IF (PRM_181 != 0) {{ 606, [TXT_TYP_1319], [HLP_TYP_1319] }} // Feldbus Fail Safe aktiv (using RULE_304)
        { 553, [TXT_TYP_1400], [HLP_TYP_1400] }, // Handradschalter ist betätigt
        { 952, [TXT_TYP_1415] }, // PVST aktiv
        { 953, [TXT_TYP_1416] }, // PVST Error
        { 954, [TXT_TYP_1417] }, // PVST Abbruch
        { 94, [TXT_TYP_1619], [HLP_TYP_1619] }, // Störung AC1 kompatibel
        { 753, [TXT_TYP_1630] }, // Interlock FERN
        { 754, [TXT_TYP_1631] }, // Interlock ORT
        { 755, [TXT_TYP_1632] }, // Interlock AUF
        { 756, [TXT_TYP_1633] }, // Interlock ZU
        { 757, [TXT_TYP_1634] }, // Interlock wurde ausglöst
        { 1016, [TXT_TYP_1658] }, // Bypass Sync Out
        { 1017, [TXT_TYP_1659] }  // Bypass Interlock
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_557, 5, 57)
WriteCmdDef(PRM_557, 5, 57)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_561
// 
VARIABLE PRM_561	// Prozesswert  (Auswahl Input Link)
{
    LABEL		[TXT_PRM_561];
    HELP		[HLP_PRM_561];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_273
    {
        DEFAULT_VALUE	270;
        { 372, [TXT_TYP_724] }, // Nicht verwendet (Verdrahtet mit konstante 0)
        { 259, [TXT_TYP_310] }, // Endlage ZU
        { 258, [TXT_TYP_309] }, // Endlage AUF
        { 370, [TXT_TYP_968] }, // Endlage_ZU+Blinker
        { 369, [TXT_TYP_969] }, // Endlage_AUF+Blinker
        { 401, [TXT_TYP_743] }, // Ist bei Sollposition
        { 265, [TXT_TYP_740] }, // Fährt ZU
        { 264, [TXT_TYP_741] }, // Fährt AUF
        { 113, [TXT_TYP_744] }, // Wahlschalter ORT
        { 115, [TXT_TYP_311] }, // Wahlschalter FERN
        { 116, [TXT_TYP_990] }, // WahlschalterAUS
        { 376, [TXT_TYP_318] }, // Wegschalter ZU
        { 375, [TXT_TYP_317] }, // Wegschalter AUF
        { 460, [TXT_TYP_320] }, // Drehmoschalter ZU
        { 459, [TXT_TYP_319] }, // Drehmoschalter AUF
        { 86, [TXT_TYP_747] }, // Gerätestatus Namur Ausfall
        { 84, [TXT_TYP_748] }, // Gerätestatus Namur Funktionskontrolle
        { 83, [TXT_TYP_749] }, // Gerätestatus Namur Ausserh. d. Spezifikation
        { 85, [TXT_TYP_750] }, // Gerätestatus Namur Wartungsbedarf
        { 79, [TXT_TYP_696] }, // Fehler
        { 78, [TXT_TYP_739] }, // Warnungen
        { 80, [TXT_TYP_742] }, // Nicht  bereit FERN
        { 554, [TXT_TYP_757] }, // Fahrpause
        { 560, [TXT_TYP_755] }, // Taktstrecke betreten
        { 603, [TXT_TYP_754] }, // Antrieb fährt
        { 539, [TXT_TYP_751] }, // Fährt von Ort
        { 540, [TXT_TYP_752] }, // Fährt von Fern
        { 541, [TXT_TYP_753] }, // Fährt mit Handrad
        { 549, [TXT_TYP_756] }, // In Mittelstellung
        { 392, [TXT_TYP_767] }, // Zwischenstellung 1
        { 399, [TXT_TYP_766] }, // Zwischenstellung 2
        { 398, [TXT_TYP_765] }, // Zwischenstellung 3
        { 397, [TXT_TYP_764] }, // Zwischenstellung 4
        { 396, [TXT_TYP_762] }, // Zwischenstellung 5
        { 395, [TXT_TYP_760] }, // Zwischenstellung 6
        { 394, [TXT_TYP_759] }, // Zwischenstellung 7
        { 393, [TXT_TYP_758] }, // Zwischenstellung 8
        { 500, [TXT_TYP_772] }, // Digitaleingang 1
        { 501, [TXT_TYP_771] }, // Digitaleingang 2
        { 505, [TXT_TYP_770] }, // Digitaleingang 3
        { 504, [TXT_TYP_763] }, // Digitaleingang 4
        { 503, [TXT_TYP_769] }, // Digitaleingang 5
        { 502, [TXT_TYP_768] }, // Digitaleingang 6
        { 285, [TXT_TYP_991] }, // NOT-HALT aktiv
        { 269, [TXT_TYP_312] }, // Drehmofehler ZU
        { 268, [TXT_TYP_313] }, // Drehmofehler AUF
        { 546, [TXT_TYP_989] }, //  DrehmoFehler
        { 270, [TXT_TYP_314] }, // Thermofehler
        { 302, [TXT_TYP_315] }  // Phasenfehler
        IF (PRM_181 != 0) {{ 466, [TXT_TYP_970] }} // Feldbus_Digout_01 (using RULE_304)
        IF (PRM_181 != 0) {{ 467, [TXT_TYP_971] }} // Feldbus_Digout_02 (using RULE_304)
        IF (PRM_181 != 0) {{ 468, [TXT_TYP_972] }} // Feldbus_Digout_03 (using RULE_304)
        IF (PRM_181 != 0) {{ 469, [TXT_TYP_973] }} // Feldbus_Digout_04 (using RULE_304)
        IF (PRM_181 != 0) {{ 470, [TXT_TYP_974] }} // Feldbus_Digout_05 (using RULE_304)
        IF (PRM_181 != 0) {{ 471, [TXT_TYP_975] }} // Feldbus_Digout_06 (using RULE_304)
        IF (PRM_181 != 0) {{ 472, [TXT_TYP_976] }} // Feldbus_Digout_07 (using RULE_304)
        IF (PRM_181 != 0) {{ 473, [TXT_TYP_977] }} // Feldbus_Digout_08 (using RULE_304)
        IF (PRM_181 != 0) {{ 474, [TXT_TYP_978] }} // Feldbus_Digout_09 (using RULE_304)
        IF (PRM_181 != 0) {{ 475, [TXT_TYP_979] }} // Feldbus_Digout_10 (using RULE_304)
        IF (PRM_181 != 0) {{ 476, [TXT_TYP_980] }} // Feldbus_Digout_11 (using RULE_304)
        IF (PRM_181 != 0) {{ 477, [TXT_TYP_981] }} // Feldbus_Digout_12 (using RULE_304)
        IF (PRM_181 != 0) {{ 606, [TXT_TYP_1319], [HLP_TYP_1319] }} // Feldbus Fail Safe aktiv (using RULE_304)
        { 553, [TXT_TYP_1400], [HLP_TYP_1400] }, // Handradschalter ist betätigt
        { 952, [TXT_TYP_1415] }, // PVST aktiv
        { 953, [TXT_TYP_1416] }, // PVST Error
        { 954, [TXT_TYP_1417] }, // PVST Abbruch
        { 94, [TXT_TYP_1619], [HLP_TYP_1619] }, // Störung AC1 kompatibel
        { 753, [TXT_TYP_1630] }, // Interlock FERN
        { 754, [TXT_TYP_1631] }, // Interlock ORT
        { 755, [TXT_TYP_1632] }, // Interlock AUF
        { 756, [TXT_TYP_1633] }, // Interlock ZU
        { 757, [TXT_TYP_1634] }, // Interlock wurde ausglöst
        { 1016, [TXT_TYP_1658] }, // Bypass Sync Out
        { 1017, [TXT_TYP_1659] }  // Bypass Interlock
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_561, 5, 61)
WriteCmdDef(PRM_561, 5, 61)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_565
// 
VARIABLE PRM_565	// Prozesswert  (Auswahl Input Link)
{
    LABEL		[TXT_PRM_565];
    HELP		[HLP_PRM_565];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_273
    {
        DEFAULT_VALUE	268;
        { 372, [TXT_TYP_724] }, // Nicht verwendet (Verdrahtet mit konstante 0)
        { 259, [TXT_TYP_310] }, // Endlage ZU
        { 258, [TXT_TYP_309] }, // Endlage AUF
        { 370, [TXT_TYP_968] }, // Endlage_ZU+Blinker
        { 369, [TXT_TYP_969] }, // Endlage_AUF+Blinker
        { 401, [TXT_TYP_743] }, // Ist bei Sollposition
        { 265, [TXT_TYP_740] }, // Fährt ZU
        { 264, [TXT_TYP_741] }, // Fährt AUF
        { 113, [TXT_TYP_744] }, // Wahlschalter ORT
        { 115, [TXT_TYP_311] }, // Wahlschalter FERN
        { 116, [TXT_TYP_990] }, // WahlschalterAUS
        { 376, [TXT_TYP_318] }, // Wegschalter ZU
        { 375, [TXT_TYP_317] }, // Wegschalter AUF
        { 460, [TXT_TYP_320] }, // Drehmoschalter ZU
        { 459, [TXT_TYP_319] }, // Drehmoschalter AUF
        { 86, [TXT_TYP_747] }, // Gerätestatus Namur Ausfall
        { 84, [TXT_TYP_748] }, // Gerätestatus Namur Funktionskontrolle
        { 83, [TXT_TYP_749] }, // Gerätestatus Namur Ausserh. d. Spezifikation
        { 85, [TXT_TYP_750] }, // Gerätestatus Namur Wartungsbedarf
        { 79, [TXT_TYP_696] }, // Fehler
        { 78, [TXT_TYP_739] }, // Warnungen
        { 80, [TXT_TYP_742] }, // Nicht  bereit FERN
        { 554, [TXT_TYP_757] }, // Fahrpause
        { 560, [TXT_TYP_755] }, // Taktstrecke betreten
        { 603, [TXT_TYP_754] }, // Antrieb fährt
        { 539, [TXT_TYP_751] }, // Fährt von Ort
        { 540, [TXT_TYP_752] }, // Fährt von Fern
        { 541, [TXT_TYP_753] }, // Fährt mit Handrad
        { 549, [TXT_TYP_756] }, // In Mittelstellung
        { 392, [TXT_TYP_767] }, // Zwischenstellung 1
        { 399, [TXT_TYP_766] }, // Zwischenstellung 2
        { 398, [TXT_TYP_765] }, // Zwischenstellung 3
        { 397, [TXT_TYP_764] }, // Zwischenstellung 4
        { 396, [TXT_TYP_762] }, // Zwischenstellung 5
        { 395, [TXT_TYP_760] }, // Zwischenstellung 6
        { 394, [TXT_TYP_759] }, // Zwischenstellung 7
        { 393, [TXT_TYP_758] }, // Zwischenstellung 8
        { 500, [TXT_TYP_772] }, // Digitaleingang 1
        { 501, [TXT_TYP_771] }, // Digitaleingang 2
        { 505, [TXT_TYP_770] }, // Digitaleingang 3
        { 504, [TXT_TYP_763] }, // Digitaleingang 4
        { 503, [TXT_TYP_769] }, // Digitaleingang 5
        { 502, [TXT_TYP_768] }, // Digitaleingang 6
        { 285, [TXT_TYP_991] }, // NOT-HALT aktiv
        { 269, [TXT_TYP_312] }, // Drehmofehler ZU
        { 268, [TXT_TYP_313] }, // Drehmofehler AUF
        { 546, [TXT_TYP_989] }, //  DrehmoFehler
        { 270, [TXT_TYP_314] }, // Thermofehler
        { 302, [TXT_TYP_315] }  // Phasenfehler
        IF (PRM_181 != 0) {{ 466, [TXT_TYP_970] }} // Feldbus_Digout_01 (using RULE_304)
        IF (PRM_181 != 0) {{ 467, [TXT_TYP_971] }} // Feldbus_Digout_02 (using RULE_304)
        IF (PRM_181 != 0) {{ 468, [TXT_TYP_972] }} // Feldbus_Digout_03 (using RULE_304)
        IF (PRM_181 != 0) {{ 469, [TXT_TYP_973] }} // Feldbus_Digout_04 (using RULE_304)
        IF (PRM_181 != 0) {{ 470, [TXT_TYP_974] }} // Feldbus_Digout_05 (using RULE_304)
        IF (PRM_181 != 0) {{ 471, [TXT_TYP_975] }} // Feldbus_Digout_06 (using RULE_304)
        IF (PRM_181 != 0) {{ 472, [TXT_TYP_976] }} // Feldbus_Digout_07 (using RULE_304)
        IF (PRM_181 != 0) {{ 473, [TXT_TYP_977] }} // Feldbus_Digout_08 (using RULE_304)
        IF (PRM_181 != 0) {{ 474, [TXT_TYP_978] }} // Feldbus_Digout_09 (using RULE_304)
        IF (PRM_181 != 0) {{ 475, [TXT_TYP_979] }} // Feldbus_Digout_10 (using RULE_304)
        IF (PRM_181 != 0) {{ 476, [TXT_TYP_980] }} // Feldbus_Digout_11 (using RULE_304)
        IF (PRM_181 != 0) {{ 477, [TXT_TYP_981] }} // Feldbus_Digout_12 (using RULE_304)
        IF (PRM_181 != 0) {{ 606, [TXT_TYP_1319], [HLP_TYP_1319] }} // Feldbus Fail Safe aktiv (using RULE_304)
        { 553, [TXT_TYP_1400], [HLP_TYP_1400] }, // Handradschalter ist betätigt
        { 952, [TXT_TYP_1415] }, // PVST aktiv
        { 953, [TXT_TYP_1416] }, // PVST Error
        { 954, [TXT_TYP_1417] }, // PVST Abbruch
        { 94, [TXT_TYP_1619], [HLP_TYP_1619] }, // Störung AC1 kompatibel
        { 753, [TXT_TYP_1630] }, // Interlock FERN
        { 754, [TXT_TYP_1631] }, // Interlock ORT
        { 755, [TXT_TYP_1632] }, // Interlock AUF
        { 756, [TXT_TYP_1633] }, // Interlock ZU
        { 757, [TXT_TYP_1634] }, // Interlock wurde ausglöst
        { 1016, [TXT_TYP_1658] }, // Bypass Sync Out
        { 1017, [TXT_TYP_1659] }  // Bypass Interlock
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_565, 5, 65)
WriteCmdDef(PRM_565, 5, 65)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_569
// 
VARIABLE PRM_569	// Prozesswert  (Auswahl Input Link)
{
    LABEL		[TXT_PRM_569];
    HELP		[HLP_PRM_569];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_273
    {
        DEFAULT_VALUE	369;
        { 372, [TXT_TYP_724] }, // Nicht verwendet (Verdrahtet mit konstante 0)
        { 259, [TXT_TYP_310] }, // Endlage ZU
        { 258, [TXT_TYP_309] }, // Endlage AUF
        { 370, [TXT_TYP_968] }, // Endlage_ZU+Blinker
        { 369, [TXT_TYP_969] }, // Endlage_AUF+Blinker
        { 401, [TXT_TYP_743] }, // Ist bei Sollposition
        { 265, [TXT_TYP_740] }, // Fährt ZU
        { 264, [TXT_TYP_741] }, // Fährt AUF
        { 113, [TXT_TYP_744] }, // Wahlschalter ORT
        { 115, [TXT_TYP_311] }, // Wahlschalter FERN
        { 116, [TXT_TYP_990] }, // WahlschalterAUS
        { 376, [TXT_TYP_318] }, // Wegschalter ZU
        { 375, [TXT_TYP_317] }, // Wegschalter AUF
        { 460, [TXT_TYP_320] }, // Drehmoschalter ZU
        { 459, [TXT_TYP_319] }, // Drehmoschalter AUF
        { 86, [TXT_TYP_747] }, // Gerätestatus Namur Ausfall
        { 84, [TXT_TYP_748] }, // Gerätestatus Namur Funktionskontrolle
        { 83, [TXT_TYP_749] }, // Gerätestatus Namur Ausserh. d. Spezifikation
        { 85, [TXT_TYP_750] }, // Gerätestatus Namur Wartungsbedarf
        { 79, [TXT_TYP_696] }, // Fehler
        { 78, [TXT_TYP_739] }, // Warnungen
        { 80, [TXT_TYP_742] }, // Nicht  bereit FERN
        { 554, [TXT_TYP_757] }, // Fahrpause
        { 560, [TXT_TYP_755] }, // Taktstrecke betreten
        { 603, [TXT_TYP_754] }, // Antrieb fährt
        { 539, [TXT_TYP_751] }, // Fährt von Ort
        { 540, [TXT_TYP_752] }, // Fährt von Fern
        { 541, [TXT_TYP_753] }, // Fährt mit Handrad
        { 549, [TXT_TYP_756] }, // In Mittelstellung
        { 392, [TXT_TYP_767] }, // Zwischenstellung 1
        { 399, [TXT_TYP_766] }, // Zwischenstellung 2
        { 398, [TXT_TYP_765] }, // Zwischenstellung 3
        { 397, [TXT_TYP_764] }, // Zwischenstellung 4
        { 396, [TXT_TYP_762] }, // Zwischenstellung 5
        { 395, [TXT_TYP_760] }, // Zwischenstellung 6
        { 394, [TXT_TYP_759] }, // Zwischenstellung 7
        { 393, [TXT_TYP_758] }, // Zwischenstellung 8
        { 500, [TXT_TYP_772] }, // Digitaleingang 1
        { 501, [TXT_TYP_771] }, // Digitaleingang 2
        { 505, [TXT_TYP_770] }, // Digitaleingang 3
        { 504, [TXT_TYP_763] }, // Digitaleingang 4
        { 503, [TXT_TYP_769] }, // Digitaleingang 5
        { 502, [TXT_TYP_768] }, // Digitaleingang 6
        { 285, [TXT_TYP_991] }, // NOT-HALT aktiv
        { 269, [TXT_TYP_312] }, // Drehmofehler ZU
        { 268, [TXT_TYP_313] }, // Drehmofehler AUF
        { 546, [TXT_TYP_989] }, //  DrehmoFehler
        { 270, [TXT_TYP_314] }, // Thermofehler
        { 302, [TXT_TYP_315] }  // Phasenfehler
        IF (PRM_181 != 0) {{ 466, [TXT_TYP_970] }} // Feldbus_Digout_01 (using RULE_304)
        IF (PRM_181 != 0) {{ 467, [TXT_TYP_971] }} // Feldbus_Digout_02 (using RULE_304)
        IF (PRM_181 != 0) {{ 468, [TXT_TYP_972] }} // Feldbus_Digout_03 (using RULE_304)
        IF (PRM_181 != 0) {{ 469, [TXT_TYP_973] }} // Feldbus_Digout_04 (using RULE_304)
        IF (PRM_181 != 0) {{ 470, [TXT_TYP_974] }} // Feldbus_Digout_05 (using RULE_304)
        IF (PRM_181 != 0) {{ 471, [TXT_TYP_975] }} // Feldbus_Digout_06 (using RULE_304)
        IF (PRM_181 != 0) {{ 472, [TXT_TYP_976] }} // Feldbus_Digout_07 (using RULE_304)
        IF (PRM_181 != 0) {{ 473, [TXT_TYP_977] }} // Feldbus_Digout_08 (using RULE_304)
        IF (PRM_181 != 0) {{ 474, [TXT_TYP_978] }} // Feldbus_Digout_09 (using RULE_304)
        IF (PRM_181 != 0) {{ 475, [TXT_TYP_979] }} // Feldbus_Digout_10 (using RULE_304)
        IF (PRM_181 != 0) {{ 476, [TXT_TYP_980] }} // Feldbus_Digout_11 (using RULE_304)
        IF (PRM_181 != 0) {{ 477, [TXT_TYP_981] }} // Feldbus_Digout_12 (using RULE_304)
        IF (PRM_181 != 0) {{ 606, [TXT_TYP_1319], [HLP_TYP_1319] }} // Feldbus Fail Safe aktiv (using RULE_304)
        { 553, [TXT_TYP_1400], [HLP_TYP_1400] }, // Handradschalter ist betätigt
        { 952, [TXT_TYP_1415] }, // PVST aktiv
        { 953, [TXT_TYP_1416] }, // PVST Error
        { 954, [TXT_TYP_1417] }, // PVST Abbruch
        { 94, [TXT_TYP_1619], [HLP_TYP_1619] }, // Störung AC1 kompatibel
        { 753, [TXT_TYP_1630] }, // Interlock FERN
        { 754, [TXT_TYP_1631] }, // Interlock ORT
        { 755, [TXT_TYP_1632] }, // Interlock AUF
        { 756, [TXT_TYP_1633] }, // Interlock ZU
        { 757, [TXT_TYP_1634] }, // Interlock wurde ausglöst
        { 1016, [TXT_TYP_1658] }, // Bypass Sync Out
        { 1017, [TXT_TYP_1659] }  // Bypass Interlock
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_569, 5, 69)
WriteCmdDef(PRM_569, 5, 69)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_578
// 
VARIABLE PRM_578	// Abschaltart ZU
{
    LABEL		[TXT_PRM_578];
    HELP		[HLP_PRM_578];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_59
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_60] }, // wegabhängig
        { 1, [TXT_TYP_61] }  // drehmomentabhängig
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_578, 5, 78)
WriteCmdDef(PRM_578, 5, 78)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_590
// 
VARIABLE PRM_590	// Taktbetrieb Mode ZU
{
    LABEL		[TXT_PRM_590];
    HELP		[HLP_PRM_590];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_68
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_69], [HLP_TYP_69] }, // ausgeschaltet
        { 1, [TXT_TYP_70], [HLP_TYP_70] }, // nur FERN
        { 2, [TXT_TYP_71], [HLP_TYP_71] }, // nur ORT
        { 3, [TXT_TYP_72], [HLP_TYP_72] }  // FERN und ORT
    }
    HANDLING		READ & WRITE;
	VALIDITY		IF (PRM_1177 == 1) { TRUE; } ELSE { FALSE; }  // using RULE_16
}
ReadCmdDef(PRM_590, 5, 90)
WriteCmdDef(PRM_590, 5, 90)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_591
// 
VARIABLE PRM_591	// Taktpausenzeit ZU
{
    LABEL		[TXT_PRM_591];
    HELP		[HLP_PRM_591];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
#ifdef dtmGENERATOR
    TYPE		TIME_MMSS01
#else
    TYPE		UNSIGNED_INTEGER (2)
#endif /* dtmGENERATOR */
    {
        MIN_VALUE	10;
        MAX_VALUE	18000;
        DEFAULT_VALUE	50;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    POST_READ_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_591, uiPRM_591),
        DEFINITION{ uiPRM_591.VARIABLE_STATUS = PRM_591.VARIABLE_STATUS; }
    }
	VALIDITY		IF (PRM_1177 == 1) { TRUE; } ELSE { FALSE; }  // using RULE_16
}
ReadCmdDef(PRM_591, 5, 91)
WriteCmdDef(PRM_591, 5, 91)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_592
// 
VARIABLE PRM_592	// Taktfahrzeit ZU
{
    LABEL		[TXT_PRM_592];
    HELP		[HLP_PRM_592];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
#ifdef dtmGENERATOR
    TYPE		TIME_MMSS01
#else
    TYPE		UNSIGNED_INTEGER (2)
#endif /* dtmGENERATOR */
    {
        MIN_VALUE	10;
        MAX_VALUE	18000;
        DEFAULT_VALUE	50;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    POST_READ_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_592, uiPRM_592),
        DEFINITION{ uiPRM_592.VARIABLE_STATUS = PRM_592.VARIABLE_STATUS; }
    }
	VALIDITY		IF (PRM_1177 == 1) { TRUE; } ELSE { FALSE; }  // using RULE_16
}
ReadCmdDef(PRM_592, 5, 92)
WriteCmdDef(PRM_592, 5, 92)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_593
// 
VARIABLE PRM_593	// Taktstrecke: Ende ZU
{
    LABEL		[TXT_PRM_593];
    HELP		[HLP_PRM_593];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	999;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
	VALIDITY		IF (PRM_1177 == 1) { TRUE; } ELSE { FALSE; }  // using RULE_16
}
ReadCmdDef(PRM_593, 5, 93)
WriteCmdDef(PRM_593, 5, 93)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_594
// 
VARIABLE PRM_594	// Taktstrecke: Start ZU
{
    LABEL		[TXT_PRM_594];
    HELP		[HLP_PRM_594];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	1;
        MAX_VALUE	1000;
        DEFAULT_VALUE	1000;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
	VALIDITY		IF (PRM_1177 == 1) { TRUE; } ELSE { FALSE; }  // using RULE_16
}
ReadCmdDef(PRM_594, 5, 94)
WriteCmdDef(PRM_594, 5, 94)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_606
// 
VARIABLE PRM_606	// MWG-Vorhanden IST-Konfiguration
{
    LABEL		[TXT_PRM_606];
    HELP		[HLP_PRM_606];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_846
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_847] }, // Funktion/Baugruppe nicht vorhanden
        { 1, [TXT_TYP_848] }  // Funktion/Baugruppe vorhanden
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_606, 6, 6)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_873
// 
VARIABLE PRM_873	// DigitalIn1-Signal-Ausgang (Default: MODE)
{
    LABEL		[TXT_PRM_873];
    HELP		[HLP_PRM_873];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_272
    {
        DEFAULT_VALUE	22;
        { 0, [TXT_TYP_988], [HLP_TYP_988] }, // Nichts erzeugt
        { 22, [TXT_TYP_299], [HLP_TYP_299] }, // Fern1-Mode
        { 18, [TXT_TYP_302], [HLP_TYP_302] }, // Fern1_AUF
        { 19, [TXT_TYP_303], [HLP_TYP_303] }, // Fern1_ZU
        { 20, [TXT_TYP_304], [HLP_TYP_304] }, // Fern1_HALT
        { 32, [TXT_TYP_301], [HLP_TYP_301] }  // Fern1_RESET
        IF (((PRM_45 == 1) && (PRM_181 != 0))) {{ 275, [TXT_TYP_691], [HLP_TYP_691] }} // Remote Bus Aktivierung (Bus/Extern) (using RULE_348)
        { 364, [TXT_TYP_688], [HLP_TYP_688] }, // Fern1_Zweidraht
        { 21, [TXT_TYP_300], [HLP_TYP_300] }, // Fern1_ESD
        { 449, [TXT_TYP_680], [HLP_TYP_680] }, // Fern1_Direktfahrt_Pos1
        { 450, [TXT_TYP_681], [HLP_TYP_681] }, // Fern1_Direktfahrt_Pos2
        { 451, [TXT_TYP_682], [HLP_TYP_682] }, // Fern1_Direktfahrt_Pos3
        { 452, [TXT_TYP_683], [HLP_TYP_683] }, // Fern1_Direktfahrt_Pos4
        { 453, [TXT_TYP_684], [HLP_TYP_684] }, // Fern1_Direktfahrt_Pos5
        { 454, [TXT_TYP_685], [HLP_TYP_685] }, // Fern1_Direktfahrt_Pos6
        { 455, [TXT_TYP_686], [HLP_TYP_686] }, // Fern1_Direktfahrt_Pos7
        { 456, [TXT_TYP_687], [HLP_TYP_687] }  // Fern1_Direktfahrt_Pos8
        IF (PRM_181 != 0) {{ 348, [TXT_TYP_305], [HLP_TYP_305] }} // Kunde_DigitalIn_1 (using RULE_304)
        IF (PRM_181 != 0) {{ 349, [TXT_TYP_306], [HLP_TYP_306] }} // Kunde_DigitalIn_2 (using RULE_304)
        IF (PRM_181 != 0) {{ 350, [TXT_TYP_307], [HLP_TYP_307] }} // Kunde_DigitalIn_3 (using RULE_304)
        IF (PRM_181 != 0) {{ 351, [TXT_TYP_308], [HLP_TYP_308] }} // Kunde_DigitalIn_4 (using RULE_304)
        IF (((PRM_3135 == 1)) || ((PRM_3692 == 1))) {{ 716, [TXT_TYP_1122], [HLP_TYP_1122] }} // Freigabe Ortssteuerstelle (using RULE_376)
        IF (PRM_3217 == 1) {{ 722, [TXT_TYP_1150], [HLP_TYP_1150] }} // Interlock Freigabe AUF (using RULE_205)
        IF (PRM_3217 == 1) {{ 723, [TXT_TYP_1151], [HLP_TYP_1151] }} // Interlock Freigabe ZU (using RULE_205)
        IF (PRM_3590 == 1) {{ 821, [TXT_TYP_1261], [HLP_TYP_1261] }} // Prozessregler Sollwert: Intern 1 / Intern 2 (using RULE_77)
        { 274, [TXT_TYP_1293] }, // FERN2: Aktivierung
        { 521, [TXT_TYP_1294] }, // FERN2: Fahre AUF
        { 522, [TXT_TYP_1295] }, // FERN2: Fahre ZU
        { 523, [TXT_TYP_1296] }, // FERN2: HALT
        { 949, [TXT_TYP_1414] }, // PVST Start
        { 1015, [TXT_TYP_1663] }  // Bypass Sync In
    }
    HANDLING		READ;
	VALIDITY		IF (((PRM_45 == 1) && (PRM_2281 >= 4))) { TRUE; } ELSE { FALSE; }  // using RULE_31
}
ReadCmdDef(PRM_873, 8, 73)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_878
// 
VARIABLE PRM_878	// IsInverted (Invertierter Eingang)
{
    LABEL		[TXT_PRM_878];
    HELP		[HLP_PRM_878];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_65
    {
        DEFAULT_VALUE	1;
        { 0, [TXT_TYP_66] }, // High-Aktiv
        { 1, [TXT_TYP_67] }  // Low-Aktiv
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_878, 8, 78)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_884
// 
VARIABLE PRM_884	// Digital-Signal-Ausgang 
{
    LABEL		[TXT_PRM_884];
    HELP		[HLP_PRM_884];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_272
    {
        DEFAULT_VALUE	723;
        { 0, [TXT_TYP_988], [HLP_TYP_988] }, // Nichts erzeugt
        { 18, [TXT_TYP_302], [HLP_TYP_302] }, // Fern1_AUF
        { 19, [TXT_TYP_303], [HLP_TYP_303] }, // Fern1_ZU
        { 20, [TXT_TYP_304], [HLP_TYP_304] }, // Fern1_HALT
        { 21, [TXT_TYP_300], [HLP_TYP_300] }, // Fern1_ESD
        { 22, [TXT_TYP_299], [HLP_TYP_299] }, // Fern1-Mode
        { 32, [TXT_TYP_301], [HLP_TYP_301] }  // Fern1_RESET
        IF (((PRM_45 == 1) && (PRM_181 != 0))) {{ 275, [TXT_TYP_691], [HLP_TYP_691] }} // Remote Bus Aktivierung (Bus/Extern) (using RULE_348)
        { 364, [TXT_TYP_688], [HLP_TYP_688] }, // Fern1_Zweidraht
        { 449, [TXT_TYP_680], [HLP_TYP_680] }, // Fern1_Direktfahrt_Pos1
        { 450, [TXT_TYP_681], [HLP_TYP_681] }, // Fern1_Direktfahrt_Pos2
        { 451, [TXT_TYP_682], [HLP_TYP_682] }, // Fern1_Direktfahrt_Pos3
        { 452, [TXT_TYP_683], [HLP_TYP_683] }, // Fern1_Direktfahrt_Pos4
        { 453, [TXT_TYP_684], [HLP_TYP_684] }, // Fern1_Direktfahrt_Pos5
        { 454, [TXT_TYP_685], [HLP_TYP_685] }, // Fern1_Direktfahrt_Pos6
        { 455, [TXT_TYP_686], [HLP_TYP_686] }, // Fern1_Direktfahrt_Pos7
        { 456, [TXT_TYP_687], [HLP_TYP_687] }  // Fern1_Direktfahrt_Pos8
        IF (PRM_181 != 0) {{ 348, [TXT_TYP_305], [HLP_TYP_305] }} // Kunde_DigitalIn_1 (using RULE_304)
        IF (PRM_181 != 0) {{ 349, [TXT_TYP_306], [HLP_TYP_306] }} // Kunde_DigitalIn_2 (using RULE_304)
        IF (PRM_181 != 0) {{ 350, [TXT_TYP_307], [HLP_TYP_307] }} // Kunde_DigitalIn_3 (using RULE_304)
        IF (PRM_181 != 0) {{ 351, [TXT_TYP_308], [HLP_TYP_308] }} // Kunde_DigitalIn_4 (using RULE_304)
        IF (((PRM_3135 == 1)) || ((PRM_3692 == 1))) {{ 716, [TXT_TYP_1122], [HLP_TYP_1122] }} // Freigabe Ortssteuerstelle (using RULE_376)
        IF (PRM_3217 == 1) {{ 722, [TXT_TYP_1150], [HLP_TYP_1150] }} // Interlock Freigabe AUF (using RULE_205)
        IF (PRM_3217 == 1) {{ 723, [TXT_TYP_1151], [HLP_TYP_1151] }} // Interlock Freigabe ZU (using RULE_205)
        IF (PRM_3590 == 1) {{ 821, [TXT_TYP_1261], [HLP_TYP_1261] }} // Prozessregler Sollwert: Intern 1 / Intern 2 (using RULE_77)
        { 274, [TXT_TYP_1293] }, // FERN2: Aktivierung
        { 521, [TXT_TYP_1294] }, // FERN2: Fahre AUF
        { 522, [TXT_TYP_1295] }, // FERN2: Fahre ZU
        { 523, [TXT_TYP_1296] }, // FERN2: HALT
        { 949, [TXT_TYP_1414] }, // PVST Start
        { 1015, [TXT_TYP_1663] }  // Bypass Sync In
    }
    HANDLING		READ;
	VALIDITY		IF (PRM_2415 == 1) { TRUE; } ELSE { FALSE; }  // using RULE_20
}
ReadCmdDef(PRM_884, 8, 84)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_885
// 
VARIABLE PRM_885	// IsInverted (Invertierter Eingang)
{
    LABEL		[TXT_PRM_885];
    HELP		[HLP_PRM_885];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_65
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_66] }, // High-Aktiv
        { 1, [TXT_TYP_67] }  // Low-Aktiv
    }
    HANDLING		READ;
	VALIDITY		IF (PRM_2415 == 1) { TRUE; } ELSE { FALSE; }  // using RULE_20
}
ReadCmdDef(PRM_885, 8, 85)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_890
// 
VARIABLE PRM_890	// Digital-Signal-Ausgang
{
    LABEL		[TXT_PRM_890];
    HELP		[HLP_PRM_890];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_272
    {
        DEFAULT_VALUE	722;
        { 0, [TXT_TYP_988], [HLP_TYP_988] }, // Nichts erzeugt
        { 18, [TXT_TYP_302], [HLP_TYP_302] }, // Fern1_AUF
        { 19, [TXT_TYP_303], [HLP_TYP_303] }, // Fern1_ZU
        { 20, [TXT_TYP_304], [HLP_TYP_304] }, // Fern1_HALT
        { 21, [TXT_TYP_300], [HLP_TYP_300] }, // Fern1_ESD
        { 22, [TXT_TYP_299], [HLP_TYP_299] }, // Fern1-Mode
        { 32, [TXT_TYP_301], [HLP_TYP_301] }  // Fern1_RESET
        IF (((PRM_45 == 1) && (PRM_181 != 0))) {{ 275, [TXT_TYP_691], [HLP_TYP_691] }} // Remote Bus Aktivierung (Bus/Extern) (using RULE_348)
        { 364, [TXT_TYP_688], [HLP_TYP_688] }, // Fern1_Zweidraht
        { 449, [TXT_TYP_680], [HLP_TYP_680] }, // Fern1_Direktfahrt_Pos1
        { 450, [TXT_TYP_681], [HLP_TYP_681] }, // Fern1_Direktfahrt_Pos2
        { 451, [TXT_TYP_682], [HLP_TYP_682] }, // Fern1_Direktfahrt_Pos3
        { 452, [TXT_TYP_683], [HLP_TYP_683] }, // Fern1_Direktfahrt_Pos4
        { 453, [TXT_TYP_684], [HLP_TYP_684] }, // Fern1_Direktfahrt_Pos5
        { 454, [TXT_TYP_685], [HLP_TYP_685] }, // Fern1_Direktfahrt_Pos6
        { 455, [TXT_TYP_686], [HLP_TYP_686] }, // Fern1_Direktfahrt_Pos7
        { 456, [TXT_TYP_687], [HLP_TYP_687] }  // Fern1_Direktfahrt_Pos8
        IF (PRM_181 != 0) {{ 348, [TXT_TYP_305], [HLP_TYP_305] }} // Kunde_DigitalIn_1 (using RULE_304)
        IF (PRM_181 != 0) {{ 349, [TXT_TYP_306], [HLP_TYP_306] }} // Kunde_DigitalIn_2 (using RULE_304)
        IF (PRM_181 != 0) {{ 350, [TXT_TYP_307], [HLP_TYP_307] }} // Kunde_DigitalIn_3 (using RULE_304)
        IF (PRM_181 != 0) {{ 351, [TXT_TYP_308], [HLP_TYP_308] }} // Kunde_DigitalIn_4 (using RULE_304)
        IF (((PRM_3135 == 1)) || ((PRM_3692 == 1))) {{ 716, [TXT_TYP_1122], [HLP_TYP_1122] }} // Freigabe Ortssteuerstelle (using RULE_376)
        IF (PRM_3217 == 1) {{ 722, [TXT_TYP_1150], [HLP_TYP_1150] }} // Interlock Freigabe AUF (using RULE_205)
        IF (PRM_3217 == 1) {{ 723, [TXT_TYP_1151], [HLP_TYP_1151] }} // Interlock Freigabe ZU (using RULE_205)
        IF (PRM_3590 == 1) {{ 821, [TXT_TYP_1261], [HLP_TYP_1261] }} // Prozessregler Sollwert: Intern 1 / Intern 2 (using RULE_77)
        { 274, [TXT_TYP_1293] }, // FERN2: Aktivierung
        { 521, [TXT_TYP_1294] }, // FERN2: Fahre AUF
        { 522, [TXT_TYP_1295] }, // FERN2: Fahre ZU
        { 523, [TXT_TYP_1296] }, // FERN2: HALT
        { 949, [TXT_TYP_1414] }, // PVST Start
        { 1015, [TXT_TYP_1663] }  // Bypass Sync In
    }
    HANDLING		READ;
	VALIDITY		IF (PRM_2415 == 1) { TRUE; } ELSE { FALSE; }  // using RULE_20
}
ReadCmdDef(PRM_890, 8, 90)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_891
// 
VARIABLE PRM_891	// IsInverted (Invertierter Eingang)
{
    LABEL		[TXT_PRM_891];
    HELP		[HLP_PRM_891];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_65
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_66] }, // High-Aktiv
        { 1, [TXT_TYP_67] }  // Low-Aktiv
    }
    HANDLING		READ;
	VALIDITY		IF (PRM_2415 == 1) { TRUE; } ELSE { FALSE; }  // using RULE_20
}
ReadCmdDef(PRM_891, 8, 91)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_896
// 
VARIABLE PRM_896	// Digital-Signal-Ausgang
{
    LABEL		[TXT_PRM_896];
    HELP		[HLP_PRM_896];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_272
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_988], [HLP_TYP_988] }, // Nichts erzeugt
        { 18, [TXT_TYP_302], [HLP_TYP_302] }, // Fern1_AUF
        { 19, [TXT_TYP_303], [HLP_TYP_303] }, // Fern1_ZU
        { 20, [TXT_TYP_304], [HLP_TYP_304] }, // Fern1_HALT
        { 21, [TXT_TYP_300], [HLP_TYP_300] }, // Fern1_ESD
        { 22, [TXT_TYP_299], [HLP_TYP_299] }, // Fern1-Mode
        { 32, [TXT_TYP_301], [HLP_TYP_301] }  // Fern1_RESET
        IF (((PRM_45 == 1) && (PRM_181 != 0))) {{ 275, [TXT_TYP_691], [HLP_TYP_691] }} // Remote Bus Aktivierung (Bus/Extern) (using RULE_348)
        { 364, [TXT_TYP_688], [HLP_TYP_688] }, // Fern1_Zweidraht
        { 449, [TXT_TYP_680], [HLP_TYP_680] }, // Fern1_Direktfahrt_Pos1
        { 450, [TXT_TYP_681], [HLP_TYP_681] }, // Fern1_Direktfahrt_Pos2
        { 451, [TXT_TYP_682], [HLP_TYP_682] }, // Fern1_Direktfahrt_Pos3
        { 452, [TXT_TYP_683], [HLP_TYP_683] }, // Fern1_Direktfahrt_Pos4
        { 453, [TXT_TYP_684], [HLP_TYP_684] }, // Fern1_Direktfahrt_Pos5
        { 454, [TXT_TYP_685], [HLP_TYP_685] }, // Fern1_Direktfahrt_Pos6
        { 455, [TXT_TYP_686], [HLP_TYP_686] }, // Fern1_Direktfahrt_Pos7
        { 456, [TXT_TYP_687], [HLP_TYP_687] }  // Fern1_Direktfahrt_Pos8
        IF (PRM_181 != 0) {{ 348, [TXT_TYP_305], [HLP_TYP_305] }} // Kunde_DigitalIn_1 (using RULE_304)
        IF (PRM_181 != 0) {{ 349, [TXT_TYP_306], [HLP_TYP_306] }} // Kunde_DigitalIn_2 (using RULE_304)
        IF (PRM_181 != 0) {{ 350, [TXT_TYP_307], [HLP_TYP_307] }} // Kunde_DigitalIn_3 (using RULE_304)
        IF (PRM_181 != 0) {{ 351, [TXT_TYP_308], [HLP_TYP_308] }} // Kunde_DigitalIn_4 (using RULE_304)
        IF (((PRM_3135 == 1)) || ((PRM_3692 == 1))) {{ 716, [TXT_TYP_1122], [HLP_TYP_1122] }} // Freigabe Ortssteuerstelle (using RULE_376)
        IF (PRM_3217 == 1) {{ 722, [TXT_TYP_1150], [HLP_TYP_1150] }} // Interlock Freigabe AUF (using RULE_205)
        IF (PRM_3217 == 1) {{ 723, [TXT_TYP_1151], [HLP_TYP_1151] }} // Interlock Freigabe ZU (using RULE_205)
        IF (PRM_3590 == 1) {{ 821, [TXT_TYP_1261], [HLP_TYP_1261] }} // Prozessregler Sollwert: Intern 1 / Intern 2 (using RULE_77)
        { 274, [TXT_TYP_1293] }, // FERN2: Aktivierung
        { 521, [TXT_TYP_1294] }, // FERN2: Fahre AUF
        { 522, [TXT_TYP_1295] }, // FERN2: Fahre ZU
        { 523, [TXT_TYP_1296] }, // FERN2: HALT
        { 949, [TXT_TYP_1414] }, // PVST Start
        { 1015, [TXT_TYP_1663] }  // Bypass Sync In
    }
    HANDLING		READ;
	VALIDITY		IF (PRM_2415 == 1) { TRUE; } ELSE { FALSE; }  // using RULE_20
}
ReadCmdDef(PRM_896, 8, 96)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_897
// 
VARIABLE PRM_897	// IsInverted (Invertierter Eingang)
{
    LABEL		[TXT_PRM_897];
    HELP		[HLP_PRM_897];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_65
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_66] }, // High-Aktiv
        { 1, [TXT_TYP_67] }  // Low-Aktiv
    }
    HANDLING		READ;
	VALIDITY		IF (PRM_2415 == 1) { TRUE; } ELSE { FALSE; }  // using RULE_20
}
ReadCmdDef(PRM_897, 8, 97)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_902
// 
VARIABLE PRM_902	// Digital-Signal-Ausgang
{
    LABEL		[TXT_PRM_902];
    HELP		[HLP_PRM_902];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_272
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_988], [HLP_TYP_988] }, // Nichts erzeugt
        { 18, [TXT_TYP_302], [HLP_TYP_302] }, // Fern1_AUF
        { 19, [TXT_TYP_303], [HLP_TYP_303] }, // Fern1_ZU
        { 20, [TXT_TYP_304], [HLP_TYP_304] }, // Fern1_HALT
        { 21, [TXT_TYP_300], [HLP_TYP_300] }, // Fern1_ESD
        { 22, [TXT_TYP_299], [HLP_TYP_299] }, // Fern1-Mode
        { 32, [TXT_TYP_301], [HLP_TYP_301] }  // Fern1_RESET
        IF (((PRM_45 == 1) && (PRM_181 != 0))) {{ 275, [TXT_TYP_691], [HLP_TYP_691] }} // Remote Bus Aktivierung (Bus/Extern) (using RULE_348)
        { 364, [TXT_TYP_688], [HLP_TYP_688] }, // Fern1_Zweidraht
        { 449, [TXT_TYP_680], [HLP_TYP_680] }, // Fern1_Direktfahrt_Pos1
        { 450, [TXT_TYP_681], [HLP_TYP_681] }, // Fern1_Direktfahrt_Pos2
        { 451, [TXT_TYP_682], [HLP_TYP_682] }, // Fern1_Direktfahrt_Pos3
        { 452, [TXT_TYP_683], [HLP_TYP_683] }, // Fern1_Direktfahrt_Pos4
        { 453, [TXT_TYP_684], [HLP_TYP_684] }, // Fern1_Direktfahrt_Pos5
        { 454, [TXT_TYP_685], [HLP_TYP_685] }, // Fern1_Direktfahrt_Pos6
        { 455, [TXT_TYP_686], [HLP_TYP_686] }, // Fern1_Direktfahrt_Pos7
        { 456, [TXT_TYP_687], [HLP_TYP_687] }  // Fern1_Direktfahrt_Pos8
        IF (PRM_181 != 0) {{ 348, [TXT_TYP_305], [HLP_TYP_305] }} // Kunde_DigitalIn_1 (using RULE_304)
        IF (PRM_181 != 0) {{ 349, [TXT_TYP_306], [HLP_TYP_306] }} // Kunde_DigitalIn_2 (using RULE_304)
        IF (PRM_181 != 0) {{ 350, [TXT_TYP_307], [HLP_TYP_307] }} // Kunde_DigitalIn_3 (using RULE_304)
        IF (PRM_181 != 0) {{ 351, [TXT_TYP_308], [HLP_TYP_308] }} // Kunde_DigitalIn_4 (using RULE_304)
        IF (((PRM_3135 == 1)) || ((PRM_3692 == 1))) {{ 716, [TXT_TYP_1122], [HLP_TYP_1122] }} // Freigabe Ortssteuerstelle (using RULE_376)
        IF (PRM_3217 == 1) {{ 722, [TXT_TYP_1150], [HLP_TYP_1150] }} // Interlock Freigabe AUF (using RULE_205)
        IF (PRM_3217 == 1) {{ 723, [TXT_TYP_1151], [HLP_TYP_1151] }} // Interlock Freigabe ZU (using RULE_205)
        IF (PRM_3590 == 1) {{ 821, [TXT_TYP_1261], [HLP_TYP_1261] }} // Prozessregler Sollwert: Intern 1 / Intern 2 (using RULE_77)
        { 274, [TXT_TYP_1293] }, // FERN2: Aktivierung
        { 521, [TXT_TYP_1294] }, // FERN2: Fahre AUF
        { 522, [TXT_TYP_1295] }, // FERN2: Fahre ZU
        { 523, [TXT_TYP_1296] }, // FERN2: HALT
        { 949, [TXT_TYP_1414] }, // PVST Start
        { 1015, [TXT_TYP_1663] }  // Bypass Sync In
    }
    HANDLING		READ;
	VALIDITY		IF (PRM_2415 == 1) { TRUE; } ELSE { FALSE; }  // using RULE_20
}
ReadCmdDef(PRM_902, 9, 2)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_903
// 
VARIABLE PRM_903	// IsInverted (Invertierter Eingang)
{
    LABEL		[TXT_PRM_903];
    HELP		[HLP_PRM_903];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_65
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_66] }, // High-Aktiv
        { 1, [TXT_TYP_67] }  // Low-Aktiv
    }
    HANDLING		READ;
	VALIDITY		IF (PRM_2415 == 1) { TRUE; } ELSE { FALSE; }  // using RULE_20
}
ReadCmdDef(PRM_903, 9, 3)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_908
// 
VARIABLE PRM_908	// Digital-Signal-Ausgang (Default:Keine Funktion)
{
    LABEL		[TXT_PRM_908];
    HELP		[HLP_PRM_908];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_272
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_988], [HLP_TYP_988] }, // Nichts erzeugt
        { 22, [TXT_TYP_299], [HLP_TYP_299] }, // Fern1-Mode
        { 18, [TXT_TYP_302], [HLP_TYP_302] }, // Fern1_AUF
        { 19, [TXT_TYP_303], [HLP_TYP_303] }, // Fern1_ZU
        { 20, [TXT_TYP_304], [HLP_TYP_304] }, // Fern1_HALT
        { 32, [TXT_TYP_301], [HLP_TYP_301] }  // Fern1_RESET
        IF (((PRM_45 == 1) && (PRM_181 != 0))) {{ 275, [TXT_TYP_691], [HLP_TYP_691] }} // Remote Bus Aktivierung (Bus/Extern) (using RULE_348)
        { 364, [TXT_TYP_688], [HLP_TYP_688] }, // Fern1_Zweidraht
        { 21, [TXT_TYP_300], [HLP_TYP_300] }, // Fern1_ESD
        { 449, [TXT_TYP_680], [HLP_TYP_680] }, // Fern1_Direktfahrt_Pos1
        { 450, [TXT_TYP_681], [HLP_TYP_681] }, // Fern1_Direktfahrt_Pos2
        { 451, [TXT_TYP_682], [HLP_TYP_682] }, // Fern1_Direktfahrt_Pos3
        { 452, [TXT_TYP_683], [HLP_TYP_683] }, // Fern1_Direktfahrt_Pos4
        { 453, [TXT_TYP_684], [HLP_TYP_684] }, // Fern1_Direktfahrt_Pos5
        { 454, [TXT_TYP_685], [HLP_TYP_685] }, // Fern1_Direktfahrt_Pos6
        { 455, [TXT_TYP_686], [HLP_TYP_686] }, // Fern1_Direktfahrt_Pos7
        { 456, [TXT_TYP_687], [HLP_TYP_687] }  // Fern1_Direktfahrt_Pos8
        IF (PRM_181 != 0) {{ 348, [TXT_TYP_305], [HLP_TYP_305] }} // Kunde_DigitalIn_1 (using RULE_304)
        IF (PRM_181 != 0) {{ 349, [TXT_TYP_306], [HLP_TYP_306] }} // Kunde_DigitalIn_2 (using RULE_304)
        IF (PRM_181 != 0) {{ 350, [TXT_TYP_307], [HLP_TYP_307] }} // Kunde_DigitalIn_3 (using RULE_304)
        IF (PRM_181 != 0) {{ 351, [TXT_TYP_308], [HLP_TYP_308] }} // Kunde_DigitalIn_4 (using RULE_304)
        IF (((PRM_3135 == 1)) || ((PRM_3692 == 1))) {{ 716, [TXT_TYP_1122], [HLP_TYP_1122] }} // Freigabe Ortssteuerstelle (using RULE_376)
        IF (PRM_3217 == 1) {{ 722, [TXT_TYP_1150], [HLP_TYP_1150] }} // Interlock Freigabe AUF (using RULE_205)
        IF (PRM_3217 == 1) {{ 723, [TXT_TYP_1151], [HLP_TYP_1151] }} // Interlock Freigabe ZU (using RULE_205)
        IF (PRM_3590 == 1) {{ 821, [TXT_TYP_1261], [HLP_TYP_1261] }} // Prozessregler Sollwert: Intern 1 / Intern 2 (using RULE_77)
        { 274, [TXT_TYP_1293] }, // FERN2: Aktivierung
        { 521, [TXT_TYP_1294] }, // FERN2: Fahre AUF
        { 522, [TXT_TYP_1295] }, // FERN2: Fahre ZU
        { 523, [TXT_TYP_1296] }, // FERN2: HALT
        { 949, [TXT_TYP_1414] }, // PVST Start
        { 1015, [TXT_TYP_1663] }  // Bypass Sync In
    }
    HANDLING		READ;
	VALIDITY		IF (((PRM_45 == 1) && (PRM_2281 >= 6))) { TRUE; } ELSE { FALSE; }  // using RULE_32
}
ReadCmdDef(PRM_908, 9, 8)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_909
// 
VARIABLE PRM_909	// IsInverted (Invertierter Eingang)
{
    LABEL		[TXT_PRM_909];
    HELP		[HLP_PRM_909];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_65
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_66] }, // High-Aktiv
        { 1, [TXT_TYP_67] }  // Low-Aktiv
    }
    HANDLING		READ;
	VALIDITY		IF (((PRM_45 == 1) && (PRM_2281 >= 6))) { TRUE; } ELSE { FALSE; }  // using RULE_32
}
ReadCmdDef(PRM_909, 9, 9)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_914
// 
VARIABLE PRM_914	// Digital-Signal-Ausgang (Default: NOT )
{
    LABEL		[TXT_PRM_914];
    HELP		[HLP_PRM_914];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_272
    {
        DEFAULT_VALUE	21;
        { 0, [TXT_TYP_988], [HLP_TYP_988] }, // Nichts erzeugt
        { 22, [TXT_TYP_299], [HLP_TYP_299] }, // Fern1-Mode
        { 18, [TXT_TYP_302], [HLP_TYP_302] }, // Fern1_AUF
        { 19, [TXT_TYP_303], [HLP_TYP_303] }, // Fern1_ZU
        { 20, [TXT_TYP_304], [HLP_TYP_304] }, // Fern1_HALT
        { 32, [TXT_TYP_301], [HLP_TYP_301] }  // Fern1_RESET
        IF (((PRM_45 == 1) && (PRM_181 != 0))) {{ 275, [TXT_TYP_691], [HLP_TYP_691] }} // Remote Bus Aktivierung (Bus/Extern) (using RULE_348)
        { 364, [TXT_TYP_688], [HLP_TYP_688] }, // Fern1_Zweidraht
        { 21, [TXT_TYP_300], [HLP_TYP_300] }, // Fern1_ESD
        { 449, [TXT_TYP_680], [HLP_TYP_680] }, // Fern1_Direktfahrt_Pos1
        { 450, [TXT_TYP_681], [HLP_TYP_681] }, // Fern1_Direktfahrt_Pos2
        { 451, [TXT_TYP_682], [HLP_TYP_682] }, // Fern1_Direktfahrt_Pos3
        { 452, [TXT_TYP_683], [HLP_TYP_683] }, // Fern1_Direktfahrt_Pos4
        { 453, [TXT_TYP_684], [HLP_TYP_684] }, // Fern1_Direktfahrt_Pos5
        { 454, [TXT_TYP_685], [HLP_TYP_685] }, // Fern1_Direktfahrt_Pos6
        { 455, [TXT_TYP_686], [HLP_TYP_686] }, // Fern1_Direktfahrt_Pos7
        { 456, [TXT_TYP_687], [HLP_TYP_687] }  // Fern1_Direktfahrt_Pos8
        IF (PRM_181 != 0) {{ 348, [TXT_TYP_305], [HLP_TYP_305] }} // Kunde_DigitalIn_1 (using RULE_304)
        IF (PRM_181 != 0) {{ 349, [TXT_TYP_306], [HLP_TYP_306] }} // Kunde_DigitalIn_2 (using RULE_304)
        IF (PRM_181 != 0) {{ 350, [TXT_TYP_307], [HLP_TYP_307] }} // Kunde_DigitalIn_3 (using RULE_304)
        IF (PRM_181 != 0) {{ 351, [TXT_TYP_308], [HLP_TYP_308] }} // Kunde_DigitalIn_4 (using RULE_304)
        IF (((PRM_3135 == 1)) || ((PRM_3692 == 1))) {{ 716, [TXT_TYP_1122], [HLP_TYP_1122] }} // Freigabe Ortssteuerstelle (using RULE_376)
        IF (PRM_3217 == 1) {{ 722, [TXT_TYP_1150], [HLP_TYP_1150] }} // Interlock Freigabe AUF (using RULE_205)
        IF (PRM_3217 == 1) {{ 723, [TXT_TYP_1151], [HLP_TYP_1151] }} // Interlock Freigabe ZU (using RULE_205)
        IF (PRM_3590 == 1) {{ 821, [TXT_TYP_1261], [HLP_TYP_1261] }} // Prozessregler Sollwert: Intern 1 / Intern 2 (using RULE_77)
        { 274, [TXT_TYP_1293] }, // FERN2: Aktivierung
        { 521, [TXT_TYP_1294] }, // FERN2: Fahre AUF
        { 522, [TXT_TYP_1295] }, // FERN2: Fahre ZU
        { 523, [TXT_TYP_1296] }, // FERN2: HALT
        { 949, [TXT_TYP_1414] }, // PVST Start
        { 1015, [TXT_TYP_1663] }  // Bypass Sync In
    }
    HANDLING		READ;
	VALIDITY		IF (((PRM_45 == 1) && (PRM_2281 >= 6))) { TRUE; } ELSE { FALSE; }  // using RULE_32
}
ReadCmdDef(PRM_914, 9, 14)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_915
// 
VARIABLE PRM_915	// IsInverted (Invertierter Eingang)
{
    LABEL		[TXT_PRM_915];
    HELP		[HLP_PRM_915];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_65
    {
        DEFAULT_VALUE	1;
        { 0, [TXT_TYP_66] }, // High-Aktiv
        { 1, [TXT_TYP_67] }  // Low-Aktiv
    }
    HANDLING		READ;
	VALIDITY		IF (((PRM_45 == 1) && (PRM_2281 >= 6))) { TRUE; } ELSE { FALSE; }  // using RULE_32
}
ReadCmdDef(PRM_915, 9, 15)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_920
// 
VARIABLE PRM_920	// Digital-Signal-Ausgang (Default: Fern HALT)
{
    LABEL		[TXT_PRM_920];
    HELP		[HLP_PRM_920];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_272
    {
        DEFAULT_VALUE	20;
        { 0, [TXT_TYP_988], [HLP_TYP_988] }, // Nichts erzeugt
        { 22, [TXT_TYP_299], [HLP_TYP_299] }, // Fern1-Mode
        { 18, [TXT_TYP_302], [HLP_TYP_302] }, // Fern1_AUF
        { 19, [TXT_TYP_303], [HLP_TYP_303] }, // Fern1_ZU
        { 20, [TXT_TYP_304], [HLP_TYP_304] }, // Fern1_HALT
        { 32, [TXT_TYP_301], [HLP_TYP_301] }  // Fern1_RESET
        IF (((PRM_45 == 1) && (PRM_181 != 0))) {{ 275, [TXT_TYP_691], [HLP_TYP_691] }} // Remote Bus Aktivierung (Bus/Extern) (using RULE_348)
        { 364, [TXT_TYP_688], [HLP_TYP_688] }, // Fern1_Zweidraht
        { 21, [TXT_TYP_300], [HLP_TYP_300] }, // Fern1_ESD
        { 449, [TXT_TYP_680], [HLP_TYP_680] }, // Fern1_Direktfahrt_Pos1
        { 450, [TXT_TYP_681], [HLP_TYP_681] }, // Fern1_Direktfahrt_Pos2
        { 451, [TXT_TYP_682], [HLP_TYP_682] }, // Fern1_Direktfahrt_Pos3
        { 452, [TXT_TYP_683], [HLP_TYP_683] }, // Fern1_Direktfahrt_Pos4
        { 453, [TXT_TYP_684], [HLP_TYP_684] }, // Fern1_Direktfahrt_Pos5
        { 454, [TXT_TYP_685], [HLP_TYP_685] }, // Fern1_Direktfahrt_Pos6
        { 455, [TXT_TYP_686], [HLP_TYP_686] }, // Fern1_Direktfahrt_Pos7
        { 456, [TXT_TYP_687], [HLP_TYP_687] }  // Fern1_Direktfahrt_Pos8
        IF (PRM_181 != 0) {{ 348, [TXT_TYP_305], [HLP_TYP_305] }} // Kunde_DigitalIn_1 (using RULE_304)
        IF (PRM_181 != 0) {{ 349, [TXT_TYP_306], [HLP_TYP_306] }} // Kunde_DigitalIn_2 (using RULE_304)
        IF (PRM_181 != 0) {{ 350, [TXT_TYP_307], [HLP_TYP_307] }} // Kunde_DigitalIn_3 (using RULE_304)
        IF (PRM_181 != 0) {{ 351, [TXT_TYP_308], [HLP_TYP_308] }} // Kunde_DigitalIn_4 (using RULE_304)
        IF (((PRM_3135 == 1)) || ((PRM_3692 == 1))) {{ 716, [TXT_TYP_1122], [HLP_TYP_1122] }} // Freigabe Ortssteuerstelle (using RULE_376)
        IF (PRM_3217 == 1) {{ 722, [TXT_TYP_1150], [HLP_TYP_1150] }} // Interlock Freigabe AUF (using RULE_205)
        IF (PRM_3217 == 1) {{ 723, [TXT_TYP_1151], [HLP_TYP_1151] }} // Interlock Freigabe ZU (using RULE_205)
        IF (PRM_3590 == 1) {{ 821, [TXT_TYP_1261], [HLP_TYP_1261] }} // Prozessregler Sollwert: Intern 1 / Intern 2 (using RULE_77)
        { 274, [TXT_TYP_1293] }, // FERN2: Aktivierung
        { 521, [TXT_TYP_1294] }, // FERN2: Fahre AUF
        { 522, [TXT_TYP_1295] }, // FERN2: Fahre ZU
        { 523, [TXT_TYP_1296] }, // FERN2: HALT
        { 949, [TXT_TYP_1414] }, // PVST Start
        { 1015, [TXT_TYP_1663] }  // Bypass Sync In
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_920, 9, 20)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_921
// 
VARIABLE PRM_921	// IsInverted (Invertierter Eingang)
{
    LABEL		[TXT_PRM_921];
    HELP		[HLP_PRM_921];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_65
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_66] }, // High-Aktiv
        { 1, [TXT_TYP_67] }  // Low-Aktiv
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_921, 9, 21)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_926
// 
VARIABLE PRM_926	// Digital-Signal-Ausgang (Default: Fahre AUF)
{
    LABEL		[TXT_PRM_926];
    HELP		[HLP_PRM_926];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_272
    {
        DEFAULT_VALUE	18;
        { 0, [TXT_TYP_988], [HLP_TYP_988] }, // Nichts erzeugt
        { 22, [TXT_TYP_299], [HLP_TYP_299] }, // Fern1-Mode
        { 18, [TXT_TYP_302], [HLP_TYP_302] }, // Fern1_AUF
        { 19, [TXT_TYP_303], [HLP_TYP_303] }, // Fern1_ZU
        { 20, [TXT_TYP_304], [HLP_TYP_304] }, // Fern1_HALT
        { 32, [TXT_TYP_301], [HLP_TYP_301] }  // Fern1_RESET
        IF (((PRM_45 == 1) && (PRM_181 != 0))) {{ 275, [TXT_TYP_691], [HLP_TYP_691] }} // Remote Bus Aktivierung (Bus/Extern) (using RULE_348)
        { 364, [TXT_TYP_688], [HLP_TYP_688] }, // Fern1_Zweidraht
        { 21, [TXT_TYP_300], [HLP_TYP_300] }, // Fern1_ESD
        { 449, [TXT_TYP_680], [HLP_TYP_680] }, // Fern1_Direktfahrt_Pos1
        { 450, [TXT_TYP_681], [HLP_TYP_681] }, // Fern1_Direktfahrt_Pos2
        { 451, [TXT_TYP_682], [HLP_TYP_682] }, // Fern1_Direktfahrt_Pos3
        { 452, [TXT_TYP_683], [HLP_TYP_683] }, // Fern1_Direktfahrt_Pos4
        { 453, [TXT_TYP_684], [HLP_TYP_684] }, // Fern1_Direktfahrt_Pos5
        { 454, [TXT_TYP_685], [HLP_TYP_685] }, // Fern1_Direktfahrt_Pos6
        { 455, [TXT_TYP_686], [HLP_TYP_686] }, // Fern1_Direktfahrt_Pos7
        { 456, [TXT_TYP_687], [HLP_TYP_687] }  // Fern1_Direktfahrt_Pos8
        IF (PRM_181 != 0) {{ 348, [TXT_TYP_305], [HLP_TYP_305] }} // Kunde_DigitalIn_1 (using RULE_304)
        IF (PRM_181 != 0) {{ 349, [TXT_TYP_306], [HLP_TYP_306] }} // Kunde_DigitalIn_2 (using RULE_304)
        IF (PRM_181 != 0) {{ 350, [TXT_TYP_307], [HLP_TYP_307] }} // Kunde_DigitalIn_3 (using RULE_304)
        IF (PRM_181 != 0) {{ 351, [TXT_TYP_308], [HLP_TYP_308] }} // Kunde_DigitalIn_4 (using RULE_304)
        IF (((PRM_3135 == 1)) || ((PRM_3692 == 1))) {{ 716, [TXT_TYP_1122], [HLP_TYP_1122] }} // Freigabe Ortssteuerstelle (using RULE_376)
        IF (PRM_3217 == 1) {{ 722, [TXT_TYP_1150], [HLP_TYP_1150] }} // Interlock Freigabe AUF (using RULE_205)
        IF (PRM_3217 == 1) {{ 723, [TXT_TYP_1151], [HLP_TYP_1151] }} // Interlock Freigabe ZU (using RULE_205)
        IF (PRM_3590 == 1) {{ 821, [TXT_TYP_1261], [HLP_TYP_1261] }} // Prozessregler Sollwert: Intern 1 / Intern 2 (using RULE_77)
        { 274, [TXT_TYP_1293] }, // FERN2: Aktivierung
        { 521, [TXT_TYP_1294] }, // FERN2: Fahre AUF
        { 522, [TXT_TYP_1295] }, // FERN2: Fahre ZU
        { 523, [TXT_TYP_1296] }, // FERN2: HALT
        { 949, [TXT_TYP_1414] }, // PVST Start
        { 1015, [TXT_TYP_1663] }  // Bypass Sync In
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_926, 9, 26)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_927
// 
VARIABLE PRM_927	// IsInverted (Invertierter Eingang)
{
    LABEL		[TXT_PRM_927];
    HELP		[HLP_PRM_927];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_65
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_66] }, // High-Aktiv
        { 1, [TXT_TYP_67] }  // Low-Aktiv
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_927, 9, 27)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_932
// 
VARIABLE PRM_932	// Digital-Signal-Ausgang (Default: Fahre ZU)
{
    LABEL		[TXT_PRM_932];
    HELP		[HLP_PRM_932];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_272
    {
        DEFAULT_VALUE	19;
        { 0, [TXT_TYP_988], [HLP_TYP_988] }, // Nichts erzeugt
        { 22, [TXT_TYP_299], [HLP_TYP_299] }, // Fern1-Mode
        { 18, [TXT_TYP_302], [HLP_TYP_302] }, // Fern1_AUF
        { 19, [TXT_TYP_303], [HLP_TYP_303] }, // Fern1_ZU
        { 20, [TXT_TYP_304], [HLP_TYP_304] }, // Fern1_HALT
        { 32, [TXT_TYP_301], [HLP_TYP_301] }  // Fern1_RESET
        IF (((PRM_45 == 1) && (PRM_181 != 0))) {{ 275, [TXT_TYP_691], [HLP_TYP_691] }} // Remote Bus Aktivierung (Bus/Extern) (using RULE_348)
        { 364, [TXT_TYP_688], [HLP_TYP_688] }, // Fern1_Zweidraht
        { 21, [TXT_TYP_300], [HLP_TYP_300] }, // Fern1_ESD
        { 449, [TXT_TYP_680], [HLP_TYP_680] }, // Fern1_Direktfahrt_Pos1
        { 450, [TXT_TYP_681], [HLP_TYP_681] }, // Fern1_Direktfahrt_Pos2
        { 451, [TXT_TYP_682], [HLP_TYP_682] }, // Fern1_Direktfahrt_Pos3
        { 452, [TXT_TYP_683], [HLP_TYP_683] }, // Fern1_Direktfahrt_Pos4
        { 453, [TXT_TYP_684], [HLP_TYP_684] }, // Fern1_Direktfahrt_Pos5
        { 454, [TXT_TYP_685], [HLP_TYP_685] }, // Fern1_Direktfahrt_Pos6
        { 455, [TXT_TYP_686], [HLP_TYP_686] }, // Fern1_Direktfahrt_Pos7
        { 456, [TXT_TYP_687], [HLP_TYP_687] }  // Fern1_Direktfahrt_Pos8
        IF (PRM_181 != 0) {{ 348, [TXT_TYP_305], [HLP_TYP_305] }} // Kunde_DigitalIn_1 (using RULE_304)
        IF (PRM_181 != 0) {{ 349, [TXT_TYP_306], [HLP_TYP_306] }} // Kunde_DigitalIn_2 (using RULE_304)
        IF (PRM_181 != 0) {{ 350, [TXT_TYP_307], [HLP_TYP_307] }} // Kunde_DigitalIn_3 (using RULE_304)
        IF (PRM_181 != 0) {{ 351, [TXT_TYP_308], [HLP_TYP_308] }} // Kunde_DigitalIn_4 (using RULE_304)
        IF (((PRM_3135 == 1)) || ((PRM_3692 == 1))) {{ 716, [TXT_TYP_1122], [HLP_TYP_1122] }} // Freigabe Ortssteuerstelle (using RULE_376)
        IF (PRM_3217 == 1) {{ 722, [TXT_TYP_1150], [HLP_TYP_1150] }} // Interlock Freigabe AUF (using RULE_205)
        IF (PRM_3217 == 1) {{ 723, [TXT_TYP_1151], [HLP_TYP_1151] }} // Interlock Freigabe ZU (using RULE_205)
        IF (PRM_3590 == 1) {{ 821, [TXT_TYP_1261], [HLP_TYP_1261] }} // Prozessregler Sollwert: Intern 1 / Intern 2 (using RULE_77)
        { 274, [TXT_TYP_1293] }, // FERN2: Aktivierung
        { 521, [TXT_TYP_1294] }, // FERN2: Fahre AUF
        { 522, [TXT_TYP_1295] }, // FERN2: Fahre ZU
        { 523, [TXT_TYP_1296] }, // FERN2: HALT
        { 949, [TXT_TYP_1414] }, // PVST Start
        { 1015, [TXT_TYP_1663] }  // Bypass Sync In
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_932, 9, 32)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_933
// 
VARIABLE PRM_933	// IsInverted (Invertierter Eingang)
{
    LABEL		[TXT_PRM_933];
    HELP		[HLP_PRM_933];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_65
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_66] }, // High-Aktiv
        { 1, [TXT_TYP_67] }  // Low-Aktiv
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_933, 9, 33)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1012
// 
VARIABLE PRM_1012	// Digital-Signal-Eingang (Default AUMA-Fehler)
{
    LABEL		[TXT_PRM_1012];
    HELP		[HLP_PRM_1012];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_273
    {
        DEFAULT_VALUE	79;
        { 372, [TXT_TYP_724] }, // Nicht verwendet (Verdrahtet mit konstante 0)
        { 259, [TXT_TYP_310] }, // Endlage ZU
        { 258, [TXT_TYP_309] }, // Endlage AUF
        { 370, [TXT_TYP_968] }, // Endlage_ZU+Blinker
        { 369, [TXT_TYP_969] }, // Endlage_AUF+Blinker
        { 401, [TXT_TYP_743] }, // Ist bei Sollposition
        { 265, [TXT_TYP_740] }, // Fährt ZU
        { 264, [TXT_TYP_741] }, // Fährt AUF
        { 113, [TXT_TYP_744] }, // Wahlschalter ORT
        { 115, [TXT_TYP_311] }, // Wahlschalter FERN
        { 116, [TXT_TYP_990] }, // WahlschalterAUS
        { 376, [TXT_TYP_318] }, // Wegschalter ZU
        { 375, [TXT_TYP_317] }, // Wegschalter AUF
        { 460, [TXT_TYP_320] }, // Drehmoschalter ZU
        { 459, [TXT_TYP_319] }, // Drehmoschalter AUF
        { 86, [TXT_TYP_747] }, // Gerätestatus Namur Ausfall
        { 84, [TXT_TYP_748] }, // Gerätestatus Namur Funktionskontrolle
        { 83, [TXT_TYP_749] }, // Gerätestatus Namur Ausserh. d. Spezifikation
        { 85, [TXT_TYP_750] }, // Gerätestatus Namur Wartungsbedarf
        { 79, [TXT_TYP_696] }, // Fehler
        { 78, [TXT_TYP_739] }, // Warnungen
        { 80, [TXT_TYP_742] }, // Nicht  bereit FERN
        { 554, [TXT_TYP_757] }, // Fahrpause
        { 560, [TXT_TYP_755] }, // Taktstrecke betreten
        { 603, [TXT_TYP_754] }, // Antrieb fährt
        { 539, [TXT_TYP_751] }, // Fährt von Ort
        { 540, [TXT_TYP_752] }, // Fährt von Fern
        { 541, [TXT_TYP_753] }, // Fährt mit Handrad
        { 549, [TXT_TYP_756] }, // In Mittelstellung
        { 392, [TXT_TYP_767] }, // Zwischenstellung 1
        { 399, [TXT_TYP_766] }, // Zwischenstellung 2
        { 398, [TXT_TYP_765] }, // Zwischenstellung 3
        { 397, [TXT_TYP_764] }, // Zwischenstellung 4
        { 396, [TXT_TYP_762] }, // Zwischenstellung 5
        { 395, [TXT_TYP_760] }, // Zwischenstellung 6
        { 394, [TXT_TYP_759] }, // Zwischenstellung 7
        { 393, [TXT_TYP_758] }, // Zwischenstellung 8
        { 500, [TXT_TYP_772] }, // Digitaleingang 1
        { 501, [TXT_TYP_771] }, // Digitaleingang 2
        { 505, [TXT_TYP_770] }, // Digitaleingang 3
        { 504, [TXT_TYP_763] }, // Digitaleingang 4
        { 503, [TXT_TYP_769] }, // Digitaleingang 5
        { 502, [TXT_TYP_768] }, // Digitaleingang 6
        { 285, [TXT_TYP_991] }, // NOT-HALT aktiv
        { 269, [TXT_TYP_312] }, // Drehmofehler ZU
        { 268, [TXT_TYP_313] }, // Drehmofehler AUF
        { 546, [TXT_TYP_989] }, //  DrehmoFehler
        { 270, [TXT_TYP_314] }, // Thermofehler
        { 302, [TXT_TYP_315] }  // Phasenfehler
        IF (PRM_181 != 0) {{ 466, [TXT_TYP_970] }} // Feldbus_Digout_01 (using RULE_304)
        IF (PRM_181 != 0) {{ 467, [TXT_TYP_971] }} // Feldbus_Digout_02 (using RULE_304)
        IF (PRM_181 != 0) {{ 468, [TXT_TYP_972] }} // Feldbus_Digout_03 (using RULE_304)
        IF (PRM_181 != 0) {{ 469, [TXT_TYP_973] }} // Feldbus_Digout_04 (using RULE_304)
        IF (PRM_181 != 0) {{ 470, [TXT_TYP_974] }} // Feldbus_Digout_05 (using RULE_304)
        IF (PRM_181 != 0) {{ 471, [TXT_TYP_975] }} // Feldbus_Digout_06 (using RULE_304)
        IF (PRM_181 != 0) {{ 472, [TXT_TYP_976] }} // Feldbus_Digout_07 (using RULE_304)
        IF (PRM_181 != 0) {{ 473, [TXT_TYP_977] }} // Feldbus_Digout_08 (using RULE_304)
        IF (PRM_181 != 0) {{ 474, [TXT_TYP_978] }} // Feldbus_Digout_09 (using RULE_304)
        IF (PRM_181 != 0) {{ 475, [TXT_TYP_979] }} // Feldbus_Digout_10 (using RULE_304)
        IF (PRM_181 != 0) {{ 476, [TXT_TYP_980] }} // Feldbus_Digout_11 (using RULE_304)
        IF (PRM_181 != 0) {{ 477, [TXT_TYP_981] }} // Feldbus_Digout_12 (using RULE_304)
        IF (PRM_181 != 0) {{ 606, [TXT_TYP_1319], [HLP_TYP_1319] }} // Feldbus Fail Safe aktiv (using RULE_304)
        { 553, [TXT_TYP_1400], [HLP_TYP_1400] }, // Handradschalter ist betätigt
        { 952, [TXT_TYP_1415] }, // PVST aktiv
        { 953, [TXT_TYP_1416] }, // PVST Error
        { 954, [TXT_TYP_1417] }, // PVST Abbruch
        { 94, [TXT_TYP_1619], [HLP_TYP_1619] }, // Störung AC1 kompatibel
        { 753, [TXT_TYP_1630] }, // Interlock FERN
        { 754, [TXT_TYP_1631] }, // Interlock ORT
        { 755, [TXT_TYP_1632] }, // Interlock AUF
        { 756, [TXT_TYP_1633] }, // Interlock ZU
        { 757, [TXT_TYP_1634] }, // Interlock wurde ausglöst
        { 1016, [TXT_TYP_1658] }, // Bypass Sync Out
        { 1017, [TXT_TYP_1659] }  // Bypass Interlock
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_1012, 10, 12)
WriteCmdDef(PRM_1012, 10, 12)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1013
// 
VARIABLE PRM_1013	// IsInverted (Invertierter Ausgang)
{
    LABEL		[TXT_PRM_1013];
    HELP		[HLP_PRM_1013];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_65
    {
        DEFAULT_VALUE	1;
        { 0, [TXT_TYP_66] }, // High-Aktiv
        { 1, [TXT_TYP_67] }  // Low-Aktiv
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_1013, 10, 13)
WriteCmdDef(PRM_1013, 10, 13)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1072
// 
VARIABLE PRM_1072	// Digital-Signal-Eingang (Default: Phasenfehler)
{
    LABEL		[TXT_PRM_1072];
    HELP		[HLP_PRM_1072];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_273
    {
        DEFAULT_VALUE	302;
        { 372, [TXT_TYP_724] }, // Nicht verwendet (Verdrahtet mit konstante 0)
        { 259, [TXT_TYP_310] }, // Endlage ZU
        { 258, [TXT_TYP_309] }, // Endlage AUF
        { 370, [TXT_TYP_968] }, // Endlage_ZU+Blinker
        { 369, [TXT_TYP_969] }, // Endlage_AUF+Blinker
        { 401, [TXT_TYP_743] }, // Ist bei Sollposition
        { 265, [TXT_TYP_740] }, // Fährt ZU
        { 264, [TXT_TYP_741] }, // Fährt AUF
        { 113, [TXT_TYP_744] }, // Wahlschalter ORT
        { 115, [TXT_TYP_311] }, // Wahlschalter FERN
        { 116, [TXT_TYP_990] }, // WahlschalterAUS
        { 376, [TXT_TYP_318] }, // Wegschalter ZU
        { 375, [TXT_TYP_317] }, // Wegschalter AUF
        { 460, [TXT_TYP_320] }, // Drehmoschalter ZU
        { 459, [TXT_TYP_319] }, // Drehmoschalter AUF
        { 86, [TXT_TYP_747] }, // Gerätestatus Namur Ausfall
        { 84, [TXT_TYP_748] }, // Gerätestatus Namur Funktionskontrolle
        { 83, [TXT_TYP_749] }, // Gerätestatus Namur Ausserh. d. Spezifikation
        { 85, [TXT_TYP_750] }, // Gerätestatus Namur Wartungsbedarf
        { 79, [TXT_TYP_696] }, // Fehler
        { 78, [TXT_TYP_739] }, // Warnungen
        { 80, [TXT_TYP_742] }, // Nicht  bereit FERN
        { 554, [TXT_TYP_757] }, // Fahrpause
        { 560, [TXT_TYP_755] }, // Taktstrecke betreten
        { 603, [TXT_TYP_754] }, // Antrieb fährt
        { 539, [TXT_TYP_751] }, // Fährt von Ort
        { 540, [TXT_TYP_752] }, // Fährt von Fern
        { 541, [TXT_TYP_753] }, // Fährt mit Handrad
        { 549, [TXT_TYP_756] }, // In Mittelstellung
        { 392, [TXT_TYP_767] }, // Zwischenstellung 1
        { 399, [TXT_TYP_766] }, // Zwischenstellung 2
        { 398, [TXT_TYP_765] }, // Zwischenstellung 3
        { 397, [TXT_TYP_764] }, // Zwischenstellung 4
        { 396, [TXT_TYP_762] }, // Zwischenstellung 5
        { 395, [TXT_TYP_760] }, // Zwischenstellung 6
        { 394, [TXT_TYP_759] }, // Zwischenstellung 7
        { 393, [TXT_TYP_758] }, // Zwischenstellung 8
        { 500, [TXT_TYP_772] }, // Digitaleingang 1
        { 501, [TXT_TYP_771] }, // Digitaleingang 2
        { 505, [TXT_TYP_770] }, // Digitaleingang 3
        { 504, [TXT_TYP_763] }, // Digitaleingang 4
        { 503, [TXT_TYP_769] }, // Digitaleingang 5
        { 502, [TXT_TYP_768] }, // Digitaleingang 6
        { 285, [TXT_TYP_991] }, // NOT-HALT aktiv
        { 269, [TXT_TYP_312] }, // Drehmofehler ZU
        { 268, [TXT_TYP_313] }, // Drehmofehler AUF
        { 546, [TXT_TYP_989] }, //  DrehmoFehler
        { 270, [TXT_TYP_314] }, // Thermofehler
        { 302, [TXT_TYP_315] }  // Phasenfehler
        IF (PRM_181 != 0) {{ 466, [TXT_TYP_970] }} // Feldbus_Digout_01 (using RULE_304)
        IF (PRM_181 != 0) {{ 467, [TXT_TYP_971] }} // Feldbus_Digout_02 (using RULE_304)
        IF (PRM_181 != 0) {{ 468, [TXT_TYP_972] }} // Feldbus_Digout_03 (using RULE_304)
        IF (PRM_181 != 0) {{ 469, [TXT_TYP_973] }} // Feldbus_Digout_04 (using RULE_304)
        IF (PRM_181 != 0) {{ 470, [TXT_TYP_974] }} // Feldbus_Digout_05 (using RULE_304)
        IF (PRM_181 != 0) {{ 471, [TXT_TYP_975] }} // Feldbus_Digout_06 (using RULE_304)
        IF (PRM_181 != 0) {{ 472, [TXT_TYP_976] }} // Feldbus_Digout_07 (using RULE_304)
        IF (PRM_181 != 0) {{ 473, [TXT_TYP_977] }} // Feldbus_Digout_08 (using RULE_304)
        IF (PRM_181 != 0) {{ 474, [TXT_TYP_978] }} // Feldbus_Digout_09 (using RULE_304)
        IF (PRM_181 != 0) {{ 475, [TXT_TYP_979] }} // Feldbus_Digout_10 (using RULE_304)
        IF (PRM_181 != 0) {{ 476, [TXT_TYP_980] }} // Feldbus_Digout_11 (using RULE_304)
        IF (PRM_181 != 0) {{ 477, [TXT_TYP_981] }} // Feldbus_Digout_12 (using RULE_304)
        IF (PRM_181 != 0) {{ 606, [TXT_TYP_1319], [HLP_TYP_1319] }} // Feldbus Fail Safe aktiv (using RULE_304)
        { 553, [TXT_TYP_1400], [HLP_TYP_1400] }, // Handradschalter ist betätigt
        { 952, [TXT_TYP_1415] }, // PVST aktiv
        { 953, [TXT_TYP_1416] }, // PVST Error
        { 954, [TXT_TYP_1417] }, // PVST Abbruch
        { 94, [TXT_TYP_1619], [HLP_TYP_1619] }, // Störung AC1 kompatibel
        { 753, [TXT_TYP_1630] }, // Interlock FERN
        { 754, [TXT_TYP_1631] }, // Interlock ORT
        { 755, [TXT_TYP_1632] }, // Interlock AUF
        { 756, [TXT_TYP_1633] }, // Interlock ZU
        { 757, [TXT_TYP_1634] }, // Interlock wurde ausglöst
        { 1016, [TXT_TYP_1658] }, // Bypass Sync Out
        { 1017, [TXT_TYP_1659] }  // Bypass Interlock
    }
    HANDLING		READ & WRITE;
	VALIDITY		IF (PRM_2415 == 1) { TRUE; } ELSE { FALSE; }  // using RULE_20
}
ReadCmdDef(PRM_1072, 10, 72)
WriteCmdDef(PRM_1072, 10, 72)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1073
// 
VARIABLE PRM_1073	// IsInverted (Invertierter Ausgang)
{
    LABEL		[TXT_PRM_1073];
    HELP		[HLP_PRM_1073];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_65
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_66] }, // High-Aktiv
        { 1, [TXT_TYP_67] }  // Low-Aktiv
    }
    HANDLING		READ & WRITE;
	VALIDITY		IF (PRM_2415 == 1) { TRUE; } ELSE { FALSE; }  // using RULE_20
}
ReadCmdDef(PRM_1073, 10, 73)
WriteCmdDef(PRM_1073, 10, 73)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1077
// 
VARIABLE PRM_1077	// Digital-Signal-Eingang (Default: Thermofehler)
{
    LABEL		[TXT_PRM_1077];
    HELP		[HLP_PRM_1077];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_273
    {
        DEFAULT_VALUE	270;
        { 372, [TXT_TYP_724] }, // Nicht verwendet (Verdrahtet mit konstante 0)
        { 259, [TXT_TYP_310] }, // Endlage ZU
        { 258, [TXT_TYP_309] }, // Endlage AUF
        { 370, [TXT_TYP_968] }, // Endlage_ZU+Blinker
        { 369, [TXT_TYP_969] }, // Endlage_AUF+Blinker
        { 401, [TXT_TYP_743] }, // Ist bei Sollposition
        { 265, [TXT_TYP_740] }, // Fährt ZU
        { 264, [TXT_TYP_741] }, // Fährt AUF
        { 113, [TXT_TYP_744] }, // Wahlschalter ORT
        { 115, [TXT_TYP_311] }, // Wahlschalter FERN
        { 116, [TXT_TYP_990] }, // WahlschalterAUS
        { 376, [TXT_TYP_318] }, // Wegschalter ZU
        { 375, [TXT_TYP_317] }, // Wegschalter AUF
        { 460, [TXT_TYP_320] }, // Drehmoschalter ZU
        { 459, [TXT_TYP_319] }, // Drehmoschalter AUF
        { 86, [TXT_TYP_747] }, // Gerätestatus Namur Ausfall
        { 84, [TXT_TYP_748] }, // Gerätestatus Namur Funktionskontrolle
        { 83, [TXT_TYP_749] }, // Gerätestatus Namur Ausserh. d. Spezifikation
        { 85, [TXT_TYP_750] }, // Gerätestatus Namur Wartungsbedarf
        { 79, [TXT_TYP_696] }, // Fehler
        { 78, [TXT_TYP_739] }, // Warnungen
        { 80, [TXT_TYP_742] }, // Nicht  bereit FERN
        { 554, [TXT_TYP_757] }, // Fahrpause
        { 560, [TXT_TYP_755] }, // Taktstrecke betreten
        { 603, [TXT_TYP_754] }, // Antrieb fährt
        { 539, [TXT_TYP_751] }, // Fährt von Ort
        { 540, [TXT_TYP_752] }, // Fährt von Fern
        { 541, [TXT_TYP_753] }, // Fährt mit Handrad
        { 549, [TXT_TYP_756] }, // In Mittelstellung
        { 392, [TXT_TYP_767] }, // Zwischenstellung 1
        { 399, [TXT_TYP_766] }, // Zwischenstellung 2
        { 398, [TXT_TYP_765] }, // Zwischenstellung 3
        { 397, [TXT_TYP_764] }, // Zwischenstellung 4
        { 396, [TXT_TYP_762] }, // Zwischenstellung 5
        { 395, [TXT_TYP_760] }, // Zwischenstellung 6
        { 394, [TXT_TYP_759] }, // Zwischenstellung 7
        { 393, [TXT_TYP_758] }, // Zwischenstellung 8
        { 500, [TXT_TYP_772] }, // Digitaleingang 1
        { 501, [TXT_TYP_771] }, // Digitaleingang 2
        { 505, [TXT_TYP_770] }, // Digitaleingang 3
        { 504, [TXT_TYP_763] }, // Digitaleingang 4
        { 503, [TXT_TYP_769] }, // Digitaleingang 5
        { 502, [TXT_TYP_768] }, // Digitaleingang 6
        { 285, [TXT_TYP_991] }, // NOT-HALT aktiv
        { 269, [TXT_TYP_312] }, // Drehmofehler ZU
        { 268, [TXT_TYP_313] }, // Drehmofehler AUF
        { 546, [TXT_TYP_989] }, //  DrehmoFehler
        { 270, [TXT_TYP_314] }, // Thermofehler
        { 302, [TXT_TYP_315] }  // Phasenfehler
        IF (PRM_181 != 0) {{ 466, [TXT_TYP_970] }} // Feldbus_Digout_01 (using RULE_304)
        IF (PRM_181 != 0) {{ 467, [TXT_TYP_971] }} // Feldbus_Digout_02 (using RULE_304)
        IF (PRM_181 != 0) {{ 468, [TXT_TYP_972] }} // Feldbus_Digout_03 (using RULE_304)
        IF (PRM_181 != 0) {{ 469, [TXT_TYP_973] }} // Feldbus_Digout_04 (using RULE_304)
        IF (PRM_181 != 0) {{ 470, [TXT_TYP_974] }} // Feldbus_Digout_05 (using RULE_304)
        IF (PRM_181 != 0) {{ 471, [TXT_TYP_975] }} // Feldbus_Digout_06 (using RULE_304)
        IF (PRM_181 != 0) {{ 472, [TXT_TYP_976] }} // Feldbus_Digout_07 (using RULE_304)
        IF (PRM_181 != 0) {{ 473, [TXT_TYP_977] }} // Feldbus_Digout_08 (using RULE_304)
        IF (PRM_181 != 0) {{ 474, [TXT_TYP_978] }} // Feldbus_Digout_09 (using RULE_304)
        IF (PRM_181 != 0) {{ 475, [TXT_TYP_979] }} // Feldbus_Digout_10 (using RULE_304)
        IF (PRM_181 != 0) {{ 476, [TXT_TYP_980] }} // Feldbus_Digout_11 (using RULE_304)
        IF (PRM_181 != 0) {{ 477, [TXT_TYP_981] }} // Feldbus_Digout_12 (using RULE_304)
        IF (PRM_181 != 0) {{ 606, [TXT_TYP_1319], [HLP_TYP_1319] }} // Feldbus Fail Safe aktiv (using RULE_304)
        { 553, [TXT_TYP_1400], [HLP_TYP_1400] }, // Handradschalter ist betätigt
        { 952, [TXT_TYP_1415] }, // PVST aktiv
        { 953, [TXT_TYP_1416] }, // PVST Error
        { 954, [TXT_TYP_1417] }, // PVST Abbruch
        { 94, [TXT_TYP_1619], [HLP_TYP_1619] }, // Störung AC1 kompatibel
        { 753, [TXT_TYP_1630] }, // Interlock FERN
        { 754, [TXT_TYP_1631] }, // Interlock ORT
        { 755, [TXT_TYP_1632] }, // Interlock AUF
        { 756, [TXT_TYP_1633] }, // Interlock ZU
        { 757, [TXT_TYP_1634] }, // Interlock wurde ausglöst
        { 1016, [TXT_TYP_1658] }, // Bypass Sync Out
        { 1017, [TXT_TYP_1659] }  // Bypass Interlock
    }
    HANDLING		READ & WRITE;
	VALIDITY		IF (PRM_2415 == 1) { TRUE; } ELSE { FALSE; }  // using RULE_20
}
ReadCmdDef(PRM_1077, 10, 77)
WriteCmdDef(PRM_1077, 10, 77)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1078
// 
VARIABLE PRM_1078	// IsInverted (Invertierter Ausgang)
{
    LABEL		[TXT_PRM_1078];
    HELP		[HLP_PRM_1078];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_65
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_66] }, // High-Aktiv
        { 1, [TXT_TYP_67] }  // Low-Aktiv
    }
    HANDLING		READ & WRITE;
	VALIDITY		IF (PRM_2415 == 1) { TRUE; } ELSE { FALSE; }  // using RULE_20
}
ReadCmdDef(PRM_1078, 10, 78)
WriteCmdDef(PRM_1078, 10, 78)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1082
// 
VARIABLE PRM_1082	// Digital-Signal-Eingang (Default: Drehmoschalter AUF)
{
    LABEL		[TXT_PRM_1082];
    HELP		[HLP_PRM_1082];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_273
    {
        DEFAULT_VALUE	268;
        { 372, [TXT_TYP_724] }, // Nicht verwendet (Verdrahtet mit konstante 0)
        { 259, [TXT_TYP_310] }, // Endlage ZU
        { 258, [TXT_TYP_309] }, // Endlage AUF
        { 370, [TXT_TYP_968] }, // Endlage_ZU+Blinker
        { 369, [TXT_TYP_969] }, // Endlage_AUF+Blinker
        { 401, [TXT_TYP_743] }, // Ist bei Sollposition
        { 265, [TXT_TYP_740] }, // Fährt ZU
        { 264, [TXT_TYP_741] }, // Fährt AUF
        { 113, [TXT_TYP_744] }, // Wahlschalter ORT
        { 115, [TXT_TYP_311] }, // Wahlschalter FERN
        { 116, [TXT_TYP_990] }, // WahlschalterAUS
        { 376, [TXT_TYP_318] }, // Wegschalter ZU
        { 375, [TXT_TYP_317] }, // Wegschalter AUF
        { 460, [TXT_TYP_320] }, // Drehmoschalter ZU
        { 459, [TXT_TYP_319] }, // Drehmoschalter AUF
        { 86, [TXT_TYP_747] }, // Gerätestatus Namur Ausfall
        { 84, [TXT_TYP_748] }, // Gerätestatus Namur Funktionskontrolle
        { 83, [TXT_TYP_749] }, // Gerätestatus Namur Ausserh. d. Spezifikation
        { 85, [TXT_TYP_750] }, // Gerätestatus Namur Wartungsbedarf
        { 79, [TXT_TYP_696] }, // Fehler
        { 78, [TXT_TYP_739] }, // Warnungen
        { 80, [TXT_TYP_742] }, // Nicht  bereit FERN
        { 554, [TXT_TYP_757] }, // Fahrpause
        { 560, [TXT_TYP_755] }, // Taktstrecke betreten
        { 603, [TXT_TYP_754] }, // Antrieb fährt
        { 539, [TXT_TYP_751] }, // Fährt von Ort
        { 540, [TXT_TYP_752] }, // Fährt von Fern
        { 541, [TXT_TYP_753] }, // Fährt mit Handrad
        { 549, [TXT_TYP_756] }, // In Mittelstellung
        { 392, [TXT_TYP_767] }, // Zwischenstellung 1
        { 399, [TXT_TYP_766] }, // Zwischenstellung 2
        { 398, [TXT_TYP_765] }, // Zwischenstellung 3
        { 397, [TXT_TYP_764] }, // Zwischenstellung 4
        { 396, [TXT_TYP_762] }, // Zwischenstellung 5
        { 395, [TXT_TYP_760] }, // Zwischenstellung 6
        { 394, [TXT_TYP_759] }, // Zwischenstellung 7
        { 393, [TXT_TYP_758] }, // Zwischenstellung 8
        { 500, [TXT_TYP_772] }, // Digitaleingang 1
        { 501, [TXT_TYP_771] }, // Digitaleingang 2
        { 505, [TXT_TYP_770] }, // Digitaleingang 3
        { 504, [TXT_TYP_763] }, // Digitaleingang 4
        { 503, [TXT_TYP_769] }, // Digitaleingang 5
        { 502, [TXT_TYP_768] }, // Digitaleingang 6
        { 285, [TXT_TYP_991] }, // NOT-HALT aktiv
        { 269, [TXT_TYP_312] }, // Drehmofehler ZU
        { 268, [TXT_TYP_313] }, // Drehmofehler AUF
        { 546, [TXT_TYP_989] }, //  DrehmoFehler
        { 270, [TXT_TYP_314] }, // Thermofehler
        { 302, [TXT_TYP_315] }  // Phasenfehler
        IF (PRM_181 != 0) {{ 466, [TXT_TYP_970] }} // Feldbus_Digout_01 (using RULE_304)
        IF (PRM_181 != 0) {{ 467, [TXT_TYP_971] }} // Feldbus_Digout_02 (using RULE_304)
        IF (PRM_181 != 0) {{ 468, [TXT_TYP_972] }} // Feldbus_Digout_03 (using RULE_304)
        IF (PRM_181 != 0) {{ 469, [TXT_TYP_973] }} // Feldbus_Digout_04 (using RULE_304)
        IF (PRM_181 != 0) {{ 470, [TXT_TYP_974] }} // Feldbus_Digout_05 (using RULE_304)
        IF (PRM_181 != 0) {{ 471, [TXT_TYP_975] }} // Feldbus_Digout_06 (using RULE_304)
        IF (PRM_181 != 0) {{ 472, [TXT_TYP_976] }} // Feldbus_Digout_07 (using RULE_304)
        IF (PRM_181 != 0) {{ 473, [TXT_TYP_977] }} // Feldbus_Digout_08 (using RULE_304)
        IF (PRM_181 != 0) {{ 474, [TXT_TYP_978] }} // Feldbus_Digout_09 (using RULE_304)
        IF (PRM_181 != 0) {{ 475, [TXT_TYP_979] }} // Feldbus_Digout_10 (using RULE_304)
        IF (PRM_181 != 0) {{ 476, [TXT_TYP_980] }} // Feldbus_Digout_11 (using RULE_304)
        IF (PRM_181 != 0) {{ 477, [TXT_TYP_981] }} // Feldbus_Digout_12 (using RULE_304)
        IF (PRM_181 != 0) {{ 606, [TXT_TYP_1319], [HLP_TYP_1319] }} // Feldbus Fail Safe aktiv (using RULE_304)
        { 553, [TXT_TYP_1400], [HLP_TYP_1400] }, // Handradschalter ist betätigt
        { 952, [TXT_TYP_1415] }, // PVST aktiv
        { 953, [TXT_TYP_1416] }, // PVST Error
        { 954, [TXT_TYP_1417] }, // PVST Abbruch
        { 94, [TXT_TYP_1619], [HLP_TYP_1619] }, // Störung AC1 kompatibel
        { 753, [TXT_TYP_1630] }, // Interlock FERN
        { 754, [TXT_TYP_1631] }, // Interlock ORT
        { 755, [TXT_TYP_1632] }, // Interlock AUF
        { 756, [TXT_TYP_1633] }, // Interlock ZU
        { 757, [TXT_TYP_1634] }, // Interlock wurde ausglöst
        { 1016, [TXT_TYP_1658] }, // Bypass Sync Out
        { 1017, [TXT_TYP_1659] }  // Bypass Interlock
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_1082, 10, 82)
WriteCmdDef(PRM_1082, 10, 82)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1083
// 
VARIABLE PRM_1083	// IsInverted (Invertierter Ausgang)
{
    LABEL		[TXT_PRM_1083];
    HELP		[HLP_PRM_1083];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_65
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_66] }, // High-Aktiv
        { 1, [TXT_TYP_67] }  // Low-Aktiv
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_1083, 10, 83)
WriteCmdDef(PRM_1083, 10, 83)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1087
// 
VARIABLE PRM_1087	// Digital-Signal-Eingang (Default: Drehmofehler ZU)
{
    LABEL		[TXT_PRM_1087];
    HELP		[HLP_PRM_1087];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_273
    {
        DEFAULT_VALUE	269;
        { 372, [TXT_TYP_724] }, // Nicht verwendet (Verdrahtet mit konstante 0)
        { 259, [TXT_TYP_310] }, // Endlage ZU
        { 258, [TXT_TYP_309] }, // Endlage AUF
        { 370, [TXT_TYP_968] }, // Endlage_ZU+Blinker
        { 369, [TXT_TYP_969] }, // Endlage_AUF+Blinker
        { 401, [TXT_TYP_743] }, // Ist bei Sollposition
        { 265, [TXT_TYP_740] }, // Fährt ZU
        { 264, [TXT_TYP_741] }, // Fährt AUF
        { 113, [TXT_TYP_744] }, // Wahlschalter ORT
        { 115, [TXT_TYP_311] }, // Wahlschalter FERN
        { 116, [TXT_TYP_990] }, // WahlschalterAUS
        { 376, [TXT_TYP_318] }, // Wegschalter ZU
        { 375, [TXT_TYP_317] }, // Wegschalter AUF
        { 460, [TXT_TYP_320] }, // Drehmoschalter ZU
        { 459, [TXT_TYP_319] }, // Drehmoschalter AUF
        { 86, [TXT_TYP_747] }, // Gerätestatus Namur Ausfall
        { 84, [TXT_TYP_748] }, // Gerätestatus Namur Funktionskontrolle
        { 83, [TXT_TYP_749] }, // Gerätestatus Namur Ausserh. d. Spezifikation
        { 85, [TXT_TYP_750] }, // Gerätestatus Namur Wartungsbedarf
        { 79, [TXT_TYP_696] }, // Fehler
        { 78, [TXT_TYP_739] }, // Warnungen
        { 80, [TXT_TYP_742] }, // Nicht  bereit FERN
        { 554, [TXT_TYP_757] }, // Fahrpause
        { 560, [TXT_TYP_755] }, // Taktstrecke betreten
        { 603, [TXT_TYP_754] }, // Antrieb fährt
        { 539, [TXT_TYP_751] }, // Fährt von Ort
        { 540, [TXT_TYP_752] }, // Fährt von Fern
        { 541, [TXT_TYP_753] }, // Fährt mit Handrad
        { 549, [TXT_TYP_756] }, // In Mittelstellung
        { 392, [TXT_TYP_767] }, // Zwischenstellung 1
        { 399, [TXT_TYP_766] }, // Zwischenstellung 2
        { 398, [TXT_TYP_765] }, // Zwischenstellung 3
        { 397, [TXT_TYP_764] }, // Zwischenstellung 4
        { 396, [TXT_TYP_762] }, // Zwischenstellung 5
        { 395, [TXT_TYP_760] }, // Zwischenstellung 6
        { 394, [TXT_TYP_759] }, // Zwischenstellung 7
        { 393, [TXT_TYP_758] }, // Zwischenstellung 8
        { 500, [TXT_TYP_772] }, // Digitaleingang 1
        { 501, [TXT_TYP_771] }, // Digitaleingang 2
        { 505, [TXT_TYP_770] }, // Digitaleingang 3
        { 504, [TXT_TYP_763] }, // Digitaleingang 4
        { 503, [TXT_TYP_769] }, // Digitaleingang 5
        { 502, [TXT_TYP_768] }, // Digitaleingang 6
        { 285, [TXT_TYP_991] }, // NOT-HALT aktiv
        { 269, [TXT_TYP_312] }, // Drehmofehler ZU
        { 268, [TXT_TYP_313] }, // Drehmofehler AUF
        { 546, [TXT_TYP_989] }, //  DrehmoFehler
        { 270, [TXT_TYP_314] }, // Thermofehler
        { 302, [TXT_TYP_315] }  // Phasenfehler
        IF (PRM_181 != 0) {{ 466, [TXT_TYP_970] }} // Feldbus_Digout_01 (using RULE_304)
        IF (PRM_181 != 0) {{ 467, [TXT_TYP_971] }} // Feldbus_Digout_02 (using RULE_304)
        IF (PRM_181 != 0) {{ 468, [TXT_TYP_972] }} // Feldbus_Digout_03 (using RULE_304)
        IF (PRM_181 != 0) {{ 469, [TXT_TYP_973] }} // Feldbus_Digout_04 (using RULE_304)
        IF (PRM_181 != 0) {{ 470, [TXT_TYP_974] }} // Feldbus_Digout_05 (using RULE_304)
        IF (PRM_181 != 0) {{ 471, [TXT_TYP_975] }} // Feldbus_Digout_06 (using RULE_304)
        IF (PRM_181 != 0) {{ 472, [TXT_TYP_976] }} // Feldbus_Digout_07 (using RULE_304)
        IF (PRM_181 != 0) {{ 473, [TXT_TYP_977] }} // Feldbus_Digout_08 (using RULE_304)
        IF (PRM_181 != 0) {{ 474, [TXT_TYP_978] }} // Feldbus_Digout_09 (using RULE_304)
        IF (PRM_181 != 0) {{ 475, [TXT_TYP_979] }} // Feldbus_Digout_10 (using RULE_304)
        IF (PRM_181 != 0) {{ 476, [TXT_TYP_980] }} // Feldbus_Digout_11 (using RULE_304)
        IF (PRM_181 != 0) {{ 477, [TXT_TYP_981] }} // Feldbus_Digout_12 (using RULE_304)
        IF (PRM_181 != 0) {{ 606, [TXT_TYP_1319], [HLP_TYP_1319] }} // Feldbus Fail Safe aktiv (using RULE_304)
        { 553, [TXT_TYP_1400], [HLP_TYP_1400] }, // Handradschalter ist betätigt
        { 952, [TXT_TYP_1415] }, // PVST aktiv
        { 953, [TXT_TYP_1416] }, // PVST Error
        { 954, [TXT_TYP_1417] }, // PVST Abbruch
        { 94, [TXT_TYP_1619], [HLP_TYP_1619] }, // Störung AC1 kompatibel
        { 753, [TXT_TYP_1630] }, // Interlock FERN
        { 754, [TXT_TYP_1631] }, // Interlock ORT
        { 755, [TXT_TYP_1632] }, // Interlock AUF
        { 756, [TXT_TYP_1633] }, // Interlock ZU
        { 757, [TXT_TYP_1634] }, // Interlock wurde ausglöst
        { 1016, [TXT_TYP_1658] }, // Bypass Sync Out
        { 1017, [TXT_TYP_1659] }  // Bypass Interlock
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_1087, 10, 87)
WriteCmdDef(PRM_1087, 10, 87)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1088
// 
VARIABLE PRM_1088	// IsInverted (Invertierter Ausgang)
{
    LABEL		[TXT_PRM_1088];
    HELP		[HLP_PRM_1088];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_65
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_66] }, // High-Aktiv
        { 1, [TXT_TYP_67] }  // Low-Aktiv
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_1088, 10, 88)
WriteCmdDef(PRM_1088, 10, 88)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1092
// 
VARIABLE PRM_1092	// Digital-Signal-Eingang (Default: Wahlschalter FERN)
{
    LABEL		[TXT_PRM_1092];
    HELP		[HLP_PRM_1092];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_273
    {
        DEFAULT_VALUE	115;
        { 372, [TXT_TYP_724] }, // Nicht verwendet (Verdrahtet mit konstante 0)
        { 259, [TXT_TYP_310] }, // Endlage ZU
        { 258, [TXT_TYP_309] }, // Endlage AUF
        { 370, [TXT_TYP_968] }, // Endlage_ZU+Blinker
        { 369, [TXT_TYP_969] }, // Endlage_AUF+Blinker
        { 401, [TXT_TYP_743] }, // Ist bei Sollposition
        { 265, [TXT_TYP_740] }, // Fährt ZU
        { 264, [TXT_TYP_741] }, // Fährt AUF
        { 113, [TXT_TYP_744] }, // Wahlschalter ORT
        { 115, [TXT_TYP_311] }, // Wahlschalter FERN
        { 116, [TXT_TYP_990] }, // WahlschalterAUS
        { 376, [TXT_TYP_318] }, // Wegschalter ZU
        { 375, [TXT_TYP_317] }, // Wegschalter AUF
        { 460, [TXT_TYP_320] }, // Drehmoschalter ZU
        { 459, [TXT_TYP_319] }, // Drehmoschalter AUF
        { 86, [TXT_TYP_747] }, // Gerätestatus Namur Ausfall
        { 84, [TXT_TYP_748] }, // Gerätestatus Namur Funktionskontrolle
        { 83, [TXT_TYP_749] }, // Gerätestatus Namur Ausserh. d. Spezifikation
        { 85, [TXT_TYP_750] }, // Gerätestatus Namur Wartungsbedarf
        { 79, [TXT_TYP_696] }, // Fehler
        { 78, [TXT_TYP_739] }, // Warnungen
        { 80, [TXT_TYP_742] }, // Nicht  bereit FERN
        { 554, [TXT_TYP_757] }, // Fahrpause
        { 560, [TXT_TYP_755] }, // Taktstrecke betreten
        { 603, [TXT_TYP_754] }, // Antrieb fährt
        { 539, [TXT_TYP_751] }, // Fährt von Ort
        { 540, [TXT_TYP_752] }, // Fährt von Fern
        { 541, [TXT_TYP_753] }, // Fährt mit Handrad
        { 549, [TXT_TYP_756] }, // In Mittelstellung
        { 392, [TXT_TYP_767] }, // Zwischenstellung 1
        { 399, [TXT_TYP_766] }, // Zwischenstellung 2
        { 398, [TXT_TYP_765] }, // Zwischenstellung 3
        { 397, [TXT_TYP_764] }, // Zwischenstellung 4
        { 396, [TXT_TYP_762] }, // Zwischenstellung 5
        { 395, [TXT_TYP_760] }, // Zwischenstellung 6
        { 394, [TXT_TYP_759] }, // Zwischenstellung 7
        { 393, [TXT_TYP_758] }, // Zwischenstellung 8
        { 500, [TXT_TYP_772] }, // Digitaleingang 1
        { 501, [TXT_TYP_771] }, // Digitaleingang 2
        { 505, [TXT_TYP_770] }, // Digitaleingang 3
        { 504, [TXT_TYP_763] }, // Digitaleingang 4
        { 503, [TXT_TYP_769] }, // Digitaleingang 5
        { 502, [TXT_TYP_768] }, // Digitaleingang 6
        { 285, [TXT_TYP_991] }, // NOT-HALT aktiv
        { 269, [TXT_TYP_312] }, // Drehmofehler ZU
        { 268, [TXT_TYP_313] }, // Drehmofehler AUF
        { 546, [TXT_TYP_989] }, //  DrehmoFehler
        { 270, [TXT_TYP_314] }, // Thermofehler
        { 302, [TXT_TYP_315] }  // Phasenfehler
        IF (PRM_181 != 0) {{ 466, [TXT_TYP_970] }} // Feldbus_Digout_01 (using RULE_304)
        IF (PRM_181 != 0) {{ 467, [TXT_TYP_971] }} // Feldbus_Digout_02 (using RULE_304)
        IF (PRM_181 != 0) {{ 468, [TXT_TYP_972] }} // Feldbus_Digout_03 (using RULE_304)
        IF (PRM_181 != 0) {{ 469, [TXT_TYP_973] }} // Feldbus_Digout_04 (using RULE_304)
        IF (PRM_181 != 0) {{ 470, [TXT_TYP_974] }} // Feldbus_Digout_05 (using RULE_304)
        IF (PRM_181 != 0) {{ 471, [TXT_TYP_975] }} // Feldbus_Digout_06 (using RULE_304)
        IF (PRM_181 != 0) {{ 472, [TXT_TYP_976] }} // Feldbus_Digout_07 (using RULE_304)
        IF (PRM_181 != 0) {{ 473, [TXT_TYP_977] }} // Feldbus_Digout_08 (using RULE_304)
        IF (PRM_181 != 0) {{ 474, [TXT_TYP_978] }} // Feldbus_Digout_09 (using RULE_304)
        IF (PRM_181 != 0) {{ 475, [TXT_TYP_979] }} // Feldbus_Digout_10 (using RULE_304)
        IF (PRM_181 != 0) {{ 476, [TXT_TYP_980] }} // Feldbus_Digout_11 (using RULE_304)
        IF (PRM_181 != 0) {{ 477, [TXT_TYP_981] }} // Feldbus_Digout_12 (using RULE_304)
        IF (PRM_181 != 0) {{ 606, [TXT_TYP_1319], [HLP_TYP_1319] }} // Feldbus Fail Safe aktiv (using RULE_304)
        { 553, [TXT_TYP_1400], [HLP_TYP_1400] }, // Handradschalter ist betätigt
        { 952, [TXT_TYP_1415] }, // PVST aktiv
        { 953, [TXT_TYP_1416] }, // PVST Error
        { 954, [TXT_TYP_1417] }, // PVST Abbruch
        { 94, [TXT_TYP_1619], [HLP_TYP_1619] }, // Störung AC1 kompatibel
        { 753, [TXT_TYP_1630] }, // Interlock FERN
        { 754, [TXT_TYP_1631] }, // Interlock ORT
        { 755, [TXT_TYP_1632] }, // Interlock AUF
        { 756, [TXT_TYP_1633] }, // Interlock ZU
        { 757, [TXT_TYP_1634] }, // Interlock wurde ausglöst
        { 1016, [TXT_TYP_1658] }, // Bypass Sync Out
        { 1017, [TXT_TYP_1659] }  // Bypass Interlock
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_1092, 10, 92)
WriteCmdDef(PRM_1092, 10, 92)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1093
// 
VARIABLE PRM_1093	// IsInverted (Invertierter Ausgang)
{
    LABEL		[TXT_PRM_1093];
    HELP		[HLP_PRM_1093];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_65
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_66] }, // High-Aktiv
        { 1, [TXT_TYP_67] }  // Low-Aktiv
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_1093, 10, 93)
WriteCmdDef(PRM_1093, 10, 93)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1097
// 
VARIABLE PRM_1097	// Digital-Signal-Eingang (Default: Endlage AUF)
{
    LABEL		[TXT_PRM_1097];
    HELP		[HLP_PRM_1097];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_273
    {
        DEFAULT_VALUE	258;
        { 372, [TXT_TYP_724] }, // Nicht verwendet (Verdrahtet mit konstante 0)
        { 259, [TXT_TYP_310] }, // Endlage ZU
        { 258, [TXT_TYP_309] }, // Endlage AUF
        { 370, [TXT_TYP_968] }, // Endlage_ZU+Blinker
        { 369, [TXT_TYP_969] }, // Endlage_AUF+Blinker
        { 401, [TXT_TYP_743] }, // Ist bei Sollposition
        { 265, [TXT_TYP_740] }, // Fährt ZU
        { 264, [TXT_TYP_741] }, // Fährt AUF
        { 113, [TXT_TYP_744] }, // Wahlschalter ORT
        { 115, [TXT_TYP_311] }, // Wahlschalter FERN
        { 116, [TXT_TYP_990] }, // WahlschalterAUS
        { 376, [TXT_TYP_318] }, // Wegschalter ZU
        { 375, [TXT_TYP_317] }, // Wegschalter AUF
        { 460, [TXT_TYP_320] }, // Drehmoschalter ZU
        { 459, [TXT_TYP_319] }, // Drehmoschalter AUF
        { 86, [TXT_TYP_747] }, // Gerätestatus Namur Ausfall
        { 84, [TXT_TYP_748] }, // Gerätestatus Namur Funktionskontrolle
        { 83, [TXT_TYP_749] }, // Gerätestatus Namur Ausserh. d. Spezifikation
        { 85, [TXT_TYP_750] }, // Gerätestatus Namur Wartungsbedarf
        { 79, [TXT_TYP_696] }, // Fehler
        { 78, [TXT_TYP_739] }, // Warnungen
        { 80, [TXT_TYP_742] }, // Nicht  bereit FERN
        { 554, [TXT_TYP_757] }, // Fahrpause
        { 560, [TXT_TYP_755] }, // Taktstrecke betreten
        { 603, [TXT_TYP_754] }, // Antrieb fährt
        { 539, [TXT_TYP_751] }, // Fährt von Ort
        { 540, [TXT_TYP_752] }, // Fährt von Fern
        { 541, [TXT_TYP_753] }, // Fährt mit Handrad
        { 549, [TXT_TYP_756] }, // In Mittelstellung
        { 392, [TXT_TYP_767] }, // Zwischenstellung 1
        { 399, [TXT_TYP_766] }, // Zwischenstellung 2
        { 398, [TXT_TYP_765] }, // Zwischenstellung 3
        { 397, [TXT_TYP_764] }, // Zwischenstellung 4
        { 396, [TXT_TYP_762] }, // Zwischenstellung 5
        { 395, [TXT_TYP_760] }, // Zwischenstellung 6
        { 394, [TXT_TYP_759] }, // Zwischenstellung 7
        { 393, [TXT_TYP_758] }, // Zwischenstellung 8
        { 500, [TXT_TYP_772] }, // Digitaleingang 1
        { 501, [TXT_TYP_771] }, // Digitaleingang 2
        { 505, [TXT_TYP_770] }, // Digitaleingang 3
        { 504, [TXT_TYP_763] }, // Digitaleingang 4
        { 503, [TXT_TYP_769] }, // Digitaleingang 5
        { 502, [TXT_TYP_768] }, // Digitaleingang 6
        { 285, [TXT_TYP_991] }, // NOT-HALT aktiv
        { 269, [TXT_TYP_312] }, // Drehmofehler ZU
        { 268, [TXT_TYP_313] }, // Drehmofehler AUF
        { 546, [TXT_TYP_989] }, //  DrehmoFehler
        { 270, [TXT_TYP_314] }, // Thermofehler
        { 302, [TXT_TYP_315] }  // Phasenfehler
        IF (PRM_181 != 0) {{ 466, [TXT_TYP_970] }} // Feldbus_Digout_01 (using RULE_304)
        IF (PRM_181 != 0) {{ 467, [TXT_TYP_971] }} // Feldbus_Digout_02 (using RULE_304)
        IF (PRM_181 != 0) {{ 468, [TXT_TYP_972] }} // Feldbus_Digout_03 (using RULE_304)
        IF (PRM_181 != 0) {{ 469, [TXT_TYP_973] }} // Feldbus_Digout_04 (using RULE_304)
        IF (PRM_181 != 0) {{ 470, [TXT_TYP_974] }} // Feldbus_Digout_05 (using RULE_304)
        IF (PRM_181 != 0) {{ 471, [TXT_TYP_975] }} // Feldbus_Digout_06 (using RULE_304)
        IF (PRM_181 != 0) {{ 472, [TXT_TYP_976] }} // Feldbus_Digout_07 (using RULE_304)
        IF (PRM_181 != 0) {{ 473, [TXT_TYP_977] }} // Feldbus_Digout_08 (using RULE_304)
        IF (PRM_181 != 0) {{ 474, [TXT_TYP_978] }} // Feldbus_Digout_09 (using RULE_304)
        IF (PRM_181 != 0) {{ 475, [TXT_TYP_979] }} // Feldbus_Digout_10 (using RULE_304)
        IF (PRM_181 != 0) {{ 476, [TXT_TYP_980] }} // Feldbus_Digout_11 (using RULE_304)
        IF (PRM_181 != 0) {{ 477, [TXT_TYP_981] }} // Feldbus_Digout_12 (using RULE_304)
        IF (PRM_181 != 0) {{ 606, [TXT_TYP_1319], [HLP_TYP_1319] }} // Feldbus Fail Safe aktiv (using RULE_304)
        { 553, [TXT_TYP_1400], [HLP_TYP_1400] }, // Handradschalter ist betätigt
        { 952, [TXT_TYP_1415] }, // PVST aktiv
        { 953, [TXT_TYP_1416] }, // PVST Error
        { 954, [TXT_TYP_1417] }, // PVST Abbruch
        { 94, [TXT_TYP_1619], [HLP_TYP_1619] }, // Störung AC1 kompatibel
        { 753, [TXT_TYP_1630] }, // Interlock FERN
        { 754, [TXT_TYP_1631] }, // Interlock ORT
        { 755, [TXT_TYP_1632] }, // Interlock AUF
        { 756, [TXT_TYP_1633] }, // Interlock ZU
        { 757, [TXT_TYP_1634] }, // Interlock wurde ausglöst
        { 1016, [TXT_TYP_1658] }, // Bypass Sync Out
        { 1017, [TXT_TYP_1659] }  // Bypass Interlock
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_1097, 10, 97)
WriteCmdDef(PRM_1097, 10, 97)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1098
// 
VARIABLE PRM_1098	// IsInverted (Invertierter Ausgang)
{
    LABEL		[TXT_PRM_1098];
    HELP		[HLP_PRM_1098];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_65
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_66] }, // High-Aktiv
        { 1, [TXT_TYP_67] }  // Low-Aktiv
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_1098, 10, 98)
WriteCmdDef(PRM_1098, 10, 98)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1102
// 
VARIABLE PRM_1102	// Digital-Signal-Eingang (Default: Endlage ZU)
{
    LABEL		[TXT_PRM_1102];
    HELP		[HLP_PRM_1102];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_273
    {
        DEFAULT_VALUE	259;
        { 372, [TXT_TYP_724] }, // Nicht verwendet (Verdrahtet mit konstante 0)
        { 259, [TXT_TYP_310] }, // Endlage ZU
        { 258, [TXT_TYP_309] }, // Endlage AUF
        { 370, [TXT_TYP_968] }, // Endlage_ZU+Blinker
        { 369, [TXT_TYP_969] }, // Endlage_AUF+Blinker
        { 401, [TXT_TYP_743] }, // Ist bei Sollposition
        { 265, [TXT_TYP_740] }, // Fährt ZU
        { 264, [TXT_TYP_741] }, // Fährt AUF
        { 113, [TXT_TYP_744] }, // Wahlschalter ORT
        { 115, [TXT_TYP_311] }, // Wahlschalter FERN
        { 116, [TXT_TYP_990] }, // WahlschalterAUS
        { 376, [TXT_TYP_318] }, // Wegschalter ZU
        { 375, [TXT_TYP_317] }, // Wegschalter AUF
        { 460, [TXT_TYP_320] }, // Drehmoschalter ZU
        { 459, [TXT_TYP_319] }, // Drehmoschalter AUF
        { 86, [TXT_TYP_747] }, // Gerätestatus Namur Ausfall
        { 84, [TXT_TYP_748] }, // Gerätestatus Namur Funktionskontrolle
        { 83, [TXT_TYP_749] }, // Gerätestatus Namur Ausserh. d. Spezifikation
        { 85, [TXT_TYP_750] }, // Gerätestatus Namur Wartungsbedarf
        { 79, [TXT_TYP_696] }, // Fehler
        { 78, [TXT_TYP_739] }, // Warnungen
        { 80, [TXT_TYP_742] }, // Nicht  bereit FERN
        { 554, [TXT_TYP_757] }, // Fahrpause
        { 560, [TXT_TYP_755] }, // Taktstrecke betreten
        { 603, [TXT_TYP_754] }, // Antrieb fährt
        { 539, [TXT_TYP_751] }, // Fährt von Ort
        { 540, [TXT_TYP_752] }, // Fährt von Fern
        { 541, [TXT_TYP_753] }, // Fährt mit Handrad
        { 549, [TXT_TYP_756] }, // In Mittelstellung
        { 392, [TXT_TYP_767] }, // Zwischenstellung 1
        { 399, [TXT_TYP_766] }, // Zwischenstellung 2
        { 398, [TXT_TYP_765] }, // Zwischenstellung 3
        { 397, [TXT_TYP_764] }, // Zwischenstellung 4
        { 396, [TXT_TYP_762] }, // Zwischenstellung 5
        { 395, [TXT_TYP_760] }, // Zwischenstellung 6
        { 394, [TXT_TYP_759] }, // Zwischenstellung 7
        { 393, [TXT_TYP_758] }, // Zwischenstellung 8
        { 500, [TXT_TYP_772] }, // Digitaleingang 1
        { 501, [TXT_TYP_771] }, // Digitaleingang 2
        { 505, [TXT_TYP_770] }, // Digitaleingang 3
        { 504, [TXT_TYP_763] }, // Digitaleingang 4
        { 503, [TXT_TYP_769] }, // Digitaleingang 5
        { 502, [TXT_TYP_768] }, // Digitaleingang 6
        { 285, [TXT_TYP_991] }, // NOT-HALT aktiv
        { 269, [TXT_TYP_312] }, // Drehmofehler ZU
        { 268, [TXT_TYP_313] }, // Drehmofehler AUF
        { 546, [TXT_TYP_989] }, //  DrehmoFehler
        { 270, [TXT_TYP_314] }, // Thermofehler
        { 302, [TXT_TYP_315] }  // Phasenfehler
        IF (PRM_181 != 0) {{ 466, [TXT_TYP_970] }} // Feldbus_Digout_01 (using RULE_304)
        IF (PRM_181 != 0) {{ 467, [TXT_TYP_971] }} // Feldbus_Digout_02 (using RULE_304)
        IF (PRM_181 != 0) {{ 468, [TXT_TYP_972] }} // Feldbus_Digout_03 (using RULE_304)
        IF (PRM_181 != 0) {{ 469, [TXT_TYP_973] }} // Feldbus_Digout_04 (using RULE_304)
        IF (PRM_181 != 0) {{ 470, [TXT_TYP_974] }} // Feldbus_Digout_05 (using RULE_304)
        IF (PRM_181 != 0) {{ 471, [TXT_TYP_975] }} // Feldbus_Digout_06 (using RULE_304)
        IF (PRM_181 != 0) {{ 472, [TXT_TYP_976] }} // Feldbus_Digout_07 (using RULE_304)
        IF (PRM_181 != 0) {{ 473, [TXT_TYP_977] }} // Feldbus_Digout_08 (using RULE_304)
        IF (PRM_181 != 0) {{ 474, [TXT_TYP_978] }} // Feldbus_Digout_09 (using RULE_304)
        IF (PRM_181 != 0) {{ 475, [TXT_TYP_979] }} // Feldbus_Digout_10 (using RULE_304)
        IF (PRM_181 != 0) {{ 476, [TXT_TYP_980] }} // Feldbus_Digout_11 (using RULE_304)
        IF (PRM_181 != 0) {{ 477, [TXT_TYP_981] }} // Feldbus_Digout_12 (using RULE_304)
        IF (PRM_181 != 0) {{ 606, [TXT_TYP_1319], [HLP_TYP_1319] }} // Feldbus Fail Safe aktiv (using RULE_304)
        { 553, [TXT_TYP_1400], [HLP_TYP_1400] }, // Handradschalter ist betätigt
        { 952, [TXT_TYP_1415] }, // PVST aktiv
        { 953, [TXT_TYP_1416] }, // PVST Error
        { 954, [TXT_TYP_1417] }, // PVST Abbruch
        { 94, [TXT_TYP_1619], [HLP_TYP_1619] }, // Störung AC1 kompatibel
        { 753, [TXT_TYP_1630] }, // Interlock FERN
        { 754, [TXT_TYP_1631] }, // Interlock ORT
        { 755, [TXT_TYP_1632] }, // Interlock AUF
        { 756, [TXT_TYP_1633] }, // Interlock ZU
        { 757, [TXT_TYP_1634] }, // Interlock wurde ausglöst
        { 1016, [TXT_TYP_1658] }, // Bypass Sync Out
        { 1017, [TXT_TYP_1659] }  // Bypass Interlock
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_1102, 11, 2)
WriteCmdDef(PRM_1102, 11, 2)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1103
// 
VARIABLE PRM_1103	// IsInverted (Invertierter Ausgang)
{
    LABEL		[TXT_PRM_1103];
    HELP		[HLP_PRM_1103];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_65
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_66] }, // High-Aktiv
        { 1, [TXT_TYP_67] }  // Low-Aktiv
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_1103, 11, 3)
WriteCmdDef(PRM_1103, 11, 3)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1107
// 
VARIABLE PRM_1107	// Digital-Signal-Eingang (Default: Weg-Endschalter ZU)
{
    LABEL		[TXT_PRM_1107];
    HELP		[HLP_PRM_1107];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_273
    {
        DEFAULT_VALUE	376;
        { 372, [TXT_TYP_724] }, // Nicht verwendet (Verdrahtet mit konstante 0)
        { 259, [TXT_TYP_310] }, // Endlage ZU
        { 258, [TXT_TYP_309] }, // Endlage AUF
        { 370, [TXT_TYP_968] }, // Endlage_ZU+Blinker
        { 369, [TXT_TYP_969] }, // Endlage_AUF+Blinker
        { 401, [TXT_TYP_743] }, // Ist bei Sollposition
        { 265, [TXT_TYP_740] }, // Fährt ZU
        { 264, [TXT_TYP_741] }, // Fährt AUF
        { 113, [TXT_TYP_744] }, // Wahlschalter ORT
        { 115, [TXT_TYP_311] }, // Wahlschalter FERN
        { 116, [TXT_TYP_990] }, // WahlschalterAUS
        { 376, [TXT_TYP_318] }, // Wegschalter ZU
        { 375, [TXT_TYP_317] }, // Wegschalter AUF
        { 460, [TXT_TYP_320] }, // Drehmoschalter ZU
        { 459, [TXT_TYP_319] }, // Drehmoschalter AUF
        { 86, [TXT_TYP_747] }, // Gerätestatus Namur Ausfall
        { 84, [TXT_TYP_748] }, // Gerätestatus Namur Funktionskontrolle
        { 83, [TXT_TYP_749] }, // Gerätestatus Namur Ausserh. d. Spezifikation
        { 85, [TXT_TYP_750] }, // Gerätestatus Namur Wartungsbedarf
        { 79, [TXT_TYP_696] }, // Fehler
        { 78, [TXT_TYP_739] }, // Warnungen
        { 80, [TXT_TYP_742] }, // Nicht  bereit FERN
        { 554, [TXT_TYP_757] }, // Fahrpause
        { 560, [TXT_TYP_755] }, // Taktstrecke betreten
        { 603, [TXT_TYP_754] }, // Antrieb fährt
        { 539, [TXT_TYP_751] }, // Fährt von Ort
        { 540, [TXT_TYP_752] }, // Fährt von Fern
        { 541, [TXT_TYP_753] }, // Fährt mit Handrad
        { 549, [TXT_TYP_756] }, // In Mittelstellung
        { 392, [TXT_TYP_767] }, // Zwischenstellung 1
        { 399, [TXT_TYP_766] }, // Zwischenstellung 2
        { 398, [TXT_TYP_765] }, // Zwischenstellung 3
        { 397, [TXT_TYP_764] }, // Zwischenstellung 4
        { 396, [TXT_TYP_762] }, // Zwischenstellung 5
        { 395, [TXT_TYP_760] }, // Zwischenstellung 6
        { 394, [TXT_TYP_759] }, // Zwischenstellung 7
        { 393, [TXT_TYP_758] }, // Zwischenstellung 8
        { 500, [TXT_TYP_772] }, // Digitaleingang 1
        { 501, [TXT_TYP_771] }, // Digitaleingang 2
        { 505, [TXT_TYP_770] }, // Digitaleingang 3
        { 504, [TXT_TYP_763] }, // Digitaleingang 4
        { 503, [TXT_TYP_769] }, // Digitaleingang 5
        { 502, [TXT_TYP_768] }, // Digitaleingang 6
        { 285, [TXT_TYP_991] }, // NOT-HALT aktiv
        { 269, [TXT_TYP_312] }, // Drehmofehler ZU
        { 268, [TXT_TYP_313] }, // Drehmofehler AUF
        { 546, [TXT_TYP_989] }, //  DrehmoFehler
        { 270, [TXT_TYP_314] }, // Thermofehler
        { 302, [TXT_TYP_315] }  // Phasenfehler
        IF (PRM_181 != 0) {{ 466, [TXT_TYP_970] }} // Feldbus_Digout_01 (using RULE_304)
        IF (PRM_181 != 0) {{ 467, [TXT_TYP_971] }} // Feldbus_Digout_02 (using RULE_304)
        IF (PRM_181 != 0) {{ 468, [TXT_TYP_972] }} // Feldbus_Digout_03 (using RULE_304)
        IF (PRM_181 != 0) {{ 469, [TXT_TYP_973] }} // Feldbus_Digout_04 (using RULE_304)
        IF (PRM_181 != 0) {{ 470, [TXT_TYP_974] }} // Feldbus_Digout_05 (using RULE_304)
        IF (PRM_181 != 0) {{ 471, [TXT_TYP_975] }} // Feldbus_Digout_06 (using RULE_304)
        IF (PRM_181 != 0) {{ 472, [TXT_TYP_976] }} // Feldbus_Digout_07 (using RULE_304)
        IF (PRM_181 != 0) {{ 473, [TXT_TYP_977] }} // Feldbus_Digout_08 (using RULE_304)
        IF (PRM_181 != 0) {{ 474, [TXT_TYP_978] }} // Feldbus_Digout_09 (using RULE_304)
        IF (PRM_181 != 0) {{ 475, [TXT_TYP_979] }} // Feldbus_Digout_10 (using RULE_304)
        IF (PRM_181 != 0) {{ 476, [TXT_TYP_980] }} // Feldbus_Digout_11 (using RULE_304)
        IF (PRM_181 != 0) {{ 477, [TXT_TYP_981] }} // Feldbus_Digout_12 (using RULE_304)
        IF (PRM_181 != 0) {{ 606, [TXT_TYP_1319], [HLP_TYP_1319] }} // Feldbus Fail Safe aktiv (using RULE_304)
        { 553, [TXT_TYP_1400], [HLP_TYP_1400] }, // Handradschalter ist betätigt
        { 952, [TXT_TYP_1415] }, // PVST aktiv
        { 953, [TXT_TYP_1416] }, // PVST Error
        { 954, [TXT_TYP_1417] }, // PVST Abbruch
        { 94, [TXT_TYP_1619], [HLP_TYP_1619] }, // Störung AC1 kompatibel
        { 753, [TXT_TYP_1630] }, // Interlock FERN
        { 754, [TXT_TYP_1631] }, // Interlock ORT
        { 755, [TXT_TYP_1632] }, // Interlock AUF
        { 756, [TXT_TYP_1633] }, // Interlock ZU
        { 757, [TXT_TYP_1634] }, // Interlock wurde ausglöst
        { 1016, [TXT_TYP_1658] }, // Bypass Sync Out
        { 1017, [TXT_TYP_1659] }  // Bypass Interlock
    }
    HANDLING		READ & WRITE;
	VALIDITY		IF (PRM_2415 == 1) { TRUE; } ELSE { FALSE; }  // using RULE_20
}
ReadCmdDef(PRM_1107, 11, 7)
WriteCmdDef(PRM_1107, 11, 7)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1108
// 
VARIABLE PRM_1108	// IsInverted (Invertierter Ausgang)
{
    LABEL		[TXT_PRM_1108];
    HELP		[HLP_PRM_1108];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_65
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_66] }, // High-Aktiv
        { 1, [TXT_TYP_67] }  // Low-Aktiv
    }
    HANDLING		READ & WRITE;
	VALIDITY		IF (PRM_2415 == 1) { TRUE; } ELSE { FALSE; }  // using RULE_20
}
ReadCmdDef(PRM_1108, 11, 8)
WriteCmdDef(PRM_1108, 11, 8)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1112
// 
VARIABLE PRM_1112	// Digital-Signal-Eingang (Default: Drehmoschalter AUF)
{
    LABEL		[TXT_PRM_1112];
    HELP		[HLP_PRM_1112];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_273
    {
        DEFAULT_VALUE	459;
        { 372, [TXT_TYP_724] }, // Nicht verwendet (Verdrahtet mit konstante 0)
        { 259, [TXT_TYP_310] }, // Endlage ZU
        { 258, [TXT_TYP_309] }, // Endlage AUF
        { 370, [TXT_TYP_968] }, // Endlage_ZU+Blinker
        { 369, [TXT_TYP_969] }, // Endlage_AUF+Blinker
        { 401, [TXT_TYP_743] }, // Ist bei Sollposition
        { 265, [TXT_TYP_740] }, // Fährt ZU
        { 264, [TXT_TYP_741] }, // Fährt AUF
        { 113, [TXT_TYP_744] }, // Wahlschalter ORT
        { 115, [TXT_TYP_311] }, // Wahlschalter FERN
        { 116, [TXT_TYP_990] }, // WahlschalterAUS
        { 376, [TXT_TYP_318] }, // Wegschalter ZU
        { 375, [TXT_TYP_317] }, // Wegschalter AUF
        { 460, [TXT_TYP_320] }, // Drehmoschalter ZU
        { 459, [TXT_TYP_319] }, // Drehmoschalter AUF
        { 86, [TXT_TYP_747] }, // Gerätestatus Namur Ausfall
        { 84, [TXT_TYP_748] }, // Gerätestatus Namur Funktionskontrolle
        { 83, [TXT_TYP_749] }, // Gerätestatus Namur Ausserh. d. Spezifikation
        { 85, [TXT_TYP_750] }, // Gerätestatus Namur Wartungsbedarf
        { 79, [TXT_TYP_696] }, // Fehler
        { 78, [TXT_TYP_739] }, // Warnungen
        { 80, [TXT_TYP_742] }, // Nicht  bereit FERN
        { 554, [TXT_TYP_757] }, // Fahrpause
        { 560, [TXT_TYP_755] }, // Taktstrecke betreten
        { 603, [TXT_TYP_754] }, // Antrieb fährt
        { 539, [TXT_TYP_751] }, // Fährt von Ort
        { 540, [TXT_TYP_752] }, // Fährt von Fern
        { 541, [TXT_TYP_753] }, // Fährt mit Handrad
        { 549, [TXT_TYP_756] }, // In Mittelstellung
        { 392, [TXT_TYP_767] }, // Zwischenstellung 1
        { 399, [TXT_TYP_766] }, // Zwischenstellung 2
        { 398, [TXT_TYP_765] }, // Zwischenstellung 3
        { 397, [TXT_TYP_764] }, // Zwischenstellung 4
        { 396, [TXT_TYP_762] }, // Zwischenstellung 5
        { 395, [TXT_TYP_760] }, // Zwischenstellung 6
        { 394, [TXT_TYP_759] }, // Zwischenstellung 7
        { 393, [TXT_TYP_758] }, // Zwischenstellung 8
        { 500, [TXT_TYP_772] }, // Digitaleingang 1
        { 501, [TXT_TYP_771] }, // Digitaleingang 2
        { 505, [TXT_TYP_770] }, // Digitaleingang 3
        { 504, [TXT_TYP_763] }, // Digitaleingang 4
        { 503, [TXT_TYP_769] }, // Digitaleingang 5
        { 502, [TXT_TYP_768] }, // Digitaleingang 6
        { 285, [TXT_TYP_991] }, // NOT-HALT aktiv
        { 269, [TXT_TYP_312] }, // Drehmofehler ZU
        { 268, [TXT_TYP_313] }, // Drehmofehler AUF
        { 546, [TXT_TYP_989] }, //  DrehmoFehler
        { 270, [TXT_TYP_314] }, // Thermofehler
        { 302, [TXT_TYP_315] }  // Phasenfehler
        IF (PRM_181 != 0) {{ 466, [TXT_TYP_970] }} // Feldbus_Digout_01 (using RULE_304)
        IF (PRM_181 != 0) {{ 467, [TXT_TYP_971] }} // Feldbus_Digout_02 (using RULE_304)
        IF (PRM_181 != 0) {{ 468, [TXT_TYP_972] }} // Feldbus_Digout_03 (using RULE_304)
        IF (PRM_181 != 0) {{ 469, [TXT_TYP_973] }} // Feldbus_Digout_04 (using RULE_304)
        IF (PRM_181 != 0) {{ 470, [TXT_TYP_974] }} // Feldbus_Digout_05 (using RULE_304)
        IF (PRM_181 != 0) {{ 471, [TXT_TYP_975] }} // Feldbus_Digout_06 (using RULE_304)
        IF (PRM_181 != 0) {{ 472, [TXT_TYP_976] }} // Feldbus_Digout_07 (using RULE_304)
        IF (PRM_181 != 0) {{ 473, [TXT_TYP_977] }} // Feldbus_Digout_08 (using RULE_304)
        IF (PRM_181 != 0) {{ 474, [TXT_TYP_978] }} // Feldbus_Digout_09 (using RULE_304)
        IF (PRM_181 != 0) {{ 475, [TXT_TYP_979] }} // Feldbus_Digout_10 (using RULE_304)
        IF (PRM_181 != 0) {{ 476, [TXT_TYP_980] }} // Feldbus_Digout_11 (using RULE_304)
        IF (PRM_181 != 0) {{ 477, [TXT_TYP_981] }} // Feldbus_Digout_12 (using RULE_304)
        IF (PRM_181 != 0) {{ 606, [TXT_TYP_1319], [HLP_TYP_1319] }} // Feldbus Fail Safe aktiv (using RULE_304)
        { 553, [TXT_TYP_1400], [HLP_TYP_1400] }, // Handradschalter ist betätigt
        { 952, [TXT_TYP_1415] }, // PVST aktiv
        { 953, [TXT_TYP_1416] }, // PVST Error
        { 954, [TXT_TYP_1417] }, // PVST Abbruch
        { 94, [TXT_TYP_1619], [HLP_TYP_1619] }, // Störung AC1 kompatibel
        { 753, [TXT_TYP_1630] }, // Interlock FERN
        { 754, [TXT_TYP_1631] }, // Interlock ORT
        { 755, [TXT_TYP_1632] }, // Interlock AUF
        { 756, [TXT_TYP_1633] }, // Interlock ZU
        { 757, [TXT_TYP_1634] }, // Interlock wurde ausglöst
        { 1016, [TXT_TYP_1658] }, // Bypass Sync Out
        { 1017, [TXT_TYP_1659] }  // Bypass Interlock
    }
    HANDLING		READ & WRITE;
	VALIDITY		IF (PRM_2415 == 1) { TRUE; } ELSE { FALSE; }  // using RULE_20
}
ReadCmdDef(PRM_1112, 11, 12)
WriteCmdDef(PRM_1112, 11, 12)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1113
// 
VARIABLE PRM_1113	// IsInverted (Invertierter Ausgang)
{
    LABEL		[TXT_PRM_1113];
    HELP		[HLP_PRM_1113];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_65
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_66] }, // High-Aktiv
        { 1, [TXT_TYP_67] }  // Low-Aktiv
    }
    HANDLING		READ & WRITE;
	VALIDITY		IF (PRM_2415 == 1) { TRUE; } ELSE { FALSE; }  // using RULE_20
}
ReadCmdDef(PRM_1113, 11, 13)
WriteCmdDef(PRM_1113, 11, 13)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1117
// 
VARIABLE PRM_1117	// Digital-Signal-Eingang (Default: Drehmo-Schalter ZU)
{
    LABEL		[TXT_PRM_1117];
    HELP		[HLP_PRM_1117];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_273
    {
        DEFAULT_VALUE	460;
        { 372, [TXT_TYP_724] }, // Nicht verwendet (Verdrahtet mit konstante 0)
        { 259, [TXT_TYP_310] }, // Endlage ZU
        { 258, [TXT_TYP_309] }, // Endlage AUF
        { 370, [TXT_TYP_968] }, // Endlage_ZU+Blinker
        { 369, [TXT_TYP_969] }, // Endlage_AUF+Blinker
        { 401, [TXT_TYP_743] }, // Ist bei Sollposition
        { 265, [TXT_TYP_740] }, // Fährt ZU
        { 264, [TXT_TYP_741] }, // Fährt AUF
        { 113, [TXT_TYP_744] }, // Wahlschalter ORT
        { 115, [TXT_TYP_311] }, // Wahlschalter FERN
        { 116, [TXT_TYP_990] }, // WahlschalterAUS
        { 376, [TXT_TYP_318] }, // Wegschalter ZU
        { 375, [TXT_TYP_317] }, // Wegschalter AUF
        { 460, [TXT_TYP_320] }, // Drehmoschalter ZU
        { 459, [TXT_TYP_319] }, // Drehmoschalter AUF
        { 86, [TXT_TYP_747] }, // Gerätestatus Namur Ausfall
        { 84, [TXT_TYP_748] }, // Gerätestatus Namur Funktionskontrolle
        { 83, [TXT_TYP_749] }, // Gerätestatus Namur Ausserh. d. Spezifikation
        { 85, [TXT_TYP_750] }, // Gerätestatus Namur Wartungsbedarf
        { 79, [TXT_TYP_696] }, // Fehler
        { 78, [TXT_TYP_739] }, // Warnungen
        { 80, [TXT_TYP_742] }, // Nicht  bereit FERN
        { 554, [TXT_TYP_757] }, // Fahrpause
        { 560, [TXT_TYP_755] }, // Taktstrecke betreten
        { 603, [TXT_TYP_754] }, // Antrieb fährt
        { 539, [TXT_TYP_751] }, // Fährt von Ort
        { 540, [TXT_TYP_752] }, // Fährt von Fern
        { 541, [TXT_TYP_753] }, // Fährt mit Handrad
        { 549, [TXT_TYP_756] }, // In Mittelstellung
        { 392, [TXT_TYP_767] }, // Zwischenstellung 1
        { 399, [TXT_TYP_766] }, // Zwischenstellung 2
        { 398, [TXT_TYP_765] }, // Zwischenstellung 3
        { 397, [TXT_TYP_764] }, // Zwischenstellung 4
        { 396, [TXT_TYP_762] }, // Zwischenstellung 5
        { 395, [TXT_TYP_760] }, // Zwischenstellung 6
        { 394, [TXT_TYP_759] }, // Zwischenstellung 7
        { 393, [TXT_TYP_758] }, // Zwischenstellung 8
        { 500, [TXT_TYP_772] }, // Digitaleingang 1
        { 501, [TXT_TYP_771] }, // Digitaleingang 2
        { 505, [TXT_TYP_770] }, // Digitaleingang 3
        { 504, [TXT_TYP_763] }, // Digitaleingang 4
        { 503, [TXT_TYP_769] }, // Digitaleingang 5
        { 502, [TXT_TYP_768] }, // Digitaleingang 6
        { 285, [TXT_TYP_991] }, // NOT-HALT aktiv
        { 269, [TXT_TYP_312] }, // Drehmofehler ZU
        { 268, [TXT_TYP_313] }, // Drehmofehler AUF
        { 546, [TXT_TYP_989] }, //  DrehmoFehler
        { 270, [TXT_TYP_314] }, // Thermofehler
        { 302, [TXT_TYP_315] }  // Phasenfehler
        IF (PRM_181 != 0) {{ 466, [TXT_TYP_970] }} // Feldbus_Digout_01 (using RULE_304)
        IF (PRM_181 != 0) {{ 467, [TXT_TYP_971] }} // Feldbus_Digout_02 (using RULE_304)
        IF (PRM_181 != 0) {{ 468, [TXT_TYP_972] }} // Feldbus_Digout_03 (using RULE_304)
        IF (PRM_181 != 0) {{ 469, [TXT_TYP_973] }} // Feldbus_Digout_04 (using RULE_304)
        IF (PRM_181 != 0) {{ 470, [TXT_TYP_974] }} // Feldbus_Digout_05 (using RULE_304)
        IF (PRM_181 != 0) {{ 471, [TXT_TYP_975] }} // Feldbus_Digout_06 (using RULE_304)
        IF (PRM_181 != 0) {{ 472, [TXT_TYP_976] }} // Feldbus_Digout_07 (using RULE_304)
        IF (PRM_181 != 0) {{ 473, [TXT_TYP_977] }} // Feldbus_Digout_08 (using RULE_304)
        IF (PRM_181 != 0) {{ 474, [TXT_TYP_978] }} // Feldbus_Digout_09 (using RULE_304)
        IF (PRM_181 != 0) {{ 475, [TXT_TYP_979] }} // Feldbus_Digout_10 (using RULE_304)
        IF (PRM_181 != 0) {{ 476, [TXT_TYP_980] }} // Feldbus_Digout_11 (using RULE_304)
        IF (PRM_181 != 0) {{ 477, [TXT_TYP_981] }} // Feldbus_Digout_12 (using RULE_304)
        IF (PRM_181 != 0) {{ 606, [TXT_TYP_1319], [HLP_TYP_1319] }} // Feldbus Fail Safe aktiv (using RULE_304)
        { 553, [TXT_TYP_1400], [HLP_TYP_1400] }, // Handradschalter ist betätigt
        { 952, [TXT_TYP_1415] }, // PVST aktiv
        { 953, [TXT_TYP_1416] }, // PVST Error
        { 954, [TXT_TYP_1417] }, // PVST Abbruch
        { 94, [TXT_TYP_1619], [HLP_TYP_1619] }, // Störung AC1 kompatibel
        { 753, [TXT_TYP_1630] }, // Interlock FERN
        { 754, [TXT_TYP_1631] }, // Interlock ORT
        { 755, [TXT_TYP_1632] }, // Interlock AUF
        { 756, [TXT_TYP_1633] }, // Interlock ZU
        { 757, [TXT_TYP_1634] }, // Interlock wurde ausglöst
        { 1016, [TXT_TYP_1658] }, // Bypass Sync Out
        { 1017, [TXT_TYP_1659] }  // Bypass Interlock
    }
    HANDLING		READ & WRITE;
	VALIDITY		IF (PRM_2415 == 1) { TRUE; } ELSE { FALSE; }  // using RULE_20
}
ReadCmdDef(PRM_1117, 11, 17)
WriteCmdDef(PRM_1117, 11, 17)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1118
// 
VARIABLE PRM_1118	// IsInverted (Invertierter Ausgang)
{
    LABEL		[TXT_PRM_1118];
    HELP		[HLP_PRM_1118];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_65
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_66] }, // High-Aktiv
        { 1, [TXT_TYP_67] }  // Low-Aktiv
    }
    HANDLING		READ & WRITE;
	VALIDITY		IF (PRM_2415 == 1) { TRUE; } ELSE { FALSE; }  // using RULE_20
}
ReadCmdDef(PRM_1118, 11, 18)
WriteCmdDef(PRM_1118, 11, 18)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1122
// 
VARIABLE PRM_1122	// Digital-Signal-Eingang (Default: Weg-Endschalter AUF)
{
    LABEL		[TXT_PRM_1122];
    HELP		[HLP_PRM_1122];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_273
    {
        DEFAULT_VALUE	375;
        { 372, [TXT_TYP_724] }, // Nicht verwendet (Verdrahtet mit konstante 0)
        { 259, [TXT_TYP_310] }, // Endlage ZU
        { 258, [TXT_TYP_309] }, // Endlage AUF
        { 370, [TXT_TYP_968] }, // Endlage_ZU+Blinker
        { 369, [TXT_TYP_969] }, // Endlage_AUF+Blinker
        { 401, [TXT_TYP_743] }, // Ist bei Sollposition
        { 265, [TXT_TYP_740] }, // Fährt ZU
        { 264, [TXT_TYP_741] }, // Fährt AUF
        { 113, [TXT_TYP_744] }, // Wahlschalter ORT
        { 115, [TXT_TYP_311] }, // Wahlschalter FERN
        { 116, [TXT_TYP_990] }, // WahlschalterAUS
        { 376, [TXT_TYP_318] }, // Wegschalter ZU
        { 375, [TXT_TYP_317] }, // Wegschalter AUF
        { 460, [TXT_TYP_320] }, // Drehmoschalter ZU
        { 459, [TXT_TYP_319] }, // Drehmoschalter AUF
        { 86, [TXT_TYP_747] }, // Gerätestatus Namur Ausfall
        { 84, [TXT_TYP_748] }, // Gerätestatus Namur Funktionskontrolle
        { 83, [TXT_TYP_749] }, // Gerätestatus Namur Ausserh. d. Spezifikation
        { 85, [TXT_TYP_750] }, // Gerätestatus Namur Wartungsbedarf
        { 79, [TXT_TYP_696] }, // Fehler
        { 78, [TXT_TYP_739] }, // Warnungen
        { 80, [TXT_TYP_742] }, // Nicht  bereit FERN
        { 554, [TXT_TYP_757] }, // Fahrpause
        { 560, [TXT_TYP_755] }, // Taktstrecke betreten
        { 603, [TXT_TYP_754] }, // Antrieb fährt
        { 539, [TXT_TYP_751] }, // Fährt von Ort
        { 540, [TXT_TYP_752] }, // Fährt von Fern
        { 541, [TXT_TYP_753] }, // Fährt mit Handrad
        { 549, [TXT_TYP_756] }, // In Mittelstellung
        { 392, [TXT_TYP_767] }, // Zwischenstellung 1
        { 399, [TXT_TYP_766] }, // Zwischenstellung 2
        { 398, [TXT_TYP_765] }, // Zwischenstellung 3
        { 397, [TXT_TYP_764] }, // Zwischenstellung 4
        { 396, [TXT_TYP_762] }, // Zwischenstellung 5
        { 395, [TXT_TYP_760] }, // Zwischenstellung 6
        { 394, [TXT_TYP_759] }, // Zwischenstellung 7
        { 393, [TXT_TYP_758] }, // Zwischenstellung 8
        { 500, [TXT_TYP_772] }, // Digitaleingang 1
        { 501, [TXT_TYP_771] }, // Digitaleingang 2
        { 505, [TXT_TYP_770] }, // Digitaleingang 3
        { 504, [TXT_TYP_763] }, // Digitaleingang 4
        { 503, [TXT_TYP_769] }, // Digitaleingang 5
        { 502, [TXT_TYP_768] }, // Digitaleingang 6
        { 285, [TXT_TYP_991] }, // NOT-HALT aktiv
        { 269, [TXT_TYP_312] }, // Drehmofehler ZU
        { 268, [TXT_TYP_313] }, // Drehmofehler AUF
        { 546, [TXT_TYP_989] }, //  DrehmoFehler
        { 270, [TXT_TYP_314] }, // Thermofehler
        { 302, [TXT_TYP_315] }  // Phasenfehler
        IF (PRM_181 != 0) {{ 466, [TXT_TYP_970] }} // Feldbus_Digout_01 (using RULE_304)
        IF (PRM_181 != 0) {{ 467, [TXT_TYP_971] }} // Feldbus_Digout_02 (using RULE_304)
        IF (PRM_181 != 0) {{ 468, [TXT_TYP_972] }} // Feldbus_Digout_03 (using RULE_304)
        IF (PRM_181 != 0) {{ 469, [TXT_TYP_973] }} // Feldbus_Digout_04 (using RULE_304)
        IF (PRM_181 != 0) {{ 470, [TXT_TYP_974] }} // Feldbus_Digout_05 (using RULE_304)
        IF (PRM_181 != 0) {{ 471, [TXT_TYP_975] }} // Feldbus_Digout_06 (using RULE_304)
        IF (PRM_181 != 0) {{ 472, [TXT_TYP_976] }} // Feldbus_Digout_07 (using RULE_304)
        IF (PRM_181 != 0) {{ 473, [TXT_TYP_977] }} // Feldbus_Digout_08 (using RULE_304)
        IF (PRM_181 != 0) {{ 474, [TXT_TYP_978] }} // Feldbus_Digout_09 (using RULE_304)
        IF (PRM_181 != 0) {{ 475, [TXT_TYP_979] }} // Feldbus_Digout_10 (using RULE_304)
        IF (PRM_181 != 0) {{ 476, [TXT_TYP_980] }} // Feldbus_Digout_11 (using RULE_304)
        IF (PRM_181 != 0) {{ 477, [TXT_TYP_981] }} // Feldbus_Digout_12 (using RULE_304)
        IF (PRM_181 != 0) {{ 606, [TXT_TYP_1319], [HLP_TYP_1319] }} // Feldbus Fail Safe aktiv (using RULE_304)
        { 553, [TXT_TYP_1400], [HLP_TYP_1400] }, // Handradschalter ist betätigt
        { 952, [TXT_TYP_1415] }, // PVST aktiv
        { 953, [TXT_TYP_1416] }, // PVST Error
        { 954, [TXT_TYP_1417] }, // PVST Abbruch
        { 94, [TXT_TYP_1619], [HLP_TYP_1619] }, // Störung AC1 kompatibel
        { 753, [TXT_TYP_1630] }, // Interlock FERN
        { 754, [TXT_TYP_1631] }, // Interlock ORT
        { 755, [TXT_TYP_1632] }, // Interlock AUF
        { 756, [TXT_TYP_1633] }, // Interlock ZU
        { 757, [TXT_TYP_1634] }, // Interlock wurde ausglöst
        { 1016, [TXT_TYP_1658] }, // Bypass Sync Out
        { 1017, [TXT_TYP_1659] }  // Bypass Interlock
    }
    HANDLING		READ & WRITE;
	VALIDITY		IF (PRM_2415 == 1) { TRUE; } ELSE { FALSE; }  // using RULE_20
}
ReadCmdDef(PRM_1122, 11, 22)
WriteCmdDef(PRM_1122, 11, 22)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1123
// 
VARIABLE PRM_1123	// IsInverted (Invertierter Ausgang)
{
    LABEL		[TXT_PRM_1123];
    HELP		[HLP_PRM_1123];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_65
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_66] }, // High-Aktiv
        { 1, [TXT_TYP_67] }  // Low-Aktiv
    }
    HANDLING		READ & WRITE;
	VALIDITY		IF (PRM_2415 == 1) { TRUE; } ELSE { FALSE; }  // using RULE_20
}
ReadCmdDef(PRM_1123, 11, 23)
WriteCmdDef(PRM_1123, 11, 23)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1129
// 
VARIABLE PRM_1129	// Normierter Wert (0 ... 1000): Default: Stellungssollwert E1
{
    LABEL		[TXT_PRM_1129];
    HELP		[HLP_PRM_1129];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_274
    {
        DEFAULT_VALUE	7;
        { 0, [TXT_TYP_984] }, // Nicht verwendet
        { 7, [TXT_TYP_338] }, // Stellungs-Sollwert E1
        { 12, [TXT_TYP_341] }, // Sensorsignal 1
        { 13, [TXT_TYP_342] }  // Sensorsignal 2
        IF (PRM_3297 != 0) {{ 775, [TXT_TYP_1174] }} // Hydraulikdruck (using RULE_295)
        IF (PRM_3297 != 0) {{ 776, [TXT_TYP_1175] }} // Betriebsdruck (using RULE_295)
        IF (PRM_3590 == 1) {{ 817, [TXT_TYP_340] }} // Prozeß Sollwert (using RULE_77)
        IF (PRM_3590 == 1) {{ 819, [TXT_TYP_1265] }} // Prozess Istwert (using RULE_77)
        { 935, [TXT_TYP_1664] }  // Drehzahl Ifa
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_1129, 11, 29)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1130
// 
VARIABLE PRM_1130	// Oberer Grenzwert [0,1 mA] für das Eingangssignal
{
    LABEL		[TXT_PRM_1130];
    HELP		[HLP_PRM_1130];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	200;
        DEFAULT_VALUE	200;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"mA";
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_1130, 11, 30)
WriteCmdDef(PRM_1130, 11, 30)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1133
// 
VARIABLE PRM_1133	// Unterer Grenzwert [0,1 mA] für das Eingangssignal
{
    LABEL		[TXT_PRM_1133];
    HELP		[HLP_PRM_1133];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	200;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"mA";
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_1133, 11, 33)
WriteCmdDef(PRM_1133, 11, 33)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1137
// 
VARIABLE PRM_1137	// Normierter Wert (0 ... 1000): Default: Drehzahl Sollwert
{
    LABEL		[TXT_PRM_1137];
    HELP		[HLP_PRM_1137];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_274
    {
        DEFAULT_VALUE	13;
        { 0, [TXT_TYP_984] }, // Nicht verwendet
        { 7, [TXT_TYP_338] }, // Stellungs-Sollwert E1
        { 12, [TXT_TYP_341] }, // Sensorsignal 1
        { 13, [TXT_TYP_342] }  // Sensorsignal 2
        IF (PRM_3297 != 0) {{ 775, [TXT_TYP_1174] }} // Hydraulikdruck (using RULE_295)
        IF (PRM_3297 != 0) {{ 776, [TXT_TYP_1175] }} // Betriebsdruck (using RULE_295)
        IF (PRM_3590 == 1) {{ 817, [TXT_TYP_340] }} // Prozeß Sollwert (using RULE_77)
        IF (PRM_3590 == 1) {{ 819, [TXT_TYP_1265] }} // Prozess Istwert (using RULE_77)
        { 935, [TXT_TYP_1664] }  // Drehzahl Ifa
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_1137, 11, 37)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1140
// 
VARIABLE PRM_1140	// Oberer Grenzwert [0,1 mA] für das Eingangssignal
{
    LABEL		[TXT_PRM_1140];
    HELP		[HLP_PRM_1140];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	200;
        DEFAULT_VALUE	200;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"mA";
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_1140, 11, 40)
WriteCmdDef(PRM_1140, 11, 40)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1141
// 
VARIABLE PRM_1141	// Unterer Grenzwert [0,1 mA] für das Eingangssignal
{
    LABEL		[TXT_PRM_1141];
    HELP		[HLP_PRM_1141];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	200;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"mA";
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_1141, 11, 41)
WriteCmdDef(PRM_1141, 11, 41)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1164
// 
VARIABLE PRM_1164	// Gerätebezeichnung
{
    LABEL		[TXT_PRM_1164];
    HELP		[HLP_PRM_1164];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"AC 01.2";
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_1164, 11, 64)

//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1165
// 
VARIABLE PRM_1165	// Geräte-TAG
{
    LABEL		[TXT_PRM_1165];
    HELP		[HLP_PRM_1165];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"_GERAETE-TAG_";
    }
    HANDLING		READ & WRITE;
	VALIDITY		IF (PRM_2591 == 1) { TRUE; } ELSE { FALSE; }  // using RULE_149
}

ReadCmdDef(PRM_1165, 11, 65)
WriteCmdDef(PRM_1165, 11, 65)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1166
// 
VARIABLE PRM_1166	// Projektname
{
    LABEL		[TXT_PRM_1166];
    HELP		[HLP_PRM_1166];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"_PROJEKT_";
    }
    HANDLING		READ & WRITE;
}

ReadCmdDef(PRM_1166, 11, 66)
WriteCmdDef(PRM_1166, 11, 66)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1168
// 
VARIABLE PRM_1168	// Drehfeldrichtung kompensieren
{
    LABEL		[TXT_PRM_1168];
    HELP		[HLP_PRM_1168];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_335
    {
        DEFAULT_VALUE	1;
        { 0, [TXT_TYP_336], [HLP_TYP_336] }, // ausgeschaltet
        { 1, [TXT_TYP_337], [HLP_TYP_337] }  // eingeschaltet
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_1168, 11, 68)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1169
// 
VARIABLE PRM_1169	// Stellungsregler Aktivierung
{
    LABEL		[TXT_PRM_1169];
    HELP		[HLP_PRM_1169];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_335
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_336], [HLP_TYP_336] }, // ausgeschaltet
        { 1, [TXT_TYP_337], [HLP_TYP_337] }  // eingeschaltet
    }
    HANDLING		READ & WRITE;
	VALIDITY		IF (PRM_1178 == 1) { TRUE; } ELSE { FALSE; }  // using RULE_13
}
ReadCmdDef(PRM_1169, 11, 69)
WriteCmdDef(PRM_1169, 11, 69)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1175
// 
VARIABLE PRM_1175	// Blinker-Verhalten
{
    LABEL		[TXT_PRM_1175];
    HELP		[HLP_PRM_1175];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_356
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_358] }, // Aus in Zwischenstellung
        { 1, [TXT_TYP_359] }  // Ein in Zwischenstellung
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_1175, 11, 75)
WriteCmdDef(PRM_1175, 11, 75)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1176
// 
VARIABLE PRM_1176	// Taktgeber Aktivierung AUF
{
    LABEL		[TXT_PRM_1176];
    HELP		[HLP_PRM_1176];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_231
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_232], [HLP_TYP_232] }, // deaktiviert
        { 1, [TXT_TYP_233], [HLP_TYP_233] }  // aktiviert
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_1176, 11, 76)
WriteCmdDef(PRM_1176, 11, 76)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1177
// 
VARIABLE PRM_1177	// Taktgeber Aktivierung ZU
{
    LABEL		[TXT_PRM_1177];
    HELP		[HLP_PRM_1177];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_231
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_232], [HLP_TYP_232] }, // deaktiviert
        { 1, [TXT_TYP_233], [HLP_TYP_233] }  // aktiviert
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_1177, 11, 77)
WriteCmdDef(PRM_1177, 11, 77)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1178
// 
VARIABLE PRM_1178	// Stellungsregler \"Kauf\"
{
    LABEL		[TXT_PRM_1178];
    HELP		[HLP_PRM_1178];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_335
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_336], [HLP_TYP_336] }, // ausgeschaltet
        { 1, [TXT_TYP_337], [HLP_TYP_337] }  // eingeschaltet
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_1178, 11, 78)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1179
// 
VARIABLE PRM_1179	// max. zulässige Anläufe /h
{
    LABEL		[TXT_PRM_1179];
    HELP		[HLP_PRM_1179];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	1;
        MAX_VALUE	1800;
        DEFAULT_VALUE	1200;
    }
    HANDLING		READ & WRITE;
	VALIDITY		IF (((PRM_1169 == 1) && (PRM_84 == 2))) { TRUE; } ELSE { FALSE; }  // using RULE_532
}
ReadCmdDef(PRM_1179, 11, 79)
WriteCmdDef(PRM_1179, 11, 79)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1182
// 
VARIABLE PRM_1182	// Anfahrüberbrückung Freigabe
{
    LABEL		[TXT_PRM_1182];
    HELP		[HLP_PRM_1182];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_231
    {
        DEFAULT_VALUE	1;
        { 0, [TXT_TYP_232], [HLP_TYP_232] }, // deaktiviert
        { 1, [TXT_TYP_233], [HLP_TYP_233] }  // aktiviert
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_1182, 11, 82)
WriteCmdDef(PRM_1182, 11, 82)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1254
// 
VARIABLE PRM_1254	// Prozessdaten-Eingang(Default: Stellungsistwert E2)
{
    LABEL		[TXT_PRM_1254];
    HELP		[HLP_PRM_1254];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_275
    {
        DEFAULT_VALUE	2;
        { 372, [TXT_TYP_985] }, // Nicht verwendet (Verdrahtet mit konstante 0)
        { 2, [TXT_TYP_343] }, // Stellungs-Istwert E2
        { 545, [TXT_TYP_367] }, // Drehmoment Istwert
        { 498, [TXT_TYP_345] }, // Analog In1 E8
        { 499, [TXT_TYP_346] }  // Analog In2 E9
        IF (PRM_181 != 0) {{ 464, [TXT_TYP_982] }} // FeldbusAnalogOut_01 (using RULE_304)
        IF (PRM_181 != 0) {{ 465, [TXT_TYP_983] }} // FeldbusAnalogOut_02 (using RULE_304)
        { 11, [TXT_TYP_1399] }  // Drehzahl
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_1254, 12, 54)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1255
// 
VARIABLE PRM_1255	// Auswahlparameter Ausgangsbereich
{
    LABEL		[TXT_PRM_1255];
    HELP		[HLP_PRM_1255];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_127
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_128] }, // 0 bis 20mA
        { 1, [TXT_TYP_129] }, // 4 bis 20mA
        { 2, [TXT_TYP_130] }, // 20 bis 0mA
        { 3, [TXT_TYP_131] }  // 20 bis 4mA
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_1255, 12, 55)
WriteCmdDef(PRM_1255, 12, 55)
 
//---------------------------------------------------------------------------------------------------------------------
//~
 
 
//   Defining VARIABLE  PRM_1262
// 
VARIABLE PRM_1262	// Prozessdaten-Eingang (Default: Drehmoment Itwert)
{
    LABEL		[TXT_PRM_1262];
    HELP		[HLP_PRM_1262];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_275
    {
        DEFAULT_VALUE	545;
        { 372, [TXT_TYP_985] }, // Nicht verwendet (Verdrahtet mit konstante 0)
        { 2, [TXT_TYP_343] }, // Stellungs-Istwert E2
        { 545, [TXT_TYP_367] }, // Drehmoment Istwert
        { 498, [TXT_TYP_345] }, // Analog In1 E8
        { 499, [TXT_TYP_346] }  // Analog In2 E9
        IF (PRM_181 != 0) {{ 464, [TXT_TYP_982] }} // FeldbusAnalogOut_01 (using RULE_304)
        IF (PRM_181 != 0) {{ 465, [TXT_TYP_983] }} // FeldbusAnalogOut_02 (using RULE_304)
        { 11, [TXT_TYP_1399] }  // Drehzahl
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_1262, 12, 62)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1263
// 
VARIABLE PRM_1263	// Auswahlparameter Ausgangsbereich
{
    LABEL		[TXT_PRM_1263];
    HELP		[HLP_PRM_1263];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_127
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_128] }, // 0 bis 20mA
        { 1, [TXT_TYP_129] }, // 4 bis 20mA
        { 2, [TXT_TYP_130] }, // 20 bis 0mA
        { 3, [TXT_TYP_131] }  // 20 bis 4mA
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_1263, 12, 63)
WriteCmdDef(PRM_1263, 12, 63)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1321
// 
VARIABLE PRM_1321	// Profibus Adresse 1
{
    LABEL		[TXT_PRM_1321];
    HELP		[HLP_PRM_1321];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	126;
        DEFAULT_VALUE	126;
    }
    HANDLING		READ;
	VALIDITY	IF (PRM_181 == 1) { TRUE; } ELSE { FALSE; }  // using RULE_21
}
ReadCmdDef(PRM_1321, 13, 21)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1322
// 
VARIABLE PRM_1322	// Profibus Adresse 2 (redundant)
{
    LABEL		[TXT_PRM_1322];
    HELP		[HLP_PRM_1322];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	126;
        DEFAULT_VALUE	126;
    }
    HANDLING		READ;
	VALIDITY	IF (((PRM_3059 == 1) && (PRM_2885 == 2))) { TRUE; } ELSE { FALSE; }  // using RULE_556
}
ReadCmdDef(PRM_1322, 13, 22)

//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1433
// 
VARIABLE PRM_1433	// Zeitformat
{
    LABEL		[TXT_PRM_1433];
    HELP		[HLP_PRM_1433];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_369
    {
        DEFAULT_VALUE	1;
        { 0, [TXT_TYP_370] }, // 12h
        { 1, [TXT_TYP_376] }  // 24h
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_1433, 14, 33)
WriteCmdDef(PRM_1433, 14, 33)

//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1467
// 
VARIABLE PRM_1467	// Zahlenformat
{
    LABEL		[TXT_PRM_1467];
    HELP		[HLP_PRM_1467];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_375
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_377] }, // Dezimaltrennzeichen ist PUNKT
        { 1, [TXT_TYP_379] }  // Dezimaltrennzeichen ist KOMMA
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_1467, 14, 67)
WriteCmdDef(PRM_1467, 14, 67)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1705
// 
VARIABLE PRM_1705	// Winkel max. CLOSE
{
    LABEL		[TXT_PRM_1705];
    HELP		[HLP_PRM_1705];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	8;
        MAX_VALUE	122;
        DEFAULT_VALUE	105;
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_1705, 17, 5)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1706
// 
VARIABLE PRM_1706	// Winkel max. OPEN
{
    LABEL		[TXT_PRM_1706];
    HELP		[HLP_PRM_1706];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	132;
        MAX_VALUE	247;
        DEFAULT_VALUE	149;
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_1706, 17, 6)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1707
// 
VARIABLE PRM_1707	// Winkel min. CLOSE
{
    LABEL		[TXT_PRM_1707];
    HELP		[HLP_PRM_1707];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	65;
        MAX_VALUE	125;
        DEFAULT_VALUE	120;
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_1707, 17, 7)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1708
// 
VARIABLE PRM_1708	// Winkel min. OPEN
{
    LABEL		[TXT_PRM_1708];
    HELP		[HLP_PRM_1708];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	129;
        MAX_VALUE	189;
        DEFAULT_VALUE	134;
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_1708, 17, 8)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1709
// 
VARIABLE PRM_1709	// Torque max. CLOSE
{
    LABEL		[TXT_PRM_1709];
    HELP		[HLP_PRM_1709];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	80;
        MAX_VALUE	125;
        DEFAULT_VALUE	100;
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
}
ReadCmdDef(PRM_1709, 17, 9)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1710
// 
VARIABLE PRM_1710	// Torque max. OPEN
{
    LABEL		[TXT_PRM_1710];
    HELP		[HLP_PRM_1710];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	80;
        MAX_VALUE	125;
        DEFAULT_VALUE	100;
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
}
ReadCmdDef(PRM_1710, 17, 10)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1711
// 
VARIABLE PRM_1711	// Torque min. CLOSE
{
    LABEL		[TXT_PRM_1711];
    HELP		[HLP_PRM_1711];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	20;
        MAX_VALUE	80;
        DEFAULT_VALUE	50;
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
}
ReadCmdDef(PRM_1711, 17, 11)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1712
// 
VARIABLE PRM_1712	// Torque min. OPEN
{
    LABEL		[TXT_PRM_1712];
    HELP		[HLP_PRM_1712];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	20;
        MAX_VALUE	80;
        DEFAULT_VALUE	50;
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
}
ReadCmdDef(PRM_1712, 17, 12)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1713
// 
VARIABLE PRM_1713	// Torque Totzone
{
    LABEL		[TXT_PRM_1713];
    HELP		[HLP_PRM_1713];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	2;
        MAX_VALUE	20;
        DEFAULT_VALUE	2;
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_1713, 17, 13)
 
//---------------------------------------------------------------------------------------------------------------------
//~
 
//   Defining VARIABLE  PRM_1715
// 
VARIABLE PRM_1715	// Korrektur Kennlinie CLOSE
{
    LABEL		[TXT_PRM_1715];
    HELP		[HLP_PRM_1715];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	80;
        MAX_VALUE	120;
        DEFAULT_VALUE	100;
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_1715, 17, 15)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1716
// 
VARIABLE PRM_1716	// Korrektur Kennlinie OPEN
{
    LABEL		[TXT_PRM_1716];
    HELP		[HLP_PRM_1716];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	80;
        MAX_VALUE	120;
        DEFAULT_VALUE	100;
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_1716, 17, 16)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1725
// 
VARIABLE PRM_1725	// Komparator Hysterese für Endlagen
{
    LABEL		[TXT_PRM_1725];
    HELP		[HLP_PRM_1725];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		INTEGER (4)
    {
        MIN_VALUE	0;
        MAX_VALUE	100;
        DEFAULT_VALUE	3;
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_1725, 17, 25)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1741
// 
VARIABLE PRM_1741	// Komparator Hysterese
{
    LABEL		[TXT_PRM_1741];
    HELP		[HLP_PRM_1741];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	20;
        DEFAULT_VALUE	5;
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_1741, 17, 41)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1751
// 
VARIABLE PRM_1751	// ArtikelNr Logik IST-Konfiguration
{
    LABEL		[TXT_PRM_1751];
    HELP		[HLP_PRM_1751];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"_ ARTNR LOGIK _";
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_1751, 17, 51)

//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1752
// 
VARIABLE PRM_1752	// MWG-Vorhanden SOLL-Konfiguration
{
    LABEL		[TXT_PRM_1752];
    HELP		[HLP_PRM_1752];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_846
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_847] }, // Funktion/Baugruppe nicht vorhanden
        { 1, [TXT_TYP_848] }  // Funktion/Baugruppe vorhanden
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_1752, 17, 52)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1754
// 
VARIABLE PRM_1754	// Lcb ArtikelNr  IST-Konfiguration
{
    LABEL		[TXT_PRM_1754];
    HELP		[HLP_PRM_1754];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"_ ARTNR OSS _";
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_1754, 17, 54)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1755
// 
VARIABLE PRM_1755	// ArtikelNr Relaisplatine IST-Konfiguration
{
    LABEL		[TXT_PRM_1755];
    HELP		[HLP_PRM_1755];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"_ ARTNR RELAIS _";
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_1755, 17, 55)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1756
// 
VARIABLE PRM_1756	// ArtikelNr Optionsplatine  IST-Konfiguration
{
    LABEL		[TXT_PRM_1756];
    HELP		[HLP_PRM_1756];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"_ ARTNR_OPT _";
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_1756, 17, 56)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1757
// 
VARIABLE PRM_1757	// ArtikelNr Interface1 IST-Konfiguration
{
    LABEL		[TXT_PRM_1757];
    HELP		[HLP_PRM_1757];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"_ ARTNR INTF _";
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_1757, 17, 57)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1758
// 
VARIABLE PRM_1758	// ArtikelNr Bus  IST-Konfiguration
{
    LABEL		[TXT_PRM_1758];
    HELP		[HLP_PRM_1758];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"_ ARTNR PBD _";
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_1758, 17, 58)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1759
// 
VARIABLE PRM_1759	// Firmware Version AC01.2
{
    LABEL		[TXT_PRM_1759];
    HELP		[HLP_PRM_1759];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"Vxx.xx.xx";
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_1759, 17, 59)

//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1760
// 
VARIABLE PRM_1760	// KommNr Steuerung
{
    LABEL		[TXT_PRM_1760];
    HELP		[HLP_PRM_1760];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"_ KOMMNR STEUERUNG _";
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_1760, 17, 60)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1761
// 
VARIABLE PRM_1761	// KommNr Antrieb
{
    LABEL		[TXT_PRM_1761];
    HELP		[HLP_PRM_1761];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"_ KOMMNR ANTRIEB _";
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_1761, 17, 61)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1762
// 
VARIABLE PRM_1762	// Werksnummer Steuerung
{
    LABEL		[TXT_PRM_1762];
    HELP		[HLP_PRM_1762];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"_ WERKNR STEUERUNG _";
    }
    HANDLING		READ;
}
ReadCmdDef (PRM_1762, 17, 62)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1763
// 
VARIABLE PRM_1763	// Werksnummer Antrieb
{
    LABEL		[TXT_PRM_1763];
    HELP		[HLP_PRM_1763];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"_ WERKNR ANTRIEB _";
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_1763, 17, 63)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1764
// 
VARIABLE PRM_1764	// Schaltplannummer Steuerung
{
    LABEL		[TXT_PRM_1764];
    HELP		[HLP_PRM_1764];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"TPC";
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_1764, 17, 64)

//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1765
// 
VARIABLE PRM_1765	// Schaltplannummer Antrieb
{
    LABEL		[TXT_PRM_1765];
    HELP		[HLP_PRM_1765];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"TPA";
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_1765, 17, 65)

//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1767
// 
VARIABLE PRM_1767	// Stützpunkt 1 Hysterese
{
    LABEL		[TXT_PRM_1767];
    HELP		[HLP_PRM_1767];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	50;
        DEFAULT_VALUE	5;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
}
ReadCmdDef(PRM_1767, 17, 67)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1768
// 
VARIABLE PRM_1768	// Stützpunkt 2 Hysterese
{
    LABEL		[TXT_PRM_1768];
    HELP		[HLP_PRM_1768];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	50;
        DEFAULT_VALUE	5;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
}
ReadCmdDef(PRM_1768, 17, 68)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1769
// 
VARIABLE PRM_1769	// Stützpunkt 3 Hysterese
{
    LABEL		[TXT_PRM_1769];
    HELP		[HLP_PRM_1769];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	50;
        DEFAULT_VALUE	5;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
}
ReadCmdDef(PRM_1769, 17, 69)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1770
// 
VARIABLE PRM_1770	// Stützpunkt 4 Hysterese
{
    LABEL		[TXT_PRM_1770];
    HELP		[HLP_PRM_1770];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	50;
        DEFAULT_VALUE	5;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
}
ReadCmdDef(PRM_1770, 17, 70)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1771
// 
VARIABLE PRM_1771	// Stützpunkt 5 Hysterese
{
    LABEL		[TXT_PRM_1771];
    HELP		[HLP_PRM_1771];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	50;
        DEFAULT_VALUE	5;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
}
ReadCmdDef(PRM_1771, 17, 71)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1772
// 
VARIABLE PRM_1772	// Stützpunkt 6 Hysterese
{
    LABEL		[TXT_PRM_1772];
    HELP		[HLP_PRM_1772];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	50;
        DEFAULT_VALUE	5;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
}
ReadCmdDef(PRM_1772, 17, 72)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1773
// 
VARIABLE PRM_1773	// Stützpunkt 7 Hysterese
{
    LABEL		[TXT_PRM_1773];
    HELP		[HLP_PRM_1773];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	50;
        DEFAULT_VALUE	5;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
}
ReadCmdDef(PRM_1773, 17, 73)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1774
// 
VARIABLE PRM_1774	// Stützpunkt 8 Hysterese
{
    LABEL		[TXT_PRM_1774];
    HELP		[HLP_PRM_1774];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	50;
        DEFAULT_VALUE	5;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
}
ReadCmdDef(PRM_1774, 17, 74)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1869
// 
VARIABLE PRM_1869	// Auslösung Sicherheitsbetrieb (Default:1 = Zuerst GUT)
{
    LABEL		[TXT_PRM_1869];
    HELP		[HLP_PRM_1869];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_713
    {
        DEFAULT_VALUE	1;
        { 1, [TXT_TYP_715] }, // ZUERST_GUT
        { 2, [TXT_TYP_716] }  // SOFORT_AUSLÖSEN
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_1869, 18, 69)
WriteCmdDef(PRM_1869, 18, 69)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1870
// 
VARIABLE PRM_1870	// Verhalten Sicherheitsbetrieb (Default: 0 = STOP)
{
    LABEL		[TXT_PRM_1870];
    HELP		[HLP_PRM_1870];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_706
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_707] }, // AS_IS
        { 1, [TXT_TYP_708] }, // CLOSE
        { 2, [TXT_TYP_709] }  // OPEN
        IF (PRM_1169 == 1) {{ 3, [TXT_TYP_710] }} // POSITION (using RULE_14)
        { 4, [TXT_TYP_711] }  // LAST_CMD
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_1870, 18, 70)
WriteCmdDef(PRM_1870, 18, 70)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1871
// 
VARIABLE PRM_1871	// Auslösequelle Sicherheitsbetrieb (Default: 4 = Sollwert + Bus-Ausfall)
{
    LABEL		[TXT_PRM_1871];
    HELP		[HLP_PRM_1871];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_712
    {
        DEFAULT_VALUE	4;
        { 1, [TXT_TYP_718] }, // CMD
        { 2, [TXT_TYP_719] }, // SET_POINT
        { 4, [TXT_TYP_722] }  // ALL
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_1871, 18, 71)
WriteCmdDef(PRM_1871, 18, 71)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1872
// 
VARIABLE PRM_1872	// FailSafe-Position
{
    LABEL		[TXT_PRM_1872];
    HELP		[HLP_PRM_1872];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	1000;
        DEFAULT_VALUE	500;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_1872, 18, 72)
WriteCmdDef(PRM_1872, 18, 72)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1874
// 
VARIABLE PRM_1874	// FailsSafe-Verzögerungszeit
{
    LABEL		[TXT_PRM_1874];
    HELP		[HLP_PRM_1874];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
#ifdef dtmGENERATOR
    TYPE		TIME_MMSS01
#else
    TYPE		UNSIGNED_INTEGER (2)
#endif /* dtmGENERATOR */
    {
        MIN_VALUE	0;
        MAX_VALUE	18000;
        DEFAULT_VALUE	30;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    POST_READ_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_1874, uiPRM_1874),
        DEFINITION{ uiPRM_1874.VARIABLE_STATUS = PRM_1874.VARIABLE_STATUS; }
    }
}
ReadCmdDef(PRM_1874, 18, 74)
WriteCmdDef(PRM_1874, 18, 74)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1875
// 
VARIABLE PRM_1875	// ArtikelNr MWG IST-Konfiguration
{
    LABEL		[TXT_PRM_1875];
    HELP		[HLP_PRM_1875];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"_ ARTNR MWG _";
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_1875, 18, 75)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1887
// 
VARIABLE PRM_1887	// Stützpunkt 1 Pausenzeit
{
    LABEL		[TXT_PRM_1887];
    HELP		[HLP_PRM_1887];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
#ifdef dtmGENERATOR
    TYPE		TIME_MMSS01
#else
    TYPE		UNSIGNED_INTEGER (2)
#endif /* dtmGENERATOR */
    {
        MIN_VALUE	10;
        MAX_VALUE	18000;
        DEFAULT_VALUE	10;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    POST_READ_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_1887, uiPRM_1887),
        DEFINITION{ uiPRM_1887.VARIABLE_STATUS = PRM_1887.VARIABLE_STATUS; }
    }
}
ReadCmdDef(PRM_1887, 18, 87)
WriteCmdDef(PRM_1887, 18, 87)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1888
// 
VARIABLE PRM_1888	// Stützpunkt 2 Pausenzeit
{
    LABEL		[TXT_PRM_1888];
    HELP		[HLP_PRM_1888];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
#ifdef dtmGENERATOR
    TYPE		TIME_MMSS01
#else
    TYPE		UNSIGNED_INTEGER (2)
#endif /* dtmGENERATOR */
    {
        MIN_VALUE	10;
        MAX_VALUE	18000;
        DEFAULT_VALUE	10;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    POST_READ_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_1888, uiPRM_1888),
        DEFINITION{ uiPRM_1888.VARIABLE_STATUS = PRM_1888.VARIABLE_STATUS; }
    }
}
ReadCmdDef(PRM_1888, 18, 88)
WriteCmdDef(PRM_1888, 18, 88)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1889
// 
VARIABLE PRM_1889	// Stützpunkt 3 Pausenzeit
{
    LABEL		[TXT_PRM_1889];
    HELP		[HLP_PRM_1889];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
#ifdef dtmGENERATOR
    TYPE		TIME_MMSS01
#else
    TYPE		UNSIGNED_INTEGER (2)
#endif /* dtmGENERATOR */
    {
        MIN_VALUE	10;
        MAX_VALUE	18000;
        DEFAULT_VALUE	10;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    POST_READ_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_1889, uiPRM_1889),
        DEFINITION{ uiPRM_1889.VARIABLE_STATUS = PRM_1889.VARIABLE_STATUS; }
    }
}
ReadCmdDef(PRM_1889, 18, 89)
WriteCmdDef(PRM_1889, 18, 89)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1890
// 
VARIABLE PRM_1890	// Stützpunkt 4 Pausenzeit
{
    LABEL		[TXT_PRM_1890];
    HELP		[HLP_PRM_1890];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
#ifdef dtmGENERATOR
    TYPE		TIME_MMSS01
#else
    TYPE		UNSIGNED_INTEGER (2)
#endif /* dtmGENERATOR */
    {
        MIN_VALUE	10;
        MAX_VALUE	18000;
        DEFAULT_VALUE	10;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    POST_READ_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_1890, uiPRM_1890),
        DEFINITION{ uiPRM_1890.VARIABLE_STATUS = PRM_1890.VARIABLE_STATUS; }
    }
}
ReadCmdDef(PRM_1890, 18, 90)
WriteCmdDef(PRM_1890, 18, 90)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1891
// 
VARIABLE PRM_1891	// Stützpunkt 5 Pausenzeit
{
    LABEL		[TXT_PRM_1891];
    HELP		[HLP_PRM_1891];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
#ifdef dtmGENERATOR
    TYPE		TIME_MMSS01
#else
    TYPE		UNSIGNED_INTEGER (2)
#endif /* dtmGENERATOR */
    {
        MIN_VALUE	10;
        MAX_VALUE	18000;
        DEFAULT_VALUE	10;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    POST_READ_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_1891, uiPRM_1891),
        DEFINITION{ uiPRM_1891.VARIABLE_STATUS = PRM_1891.VARIABLE_STATUS; }
    }
}
ReadCmdDef(PRM_1891, 18, 91)
WriteCmdDef(PRM_1891, 18, 91)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1892
// 
VARIABLE PRM_1892	// Stützpunkt 6 Pausenzeit
{
    LABEL		[TXT_PRM_1892];
    HELP		[HLP_PRM_1892];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
#ifdef dtmGENERATOR
    TYPE		TIME_MMSS01
#else
    TYPE		UNSIGNED_INTEGER (2)
#endif /* dtmGENERATOR */
    {
        MIN_VALUE	10;
        MAX_VALUE	18000;
        DEFAULT_VALUE	10;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    POST_READ_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_1892, uiPRM_1892),
        DEFINITION{ uiPRM_1892.VARIABLE_STATUS = PRM_1892.VARIABLE_STATUS; }
    }
}
ReadCmdDef(PRM_1892, 18, 92)
WriteCmdDef(PRM_1892, 18, 92)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1893
// 
VARIABLE PRM_1893	// Stützpunkt 7 Pausenzeit
{
    LABEL		[TXT_PRM_1893];
    HELP		[HLP_PRM_1893];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
#ifdef dtmGENERATOR
    TYPE		TIME_MMSS01
#else
    TYPE		UNSIGNED_INTEGER (2)
#endif /* dtmGENERATOR */
    {
        MIN_VALUE	10;
        MAX_VALUE	18000;
        DEFAULT_VALUE	10;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    POST_READ_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_1893, uiPRM_1893),
        DEFINITION{ uiPRM_1893.VARIABLE_STATUS = PRM_1893.VARIABLE_STATUS; }
    }
}
ReadCmdDef(PRM_1893, 18, 93)
WriteCmdDef(PRM_1893, 18, 93)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1894
// 
VARIABLE PRM_1894	// Stützpunkt 8 Pausenzeit
{
    LABEL		[TXT_PRM_1894];
    HELP		[HLP_PRM_1894];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
#ifdef dtmGENERATOR
    TYPE		TIME_MMSS01
#else
    TYPE		UNSIGNED_INTEGER (2)
#endif /* dtmGENERATOR */
    {
        MIN_VALUE	10;
        MAX_VALUE	18000;
        DEFAULT_VALUE	10;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    POST_READ_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_1894, uiPRM_1894),
        DEFINITION{ uiPRM_1894.VARIABLE_STATUS = PRM_1894.VARIABLE_STATUS; }
    }
}
ReadCmdDef(PRM_1894, 18, 94)
WriteCmdDef(PRM_1894, 18, 94)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1931
// 
VARIABLE PRM_1931	// Fahrprofil \"Aktivierung\" (wird auch vom CmdSequencer genutzt)
{
    LABEL		[TXT_PRM_1931];
    HELP		[HLP_PRM_1931];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_335
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_336], [HLP_TYP_336] }, // ausgeschaltet
        { 1, [TXT_TYP_337], [HLP_TYP_337] }  // eingeschaltet
    }
    HANDLING		READ & WRITE;
	VALIDITY		IF (PRM_1178 == 1) { TRUE; } ELSE { FALSE; }  // using RULE_13
}
ReadCmdDef(PRM_1931, 19, 31)
WriteCmdDef(PRM_1931, 19, 31)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1969
// 
VARIABLE PRM_1969	// Nennmoment Auf (Antrieb)
{
    LABEL		[TXT_PRM_1969];
    HELP		[HLP_PRM_1969];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	65535;
        DEFAULT_VALUE	60;
    }
    CONSTANT_UNIT		"Nm";
    HANDLING		READ;
}
ReadCmdDef(PRM_1969, 19, 69)

//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1996
// 
VARIABLE PRM_1996	// Datumsformat
{
    LABEL		[TXT_PRM_1996];
    HELP		[HLP_PRM_1996];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_649
    {
        DEFAULT_VALUE	1;
        { 0, [TXT_TYP_650] }, // USA
        { 1, [TXT_TYP_651] }, // EUR
        { 2, [TXT_TYP_652] }  // ISO 8601
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_1996, 19, 96)
WriteCmdDef(PRM_1996, 19, 96)

//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2006
// 
VARIABLE PRM_2006	// Anzeigeeinheit Temperatur
{
    LABEL		[TXT_PRM_2006];
    HELP		[HLP_PRM_2006];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_677
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_678] }, // °C
        { 1, [TXT_TYP_679] }  // °F
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_2006, 20, 6)
WriteCmdDef(PRM_2006, 20, 6)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2036
// 
VARIABLE PRM_2036	// Abschaltmoment AUF [Nm]
{
    LABEL		[TXT_PRM_2036];
    HELP		[HLP_PRM_2036];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (2);
    CONSTANT_UNIT		"Nm";
    HANDLING		READ & WRITE;
	VALIDITY		IF (PRM_1752 == 1) { TRUE; } ELSE { FALSE; }  // using RULE_11
}
ReadCmdDef(PRM_2036, 20, 36)
WriteCmdDef(PRM_2036, 20, 36)
 
//---------------------------------------------------------------------------------------------------------------------
//~
 
//   Defining VARIABLE  PRM_2041
// 
VARIABLE PRM_2041	// Abschaltmoment ZU [Nm]
{
    LABEL		[TXT_PRM_2041];
    HELP		[HLP_PRM_2041];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (2);
    CONSTANT_UNIT		"Nm";
    HANDLING		READ & WRITE;
	VALIDITY		IF (PRM_1752 == 1) { TRUE; } ELSE { FALSE; }  // using RULE_11	
}
ReadCmdDef(PRM_2041, 20, 41)
WriteCmdDef(PRM_2041, 20, 41)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2088
// 
VARIABLE PRM_2088	// Nennmoment Zu (Antrieb)
{
    LABEL		[TXT_PRM_2088];
    HELP		[HLP_PRM_2088];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (2);
    CONSTANT_UNIT		"Nm";
    HANDLING		READ;
}
ReadCmdDef(PRM_2088, 20, 88)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2121
// 
VARIABLE PRM_2121	// EDEnable
{
    LABEL		[TXT_PRM_2121];
    HELP		[HLP_PRM_2121];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_231
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_232], [HLP_TYP_232] }, // deaktiviert
        { 1, [TXT_TYP_233], [HLP_TYP_233] }  // aktiviert
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_2121, 21, 21)
WriteCmdDef(PRM_2121, 21, 21)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2122
// 
VARIABLE PRM_2122	// EDMaxTimeHour
{
    LABEL		[TXT_PRM_2122];
    HELP		[HLP_PRM_2122];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	10;
        MAX_VALUE	60;
        DEFAULT_VALUE	15;
    }
    CONSTANT_UNIT		"min";
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_2122, 21, 22)
WriteCmdDef(PRM_2122, 21, 22)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2123
// 
VARIABLE PRM_2123	// EDMaxStartHour
{
    LABEL		[TXT_PRM_2123];
    HELP		[HLP_PRM_2123];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	1;
        MAX_VALUE	1800;
        DEFAULT_VALUE	1200;
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_2123, 21, 23)
WriteCmdDef(PRM_2123, 21, 23)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2175
// 
VARIABLE PRM_2175	//  Betriebsart ServiceMotion-Betrieb 0 = NUR_ORT1 = FERN_ORT
{
    LABEL		[TXT_PRM_2175];
    HELP		[HLP_PRM_2175];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_699
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_700] }, // Servicefahrt nur im Ortbetrieb
        { 1, [TXT_TYP_701] }  // Servicefahrt im Ortbetrieb und Fernbetrieb
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_2175, 21, 75)
WriteCmdDef(PRM_2175, 21, 75)

//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2176
// 
VARIABLE PRM_2176	// Datum der Endabnahme
{
    LABEL		[TXT_PRM_2176];
    HELP		[HLP_PRM_2176];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"_DATE_PRODUCTION_";
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_2176, 21, 76)

//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2178
// 
VARIABLE PRM_2178	// minimales Abschaltmoment AUF [Nm]
{
    LABEL		[TXT_PRM_2178];
    HELP		[HLP_PRM_2178];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	65535;
        DEFAULT_VALUE	20;
    }
    CONSTANT_UNIT		"Nm";
    HANDLING		READ;
}
ReadCmdDef(PRM_2178, 21, 78)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2179
// 
VARIABLE PRM_2179	// maximales Abschaltmoment AUF [Nm]
{
    LABEL		[TXT_PRM_2179];
    HELP		[HLP_PRM_2179];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	65535;
        DEFAULT_VALUE	200;
    }
    CONSTANT_UNIT		"Nm";
    HANDLING		READ;
}
ReadCmdDef(PRM_2179, 21, 79)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2180
// 
VARIABLE PRM_2180	// minimales Abschaltmoment ZU [Nm]
{
    LABEL		[TXT_PRM_2180];
    HELP		[HLP_PRM_2180];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	65535;
        DEFAULT_VALUE	30;
    }
    CONSTANT_UNIT		"Nm";
    HANDLING		READ;
}
ReadCmdDef(PRM_2180, 21, 80)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2181
// 
VARIABLE PRM_2181	// maximales Abschaltmoment ZU [Nm]
{
    LABEL		[TXT_PRM_2181];
    HELP		[HLP_PRM_2181];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	65535;
        DEFAULT_VALUE	40000;
    }
    CONSTANT_UNIT		"Nm";
    HANDLING		READ;
}
ReadCmdDef(PRM_2181, 21, 81)

//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2182
// 
VARIABLE PRM_2182	// Anzeigeeinheit Drehmoment
{
    LABEL		[TXT_PRM_2182];
    HELP		[HLP_PRM_2182];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_702
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_703] }, // Newtonmeter
        { 1, [TXT_TYP_704] }, // Foot-Pound
        { 2, [TXT_TYP_705] }  // Prozent
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_2182, 21, 82)
WriteCmdDef(PRM_2182, 21, 82)

//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2188
// 
VARIABLE PRM_2188	// Lokale Bluetooth-Geräteadresse (XX:XX:XX:XX:XX:XX)
{
    LABEL		[TXT_PRM_2188];
    HELP		[HLP_PRM_2188];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"XX:XX:XX:XX:XX:XX";
    }
    HANDLING		READ;
	VALIDITY		IF (PRM_2591 == 1) { TRUE; } ELSE { FALSE; }  // using RULE_149
}
ReadCmdDef(PRM_2188, 21, 88)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2217
// 
VARIABLE PRM_2217	// App-Lcb
{
    LABEL		[TXT_PRM_2217];
    HELP		[HLP_PRM_2217];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"0";
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_2217, 22, 17)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2218
// 
VARIABLE PRM_2218	// Btl-Lcb
{
    LABEL		[TXT_PRM_2218];
    HELP		[HLP_PRM_2218];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"0";
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_2218, 22, 18)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2219
// 
VARIABLE PRM_2219	// App-Logik
{
    LABEL		[TXT_PRM_2219];
    HELP		[HLP_PRM_2219];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"0";
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_2219, 22, 19)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2220
// 
VARIABLE PRM_2220	// Btl-Logik
{
    LABEL		[TXT_PRM_2220];
    HELP		[HLP_PRM_2220];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"0";
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_2220, 22, 20)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2221
// 
VARIABLE PRM_2221	// App-Mwg
{
    LABEL		[TXT_PRM_2221];
    HELP		[HLP_PRM_2221];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"0";
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_2221, 22, 21)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2222
// 
VARIABLE PRM_2222	// Btl-Mwg
{
    LABEL		[TXT_PRM_2222];
    HELP		[HLP_PRM_2222];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"0";
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_2222, 22, 22)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2223
// 
VARIABLE PRM_2223	// App-Bus
{
    LABEL		[TXT_PRM_2223];
    HELP		[HLP_PRM_2223];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"0";
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_2223, 22, 23)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2224
// 
VARIABLE PRM_2224	// Btl-Bus
{
    LABEL		[TXT_PRM_2224];
    HELP		[HLP_PRM_2224];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"0";
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_2224, 22, 24)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2239
// 
VARIABLE PRM_2239	// Logik-Hwib-VI1
{
    LABEL		[TXT_PRM_2239];
    HELP		[HLP_PRM_2239];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	65535;
        DEFAULT_VALUE	2;
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_2239, 22, 39)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2281
// 
VARIABLE PRM_2281	// Interface-Hwib-VI1
{
    LABEL		[TXT_PRM_2281];
    HELP		[HLP_PRM_2281];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	65535;
        DEFAULT_VALUE	6;
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_2281, 22, 81)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2293
// 
VARIABLE PRM_2293	// Interface-Hwib-VI3
{
    LABEL		[TXT_PRM_2293];
    HELP		[HLP_PRM_2293];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	65535;
        DEFAULT_VALUE	2;
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_2293, 22, 93)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2294
// 
VARIABLE PRM_2294	// Interface-Hwib-VI2
{
    LABEL		[TXT_PRM_2294];
    HELP		[HLP_PRM_2294];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	65535;
        DEFAULT_VALUE	6;
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_2294, 22, 94)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2308
// 
VARIABLE PRM_2308	// MWG-Hwib-VI2
{
    LABEL		[TXT_PRM_2308];
    HELP		[HLP_PRM_2308];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_846
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_847] }, // Funktion/Baugruppe nicht vorhanden
        { 1, [TXT_TYP_848] }  // Funktion/Baugruppe vorhanden
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_2308, 23, 8)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2339
// 
VARIABLE PRM_2339	// OPT-Vorhanden SOLL-Konfiguration
{
    LABEL		[TXT_PRM_2339];
    HELP		[HLP_PRM_2339];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_846
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_847] }, // Funktion/Baugruppe nicht vorhanden
        { 1, [TXT_TYP_848] }  // Funktion/Baugruppe vorhanden
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_2339, 23, 39)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2400
// 
VARIABLE PRM_2400	// Mindestwert 5V-Referenzspannung (0...1023)
{
    LABEL		[TXT_PRM_2400];
    HELP		[HLP_PRM_2400];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	1023;
        DEFAULT_VALUE	450;
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_2400, 24, 0)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2401
// 
VARIABLE PRM_2401	// Mindestwert Poti-Signal (0...1023)
{
    LABEL		[TXT_PRM_2401];
    HELP		[HLP_PRM_2401];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	1023;
        DEFAULT_VALUE	77;
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_2401, 24, 1)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2402
// 
VARIABLE PRM_2402	// Mindestwert Poti-Hub (0...1023)
{
    LABEL		[TXT_PRM_2402];
    HELP		[HLP_PRM_2402];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	1;
        MAX_VALUE	1023;
        DEFAULT_VALUE	610;
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_2402, 24, 2)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2415
// 
VARIABLE PRM_2415	// Interface2-Vorhanden SOLL-Konfiguration
{
    LABEL		[TXT_PRM_2415];
    HELP		[HLP_PRM_2415];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_846
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_847] }, // Funktion/Baugruppe nicht vorhanden
        { 1, [TXT_TYP_848] }  // Funktion/Baugruppe vorhanden
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_2415, 24, 15)

//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2418
// 
VARIABLE PRM_2418	// Diagnoseauswahl
{
    LABEL		[TXT_PRM_2418];
    HELP		[HLP_PRM_2418];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_773
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_774] }, // AUMA-Sammelmeldungen
        { 1, [TXT_TYP_775] }  // NAMUR-Sammelmeldungen
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_2418, 24, 18)
WriteCmdDef(PRM_2418, 24, 18)

//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2546
// 
VARIABLE PRM_2546	// Applikationsparameter Betriebsart
{
    LABEL		[TXT_PRM_2546];
    HELP		[HLP_PRM_2546];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_886
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_887], [HLP_TYP_887] }, // AUS
        { 1, [TXT_TYP_888], [HLP_TYP_888] }  // MANUELL
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_2546, 25, 46)
WriteCmdDef(PRM_2546, 25, 46)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2547
// 
VARIABLE PRM_2547	// Applikationsparameter Stellzeit (Einheit 0,1 sec)
{
    LABEL		[TXT_PRM_2547];
    HELP		[HLP_PRM_2547];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
#ifdef dtmGENERATOR
    TYPE		TIME_MMSS01
#else
    TYPE		UNSIGNED_INTEGER (2)
#endif /* dtmGENERATOR */
    {
        MIN_VALUE	0;
        MAX_VALUE	36000;
        DEFAULT_VALUE	9000;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    POST_READ_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_2547, uiPRM_2547),
        DEFINITION{ uiPRM_2547.VARIABLE_STATUS = PRM_2547.VARIABLE_STATUS; }
    }
}
ReadCmdDef(PRM_2547, 25, 47)
WriteCmdDef(PRM_2547, 25, 47)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2554
// 
VARIABLE PRM_2554	// Applikationsparameter: Betriebsart (0 = AUS, 1 = EIN)
{
    LABEL		[TXT_PRM_2554];
    HELP		[HLP_PRM_2554];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_335
    {
        DEFAULT_VALUE	1;
        { 0, [TXT_TYP_336], [HLP_TYP_336] }, // ausgeschaltet
        { 1, [TXT_TYP_337], [HLP_TYP_337] }  // eingeschaltet
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_2554, 25, 54)
WriteCmdDef(PRM_2554, 25, 54)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2555
// 
VARIABLE PRM_2555	// Applikationsparameter: Zeitintervall für die Erkennung (Einheit: 0,1 sec)
{
    LABEL		[TXT_PRM_2555];
    HELP		[HLP_PRM_2555];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
#ifdef dtmGENERATOR
    TYPE		TIME_MMSS01
#else
    TYPE		UNSIGNED_INTEGER (2)
#endif /* dtmGENERATOR */
    {
        MIN_VALUE	10;
        MAX_VALUE	18000;
        DEFAULT_VALUE	50;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    POST_READ_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_2555, uiPRM_2555),
        DEFINITION{ uiPRM_2555.VARIABLE_STATUS = PRM_2555.VARIABLE_STATUS; }
    }
	VALIDITY		IF (((PRM_2755 == 1)) || ((PRM_2755 == 2))) { TRUE; } ELSE { FALSE; }  // using RULE_239
}
ReadCmdDef(PRM_2555, 25, 55)
WriteCmdDef(PRM_2555, 25, 55)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2556
// 
VARIABLE PRM_2556	// Applikationsparameter: Wegintervall für die Erkennung der Bewegung (Einheit: 0,1 % des Stellwegs)
{
    LABEL		[TXT_PRM_2556];
    HELP		[HLP_PRM_2556];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	10;
        MAX_VALUE	100;
        DEFAULT_VALUE	10;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
	VALIDITY		IF (((PRM_2755 == 1)) || ((PRM_2755 == 2))) { TRUE; } ELSE { FALSE; }  // using RULE_239
}
ReadCmdDef(PRM_2556, 25, 56)
WriteCmdDef(PRM_2556, 25, 56)

//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2568
// 
VARIABLE PRM_2568	// Version der ausgewählten Sprachdatei
{
    LABEL		[TXT_PRM_2568];
    HELP		[HLP_PRM_2568];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"Vxxx";
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_2568, 25, 68)

//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2591
// 
VARIABLE PRM_2591	// Bluetooth-Aktivierung
{
    LABEL		[TXT_PRM_2591];
    HELP		[HLP_PRM_2591];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_335
    {
        DEFAULT_VALUE	1;
        { 0, [TXT_TYP_336], [HLP_TYP_336] }, // ausgeschaltet
        { 1, [TXT_TYP_337], [HLP_TYP_337] }  // eingeschaltet
    }
    HANDLING		READ & WRITE;
	VALIDITY		IF (PRM_2591 == 0) { TRUE; } ELSE { FALSE; }  // using RULE_94
}
ReadCmdDef(PRM_2591, 25, 91)
WriteCmdDef(PRM_2591, 25, 91)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2604
// 
VARIABLE PRM_2604	// Bluetooth-Geräteadresse der Gegenstelle(XX:XX:XX:XX:XX:XX)
{
    LABEL		[TXT_PRM_2604];
    HELP		[HLP_PRM_2604];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"XX:XX:XX:XX:XX:XX";
    }
    HANDLING		READ;
	VALIDITY		IF (PRM_2591 == 1) { TRUE; } ELSE { FALSE; }  // using RULE_149
}
ReadCmdDef(PRM_2604, 26, 4)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2755
// 
VARIABLE PRM_2755	// Stellungsgeber SOLL-Konfiguration
{
    LABEL		[TXT_PRM_2755];
    HELP		[HLP_PRM_2755];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_322
    {
        DEFAULT_VALUE	1;
        { 0, [TXT_TYP_323], [HLP_TYP_323] }, // Keine E2 Quelle
        { 1, [TXT_TYP_327], [HLP_TYP_327] }, // Poti angeschlossen
        { 2, [TXT_TYP_325], [HLP_TYP_325] }, // RWG angeschlossen
        { 4, [TXT_TYP_326], [HLP_TYP_326] }  // MWG angeschlossen
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_2755, 27, 55)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2798
// 
VARIABLE PRM_2798	// Applikationsparameter: 24VExt-Überwachung Aktivierung
{
    LABEL		[TXT_PRM_2798];
    HELP		[HLP_PRM_2798];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_335
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_336], [HLP_TYP_336] }, // ausgeschaltet
        { 1, [TXT_TYP_337], [HLP_TYP_337] }  // eingeschaltet
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_2798, 27, 98)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2865
// 
VARIABLE PRM_2865	// Parameter: Activate (Default = Aktiviert)
{
    LABEL		[TXT_PRM_2865];
    HELP		[HLP_PRM_2865];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_231
    {
        DEFAULT_VALUE	1;
        { 0, [TXT_TYP_232], [HLP_TYP_232] }, // deaktiviert
        { 1, [TXT_TYP_233], [HLP_TYP_233] }  // aktiviert
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_2865, 28, 65)
WriteCmdDef(PRM_2865, 28, 65)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2872
// 
VARIABLE PRM_2872	// Parameter: Activate (Default = Aktiviert)
{
    LABEL		[TXT_PRM_2872];
    HELP		[HLP_PRM_2872];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_231
    {
        DEFAULT_VALUE	1;
        { 0, [TXT_TYP_232], [HLP_TYP_232] }, // deaktiviert
        { 1, [TXT_TYP_233], [HLP_TYP_233] }  // aktiviert
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_2872, 28, 72)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2878
// 
VARIABLE PRM_2878	// Parameter: Activate (Default = Aktiviert)
{
    LABEL		[TXT_PRM_2878];
    HELP		[HLP_PRM_2878];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_231
    {
        DEFAULT_VALUE	1;
        { 0, [TXT_TYP_232], [HLP_TYP_232] }, // deaktiviert
        { 1, [TXT_TYP_233], [HLP_TYP_233] }  // aktiviert
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_2878, 28, 78)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2885
// 
VARIABLE PRM_2885	// Redundanz-Mode
{
    LABEL		[TXT_PRM_2885];
    HELP		[HLP_PRM_2885];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_1085
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_1086], [HLP_TYP_1086] }, // Keine Redundanz
        { 1, [TXT_TYP_1087], [HLP_TYP_1087] }, // PNO System Redundanz (Siemens)
        { 4, [TXT_TYP_1297], [HLP_TYP_1297] }, // PNO Flying Redundanz (ABB 800M  Flyingredundanz)
        { 2, [TXT_TYP_1088], [HLP_TYP_1088] }, // Redundanz nach AUMA 1 (entspricht AC01.1 Baugruppenredundanz)
        { 3, [TXT_TYP_1196], [HLP_TYP_1196] }  // Redundanz nach Auma 2 (ABB P875 Linienredundanz)
    }
    HANDLING		READ & WRITE;
	VALIDITY		IF (((PRM_181 == 1) && (PRM_3059 == 1))) { TRUE; } ELSE { FALSE; }  // using RULE_173
}
ReadCmdDef(PRM_2885, 28, 85)
WriteCmdDef(PRM_2885, 28, 85)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2916
// 
VARIABLE PRM_2916	// Hysterese zwischen innerer Totzone und äußerer Tozone in Richtung AUF für adaptiven Stellungsregler 
{
    LABEL		[TXT_PRM_2916];
    HELP		[HLP_PRM_2916];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	50;
        DEFAULT_VALUE	5;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
	VALIDITY		IF (((PRM_1169 == 1) && (PRM_84 != 0))) { TRUE; } ELSE { FALSE; }  // using RULE_169
}
ReadCmdDef(PRM_2916, 29, 16)
WriteCmdDef(PRM_2916, 29, 16)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2917
// 
VARIABLE PRM_2917	// Hysterese zwischen innerer Totzone und äußerer Tozone in Richtung ZU für adaptiven Stellungsregler 
{
    LABEL		[TXT_PRM_2917];
    HELP		[HLP_PRM_2917];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	50;
        DEFAULT_VALUE	5;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
	VALIDITY		IF (((PRM_1169 == 1) && (PRM_84 != 0))) { TRUE; } ELSE { FALSE; }  // using RULE_169
}
ReadCmdDef(PRM_2917, 29, 17)
WriteCmdDef(PRM_2917, 29, 17)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2923
// 
VARIABLE PRM_2923	// Aktivierung NOT-Funktion
{
    LABEL		[TXT_PRM_2923];
    HELP		[HLP_PRM_2923];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_335
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_336], [HLP_TYP_336] }, // ausgeschaltet
        { 1, [TXT_TYP_337], [HLP_TYP_337] }  // eingeschaltet
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_2923, 29, 23)
WriteCmdDef(PRM_2923, 29, 23)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2924
// 
VARIABLE PRM_2924	// Auswahl Auslösequelle
{
    LABEL		[TXT_PRM_2924];
    HELP		[HLP_PRM_2924];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_1089
    {
        DEFAULT_VALUE	3;
        IF (PRM_45 == 1) {{ 1, [TXT_TYP_1090] }} // Paralleles Interface (using RULE_19)
        IF (PRM_181 != 0) {{ 2, [TXT_TYP_1091] }} // Feldbus-Interface (using RULE_304)
        IF (((PRM_45 == 1) && (PRM_181 != 0))) {{ 3, [TXT_TYP_1092] }} // Paralleles und Feldbus Interface (using RULE_348)
        { 4, [TXT_TYP_1406] }  // Aktive Befehlsquelle für Fahrten
    }
    HANDLING		READ & WRITE;
	VALIDITY	IF (PRM_2923 != 0) { TRUE; } ELSE { FALSE; }  // using RULE_12
}
ReadCmdDef(PRM_2924, 29, 24)
WriteCmdDef(PRM_2924, 29, 24)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2950
// 
VARIABLE PRM_2950	// NOT Überbrückung Fahrprofil
{
    LABEL		[TXT_PRM_2950];
    HELP		[HLP_PRM_2950];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_364
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_365] }, // Überbrückung inaktiv
        { 1, [TXT_TYP_366] }  // Überbrückung aktiv
    }
    HANDLING		READ & WRITE;
	VALIDITY	IF (PRM_2923 != 0) { TRUE; } ELSE { FALSE; }  // using RULE_12
}
ReadCmdDef(PRM_2950, 29, 50)
WriteCmdDef(PRM_2950, 29, 50)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2992
// 
VARIABLE PRM_2992	// Handradschalter: Vorhanden, bzw. Kontaktart
{
    LABEL		[TXT_PRM_2992];
    HELP		[HLP_PRM_2992];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_1138
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_1139], [HLP_TYP_1139] }, // Ohne
        { 1, [TXT_TYP_1140] }, // Öffner
        { 2, [TXT_TYP_1141] }  // Schließer
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_2992, 29, 92)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3006
// 
VARIABLE PRM_3006	// Profibus Ident Nr
{
    LABEL		[TXT_PRM_3006];
    HELP		[HLP_PRM_3006];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_1093
    {
        DEFAULT_VALUE	3151;
        { 3151, [TXT_TYP_1094], [HLP_TYP_1094] }, // Ident Nr AC einkanalige Profibushardware
        { 3261, [TXT_TYP_1095], [HLP_TYP_1095] }, // Ident Nr AC zweiikanalige Profibushardware
        { 3191, [TXT_TYP_1107], [HLP_TYP_1107] }  // Ident Nr P70 Profibushardware
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_3006, 30, 6)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3053
// 
VARIABLE PRM_3053	// Hysterese
{
    LABEL		[TXT_PRM_3053];
    HELP		[HLP_PRM_3053];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	10;
        DEFAULT_VALUE	2;
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_3053, 30, 53)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3059
// 
VARIABLE PRM_3059	// Anzahl Bus-Kanäle Soll*
{
    LABEL		[TXT_PRM_3059];
    HELP		[HLP_PRM_3059];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_1064
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_1065], [HLP_TYP_1065] }, // Einkanalig
        { 1, [TXT_TYP_1066], [HLP_TYP_1066] }, // Zweikanalig
        { 2, [TXT_TYP_1097], [HLP_TYP_1097] }  // Ring
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_3059, 30, 59)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3134
// 
VARIABLE PRM_3134	// \"Freigabe OSS\" Kaufparameter
{
    LABEL		[TXT_PRM_3134];
    HELP		[HLP_PRM_3134];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_335
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_336], [HLP_TYP_336] }, // ausgeschaltet
        { 1, [TXT_TYP_337], [HLP_TYP_337] }  // eingeschaltet
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_3134, 31, 34)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3135
// 
VARIABLE PRM_3135	// \"Freigabe OSS\" Aktivierung
{
    LABEL		[TXT_PRM_3135];
    HELP		[HLP_PRM_3135];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_335
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_336], [HLP_TYP_336] }, // ausgeschaltet
        { 1, [TXT_TYP_337], [HLP_TYP_337] }  // eingeschaltet
    }
    HANDLING		READ & WRITE;
	VALIDITY		IF (PRM_3134 == 1) { TRUE; } ELSE { FALSE; }  // using RULE_200
}
ReadCmdDef(PRM_3135, 31, 35)
WriteCmdDef(PRM_3135, 31, 35)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3136
// 
VARIABLE PRM_3136	// \"Freigabe OSS\" Verhalten
{
    LABEL		[TXT_PRM_3136];
    HELP		[HLP_PRM_3136];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_1123
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_1124], [HLP_TYP_1124] }, // nur ORT
        { 1, [TXT_TYP_1125], [HLP_TYP_1125] }  // ORT und AUS
    }
    HANDLING		READ & WRITE;
	VALIDITY		IF (((PRM_3134 == 1) && (PRM_3135 == 1))) { TRUE; } ELSE { FALSE; }  // using RULE_202
}
ReadCmdDef(PRM_3136, 31, 36)
WriteCmdDef(PRM_3136, 31, 36)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3143
// 
VARIABLE PRM_3143	// \"Lokaler Halt\" Verhalten
{
    LABEL		[TXT_PRM_3143];
    HELP		[HLP_PRM_3143];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_1126
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_1127], [HLP_TYP_1127] }, // ausgeschaltet
        { 1, [TXT_TYP_1128], [HLP_TYP_1128] }  // ORT oder FERN
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_3143, 31, 43)
WriteCmdDef(PRM_3143, 31, 43)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3156
// 
VARIABLE PRM_3156	// Applikation: Betriebsart EX-Ausführung
{
    LABEL		[TXT_PRM_3156];
    HELP		[HLP_PRM_3156];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_1135
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_1136], [HLP_TYP_1136] }, // NEIN
        { 1, [TXT_TYP_1137], [HLP_TYP_1137] }  // JA
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_3156, 31, 56)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3157
// 
VARIABLE PRM_3157	// Applikation: Betriebsart Standard-Ausführung
{
    LABEL		[TXT_PRM_3157];
    HELP		[HLP_PRM_3157];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_1132
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_1133], [HLP_TYP_1133] }, // ohne Abschaltung
        { 1, [TXT_TYP_1134], [HLP_TYP_1134] }  // mit Abschaltung
    }
    HANDLING		READ & WRITE;
	VALIDITY		IF (PRM_3156 == 0) { TRUE; } ELSE { FALSE; }  // using RULE_301
}
ReadCmdDef(PRM_3157, 31, 57)
WriteCmdDef(PRM_3157, 31, 57)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3158
// 
VARIABLE PRM_3158	// Applikation: Überwachungszeit
{
    LABEL		[TXT_PRM_3158];
    HELP		[HLP_PRM_3158];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	150;
        MAX_VALUE	3000;
        DEFAULT_VALUE	150;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
	VALIDITY		IF (PRM_3156 == 0) { TRUE; } ELSE { FALSE; }  // using RULE_301
}
ReadCmdDef(PRM_3158, 31, 58)
WriteCmdDef(PRM_3158, 31, 58)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3172
// 
VARIABLE PRM_3172	// Applikationsparameter: Heizungsüberwachung aktivieren
{
    LABEL		[TXT_PRM_3172];
    HELP		[HLP_PRM_3172];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_335
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_336], [HLP_TYP_336] }, // ausgeschaltet
        { 1, [TXT_TYP_337], [HLP_TYP_337] }  // eingeschaltet
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_3172, 31, 72)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3180
// 
VARIABLE PRM_3180	// Applikationsparameter: Heizungsüberwachung aktivieren
{
    LABEL		[TXT_PRM_3180];
    HELP		[HLP_PRM_3180];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_335
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_336], [HLP_TYP_336] }, // ausgeschaltet
        { 1, [TXT_TYP_337], [HLP_TYP_337] }  // eingeschaltet
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_3180, 31, 80)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3187
// 
VARIABLE PRM_3187	// Applikationsparameter: Zeitintervall für die Erkennung (Einheit: 0,1 sec)
{
    LABEL		[TXT_PRM_3187];
    HELP		[HLP_PRM_3187];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
#ifdef dtmGENERATOR
    TYPE		TIME_MMSS01
#else
    TYPE		UNSIGNED_INTEGER (2)
#endif /* dtmGENERATOR */
    {
        MIN_VALUE	1;
        MAX_VALUE	20;
        DEFAULT_VALUE	5;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    POST_READ_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_3187, uiPRM_3187),
        DEFINITION{ uiPRM_3187.VARIABLE_STATUS = PRM_3187.VARIABLE_STATUS; }
    }
	VALIDITY		IF (PRM_2755 == 4) { TRUE; } ELSE { FALSE; }  // using RULE_238
}
ReadCmdDef(PRM_3187, 31, 87)
WriteCmdDef(PRM_3187, 31, 87)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3188
// 
VARIABLE PRM_3188	// Applikationsparameter: Wegintervall für die Erkennung der Bewegung (Inkremente)
{
    LABEL		[TXT_PRM_3188];
    HELP		[HLP_PRM_3188];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	2;
        MAX_VALUE	20;
        DEFAULT_VALUE	3;
    }
    HANDLING		READ & WRITE;
	VALIDITY		IF (PRM_2755 == 4) { TRUE; } ELSE { FALSE; }  // using RULE_238
}
ReadCmdDef(PRM_3188, 31, 88)
WriteCmdDef(PRM_3188, 31, 88)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3216
// 
VARIABLE PRM_3216	// Applikationsparameter ApplRelease
{
    LABEL		[TXT_PRM_3216];
    HELP		[HLP_PRM_3216];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_335
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_336], [HLP_TYP_336] }, // ausgeschaltet
        { 1, [TXT_TYP_337], [HLP_TYP_337] }  // eingeschaltet
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_3216, 32, 16)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3217
// 
VARIABLE PRM_3217	// Applikationsparameter ApplActivation
{
    LABEL		[TXT_PRM_3217];
    HELP		[HLP_PRM_3217];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_335
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_336], [HLP_TYP_336] }, // ausgeschaltet
        { 1, [TXT_TYP_337], [HLP_TYP_337] }  // eingeschaltet
    }
    HANDLING		READ & WRITE;
	VALIDITY		IF (PRM_3216 == 1) { TRUE; } ELSE { FALSE; }  // using RULE_204
}
ReadCmdDef(PRM_3217, 32, 17)
WriteCmdDef(PRM_3217, 32, 17)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3218
// 
VARIABLE PRM_3218	// Applikationsparameter ApplMode
{
    LABEL		[TXT_PRM_3218];
    HELP		[HLP_PRM_3218];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_1167
    {
        DEFAULT_VALUE	3;
        { 1, [TXT_TYP_1169], [HLP_TYP_1169] }, // nur FERN
        { 2, [TXT_TYP_1170], [HLP_TYP_1170] }, // nur ORT
        { 3, [TXT_TYP_1171], [HLP_TYP_1171] }  // FERN und ORT
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_3218, 32, 18)
WriteCmdDef(PRM_3218, 32, 18)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3219
// 
VARIABLE PRM_3219	// Applikationsparameter ApplBehaviour
{
    LABEL		[TXT_PRM_3219];
    HELP		[HLP_PRM_3219];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_1142
    {
        DEFAULT_VALUE	3;
        { 1, [TXT_TYP_1143], [HLP_TYP_1143] }, //  AUF
        { 2, [TXT_TYP_1144], [HLP_TYP_1144] }, // ZU
        { 3, [TXT_TYP_1145], [HLP_TYP_1145] }  // AUF und ZU
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_3219, 32, 19)
WriteCmdDef(PRM_3219, 32, 19)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3232
// 
VARIABLE PRM_3232	// Enable
{
    LABEL		[TXT_PRM_3232];
    HELP		[HLP_PRM_3232];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_335
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_336], [HLP_TYP_336] }, // ausgeschaltet
        { 1, [TXT_TYP_337], [HLP_TYP_337] }  // eingeschaltet
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_3232, 32, 32)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3255
// 
VARIABLE PRM_3255	// Applikationsparameter ApplIgnoreESD
{
    LABEL		[TXT_PRM_3255];
    HELP		[HLP_PRM_3255];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_1135
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_1136], [HLP_TYP_1136] }, // NEIN
        { 1, [TXT_TYP_1137], [HLP_TYP_1137] }  // JA
    }
    HANDLING		READ & WRITE;
	VALIDITY	IF (PRM_2923 != 0) { TRUE; } ELSE { FALSE; }  // using RULE_12
}
ReadCmdDef(PRM_3255, 32, 55)
WriteCmdDef(PRM_3255, 32, 55)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3295
// 
VARIABLE PRM_3295	// NOT Überbrückung Lokaler Halt
{
    LABEL		[TXT_PRM_3295];
    HELP		[HLP_PRM_3295];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_364
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_365] }, // Überbrückung inaktiv
        { 1, [TXT_TYP_366] }  // Überbrückung aktiv
    }
    HANDLING		READ & WRITE;
	VALIDITY	IF (PRM_2923 != 0) { TRUE; } ELSE { FALSE; }  // using RULE_12
}
ReadCmdDef(PRM_3295, 32, 95)
WriteCmdDef(PRM_3295, 32, 95)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3297
// 
VARIABLE PRM_3297	// Hydraulikantrieb SOLL-Konfiguration
{
    LABEL		[TXT_PRM_3297];
    HELP		[HLP_PRM_3297];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_1135
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_1136], [HLP_TYP_1136] }, // NEIN
        { 1, [TXT_TYP_1137], [HLP_TYP_1137] }  // JA
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_3297, 32, 97)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3479
// 
VARIABLE PRM_3479	// Lwl-Modul (FPGA)
{
    LABEL		[TXT_PRM_3479];
    HELP		[HLP_PRM_3479];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"0";
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_3479, 34, 79)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3481
// 
VARIABLE PRM_3481	// Lwl-Bus-Topologie
{
    LABEL		[TXT_PRM_3481];
    HELP		[HLP_PRM_3481];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_1193
    {
        DEFAULT_VALUE	1;
        { 0, [TXT_TYP_1194], [HLP_TYP_1194] }, // Ring
        { 1, [TXT_TYP_1195], [HLP_TYP_1195] }  // Stern/Linie
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_3481, 34, 81)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3482
// 
VARIABLE PRM_3482	// Lwl-Überwachung
{
    LABEL		[TXT_PRM_3482];
    HELP		[HLP_PRM_3482];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_1252
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_1254], [HLP_TYP_1254] }, // Ein (kein Endgerät)
        { 1, [TXT_TYP_1253], [HLP_TYP_1253] }  // Aus (Endgerät)
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_3482, 34, 82)
WriteCmdDef(PRM_3482, 34, 82)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3495
// 
VARIABLE PRM_3495	// LwlMod-Vorhanden SOLL-Konfiguration
{
    LABEL		[TXT_PRM_3495];
    HELP		[HLP_PRM_3495];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_846
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_847] }, // Funktion/Baugruppe nicht vorhanden
        { 1, [TXT_TYP_848] }  // Funktion/Baugruppe vorhanden
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_3495, 34, 95)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3496
// 
VARIABLE PRM_3496	// Lwl-Baudrate
{
    LABEL		[TXT_PRM_3496];
    HELP		[HLP_PRM_3496];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_1200
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_1201], [HLP_TYP_1201] }, // Auto-Detect
        { 1, [TXT_TYP_1202], [HLP_TYP_1202] }, // 9.6 kbit/s
        { 2, [TXT_TYP_1203], [HLP_TYP_1203] }  // 19.2 kbit/s
        IF (PRM_181 == 2) {{ 3, [TXT_TYP_1204], [HLP_TYP_1204] }} // 38.4 kbit/s (using RULE_23)
        IF (PRM_181 == 1) {{ 4, [TXT_TYP_1205], [HLP_TYP_1205] }} // 45.45 kbit/s (using RULE_21)
        IF (PRM_181 == 2) {{ 5, [TXT_TYP_1206], [HLP_TYP_1206] }} // 57.6 kbit/s (using RULE_23)
        IF (PRM_181 == 1) {{ 6, [TXT_TYP_1207], [HLP_TYP_1207] }} // 93.75 kbit/s (using RULE_21)
        IF (PRM_181 == 2) {{ 7, [TXT_TYP_1208], [HLP_TYP_1208] }} // 115.2 kbit/s (using RULE_23)
        IF (PRM_181 == 1) {{ 8, [TXT_TYP_1209], [HLP_TYP_1209] }} // 187.5 kbit/s (using RULE_21)
        IF (PRM_181 == 1) {{ 9, [TXT_TYP_1210], [HLP_TYP_1210] }} // 500.0 kbit/s (using RULE_21)
        IF (PRM_181 == 1) {{ 10, [TXT_TYP_1211], [HLP_TYP_1211] }} // 1500 kbit/s (using RULE_21)
        IF (PRM_181 == 1) {{ 11, [TXT_TYP_1212], [HLP_TYP_1212] }} // 3000 kbit/s (using RULE_21)
        IF (PRM_181 == 1) {{ 12, [TXT_TYP_1213], [HLP_TYP_1213] }} // 6000 kbit/s (using RULE_21)
        IF (PRM_181 == 1) {{ 13, [TXT_TYP_1214], [HLP_TYP_1214] }} // 12000 kbit/s (using RULE_21)
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_3496, 34, 96)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3527
// 
VARIABLE PRM_3527	// Sende-Mode (sende auf 2 Leitungen)
{
    LABEL		[TXT_PRM_3527];
    HELP		[HLP_PRM_3527];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_1249
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_1250], [HLP_TYP_1250] }, // Sende auf nur einer Leitung
        { 1, [TXT_TYP_1251], [HLP_TYP_1251] }  // Sende auf beiden Leitungen
    }
    HANDLING		READ & WRITE;
	VALIDITY		IF (((PRM_181 == 1) && (PRM_3059 == 1) && (PRM_2885 == 3))) { TRUE; } ELSE { FALSE; }  // using RULE_468
}
ReadCmdDef(PRM_3527, 35, 27)
WriteCmdDef(PRM_3527, 35, 27)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3590
// 
VARIABLE PRM_3590	// Prozeßregler Aktivierung
{
    LABEL		[TXT_PRM_3590];
    HELP		[HLP_PRM_3590];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_335
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_336], [HLP_TYP_336] }, // ausgeschaltet
        { 1, [TXT_TYP_337], [HLP_TYP_337] }  // eingeschaltet
    }
    HANDLING		READ & WRITE;
	VALIDITY		IF (PRM_217 == 1) { TRUE; } ELSE { FALSE; }  // using RULE_76
}
ReadCmdDef(PRM_3590, 35, 90)
WriteCmdDef(PRM_3590, 35, 90)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3596
// 
VARIABLE PRM_3596	// Redundanz-Mode
{
    LABEL		[TXT_PRM_3596];
    HELP		[HLP_PRM_3596];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_1271
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_1272], [HLP_TYP_1272] }, // Keine Redundanz
        { 1, [TXT_TYP_1273], [HLP_TYP_1273] }, // Redundanz nach AUMA 1 (Baugruppe- bzw Linienredundanz)
        { 2, [TXT_TYP_1274], [HLP_TYP_1274] }, // Redundanz nach AUMA 2 (System- bzw Leitungsredundanz)
        { 3, [TXT_TYP_1301], [HLP_TYP_1301] }  // Modbus Ring nur im Zusammenspiel mit Sima Master Stadion
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_3596, 35, 96)
WriteCmdDef(PRM_3596, 35, 96)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3629
// 
VARIABLE PRM_3629	// SetTime_ms
{
    LABEL		[TXT_PRM_3629];
    HELP		[HLP_PRM_3629];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	1;
        MAX_VALUE	65535;
        DEFAULT_VALUE	1000;
        SCALING_FACTOR	0.001;
        EDIT_FORMAT	".3f";
        DISPLAY_FORMAT	".3f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_3629, 36, 29)
WriteCmdDef(PRM_3629, 36, 29)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3657
// 
VARIABLE PRM_3657	// Komparator Threshold
{
    LABEL		[TXT_PRM_3657];
    HELP		[HLP_PRM_3657];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		INTEGER (2)
    {
        MIN_VALUE	20;
        MAX_VALUE	100;
        DEFAULT_VALUE	80;
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
	VALIDITY		IF (((PRM_1752 == 1) && (PRM_3971 == 1))) { TRUE; } ELSE { FALSE; }  // using RULE_404
}
ReadCmdDef(PRM_3657, 36, 57)
WriteCmdDef(PRM_3657, 36, 57)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3667
// 
VARIABLE PRM_3667	// Komparator Threshold
{
    LABEL		[TXT_PRM_3667];
    HELP		[HLP_PRM_3667];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		INTEGER (2)
    {
        MIN_VALUE	20;
        MAX_VALUE	100;
        DEFAULT_VALUE	80;
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
	VALIDITY		IF (((PRM_1752 == 1) && (PRM_3971 == 1))) { TRUE; } ELSE { FALSE; }  // using RULE_404
}
ReadCmdDef(PRM_3667, 36, 67)
WriteCmdDef(PRM_3667, 36, 67)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3691
// 
VARIABLE PRM_3691	// Freikauf
{
    LABEL		[TXT_PRM_3691];
    HELP		[HLP_PRM_3691];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_335
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_336], [HLP_TYP_336] }, // ausgeschaltet
        { 1, [TXT_TYP_337], [HLP_TYP_337] }  // eingeschaltet
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_3691, 36, 91)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3692
// 
VARIABLE PRM_3692	// Aktivierung
{
    LABEL		[TXT_PRM_3692];
    HELP		[HLP_PRM_3692];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_335
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_336], [HLP_TYP_336] }, // ausgeschaltet
        { 1, [TXT_TYP_337], [HLP_TYP_337] }  // eingeschaltet
    }
    HANDLING		READ & WRITE;
	VALIDITY		IF (PRM_3691 == 1) { TRUE; } ELSE { FALSE; }  // using RULE_372
}
ReadCmdDef(PRM_3692, 36, 92)
WriteCmdDef(PRM_3692, 36, 92)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3693
// 
VARIABLE PRM_3693	// Verhalten
{
    LABEL		[TXT_PRM_3693];
    HELP		[HLP_PRM_3693];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_1298
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_1299], [HLP_TYP_1299] }, // Fern!
        { 1, [TXT_TYP_1300], [HLP_TYP_1300] }  // Fern!!
    }
    HANDLING		READ & WRITE;
	VALIDITY		IF (((PRM_3691 == 1) && (PRM_3692 == 1))) { TRUE; } ELSE { FALSE; }  // using RULE_373
}
ReadCmdDef(PRM_3693, 36, 93)
WriteCmdDef(PRM_3693, 36, 93)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3694
// 
VARIABLE PRM_3694	// Feldbus beachten
{
    LABEL		[TXT_PRM_3694];
    HELP		[HLP_PRM_3694];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_1135
    {
        DEFAULT_VALUE	1;
        { 0, [TXT_TYP_1136], [HLP_TYP_1136] }, // NEIN
        { 1, [TXT_TYP_1137], [HLP_TYP_1137] }  // JA
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_3694, 36, 94)
WriteCmdDef(PRM_3694, 36, 94)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3770
// 
VARIABLE PRM_3770	// AutoChangeOver Kauf
{
    LABEL		[TXT_PRM_3770];
    HELP		[HLP_PRM_3770];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_335
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_336], [HLP_TYP_336] }, // ausgeschaltet
        { 1, [TXT_TYP_337], [HLP_TYP_337] }  // eingeschaltet
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_3770, 37, 70)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3771
// 
VARIABLE PRM_3771	// AutoChangeOver Aktivierung
{
    LABEL		[TXT_PRM_3771];
    HELP		[HLP_PRM_3771];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_335
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_336], [HLP_TYP_336] }, // ausgeschaltet
        { 1, [TXT_TYP_337], [HLP_TYP_337] }  // eingeschaltet
    }
    HANDLING		READ & WRITE;
	VALIDITY		IF (PRM_3770 == 1) { TRUE; } ELSE { FALSE; }  // using RULE_379
}
ReadCmdDef(PRM_3771, 37, 71)
WriteCmdDef(PRM_3771, 37, 71)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3970
// 
VARIABLE PRM_3970	// Drehmomentüberwachung Kauf
{
    LABEL		[TXT_PRM_3970];
    HELP		[HLP_PRM_3970];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_335
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_336], [HLP_TYP_336] }, // ausgeschaltet
        { 1, [TXT_TYP_337], [HLP_TYP_337] }  // eingeschaltet
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_3970, 39, 70)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3971
// 
VARIABLE PRM_3971	// Drehmomentüberwachung Aktivierung
{
    LABEL		[TXT_PRM_3971];
    HELP		[HLP_PRM_3971];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_335
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_336], [HLP_TYP_336] }, // ausgeschaltet
        { 1, [TXT_TYP_337], [HLP_TYP_337] }  // eingeschaltet
    }
    HANDLING		READ & WRITE;
	VALIDITY		IF (PRM_3970 == 1) { TRUE; } ELSE { FALSE; }  // using RULE_397
}
ReadCmdDef(PRM_3971, 39, 71)
WriteCmdDef(PRM_3971, 39, 71)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_4015
// 
VARIABLE PRM_4015	// Parameter: DelayTime (Default: 1,0 sec)
{
    LABEL		[TXT_PRM_4015];
    HELP		[HLP_PRM_4015];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
#ifdef dtmGENERATOR
    TYPE		TIME_MMSS01
#else
    TYPE		UNSIGNED_INTEGER (2)
#endif /* dtmGENERATOR */
    {
        MIN_VALUE	0;
        MAX_VALUE	18000;
        DEFAULT_VALUE	10;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ;
    POST_READ_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_4015, uiPRM_4015),
        DEFINITION{ uiPRM_4015.VARIABLE_STATUS = PRM_4015.VARIABLE_STATUS; }
    }
}
ReadCmdDef(PRM_4015, 40, 15)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  uiPRM_7
// 
VARIABLE uiPRM_7	// Taktfahrzeit AUF
{
    LABEL		[TXT_PRM_7];
    HELP		[HLP_PRM_7];
    CLASS		LOCAL;
    TYPE		ASCII(10)
    {
        DEFAULT_VALUE	"00:05,0";
// PDM shows values in object properties/context menu
#ifdef _PDM_
        MIN_VALUE	"00:01,0";
        MAX_VALUE	"30:00,0";
#endif /* _PDM_ */
    }
    CONSTANT_UNIT		"min:s";
    HANDLING		READ & WRITE;
    PRE_EDIT_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_7, uiPRM_7),
        DEFINITION{ uiPRM_7.VARIABLE_STATUS = PRM_7.VARIABLE_STATUS; }
    }
    POST_EDIT_ACTIONS
    {
        convert_MMSS01_to_U16 (uiPRM_7, PRM_7, 10, 18000),
        DEFINITION{ PRM_7.VARIABLE_STATUS = uiPRM_7.VARIABLE_STATUS; }
    }
	VALIDITY		IF (PRM_1176 == 1) { TRUE; } ELSE { FALSE; }  // using RULE_17
}
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  uiPRM_8
// 
VARIABLE uiPRM_8	// Taktpausenzeit AUF
{
    LABEL		[TXT_PRM_8];
    HELP		[HLP_PRM_8];
    CLASS		LOCAL;
    TYPE		ASCII(10)
    {
        DEFAULT_VALUE	"00:05,0";
// PDM shows values in object properties/context menu
#ifdef _PDM_
        MIN_VALUE	"00:01,0";
        MAX_VALUE	"30:00,0";
#endif /* _PDM_ */
    }
    CONSTANT_UNIT		"min:s";
    HANDLING		READ & WRITE;
    PRE_EDIT_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_8, uiPRM_8),
        DEFINITION{ uiPRM_8.VARIABLE_STATUS = PRM_8.VARIABLE_STATUS; }
    }
    POST_EDIT_ACTIONS
    {
        convert_MMSS01_to_U16 (uiPRM_8, PRM_8, 10, 18000),
        DEFINITION{ PRM_8.VARIABLE_STATUS = uiPRM_8.VARIABLE_STATUS; }
    }
	VALIDITY		IF (PRM_1176 == 1) { TRUE; } ELSE { FALSE; }  // using RULE_17
}
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  uiPRM_591
// 
VARIABLE uiPRM_591	// Taktpausenzeit ZU
{
    LABEL		[TXT_PRM_591];
    HELP		[HLP_PRM_591];
    CLASS		LOCAL;
    TYPE		ASCII(10)
    {
        DEFAULT_VALUE	"00:05,0";
// PDM shows values in object properties/context menu
#ifdef _PDM_
        MIN_VALUE	"00:01,0";
        MAX_VALUE	"30:00,0";
#endif /* _PDM_ */
    }
    CONSTANT_UNIT		"min:s";
    HANDLING		READ & WRITE;
    PRE_EDIT_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_591, uiPRM_591),
        DEFINITION{ uiPRM_591.VARIABLE_STATUS = PRM_591.VARIABLE_STATUS; }
    }
    POST_EDIT_ACTIONS
    {
        convert_MMSS01_to_U16 (uiPRM_591, PRM_591, 10, 18000),
        DEFINITION{ PRM_591.VARIABLE_STATUS = uiPRM_591.VARIABLE_STATUS; }
    }
	VALIDITY		IF (PRM_1177 == 1) { TRUE; } ELSE { FALSE; }  // using RULE_16
}
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  uiPRM_592
// 
VARIABLE uiPRM_592	// Taktfahrzeit ZU
{
    LABEL		[TXT_PRM_592];
    HELP		[HLP_PRM_592];
    CLASS		LOCAL;
    TYPE		ASCII(10)
    {
        DEFAULT_VALUE	"00:05,0";
// PDM shows values in object properties/context menu
#ifdef _PDM_
        MIN_VALUE	"00:01,0";
        MAX_VALUE	"30:00,0";
#endif /* _PDM_ */
    }
    CONSTANT_UNIT		"min:s";
    HANDLING		READ & WRITE;
    PRE_EDIT_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_592, uiPRM_592),
        DEFINITION{ uiPRM_592.VARIABLE_STATUS = PRM_592.VARIABLE_STATUS; }
    }
    POST_EDIT_ACTIONS
    {
        convert_MMSS01_to_U16 (uiPRM_592, PRM_592, 10, 18000),
        DEFINITION{ PRM_592.VARIABLE_STATUS = uiPRM_592.VARIABLE_STATUS; }
    }
	VALIDITY		IF (PRM_1177 == 1) { TRUE; } ELSE { FALSE; }  // using RULE_16
}
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  uiPRM_1874
// 
VARIABLE uiPRM_1874	// FailsSafe-Verzögerungszeit
{
    LABEL		[TXT_PRM_1874];
    HELP		[HLP_PRM_1874];
    CLASS		LOCAL;
    TYPE		ASCII(10)
    {
        DEFAULT_VALUE	"00:03,0";
// PDM shows values in object properties/context menu
#ifdef _PDM_
        MIN_VALUE	"00:00,0";
        MAX_VALUE	"30:00,0";
#endif /* _PDM_ */
    }
    CONSTANT_UNIT		"min:s";
    HANDLING		READ & WRITE;
    PRE_EDIT_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_1874, uiPRM_1874),
        DEFINITION{ uiPRM_1874.VARIABLE_STATUS = PRM_1874.VARIABLE_STATUS; }
    }
    POST_EDIT_ACTIONS
    {
        convert_MMSS01_to_U16 (uiPRM_1874, PRM_1874, 0, 18000),
        DEFINITION{ PRM_1874.VARIABLE_STATUS = uiPRM_1874.VARIABLE_STATUS; }
    }
}
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  uiPRM_1887
// 
VARIABLE uiPRM_1887	// Stützpunkt 1 Pausenzeit
{
    LABEL		[TXT_PRM_1887];
    HELP		[HLP_PRM_1887];
    CLASS		LOCAL;
    TYPE		ASCII(10)
    {
        DEFAULT_VALUE	"00:01,0";
// PDM shows values in object properties/context menu
#ifdef _PDM_
        MIN_VALUE	"00:01,0";
        MAX_VALUE	"30:00,0";
#endif /* _PDM_ */
    }
    CONSTANT_UNIT		"min:s";
    HANDLING		READ & WRITE;
    PRE_EDIT_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_1887, uiPRM_1887),
        DEFINITION{ uiPRM_1887.VARIABLE_STATUS = PRM_1887.VARIABLE_STATUS; }
    }
    POST_EDIT_ACTIONS
    {
        convert_MMSS01_to_U16 (uiPRM_1887, PRM_1887, 10, 18000),
        DEFINITION{ PRM_1887.VARIABLE_STATUS = uiPRM_1887.VARIABLE_STATUS; }
    }
}
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  uiPRM_1888
// 
VARIABLE uiPRM_1888	// Stützpunkt 2 Pausenzeit
{
    LABEL		[TXT_PRM_1888];
    HELP		[HLP_PRM_1888];
    CLASS		LOCAL;
    TYPE		ASCII(10)
    {
        DEFAULT_VALUE	"00:01,0";
// PDM shows values in object properties/context menu
#ifdef _PDM_
        MIN_VALUE	"00:01,0";
        MAX_VALUE	"30:00,0";
#endif /* _PDM_ */
    }
    CONSTANT_UNIT		"min:s";
    HANDLING		READ & WRITE;
    PRE_EDIT_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_1888, uiPRM_1888),
        DEFINITION{ uiPRM_1888.VARIABLE_STATUS = PRM_1888.VARIABLE_STATUS; }
    }
    POST_EDIT_ACTIONS
    {
        convert_MMSS01_to_U16 (uiPRM_1888, PRM_1888, 10, 18000),
        DEFINITION{ PRM_1888.VARIABLE_STATUS = uiPRM_1888.VARIABLE_STATUS; }
    }
}
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  uiPRM_1889
// 
VARIABLE uiPRM_1889	// Stützpunkt 3 Pausenzeit
{
    LABEL		[TXT_PRM_1889];
    HELP		[HLP_PRM_1889];
    CLASS		LOCAL;
    TYPE		ASCII(10)
    {
        DEFAULT_VALUE	"00:01,0";
// PDM shows values in object properties/context menu
#ifdef _PDM_
        MIN_VALUE	"00:01,0";
        MAX_VALUE	"30:00,0";
#endif /* _PDM_ */
    }
    CONSTANT_UNIT		"min:s";
    HANDLING		READ & WRITE;
    PRE_EDIT_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_1889, uiPRM_1889),
        DEFINITION{ uiPRM_1889.VARIABLE_STATUS = PRM_1889.VARIABLE_STATUS; }
    }
    POST_EDIT_ACTIONS
    {
        convert_MMSS01_to_U16 (uiPRM_1889, PRM_1889, 10, 18000),
        DEFINITION{ PRM_1889.VARIABLE_STATUS = uiPRM_1889.VARIABLE_STATUS; }
    }
}
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  uiPRM_1890
// 
VARIABLE uiPRM_1890	// Stützpunkt 4 Pausenzeit
{
    LABEL		[TXT_PRM_1890];
    HELP		[HLP_PRM_1890];
    CLASS		LOCAL;
    TYPE		ASCII(10)
    {
        DEFAULT_VALUE	"00:01,0";
// PDM shows values in object properties/context menu
#ifdef _PDM_
        MIN_VALUE	"00:01,0";
        MAX_VALUE	"30:00,0";
#endif /* _PDM_ */
    }
    CONSTANT_UNIT		"min:s";
    HANDLING		READ & WRITE;
    PRE_EDIT_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_1890, uiPRM_1890),
        DEFINITION{ uiPRM_1890.VARIABLE_STATUS = PRM_1890.VARIABLE_STATUS; }
    }
    POST_EDIT_ACTIONS
    {
        convert_MMSS01_to_U16 (uiPRM_1890, PRM_1890, 10, 18000),
        DEFINITION{ PRM_1890.VARIABLE_STATUS = uiPRM_1890.VARIABLE_STATUS; }
    }
}
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  uiPRM_1891
// 
VARIABLE uiPRM_1891	// Stützpunkt 5 Pausenzeit
{
    LABEL		[TXT_PRM_1891];
    HELP		[HLP_PRM_1891];
    CLASS		LOCAL;
    TYPE		ASCII(10)
    {
        DEFAULT_VALUE	"00:01,0";
// PDM shows values in object properties/context menu
#ifdef _PDM_
        MIN_VALUE	"00:01,0";
        MAX_VALUE	"30:00,0";
#endif /* _PDM_ */
    }
    CONSTANT_UNIT		"min:s";
    HANDLING		READ & WRITE;
    PRE_EDIT_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_1891, uiPRM_1891),
        DEFINITION{ uiPRM_1891.VARIABLE_STATUS = PRM_1891.VARIABLE_STATUS; }
    }
    POST_EDIT_ACTIONS
    {
        convert_MMSS01_to_U16 (uiPRM_1891, PRM_1891, 10, 18000),
        DEFINITION{ PRM_1891.VARIABLE_STATUS = uiPRM_1891.VARIABLE_STATUS; }
    }
}
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  uiPRM_1892
// 
VARIABLE uiPRM_1892	// Stützpunkt 6 Pausenzeit
{
    LABEL		[TXT_PRM_1892];
    HELP		[HLP_PRM_1892];
    CLASS		LOCAL;
    TYPE		ASCII(10)
    {
        DEFAULT_VALUE	"00:01,0";
// PDM shows values in object properties/context menu
#ifdef _PDM_
        MIN_VALUE	"00:01,0";
        MAX_VALUE	"30:00,0";
#endif /* _PDM_ */
    }
    CONSTANT_UNIT		"min:s";
    HANDLING		READ & WRITE;
    PRE_EDIT_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_1892, uiPRM_1892),
        DEFINITION{ uiPRM_1892.VARIABLE_STATUS = PRM_1892.VARIABLE_STATUS; }
    }
    POST_EDIT_ACTIONS
    {
        convert_MMSS01_to_U16 (uiPRM_1892, PRM_1892, 10, 18000),
        DEFINITION{ PRM_1892.VARIABLE_STATUS = uiPRM_1892.VARIABLE_STATUS; }
    }
}
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  uiPRM_1893
// 
VARIABLE uiPRM_1893	// Stützpunkt 7 Pausenzeit
{
    LABEL		[TXT_PRM_1893];
    HELP		[HLP_PRM_1893];
    CLASS		LOCAL;
    TYPE		ASCII(10)
    {
        DEFAULT_VALUE	"00:01,0";
// PDM shows values in object properties/context menu
#ifdef _PDM_
        MIN_VALUE	"00:01,0";
        MAX_VALUE	"30:00,0";
#endif /* _PDM_ */
    }
    CONSTANT_UNIT		"min:s";
    HANDLING		READ & WRITE;
    PRE_EDIT_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_1893, uiPRM_1893),
        DEFINITION{ uiPRM_1893.VARIABLE_STATUS = PRM_1893.VARIABLE_STATUS; }
    }
    POST_EDIT_ACTIONS
    {
        convert_MMSS01_to_U16 (uiPRM_1893, PRM_1893, 10, 18000),
        DEFINITION{ PRM_1893.VARIABLE_STATUS = uiPRM_1893.VARIABLE_STATUS; }
    }
}
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  uiPRM_1894
// 
VARIABLE uiPRM_1894	// Stützpunkt 8 Pausenzeit
{
    LABEL		[TXT_PRM_1894];
    HELP		[HLP_PRM_1894];
    CLASS		LOCAL;
    TYPE		ASCII(10)
    {
        DEFAULT_VALUE	"00:01,0";
// PDM shows values in object properties/context menu
#ifdef _PDM_
        MIN_VALUE	"00:01,0";
        MAX_VALUE	"30:00,0";
#endif /* _PDM_ */
    }
    CONSTANT_UNIT		"min:s";
    HANDLING		READ & WRITE;
    PRE_EDIT_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_1894, uiPRM_1894),
        DEFINITION{ uiPRM_1894.VARIABLE_STATUS = PRM_1894.VARIABLE_STATUS; }
    }
    POST_EDIT_ACTIONS
    {
        convert_MMSS01_to_U16 (uiPRM_1894, PRM_1894, 10, 18000),
        DEFINITION{ PRM_1894.VARIABLE_STATUS = uiPRM_1894.VARIABLE_STATUS; }
    }
}
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  uiPRM_2547
// 
VARIABLE uiPRM_2547	// Applikationsparameter Stellzeit (Einheit 0,1 sec)
{
    LABEL		[TXT_PRM_2547];
    HELP		[HLP_PRM_2547];
    CLASS		LOCAL;
    TYPE		ASCII(10)
    {
        DEFAULT_VALUE	"15:00,0";
// PDM shows values in object properties/context menu
#ifdef _PDM_
        MIN_VALUE	"00:00,0";
        MAX_VALUE	"60:00,0";
#endif /* _PDM_ */
    }
    CONSTANT_UNIT		"min:s";
    HANDLING		READ & WRITE;
    PRE_EDIT_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_2547, uiPRM_2547),
        DEFINITION{ uiPRM_2547.VARIABLE_STATUS = PRM_2547.VARIABLE_STATUS; }
    }
    POST_EDIT_ACTIONS
    {
        convert_MMSS01_to_U16 (uiPRM_2547, PRM_2547, 0, 36000),
        DEFINITION{ PRM_2547.VARIABLE_STATUS = uiPRM_2547.VARIABLE_STATUS; }
    }
}
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  uiPRM_2555
// 
VARIABLE uiPRM_2555	// Applikationsparameter: Zeitintervall für die Erkennung (Einheit: 0,1 sec)
{
    LABEL		[TXT_PRM_2555];
    HELP		[HLP_PRM_2555];
    CLASS		LOCAL;
    TYPE		ASCII(10)
    {
        DEFAULT_VALUE	"00:05,0";
// PDM shows values in object properties/context menu
#ifdef _PDM_
        MIN_VALUE	"00:01,0";
        MAX_VALUE	"30:00,0";
#endif /* _PDM_ */
    }
    CONSTANT_UNIT		"min:s";
    HANDLING		READ & WRITE;
    PRE_EDIT_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_2555, uiPRM_2555),
        DEFINITION{ uiPRM_2555.VARIABLE_STATUS = PRM_2555.VARIABLE_STATUS; }
    }
    POST_EDIT_ACTIONS
    {
        convert_MMSS01_to_U16 (uiPRM_2555, PRM_2555, 10, 18000),
        DEFINITION{ PRM_2555.VARIABLE_STATUS = uiPRM_2555.VARIABLE_STATUS; }
    }
	VALIDITY		IF (((PRM_2755 == 1)) || ((PRM_2755 == 2))) { TRUE; } ELSE { FALSE; }  // using RULE_239
}
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  uiPRM_3187
// 
VARIABLE uiPRM_3187	// Applikationsparameter: Zeitintervall für die Erkennung (Einheit: 0,1 sec)
{
    LABEL		[TXT_PRM_3187];
    HELP		[HLP_PRM_3187];
    CLASS		LOCAL;
    TYPE		ASCII(10)
    {
        DEFAULT_VALUE	"00:00,5";
// PDM shows values in object properties/context menu
#ifdef _PDM_
        MIN_VALUE	"00:00,1";
        MAX_VALUE	"00:02,0";
#endif /* _PDM_ */
    }
    CONSTANT_UNIT		"min:s";
    HANDLING		READ & WRITE;
    PRE_EDIT_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_3187, uiPRM_3187),
        DEFINITION{ uiPRM_3187.VARIABLE_STATUS = PRM_3187.VARIABLE_STATUS; }
    }
    POST_EDIT_ACTIONS
    {
        convert_MMSS01_to_U16 (uiPRM_3187, PRM_3187, 1, 20),
        DEFINITION{ PRM_3187.VARIABLE_STATUS = uiPRM_3187.VARIABLE_STATUS; }
    }
	VALIDITY		IF (PRM_2755 == 4) { TRUE; } ELSE { FALSE; }  // using RULE_238
}
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  uiPRM_4015
// 
VARIABLE uiPRM_4015	// Parameter: DelayTime (Default: 1,0 sec)
{
    LABEL		[TXT_PRM_4015];
    HELP		[HLP_PRM_4015];
    CLASS		LOCAL;
    TYPE		ASCII(10)
    {
        DEFAULT_VALUE	"00:01,0";
// PDM shows values in object properties/context menu
#ifdef _PDM_
        MIN_VALUE	"00:00,0";
        MAX_VALUE	"30:00,0";
#endif /* _PDM_ */
    }
    CONSTANT_UNIT		"min:s";
    HANDLING		READ;
    PRE_EDIT_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_4015, uiPRM_4015),
        DEFINITION{ uiPRM_4015.VARIABLE_STATUS = PRM_4015.VARIABLE_STATUS; }
    }
    POST_EDIT_ACTIONS
    {
        convert_MMSS01_to_U16 (uiPRM_4015, PRM_4015, 0, 18000),
        DEFINITION{ PRM_4015.VARIABLE_STATUS = uiPRM_4015.VARIABLE_STATUS; }
    }
	VALIDITY	IF (PRM_2923 != 0) { TRUE; } ELSE { FALSE; }  // using RULE_12
}
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3484
// 
VARIABLE PRM_3484	// Betriebsdaten zurücksetzen
{
    LABEL		[TXT_PRM_3484];
    HELP		[HLP_PRM_3484];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		INTEGER (2)
    {
        MIN_VALUE	-32768;
        MAX_VALUE	32767;
        DEFAULT_VALUE	-1;
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_3484, 34, 84)
WriteCmdDef(PRM_3484, 34, 84)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3486
// 
VARIABLE PRM_3486	// Werkseinstellungen erzeugen
{
    LABEL		[TXT_PRM_3486];
    HELP		[HLP_PRM_3486];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		INTEGER (2)
    {
        MIN_VALUE	-32768;
        MAX_VALUE	32767;
        DEFAULT_VALUE	-1;
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_3486, 34, 86)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3487
// 
VARIABLE PRM_3487	// Werkseinstellungen restaurieren
{
    LABEL		[TXT_PRM_3487];
    HELP		[HLP_PRM_3487];
    CLASS		CONTAINED /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		INTEGER (2)
    {
        MIN_VALUE	-32768;
        MAX_VALUE	32767;
        DEFAULT_VALUE	-1;
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_3487, 34, 87)
WriteCmdDef(PRM_3487, 34, 87)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_2
// 
VARIABLE PZD_2	// Stellungsistwert Stellantrieb E2
{
    LABEL		[TXT_PZD_2];
    HELP		[HLP_PZD_2];
    CLASS		INPUT /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	1000;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
	POST_READ_ACTIONS    {}
    HANDLING		READ;
}
ReadCmdDef(PZD_2, 0, 130)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_4
// 
VARIABLE PZD_4	// Temperatur Steuerung
{
    LABEL		[TXT_PZD_4];
    HELP		[HLP_PZD_4];
    CLASS		DIAGNOSTIC /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		INTEGER (2)
    {
        DEFAULT_VALUE	0;
    }
    CONSTANT_UNIT		"°C";
    HANDLING		READ;
}
ReadCmdDef(PZD_4, 0, 132)

//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_5
// 
VARIABLE PZD_5	// Temperatur Stellantrieb (Motor)
{
    LABEL		[TXT_PZD_5];
    HELP		[HLP_PZD_5];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		INTEGER (2)
    {
        DEFAULT_VALUE	0;
    }
    CONSTANT_UNIT		"°C";
    HANDLING		READ;
	VALIDITY		IF (((PRM_1752 == 1) && (PRM_2308 != 0))) { TRUE; } ELSE { FALSE; }  // using RULE_78
}
ReadCmdDef(PZD_5, 0, 133)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_6
// 
VARIABLE PZD_6	// Temperatur Stellantrieb (Getriebe)
{
    LABEL		[TXT_PZD_6];
    HELP		[HLP_PZD_6];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		INTEGER (2)
    {
        DEFAULT_VALUE	0;
    }
    CONSTANT_UNIT		"°C";
    HANDLING		READ;
	VALIDITY		IF (((PRM_1752 == 1) && (PRM_2308 != 0))) { TRUE; } ELSE { FALSE; }  // using RULE_78
}
ReadCmdDef(PZD_6, 0, 134)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_7
// 
VARIABLE PZD_7	// Stellungs-Sollwert E1
{
    LABEL		[TXT_PZD_7];
    HELP		[HLP_PZD_7];
    CLASS		DIAGNOSTIC /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (2)
    {
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
}
ReadCmdDef(PZD_7, 0, 135)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_77
// 
DeviceAlertVariable(PZD_77, 4)	// Sammelmeldung1: Info

ReadCmdDef(PZD_77, 0, 205)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_78
// 
DeviceAlertVariable(PZD_78, 4)	// Sammelmeldung2: Warnung

ReadCmdDef(PZD_78, 0, 206)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_79
// 
DeviceAlertVariable(PZD_79, 4)	// Sammelmeldung3: Fehler

ReadCmdDef(PZD_79, 0, 207)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_80
// 
DeviceAlertVariable(PZD_80, 4)	// Sammelmeldung4: nicht bereit Fern

ReadCmdDef(PZD_80, 0, 208)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_81
// 
DeviceAlertVariable(PZD_81, 4)	// Sammelmeldung5: auma OK

ReadCmdDef(PZD_81, 0, 209)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_82
// 
DeviceAlertVariable(PZD_82, 4)	// Sammelmeldung6: Konfigurationswarnung

ReadCmdDef(PZD_82, 0, 210)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_83
// 
DeviceAlertVariable(PZD_83, 4)	// Sammelmeldung7: Namur Out Of Spec

ReadCmdDef(PZD_83, 0, 211)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_84
// 
DeviceAlertVariable(PZD_84, 4)	// Sammelmeldung8: Namur Funktionskontrolle

ReadCmdDef(PZD_84, 0, 212)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_85
// 
DeviceAlertVariable(PZD_85, 4)	// Sammelmeldung9: Namur Wartungsbedarf

ReadCmdDef(PZD_85, 0, 213)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_86
// 
DeviceAlertVariable(PZD_86, 4)	// Sammelmeldung10: Namur Ausfall

ReadCmdDef(PZD_86, 0, 214)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_87
// 
DeviceAlertVariable(PZD_87, 4)	// Sammelmeldung 11: Konfigurationsfehler

ReadCmdDef(PZD_87, 0, 215)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_89
// 
DeviceAlertVariable(PZD_89, 4)	// Sammelmeldung 13: Falscher Befehl

ReadCmdDef(PZD_89, 0, 217)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_90
// 
DeviceAlertVariable(PZD_90, 4)	// Sammelmeldung 14: Interne Fehler

ReadCmdDef(PZD_90, 0, 218)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_91
// 
DeviceAlertVariable(PZD_91, 4)	// Sammelmeldung 15: Interne Warnung

ReadCmdDef(PZD_91, 0, 219)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_92
// 
DeviceAlertVariable(PZD_92, 4)	// Sammelmeldung 16: Diagnose Feldbus

ReadCmdDef(PZD_92, 0, 220)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_93
// 
DeviceAlertVariable(PZD_93, 4)	// Sammelmeldung 17: Warnung Hydraulik

ReadCmdDef(PZD_93, 0, 221)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_101
// 
DeviceAlertVariable(PZD_101, 4)	// Sammelmeldung: Reserve 32 

ReadCmdDef(PZD_101, 1, 129)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_104
// 
DeviceAlertVariable(PZD_104, 4)	// Sammelmeldung: Reserve 29

ReadCmdDef(PZD_104, 1, 132)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_109
// 
VARIABLE PZD_109	// Temperatur Steuereinheit
{
    LABEL		[TXT_PZD_109];
    HELP		[HLP_PZD_109];
    CLASS		DIAGNOSTIC /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		INTEGER (2)
    {
        DEFAULT_VALUE	0;
    }
    CONSTANT_UNIT		"°C";
    HANDLING		READ;
	VALIDITY		IF (PRM_1752 == 1) { TRUE; } ELSE { FALSE; }  // using RULE_11
}

ReadCmdDef(PZD_109, 1, 137)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_112
// 
VARIABLE PZD_112	// Wahlschalter
{
    LABEL		[TXT_PZD_112];
    HELP		[HLP_PZD_112];
    CLASS		DIAGNOSTIC /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_331
    {
        DEFAULT_VALUE	0;
        { 1, [TXT_TYP_332], [HLP_TYP_332] }, // Position ORT
        { 2, [TXT_TYP_333], [HLP_TYP_333] }, // Position AUS
        { 3, [TXT_TYP_334], [HLP_TYP_334] }  // Position FERN
    }
    HANDLING		READ;
}

ReadCmdDef(PZD_112, 1, 140)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_120
// 
VARIABLE PZD_120	// Logik: Betriebsmodus
{
    LABEL		[TXT_PZD_120];
    HELP		[HLP_PZD_120];
    CLASS		DIAGNOSTIC /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_646
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_647], [HLP_TYP_647] }, // Power Off
        { 1, [TXT_TYP_659], [HLP_TYP_659] }, // Not Halt
        { 2, [TXT_TYP_648], [HLP_TYP_648] }, // Aus
        { 3, [TXT_TYP_661], [HLP_TYP_661] }, // Service
        { 4, [TXT_TYP_662], [HLP_TYP_662] }, // Ort
        { 5, [TXT_TYP_663], [HLP_TYP_663] }, // Interlock
        { 6, [TXT_TYP_664], [HLP_TYP_664] }, // Notfahrt
        { 7, [TXT_TYP_665], [HLP_TYP_665] }, // Fern1
        { 8, [TXT_TYP_666], [HLP_TYP_666] }, // Fern2
        { 9, [TXT_TYP_667], [HLP_TYP_667] }, // Feldbus
        { 10, [TXT_TYP_660], [HLP_TYP_660] }  // Gesperrt
    }
    HANDLING		READ;
}

ReadCmdDef(PZD_120, 1, 148)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_144_dir
// 
VARIABLE PZD_144_dir	// Logik: Fahrbefehl (direction)
{
    LABEL		[TXT_TXT_150];
    HELP		[HLP_TXT_150];
    CLASS		DIAGNOSTIC /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // LTYP_20
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TXT_151], [HLP_TXT_151] }, // DrvCmd4_dir_0
        { 1, [TXT_TXT_152], [HLP_TXT_152] }, // DrvCmd4_dir_1
        { 2, [TXT_TXT_153], [HLP_TXT_153] }  // DrvCmd4_dir_2
    }
    HANDLING		READ;
}
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_144_speed
// 
VARIABLE PZD_144_speed	// Logik: Fahrbefehl (speed)
{
    LABEL		[TXT_TXT_157];
    HELP		[HLP_TXT_157];
    CLASS		DIAGNOSTIC /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (2)
    {
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
}
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_144_position
// 
VARIABLE PZD_144_position	// Logik: Fahrbefehl (position)
{
    LABEL		[TXT_TXT_155];
    HELP		[HLP_TXT_155];
    CLASS		DIAGNOSTIC /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (2)
    {
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
}
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_144_cmd
// 
VARIABLE PZD_144_cmd	// Logik: Fahrbefehl (cmd)
{
    LABEL		[TXT_TXT_149];
    HELP		[HLP_TXT_149];
    CLASS		DIAGNOSTIC /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // LTYP_10
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TXT_119], [HLP_TXT_119] }, // DrvCmd4_cmd_0
        { 1, [TXT_TXT_120], [HLP_TXT_120] }, // DrvCmd4_cmd_1
        { 2, [TXT_TXT_118], [HLP_TXT_118] }, // DrvCmd4_cmd_2
        { 4, [TXT_TXT_117], [HLP_TXT_117] }  // DrvCmd4_cmd_4
    }
    HANDLING		READ;
}

COMMAND read_PZD_144
{
    SLOT		1;
    INDEX		172;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_144_cmd  <0xE0000000>, 
			PZD_144_dir  <0x18000000>, 
			PZD_144_position  <0x00FFF000>, 
			PZD_144_speed  <0x00000FFF>       
		}
        REQUEST
        {
        }
    }
}
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_264
// 
DeviceBoolVariable_RO(PZD_264, 4)	// Logik: Fährt Richtung AUF (logisch, unterdrückt bei SafeStop (SIL))

ReadCmdDef(PZD_264, 2, 192)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_265
// 
DeviceBoolVariable_RO(PZD_265, 4)	// Logik: Fährt Richtung ZU (logisch, unterdrückt bei SafeStop (SIL))

ReadCmdDef(PZD_265, 2, 193)

//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_268
// 
DeviceAlertVariable(PZD_268, 4)	// Logik: Bypassed Drehmomentfehler AUF

ReadCmdDef(PZD_268, 2, 196)

//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_269
// 
DeviceAlertVariable(PZD_269, 4)	// Logik: Bypassed Drehmomentfehler ZU

ReadCmdDef(PZD_269, 2, 197)

//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_270
// 
DeviceAlertVariable(PZD_270, 4)	// Logik: Bypassed Thermofehler

ReadCmdDef(PZD_270, 2, 198)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_275
// 
DeviceAlertVariable(PZD_275, 4)	// Remote_Bus Aktivierung mit 0, Remote Interface Aktivierung mit 1 

ReadCmdDef(PZD_275, 2, 203)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_280
// 
DeviceAlertVariable(PZD_280, 4)	// Logik: Betriebsmodus EMCY_OP

ReadCmdDef(PZD_280, 2, 208)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_281
// 
DeviceAlertVariable(PZD_281, 4)	// Logik: Betriebsmodus Sperre (Interlock) durch Bypass oder sonstige Funktionen

ReadCmdDef(PZD_281, 2, 209)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_282
// 
DeviceAlertVariable(PZD_282, 4)	// Logik: Betriebsmodus SERVICE

ReadCmdDef(PZD_282, 2, 210)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_285
// 
DeviceAlertVariable(PZD_285, 4)	// Logik: Betriebsmodus EMCY_STOP

ReadCmdDef(PZD_285, 2, 213)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_302
// 
DeviceAlertVariable(PZD_302, 4)	// Logik: Phasenausfall

ReadCmdDef(PZD_302, 3, 130)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_371
// 
DeviceAlertVariable(PZD_371, 4)	// Logik: ungültiger Fahrbefehl

ReadCmdDef(PZD_371, 3, 199)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_375
// 
DeviceBoolVariable_RO(PZD_375, 4)	// Logik: Wegendlage Shalter AUF (konditioniert)
 
ReadCmdDef(PZD_375, 3, 203)

//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_376
// 
DeviceBoolVariable_RO(PZD_376, 4)	// Logik: Wegendlage Schalter ZU (konditioniert)
 
ReadCmdDef(PZD_376, 3, 204)

//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_401
// 
DeviceBoolVariable_RO(PZD_401, 4)	// Logik: Position erreicht

ReadCmdDef(PZD_401, 4, 129)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_417
// 
DeviceAlertVariable(PZD_417, 4)	// MWG: Kalibrier-Feedback Hall-Sensor 1 

ReadCmdDef(PZD_417, 4, 145)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_418
// 
DeviceAlertVariable(PZD_418, 4)	// MWG: Kalibrier-Feedback Hall-Sensor 5 

ReadCmdDef(PZD_418, 4, 146)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_419
// 
DeviceAlertVariable(PZD_419, 4)	// MWG: Kalibrier-Feedback Hall-Sensor 4 

ReadCmdDef(PZD_419, 4, 147)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_420
// 
DeviceAlertVariable(PZD_420, 4)	// MWG: Kalibrier-Feedback Hall-Sensor 3 

ReadCmdDef(PZD_420, 4, 148)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_421
// 
DeviceAlertVariable(PZD_421, 4)	// MWG: Kalibrier-Feedback Hall-Sensor 2 

ReadCmdDef(PZD_421, 4, 149)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_459
// 
DeviceBoolVariable_RO(PZD_459, 4)	// Logik: Signal Torque OPEN 

ReadCmdDef(PZD_459, 4, 187)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_460
// 
DeviceBoolVariable_RO(PZD_460, 4)	// Logik: Signal Torque CLOSE

ReadCmdDef(PZD_460, 4, 188)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_461
// 
DeviceAlertVariable(PZD_461, 4)	// FailSafe ist aktiv

ReadCmdDef(PZD_461, 4, 189)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_479
// 
DeviceAlertVariable(PZD_479, 4)	// Logik: Netzqualität

ReadCmdDef(PZD_479, 4, 207)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_480
// 
DeviceAlertVariable(PZD_480, 4)	// Logik: HW-Fehler

ReadCmdDef(PZD_480, 4, 208)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_481
// 
DeviceAlertVariable(PZD_481, 4)	// Logik: PH_DIR_NOK (falsche Phasenfolge)

ReadCmdDef(PZD_481, 4, 209)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_482
// 
DeviceAlertVariable(PZD_482, 4)	// Logik: 24VAC Error

ReadCmdDef(PZD_482, 4, 210)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_483
// 
DeviceAlertVariable(PZD_483, 4)	// Logik: 24VKD Error

ReadCmdDef(PZD_483, 4, 211)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_484
// 
DeviceAlertVariable(PZD_484, 4)	// Logik: 24VInt Error

ReadCmdDef(PZD_484, 4, 212)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_485
// 
DeviceAlertVariable(PZD_485, 4)	// Logik: 24VExt Error

ReadCmdDef(PZD_485, 4, 213)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_486
// 
DeviceAlertVariable(PZD_486, 4)	// Lcb: ED Warnung 1: (Laufzeit)

ReadCmdDef(PZD_486, 4, 214)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_487
// 
DeviceAlertVariable(PZD_487, 4)	// Lcb: ED Warnung 2 (Anläufe)

ReadCmdDef(PZD_487, 4, 215)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_488
// 
VARIABLE PZD_488	// Lcb: ED Aktuelle Einschaltzeit
{
    LABEL		[TXT_PZD_488];
    HELP		[HLP_PZD_488];
    CLASS		DIAGNOSTIC /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}

ReadCmdDef(PZD_488, 4, 216)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_489
// 
VARIABLE PZD_489	// Lcb: ED Aktuelle Schaltspiele
{
    LABEL		[TXT_PZD_489];
    HELP		[HLP_PZD_489];
    CLASS		DIAGNOSTIC /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}

ReadCmdDef(PZD_489, 4, 217)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_490
// 
DeviceAlertVariable(PZD_490, 4)	// LCB: RTC nicht gesetzt

ReadCmdDef(PZD_490, 4, 218)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_545
// 
VARIABLE PZD_545	// Drehmomentwert AUF/ZU in % normiert auf 0 bis 1000 ( ZU 127% = 0, 0% = 500, AUF 127% = 1000)
{
    LABEL		[TXT_PZD_545];
    HELP		[HLP_PZD_545];
    CLASS		INPUT /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	1000;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
}

ReadCmdDef(PZD_545, 5, 173)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_553
// 
DeviceAlertVariable(PZD_553, 4)	// Logik: Handschalter betätigt

ReadCmdDef(PZD_553, 5, 181)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_555
// 
DeviceAlertVariable(PZD_555, 4)	// Falscher Befehl Interface I

ReadCmdDef(PZD_555, 5, 183)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_556
// 
DeviceAlertVariable(PZD_556, 4)	// Stellzeitwarnung

ReadCmdDef(PZD_556, 5, 184)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_557
// 
DeviceAlertVariable(PZD_557, 4)	// Motorschutzüberwachung defekt

ReadCmdDef(PZD_557, 5, 185)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_563
// 
DeviceAlertVariable(PZD_563, 4)	// Keine Reaktion: Warnung

ReadCmdDef(PZD_563, 5, 191)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_576
// 
VARIABLE PZD_576	// Watchdog-Status (Kanal 1)
{
    LABEL		[TXT_PZD_576];
    HELP		[HLP_PZD_576];
    CLASS		DIAGNOSTIC /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_781
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_788] }, // WD-State Baud Search
        { 1, [TXT_TYP_789] }, // WD-State Baud Control
        { 2, [TXT_TYP_790] }  // WD-State DP Control
    }
    HANDLING		READ;
}

ReadCmdDef(PZD_576, 5, 204)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_577
// 
VARIABLE PZD_577	// DP-Status (Kanal 1)
{
    LABEL		[TXT_PZD_577];
    HELP		[HLP_PZD_577];
    CLASS		DIAGNOSTIC /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_782
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_791] }, // DP-State  (Wait Prm)
        { 1, [TXT_TYP_792] }, // DP-State (Wait Cfg)
        { 2, [TXT_TYP_793] }  // DP-State (DataEx)
    }
    HANDLING		READ;
}

ReadCmdDef(PZD_577, 5, 205)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_578
// 
VARIABLE PZD_578	// Baudrate (Kanal 1)
{
    LABEL		[TXT_PZD_578];
    HELP		[HLP_PZD_578];
    CLASS		DIAGNOSTIC /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_783
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_794] }, // Baudrate 12 MBit/s
        { 1, [TXT_TYP_795] }, // Baudrate 6 MBit/s
        { 2, [TXT_TYP_796] }, // Baudrate 3 MBit/s
        { 3, [TXT_TYP_797] }, // Baudrate 1,5 MBit/s
        { 4, [TXT_TYP_798] }, // Baudrate 500 KBit/s
        { 5, [TXT_TYP_799] }, // Baudrate 187,5 KBit/s
        { 6, [TXT_TYP_800] }, // Baudrate 93,75 KBit/s
        { 7, [TXT_TYP_801] }, // Baudrate 45,45 KBit/s
        { 8, [TXT_TYP_802] }, // Baudrate 19,20 KBit/s
        { 9, [TXT_TYP_803] }, // Baudrate 9,6 KBit/s
        { 15, [TXT_TYP_804] }  // Baudrate Nicht vorhanden
    }
    HANDLING		READ;
}

ReadCmdDef(PZD_578, 5, 206)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_579
// 
VARIABLE PZD_579	// 0 Byte Tele Clear (Kanal 1)
{
    LABEL		[TXT_PZD_579];
    HELP		[HLP_PZD_579];
    CLASS		DIAGNOSTIC /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_784
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_805] }, // 0 Byte Tele Operate
        { 1, [TXT_TYP_806] }  // 0 Byte Tele Clear
    }
    HANDLING		READ;
}

ReadCmdDef(PZD_579, 5, 207)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_580
// 
VARIABLE PZD_580	// Global Control Clear (Kanal 1)
{
    LABEL		[TXT_PZD_580];
    HELP		[HLP_PZD_580];
    CLASS		DIAGNOSTIC /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_785
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_807] }, // GC Operate
        { 1, [TXT_TYP_808] }  // GC Clear
    }
    HANDLING		READ;
}

ReadCmdDef(PZD_580, 5, 208)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_581
// 
VARIABLE PZD_581	// Global Control Freeze (Kanal 1)
{
    LABEL		[TXT_PZD_581];
    HELP		[HLP_PZD_581];
    CLASS		DIAGNOSTIC /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_786
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_809] }, // GC Unfreeze
        { 1, [TXT_TYP_810] }  // GC Freeze
    }
    HANDLING		READ;
}

ReadCmdDef(PZD_581, 5, 209)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_582
// 
VARIABLE PZD_582	// Global Control Sync (Kanal 1)
{
    LABEL		[TXT_PZD_582];
    HELP		[HLP_PZD_582];
    CLASS		DIAGNOSTIC /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_787
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_811] }, // GC Unsync
        { 1, [TXT_TYP_812] }  // GC Sync
    }
    HANDLING		READ;
}

ReadCmdDef(PZD_582, 5, 210)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_583
// 
VARIABLE PZD_583	// Watchdog-Status (Kanal 2)
{
    LABEL		[TXT_PZD_583];
    HELP		[HLP_PZD_583];
    CLASS		DIAGNOSTIC /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_781
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_788] }, // WD-State Baud Search
        { 1, [TXT_TYP_789] }, // WD-State Baud Control
        { 2, [TXT_TYP_790] }  // WD-State DP Control
    }
    HANDLING		READ;
}

ReadCmdDef(PZD_583, 5, 211)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_584
// 
VARIABLE PZD_584	// DP-Status (Kanal 2)
{
    LABEL		[TXT_PZD_584];
    HELP		[HLP_PZD_584];
    CLASS		DIAGNOSTIC /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_782
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_791] }, // DP-State  (Wait Prm)
        { 1, [TXT_TYP_792] }, // DP-State (Wait Cfg)
        { 2, [TXT_TYP_793] }  // DP-State (DataEx)
    }
    HANDLING		READ;
}

ReadCmdDef(PZD_584, 5, 212)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_585
// 
VARIABLE PZD_585	// Baudrate (Kanal 2)
{
    LABEL		[TXT_PZD_585];
    HELP		[HLP_PZD_585];
    CLASS		DIAGNOSTIC /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_783
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_794] }, // Baudrate 12 MBit/s
        { 1, [TXT_TYP_795] }, // Baudrate 6 MBit/s
        { 2, [TXT_TYP_796] }, // Baudrate 3 MBit/s
        { 3, [TXT_TYP_797] }, // Baudrate 1,5 MBit/s
        { 4, [TXT_TYP_798] }, // Baudrate 500 KBit/s
        { 5, [TXT_TYP_799] }, // Baudrate 187,5 KBit/s
        { 6, [TXT_TYP_800] }, // Baudrate 93,75 KBit/s
        { 7, [TXT_TYP_801] }, // Baudrate 45,45 KBit/s
        { 8, [TXT_TYP_802] }, // Baudrate 19,20 KBit/s
        { 9, [TXT_TYP_803] }, // Baudrate 9,6 KBit/s
        { 15, [TXT_TYP_804] }  // Baudrate Nicht vorhanden
    }
    HANDLING		READ;
}

ReadCmdDef(PZD_585, 5, 213)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_586
// 
VARIABLE PZD_586	// 0 Byte Tele Clear (Kanal 2)
{
    LABEL		[TXT_PZD_586];
    HELP		[HLP_PZD_586];
    CLASS		DIAGNOSTIC /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_784
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_805] }, // 0 Byte Tele Operate
        { 1, [TXT_TYP_806] }  // 0 Byte Tele Clear
    }
    HANDLING		READ;
}

ReadCmdDef(PZD_586, 5, 214)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_587
// 
VARIABLE PZD_587	// Global Control Clear (Kanal 2)
{
    LABEL		[TXT_PZD_587];
    HELP		[HLP_PZD_587];
    CLASS		DIAGNOSTIC /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_785
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_807] }, // GC Operate
        { 1, [TXT_TYP_808] }  // GC Clear
    }
    HANDLING		READ;
}

ReadCmdDef(PZD_587, 5, 215)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_588
// 
VARIABLE PZD_588	// Global Control Freeze (Kanal 2)
{
    LABEL		[TXT_PZD_588];
    HELP		[HLP_PZD_588];
    CLASS		DIAGNOSTIC /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_786
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_809] }, // GC Unfreeze
        { 1, [TXT_TYP_810] }  // GC Freeze
    }
    HANDLING		READ;
}

ReadCmdDef(PZD_588, 5, 216)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_589
// 
VARIABLE PZD_589	// Global Control Sync (Kanal 2)
{
    LABEL		[TXT_PZD_589];
    HELP		[HLP_PZD_589];
    CLASS		DIAGNOSTIC /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_787
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_811] }, // GC Unsync
        { 1, [TXT_TYP_812] }  // GC Sync
    }
    HANDLING		READ;
}

ReadCmdDef(PZD_589, 5, 217)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_604
// 
DeviceBoolVariable_RO(PZD_604, 4)	// Fahrbefehlskanal 1 aktiv

ReadCmdDef(PZD_604, 6, 132)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_605
// 
VARIABLE PZD_605	// Fahrbefehlskanal 2 aktiv --> kann wegen VALIDITY nicht durch Makro DeviceBoolVariable_RO() ersetzt werden
{
    LABEL		[TXT_PZD_605];
    HELP		[HLP_PZD_605];
    CLASS		INPUT /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		BIT_ENUMERATED (4)
	{
		{ 1, [TXT_PZD_605] }
	}
	HANDLING		READ;
	VALIDITY		IF (((PRM_181 == 1) && (PRM_3059 == 1) && (PRM_2885 != 0))) { TRUE; } ELSE { FALSE; }  // using RULE_105
}

ReadCmdDef(PZD_605, 6, 133)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_606
// 
DeviceAlertVariable(PZD_606, 4)	// Feldbus Fail Safe aktiv

ReadCmdDef(PZD_606, 6, 134)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_619
// 
DeviceAlertVariable(PZD_619, 4)	// Warnung Heizung SA Defekt

ReadCmdDef(PZD_619, 6, 147)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_621
// 
DeviceAlertVariable(PZD_621, 4)	// Warnung keine Referenzfahrrt E2

ReadCmdDef(PZD_621, 6, 149)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_622
// 
DeviceAlertVariable(PZD_622, 4)	// Warnung geringer Signalhub E2

ReadCmdDef(PZD_622, 6, 150)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_623
// 
DeviceAlertVariable(PZD_623, 4)	// Warnung Signalbruch E2

ReadCmdDef(PZD_623, 6, 151)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_625
// 
DeviceAlertVariable(PZD_625, 4)	// Warnung LWL (Meldung von Modul))

ReadCmdDef(PZD_625, 6, 153)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_629
// 
DeviceAlertVariable(PZD_629, 4)	// Warnung Temperatur Steuerung

ReadCmdDef(PZD_629, 6, 157)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_630
// 
DeviceAlertVariable(PZD_630, 4)	// Warnung Temperatur Motor

ReadCmdDef(PZD_630, 6, 158)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_631
// 
DeviceAlertVariable(PZD_631, 4)	// Warnung Temperatur Getriebe

ReadCmdDef(PZD_631, 6, 159)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_633
// 
DeviceAlertVariable(PZD_633, 4)	// Warnung AnalogIn 1 E8

ReadCmdDef(PZD_633, 6, 161)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_634
// 
DeviceAlertVariable(PZD_634, 4)	// Warnung AnalogIn 2 E9

ReadCmdDef(PZD_634, 6, 162)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_637
// 
DeviceAlertVariable(PZD_637, 4)	// Warnung Sollposition E1

ReadCmdDef(PZD_637, 6, 165)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_657
// 
DeviceBoolVariable_RO(PZD_657, 4)	// DP-Status Data Ex (Kanal 1)

ReadCmdDef(PZD_657, 6, 185)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_658
// 
DeviceBoolVariable_RO(PZD_658, 4)	// DP-Status Data Ex (Kanal 2)

ReadCmdDef(PZD_658, 6, 186)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_659
// 
VARIABLE PZD_659	// Aktuelle Totzone (Stellungsreglerausgang)
{
    LABEL		[TXT_PZD_659];
    HELP		[HLP_PZD_659];
    CLASS		DIAGNOSTIC /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
	VALIDITY		IF (PRM_84 == 0) { TRUE; } ELSE { FALSE; }  // using RULE_165
}

ReadCmdDef(PZD_659, 6, 187)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_664
// 
DeviceAlertVariable(PZD_664, 4)	// Meldung: Ausgang defekt

ReadCmdDef(PZD_664, 6, 192)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_666
// 
DeviceAlertVariable(PZD_666, 4)	// Warnung: keine Sollwertquelle bei aktiviertem Stellungsregler parametriert

ReadCmdDef(PZD_666, 6, 194)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_671
// 
DeviceAlertVariable(PZD_671, 4)	// System: Interner Fehler Konfiguration Stellungsgeber

ReadCmdDef(PZD_671, 6, 199)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_675
// 
DeviceAlertVariable(PZD_675, 4)	// System: Interner Fehler Lcb-Exception

ReadCmdDef(PZD_675, 6, 203)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_676
// 
DeviceAlertVariable(PZD_676, 4)	// System: Interner Fehler Logik-Exception

ReadCmdDef(PZD_676, 6, 204)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_677
// 
DeviceAlertVariable(PZD_677, 4)	// System: Interner Fehler Mwg-Exception

ReadCmdDef(PZD_677, 6, 205)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_678
// 
DeviceAlertVariable(PZD_678, 4)	// System: Interner Fehler Bus-Exception

ReadCmdDef(PZD_678, 6, 206)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_679
// 
DeviceAlertVariable(PZD_679, 4)	// Fehler Stellungsgeber

ReadCmdDef(PZD_679, 6, 207)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_684
// 
DeviceAlertVariable(PZD_684, 4)	// Wahlschalter defekt

ReadCmdDef(PZD_684, 6, 212)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_685
// 
DeviceAlertVariable(PZD_685, 4)	// lokaler HALT

ReadCmdDef(PZD_685, 6, 213)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_688
// 
DeviceAlertVariable(PZD_688, 4)	// Falscher Befehl Feldbus

ReadCmdDef(PZD_688, 6, 216)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_707
// 
DeviceAlertVariable(PZD_707, 4)	// Interner Fehler MWG Messystem defekt

ReadCmdDef(PZD_707, 7, 135)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_708
// 
DeviceAlertVariable(PZD_708, 4)	// Interner Fehler Endlagen defekt

ReadCmdDef(PZD_708, 7, 136)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_709
// 
VARIABLE PZD_709	// Stellungsistwert Stellantrieb E2 (synchronisiert)
{
    LABEL		[TXT_PZD_709];
    HELP		[HLP_PZD_709];
    CLASS		DIAGNOSTIC /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (2)
    {
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
	VALIDITY		IF (PRM_1169 == 1) { TRUE; } ELSE { FALSE; }  // using RULE_14
}

ReadCmdDef(PZD_709, 7, 137)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_718
// 
DeviceAlertVariable(PZD_718, 4)	// Keine Reaktion: Fehler

ReadCmdDef(PZD_718, 7, 146)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_737
// 
DeviceBoolVariable_RO(PZD_737, 4)	// DPV1_Control

ReadCmdDef(PZD_737, 7, 165)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_738
// 
DeviceBoolVariable_RO(PZD_738, 4)	// DPV1 C2-Verbindung aktiv

ReadCmdDef(PZD_738, 7, 166)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_741
// 
VARIABLE PZD_741	// Primary Channel
{
    LABEL		[TXT_PZD_741];
    HELP		[HLP_PZD_741];
    CLASS		DIAGNOSTIC /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_1152
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_1153], [HLP_TYP_1153] }, // keiner
        { 1, [TXT_TYP_1154], [HLP_TYP_1154] }, // Kanal 1
        { 2, [TXT_TYP_1155], [HLP_TYP_1155] }  // Kanal 2
    }
    HANDLING		READ;
	VALIDITY		IF (((PRM_181 == 1) && (PRM_3059 == 1) && (PRM_2885 != 0))) { TRUE; } ELSE { FALSE; }  // using RULE_105
}

ReadCmdDef(PZD_741, 7, 169)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_742
// 
VARIABLE PZD_742	// Secondary Channel
{
    LABEL		[TXT_PZD_742];
    HELP		[HLP_PZD_742];
    CLASS		DIAGNOSTIC /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_1152
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_1153], [HLP_TYP_1153] }, // keiner
        { 1, [TXT_TYP_1154], [HLP_TYP_1154] }, // Kanal 1
        { 2, [TXT_TYP_1155], [HLP_TYP_1155] }  // Kanal 2
    }
    HANDLING		READ;
	VALIDITY		IF (((PRM_181 == 1) && (PRM_3059 == 1) && (PRM_2885 != 0))) { TRUE; } ELSE { FALSE; }  // using RULE_105
}

ReadCmdDef(PZD_742, 7, 170)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_744
// 
VARIABLE PZD_744	// DP-V1 GSD aktiv
{
    LABEL		[TXT_PZD_744];
    HELP		[HLP_PZD_744];
    CLASS		DIAGNOSTIC /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_1161
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_1162], [HLP_TYP_1162] }, // deaktiviert
        { 1, [TXT_TYP_1163], [HLP_TYP_1163] }  // aktiviert
    }
    HANDLING		READ;
}

ReadCmdDef(PZD_744, 7, 172)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_745
// 
VARIABLE PZD_745	// DP-REDUNDANZ aktiv
{
    LABEL		[TXT_PZD_745];
    HELP		[HLP_PZD_745];
    CLASS		DIAGNOSTIC /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_1161
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_1162], [HLP_TYP_1162] }, // deaktiviert
        { 1, [TXT_TYP_1163], [HLP_TYP_1163] }  // aktiviert
    }
    HANDLING		READ;
	VALIDITY		IF (((PRM_181 == 1) && (PRM_3059 == 1) && (PRM_2885 != 0))) { TRUE; } ELSE { FALSE; }  // using RULE_105
}

ReadCmdDef(PZD_745, 7, 173)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_746
// 
VARIABLE PZD_746	// DP-ALARM aktiv
{
    LABEL		[TXT_PZD_746];
    HELP		[HLP_PZD_746];
    CLASS		DIAGNOSTIC /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_1161
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_1162], [HLP_TYP_1162] }, // deaktiviert
        { 1, [TXT_TYP_1163], [HLP_TYP_1163] }  // aktiviert
    }
    HANDLING		READ;
	VALIDITY		IF (((PRM_181 == 1) && (PRM_3059 == 1) && (PRM_2885 != 0))) { TRUE; } ELSE { FALSE; }  // using RULE_105
}

ReadCmdDef(PZD_746, 7, 174)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_757
// 
DeviceAlertVariable(PZD_757, 4)	// InterlockActive

ReadCmdDef(PZD_757, 7, 185)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_758
// 
DeviceAlertVariable(PZD_758, 2)	// PRM-Konsistenz: Stellungsregler-Totzonenkonfiguration

ReadCmdDef(PZD_758, 7, 186)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_759
// 
DeviceAlertVariable(PZD_759, 2)	// PRM-Konsistenz: Feldbuskonfiguration

ReadCmdDef(PZD_759, 7, 187)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_760
// 
DeviceAlertVariable(PZD_760, 2)	// PRM-Konsistenz: MWG-Drehmokonfiguration ZU

ReadCmdDef(PZD_760, 7, 188)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_761
// 
DeviceAlertVariable(PZD_761, 2) 	// PRM-Konsistenz: MWG-Drehmokonfiguration AUF

ReadCmdDef(PZD_761, 7, 189)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_762
// 
DeviceAlertVariable(PZD_762, 2)	// PRM-Konsistenz: DigIn1-Konfiguration

ReadCmdDef(PZD_762, 7, 190)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_763
// 
DeviceAlertVariable(PZD_763, 2)	// PRM-Konsistenz: DigIn2-Konfiguration

ReadCmdDef(PZD_763, 7, 191)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_764
// 
DeviceAlertVariable(PZD_764, 2)	// PRM-Konsistenz: DigIn3-Konfiguration

ReadCmdDef(PZD_764, 7, 192)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_765
// 
DeviceAlertVariable(PZD_765, 2)	// PRM-Konsistenz: DigIn4-Konfiguration

ReadCmdDef(PZD_765, 7, 193)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_766
// 
DeviceAlertVariable(PZD_766, 2)	// PRM-Konsistenz: DigIn5-Konfiguration

ReadCmdDef(PZD_766, 7, 194)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_767
// 
DeviceAlertVariable(PZD_767, 2)	// PRM-Konsistenz: DigIn6-Konfiguration

ReadCmdDef(PZD_767, 7, 195)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_768
// 
DeviceAlertVariable(PZD_768, 2)	// PRM-Konsistenz: DigIn7-Konfiguration

ReadCmdDef(PZD_768, 7, 196)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_769
// 
DeviceAlertVariable(PZD_769, 2)	// PRM-Konsistenz: DigIn8-Konfiguration

ReadCmdDef(PZD_769, 7, 197)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_770
// 
DeviceAlertVariable(PZD_770, 2)	// PRM-Konsistenz: DigIn9-Konfiguration

ReadCmdDef(PZD_770, 7, 198)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_771
// 
DeviceAlertVariable(PZD_771, 2)	// PRM-Konsistenz: DigIn10-Konfiguration

ReadCmdDef(PZD_771, 7, 199)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_790
// 
DeviceAlertVariable(PZD_790, 4)	// Meldung: Hydraulikdruck (Hydr.-Antrieb)

ReadCmdDef(PZD_790, 7, 218)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_791
// 
DeviceAlertVariable(PZD_791, 4)	// Meldung: Laufzeit Motor (Hydr.-Antrieb)

ReadCmdDef(PZD_791, 7, 219)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_794
// 
VARIABLE PZD_794	// Lwl-Signalqualität Kanal-1
{
    LABEL		[TXT_PZD_794];
    HELP		[HLP_PZD_794];
    CLASS		DIAGNOSTIC /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_1239
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_1240] }, // Kanal deaktiviert
        { 1, [TXT_TYP_1241] }, // Empfangspegel zu gering
        { 2, [TXT_TYP_1242] }, // Empfangspegel grenzwertig, kein Datenempfang
        { 3, [TXT_TYP_1243] }, // Empfangspegel grenzwertig, Datenempfang ok
        { 4, [TXT_TYP_1244] }, // Empfangspegel gut, kein Datenempfang
        { 5, [TXT_TYP_1245] }  // Empfangspegel gut, Datenempfang ok
    }
    HANDLING		READ;
}
 
ReadCmdDef(PZD_794, 7, 222)

//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_795
// 
VARIABLE PZD_795	// Lwl-Signalqualität Kanal-2
{
    LABEL		[TXT_PZD_795];
    HELP		[HLP_PZD_795];
    CLASS		DIAGNOSTIC /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_1239
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_1240] }, // Kanal deaktiviert
        { 1, [TXT_TYP_1241] }, // Empfangspegel zu gering
        { 2, [TXT_TYP_1242] }, // Empfangspegel grenzwertig, kein Datenempfang
        { 3, [TXT_TYP_1243] }, // Empfangspegel grenzwertig, Datenempfang ok
        { 4, [TXT_TYP_1244] }, // Empfangspegel gut, kein Datenempfang
        { 5, [TXT_TYP_1245] }  // Empfangspegel gut, Datenempfang ok
    }
    HANDLING		READ;
}

ReadCmdDef(PZD_795, 7, 223)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_797
// 
VARIABLE PZD_797	// Lwl-Baudrate
{
    LABEL		[TXT_PZD_797];
    HELP		[HLP_PZD_797];
    CLASS		DIAGNOSTIC /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		ENUMERATED (2)      // TYP_1215
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_1216] }, // Ungültig oder nicht detektiert
        { 1, [TXT_TYP_1217] }, // 9.6 kbit/s
        { 2, [TXT_TYP_1218] }, // 19.2 kbit/s
        { 3, [TXT_TYP_1219] }, // 38.4 kbit/s
        { 4, [TXT_TYP_1220] }, // 45.45 kbit/s
        { 5, [TXT_TYP_1221] }, // 57.6 kbit/s
        { 6, [TXT_TYP_1222] }, // 93.75 kbit/s
        { 7, [TXT_TYP_1223] }, // 115.2 kbit/s
        { 8, [TXT_TYP_1224] }, // 187.5 kbit/s
        { 9, [TXT_TYP_1225] }, // 500.0 kbit/s
        { 10, [TXT_TYP_1226] }, // 1500 kbit/s
        { 11, [TXT_TYP_1227] }, // 3000 kbit/s
        { 12, [TXT_TYP_1228] }, // 6000 kbit/s
        { 13, [TXT_TYP_1229] }  // 12000 kbit/s
    }
    HANDLING		READ;
}

ReadCmdDef(PZD_797, 7, 225)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_798
// 
DeviceAlertVariable(PZD_798, 2)	// PRM-Konsistenz: Hydraulik-Speicherdruckkonfiguration

ReadCmdDef(PZD_798, 7, 226)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_808
// 
DeviceAlertVariable(PZD_808, 2)	// PRM-Konsistenz: Konfiguration der Auslösequelle für die NOT-Funktion

ReadCmdDef(PZD_808, 8, 136)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_809
// 
DeviceAlertVariable(PZD_809, 4)	// System: Konfigurationsfehler \"FERN-Interface fehlt\"

ReadCmdDef(PZD_809, 8, 137)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_810
// 
DeviceAlertVariable(PZD_810, 4)	// Warnung LWL nicht vorhanden

ReadCmdDef(PZD_810, 8, 138)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_813
// 
DeviceAlertVariable(PZD_813, 4)	// Warnung LWL Budget

ReadCmdDef(PZD_813, 8, 141)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_828
// 
DeviceAlertVariable(PZD_828, 2)	// PRM-Konsistenz: Konfiguration der Profilfahrt

ReadCmdDef(PZD_828, 8, 156)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_832
// 
DeviceAlertVariable(PZD_832, 2)	// PRM-Konsistenz: LWL-Konfiguration

ReadCmdDef(PZD_832, 8, 160)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_833
// 
VARIABLE PZD_833	// Lwl-Formatfehler RS485
{
    LABEL		[TXT_PZD_833];
    HELP		[HLP_PZD_833];
    CLASS		DIAGNOSTIC /***TODO not supported by AMS: & DYNAMIC ***/;
    TYPE		UNSIGNED_INTEGER (2)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}

ReadCmdDef(PZD_833, 8, 161)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_834
// 
DeviceAlertVariable(PZD_834, 4)	// MWG: Drehmomentwarnung AUF	

ReadCmdDef(PZD_834, 8, 162)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_835
// 
DeviceAlertVariable(PZD_835, 4)	// MWG: Drehmomentwarnung ZU

ReadCmdDef(PZD_835, 8, 163)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_844
// 
DeviceAlertVariable(PZD_844, 4)	// Wahlschalter nicht Fern, maskiert

ReadCmdDef(PZD_844, 8, 172)
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   EDD offline_root_menu/device_root_menu --> Configure
// 
#ifdef  _AMSDM_
MENU	device_root_menu
#else 
MENU	offline_root_menu
#endif
{
    LABEL	[TXT_TST_1230];
#ifdef dtmGENERATOR
    ROLE	"ADMINISTRATOR & SERVICE & MAINTENANCE_ENGINEER & PLANNING_ENGINEER";
#endif /* dtmGENERATOR */ 
    ITEMS
    {
            menu_DIS_9_S, // Display...
            menu_DIS_21_S, // Informationen
            menu_DIS_41_S, // Einstellungen
            menu_DIS_53_S, // Gerätekonfiguration
            menu_DIS_592_S, // Gerätestatus
            menu_DIS_22_S  // Diagnose
    }
}

#ifdef dtmGENERATOR
MENU	online_root_menu
{
    LABEL	[TXT_TST_1231];
    ROLE	"ADMINISTRATOR & SERVICE & MAINTENANCE_ENGINEER & PLANNING_ENGINEER";
    ITEMS
    {
            menu_DIS_9_S, // Display...
            menu_DIS_21_S, // Informationen
            menu_DIS_41_S, // Einstellungen
            menu_DIS_53_S, // Gerätekonfiguration
            menu_DIS_592_S, // Gerätestatus
            menu_DIS_22_S, // Diagnose
            Menu_S_Device  // Service-Kommandos
    }
}

#else

MENU	process_variables_root_menu
{
    LABEL	[TXT_TST_1231];
    ITEMS
    {
            menu_DIS_9_S, // Display...
            menu_DIS_21_S, // Informationen
            menu_DIS_41_S, // Einstellungen
            menu_DIS_53_S, // Gerätekonfiguration
            menu_DIS_592_S, // Gerätestatus
            menu_DIS_22_S  // Diagnose
    }
}
MENU	diagnostic_root_menu
{
    LABEL	[TXT_TST_1232];
    ITEMS
    {
            menu_DIS_21_S, // Informationen
            menu_DIS_592_S, // Gerätestatus
            menu_DIS_22_S  // Diagnose
    }
}
#ifndef _AMSDM_
MENU	device_root_menu
{
    LABEL		[TXT_TST_1233];
    ITEMS
    {
        coPRM_3484,
        coPRM_3487
    }
}
#endif /* !_AMSDM_ */
#endif /* dtmGENERATOR */
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_9_S "Display..."
// 
MENU menu_DIS_9_S // Display...
{
    LABEL		[TXT_DIS_9];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_33, // Sprache
/*            DIS_221 "Datum und Uhrzeit" (Usage: AC01.2 ToolSuite EDD PDA; ReadAccess: 1; RuleSet: ); ### CMD not implemented yet ###*/
            PRM_1996, // Datumsformat
            PRM_1433, // Zeitformat
            PRM_1467, // Zahlenformat
            PRM_2182, // Einheit Drehmoment
            PRM_2006, // Einheit Temperatur
            PRM_2418  // Diagnoseauswahl
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_21_S "Informationen"
// 
MENU menu_DIS_21_S // Informationen
{
    LABEL		[TXT_DIS_21];
    ACCESS		ONLINE;
    ITEMS
    {
#ifdef PA_IANDM
			menu_IM_record,
#endif
            menu_DIS_26_S, // Gerätekennung
            menu_DIS_62_S  // Produktion
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_26_S "Gerätekennung"
// 
MENU menu_DIS_26_S // Gerätekennung
{
    LABEL		[TXT_DIS_26];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_1164, // Produktbez.
            PRM_1165, // Geräte-TAG
            PRM_1166, // Projektname
            menu_DIS_28_S, // Steuerung
            menu_DIS_29_S  // Antrieb
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_28_S "Steuerung"
// 
MENU menu_DIS_28_S // Steuerung
{
    LABEL		[TXT_DIS_28];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_1760, // KommNr Steuerung
            PRM_1762, // WerksNr Steuerung
            PRM_1764, // Schaltplan Steuerung
            PRM_2176  // Datum der Endabnahme
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_29_S "Antrieb"
// 
MENU menu_DIS_29_S // Antrieb
{
    LABEL		[TXT_DIS_29];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_1761, // KommNr Antrieb
            PRM_1763, // WerksNr Antrieb
            PRM_1765  // Schaltplan Antrieb
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_62_S "Produktion"
// 
MENU menu_DIS_62_S // Produktion
{
    LABEL		[TXT_DIS_62];
    ACCESS		ONLINE;
    ITEMS
    {
      VersionEddGen, // EDD Generator version
      DesignatedDevVersion, // vorgesehene FW version
      PRM_1759, // Firmware Version
      PRM_2568  // Version Sprache
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_41_S "Einstellungen"
// 
MENU menu_DIS_41_S // Einstellungen
{
    LABEL		[TXT_DIS_41];
    ACCESS		ONLINE;
    ITEMS
    {
            menu_DIS_12_S, // Abschaltart
            menu_DIS_13_S, // Drehmo-Einstellung
            menu_DIS_75_S, // Ortssteuerstelle
            menu_DIS_15_S, // Interface (using RULE_19)
            menu_DIS_16_S, // Profibus (using RULE_21)
            menu_DIS_145_S, // Stellungsregler (using RULE_14)
            menu_DIS_378_S, // Sicherheitsverhalten
            menu_DIS_198_S, // NOT-Funktion (using RULE_12)
            menu_DIS_142_S, // Taktgeber (using RULE_30)
            menu_DIS_143_S, // Stützpunkte
            menu_DIS_355_S, // ED-Überwachung
            menu_DIS_676_S, // Bewegungserkennung
            menu_DIS_568_S, // Stellzeitüberwachung
            menu_DIS_632_S, // Reaktionsüberwachung (using RULE_301)
            menu_DIS_664_S  // Interlock (using RULE_205)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_12_S "Abschaltart"
// 
MENU menu_DIS_12_S // Abschaltart
{
    LABEL		[TXT_DIS_12];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_578, // Abschaltart ZU
            PRM_9  // Abschaltart AUF
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_13_S "Drehmo-Einstellung"
// 
MENU menu_DIS_13_S // Drehmo-Einstellung
{
    LABEL		[TXT_DIS_13];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_1182, // Anfahrüberbrückung
            PRM_82, // DrehmoBypassZeit
            PRM_2041, // PRM_TorqueNmClose (using RULE_295)
            PRM_2036, // PRM_TorqueNmOpen (using RULE_295)
            PRM_3667, // THRE_MwgTorqueWarnCl (using RULE_11)
            PRM_3657  // THRE_MwgTorqueWarnOp (using RULE_11)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_75_S "Ortssteuerstelle"
// 
MENU menu_DIS_75_S // Ortssteuerstelle
{
    LABEL		[TXT_DIS_75];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_12, // SelbsthVerhaltOrt
            PRM_3143, // Verh. Lokaler Halt
            PRM_3136, // Verh. Freigabe ORT (using RULE_202)
            PRM_3693, // ForcedRmtCtrl_Mode (using RULE_373)
            PRM_3694  // ForcedRmtCtrl_ImplFBus (using RULE_373)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_15_S "Interface"
// 
MENU menu_DIS_15_S // Interface
{
    LABEL		[TXT_DIS_15];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_519, // SelbsthVerhaltFern1 (using RULE_19)
            PRM_533  // SelbsthVerhaltFern2 (using RULE_20)
    }
	VALIDITY		IF (PRM_45 == 1) { TRUE; } ELSE { FALSE; }  // using RULE_19
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_16_S "Profibus"
// 
MENU menu_DIS_16_S // Profibus
{
    LABEL		[TXT_DIS_16];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_1321, // Profibus_Adresse_1 (using RULE_21)
            PRM_1322  // Profibus_Adresse_2 (using RULE_302)
    }
	VALIDITY	IF (PRM_181 == 1) { TRUE; } ELSE { FALSE; }  // using RULE_21
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_145_S "Stellungsregler"
// 
MENU menu_DIS_145_S // Stellungsregler
{
    LABEL		[TXT_DIS_145];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_84, // StellungreglerMode (using RULE_14)
            PRM_87, // StelReglExtTotzone (using RULE_167)
            PRM_86, // StelReglTotzeit (using RULE_14)
            PRM_212, // StelReglInnTotzAuf (using RULE_167)
            PRM_213, // StelReglInnTotzZu (using RULE_167)
            PRM_2916, // StelReglHysAuf (using RULE_169)
            PRM_2917, // StelReglHysZu (using RULE_169)
            PRM_215, // SollwertToleranzZu (using RULE_14)
            PRM_214, // SollwertToleranzAuf (using RULE_14)
            PRM_1179  // Zulässige Anläufe/h (using RULE_14)
    }
	VALIDITY	IF (PRM_1169 == 1) { TRUE; } ELSE { FALSE; }  // using RULE_14
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_378_S "Sicherheitsverhalten"
// 
MENU menu_DIS_378_S // Sicherheitsverhalten
{
    LABEL		[TXT_DIS_378];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_1869, // AuslösungFailsafe
            PRM_1870, // VerhaltenFailsafe
            PRM_1871, // AuslösequellFailsafe
            PRM_1874 (HIDDEN), uiPRM_1874, // VerzögerungFailsafe
            PRM_1872  // PositionFailsafe
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_198_S "NOT-Funktion"
// 
MENU menu_DIS_198_S // NOT-Funktion
{
    LABEL		[TXT_DIS_198];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_68, // Auslösung NOT (using RULE_12)
            PRM_67, // Betriebsart NOT (using RULE_12)
            PRM_2924, // Auslösequelle NOT (using RULE_12)
            PRM_230, // Verhalten NOT (using RULE_12)
            PRM_231, // Position NOT (using RULE_12)
            PRM_70, // Bypass Drehmo NOT (using RULE_12)
            PRM_69, // Bypass Thermo NOT (using RULE_12)
            PRM_71, // Bypass Takt NOT (using RULE_12)
            PRM_2950, // Bypass Fahrprofil NOT (using RULE_12)
            PRM_3255, // IgnoreNotfahrtIntlck (using RULE_12)
            PRM_3295, // Bypass Lokaler Halt (using RULE_12)
            PRM_4015 (HIDDEN), uiPRM_4015  // DelayTime_DlyESD (using RULE_12)
    }
	VALIDITY	IF (PRM_2923 != 0) { TRUE; } ELSE { FALSE; }  // using RULE_12
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_142_S "Taktgeber"
// 
MENU menu_DIS_142_S // Taktgeber
{
    LABEL		[TXT_DIS_142];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_590, // TaktbetriebZuMode (using RULE_16)
            PRM_592 (HIDDEN), uiPRM_592, // TaktfahrzeitZu (using RULE_16)
            PRM_591 (HIDDEN), uiPRM_591, // TaktpausenzeitZu (using RULE_16)
            PRM_594, // TaktstreckeZuStart (using RULE_16)
            PRM_593, // TaktstreckeZuEnde (using RULE_16)
            PRM_13, // TaktbetriebAufMode (using RULE_17)
            PRM_7 (HIDDEN), uiPRM_7, // TaktfahrzeitAuf (using RULE_17)
            PRM_8 (HIDDEN), uiPRM_8, // TaktpausenzeitAuf (using RULE_17)
            PRM_5, // TaktstreckeAufStart (using RULE_17)
            PRM_6  // TaktstreckeAufEnde (using RULE_17)
    }
	VALIDITY	IF (((PRM_1177 == 1)) || ((PRM_1176 == 1))) { TRUE; } ELSE { FALSE; }  // using RULE_30
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_143_S "Stützpunkte"
// 
MENU menu_DIS_143_S // Stützpunkte
{
    LABEL		[TXT_DIS_143];
    ACCESS		ONLINE;
    ITEMS
    {
            menu_DIS_160_S, // Positionen
            menu_DIS_257_S, // Fahrverhalten (using RULE_18)
            menu_DIS_266_S, // Meldeverhalten
            menu_DIS_268_S  // Pausenzeit (using RULE_18)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_160_S "Positionen"
// 
MENU menu_DIS_160_S // Positionen
{
    LABEL		[TXT_DIS_160];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_20, // Stütz1_Position
            PRM_466, // Stütz2_Position
            PRM_470, // Stütz3_Position
            PRM_474, // Stütz4_Position
            PRM_478, // Stütz5_Position
            PRM_482, // Stütz6_Position
            PRM_486, // Stütz7_Position
            PRM_490  // Stütz8_Position
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_257_S "Fahrverhalten"
// 
MENU menu_DIS_257_S // Fahrverhalten
{
    LABEL		[TXT_DIS_257];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_29, // Stütz1_Fahrverhalten (using RULE_18)
            PRM_467, // Stütz2_Fahrverhalten (using RULE_18)
            PRM_471, // Stütz3_Fahrverhalten (using RULE_18)
            PRM_475, // Stütz4_Fahrverhalten (using RULE_18)
            PRM_479, // Stütz5_Fahrverhalten (using RULE_18)
            PRM_483, // Stütz6_Fahrverhalten (using RULE_18)
            PRM_487, // Stütz7_Fahrverhalten (using RULE_18)
            PRM_491  // Stütz8_Fahrverhalten (using RULE_18)
    }
	VALIDITY		IF (PRM_1931 == 1) { TRUE; } ELSE { FALSE; }  // using RULE_18
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_266_S "Meldeverhalten"
// 
MENU menu_DIS_266_S // Meldeverhalten
{
    LABEL		[TXT_DIS_266];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_28, // Stütz1_Meldeverhaltn
            PRM_468, // Stütz2_Meldeverhaltn
            PRM_472, // Stütz3_Meldeverhaltn
            PRM_476, // Stütz4_Meldeverhaltn
            PRM_480, // Stütz5_Meldeverhaltn
            PRM_484, // Stütz6_Meldeverhaltn
            PRM_488, // Stütz7_Meldeverhaltn
            PRM_492  // Stütz8_Meldeverhaltn
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_268_S "Pausenzeit"
// 
MENU menu_DIS_268_S // Pausenzeit
{
    LABEL		[TXT_DIS_268];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_1887 (HIDDEN), uiPRM_1887, // Stütz1_Pausenzeit (using RULE_18)
            PRM_1888 (HIDDEN), uiPRM_1888, // Stütz2_Pausenzeit (using RULE_18)
            PRM_1889 (HIDDEN), uiPRM_1889, // Stütz3_Pausenzeit (using RULE_18)
            PRM_1890 (HIDDEN), uiPRM_1890, // Stütz4_Pausenzeit (using RULE_18)
            PRM_1891 (HIDDEN), uiPRM_1891, // Stütz5_Pausenzeit (using RULE_18)
            PRM_1892 (HIDDEN), uiPRM_1892, // Stütz6_Pausenzeit (using RULE_18)
            PRM_1893 (HIDDEN), uiPRM_1893, // Stütz7_Pausenzeit (using RULE_18)
            PRM_1894 (HIDDEN), uiPRM_1894  // Stütz8_Pausenzeit (using RULE_18)
    }
	VALIDITY		IF (PRM_1931 == 1) { TRUE; } ELSE { FALSE; }  // using RULE_18
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_355_S "ED-Überwachung"
// 
MENU menu_DIS_355_S // ED-Überwachung
{
    LABEL		[TXT_DIS_355];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_2121, // ED-Enable
            PRM_2122, // Max Laufzeit pro Std
            PRM_2123  // Max Anläufe pro Std
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_676_S "Bewegungserkennung"
// 
MENU menu_DIS_676_S // Bewegungserkennung
{
    LABEL		[TXT_DIS_676];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_2554, // Mode_MotionDetector
            PRM_2555 (HIDDEN), uiPRM_2555, // Dt_MotionDetector (using RULE_239)
            PRM_2556, // Dx_MotionDetector (using RULE_239)
            PRM_3187 (HIDDEN), uiPRM_3187, // Dt_MotionDetectMwg (using RULE_238)
            PRM_3188, // Dx_MotionDetectMwg (using RULE_238)
            PRM_3629  // HwMonoflop: SetTime_ms
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_568_S "Stellzeitüberwachung"
// 
MENU menu_DIS_568_S // Stellzeitüberwachung
{
    LABEL		[TXT_DIS_568];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_2546, // ApplMode_OpTimeMon
            PRM_2547 (HIDDEN), uiPRM_2547  // ApplOpTime_OpTimeMon
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_632_S "Reaktionsüberwachung"
// 
MENU menu_DIS_632_S // Reaktionsüberwachung
{
    LABEL		[TXT_DIS_632];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_3157, // Betriebsart Standard (using RULE_301)
            PRM_3158  // Reakt.Reaktionszeit (using RULE_301)
    }
	VALIDITY		IF (PRM_3156 == 0) { TRUE; } ELSE { FALSE; }  // using RULE_301
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_664_S "Interlock"
// 
MENU menu_DIS_664_S // Interlock
{
    LABEL		[TXT_DIS_664];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_3218, // Betriebsart Interlock (using RULE_205)
            PRM_3219, // Verhalten Interlock (using RULE_205)
            PRM_3255  // IgnoreNotfahrtIntlck (using RULE_205)
    }
	VALIDITY		IF (PRM_3217 == 1) { TRUE; } ELSE { FALSE; }  // using RULE_205
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_53_S "Gerätekonfiguration"
// 
MENU menu_DIS_53_S // Gerätekonfiguration
{
    LABEL		[TXT_DIS_53];
    ACCESS		ONLINE;
    ITEMS
    {
            menu_DIS_159_S, // Ortssteuerstelle
            menu_DIS_139_S, // Interface (using RULE_19)
            menu_DIS_600_S, // Profibus (using RULE_173)
            menu_DIS_708_S, // LWL-Modul (using RULE_307)
            menu_DIS_168_S, // Antrieb
            menu_DIS_170_S, // Phasenüberwachung (implicit RULE_90)
            menu_DIS_380_S, // Serviceschnittstelle
            menu_DIS_178_S  // Anwendungsfunktionen
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_159_S "Ortssteuerstelle"
// 
MENU menu_DIS_159_S // Ortssteuerstelle
{
    LABEL		[TXT_DIS_159];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_160, // Fkt Meldeleuchte 1
            PRM_557, // Fkt Meldeleuchte 2
            PRM_561, // Fkt Meldeleuchte 3
            PRM_565, // Fkt Meldeleuchte 4
            PRM_569, // Fkt Meldeleuchte 5
            PRM_1175  // Blinker USA/Europa
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_139_S "Interface"
// 
MENU menu_DIS_139_S // Interface
{
    LABEL		[TXT_DIS_139];
    ACCESS		ONLINE;
    ITEMS
    {
            menu_DIS_116_S, // Eingänge binär (using RULE_31)
            menu_DIS_389_S, // Eingänge analog (using RULE_34)
            menu_DIS_110_S, // Ausgänge binär (using RULE_33)
            menu_DIS_335_S  // Ausgänge analog (using RULE_35)
    }
	VALIDITY		IF (PRM_45 == 1) { TRUE; } ELSE { FALSE; }  // using RULE_19
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_116_S "Eingänge binär"
// 
MENU menu_DIS_116_S // Eingänge binär
{
    LABEL		[TXT_DIS_116];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_873, // Funktion_DigIn1 (using RULE_31)
            PRM_932, // Funktion_DigIn2 (using RULE_31)
            PRM_926, // Funktion_DigIn3 (using RULE_31)
            PRM_920, // Funktion_DigIn4 (using RULE_31)
            PRM_914, // Funktion_DigIn5 (using RULE_32)
            PRM_908, // Funktion_DigIn6 (using RULE_32)
            PRM_902, // Funktion_DigIn7 (using RULE_20)
            PRM_896, // Funktion_DigIn8 (using RULE_20)
            PRM_890, // Funktion_DigIn9 (using RULE_20)
            PRM_884, // Funktion_DigIn10 (using RULE_20)
            PRM_878, // InvertDigIn1 (using RULE_31)
            PRM_933, // InvertDigIn2 (using RULE_31)
            PRM_927, // InvertDigIn3 (using RULE_31)
            PRM_921, // InvertDigIn4 (using RULE_31)
            PRM_915, // InvertDigIn5 (using RULE_32)
            PRM_909, // InvertDigIn6 (using RULE_32)
            PRM_903, // InvertDigIn7 (using RULE_20)
            PRM_897, // InvertDigIn8 (using RULE_20)
            PRM_891, // InvertDigIn9 (using RULE_20)
            PRM_885  // InvertDigIn10 (using RULE_20)
    }
	VALIDITY		IF (((PRM_45 == 1) && (PRM_2281 >= 4))) { TRUE; } ELSE { FALSE; }  // using RULE_31
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_389_S "Eingänge analog"
// 
MENU menu_DIS_389_S // Eingänge analog
{
    LABEL		[TXT_DIS_389];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_1133, // LowerLimit_AnaIn1 (using RULE_34)
            PRM_1130, // UpperLimit_AnaIn1 (using RULE_34)
            PRM_1129, // Funktion_AnaIn1 (using RULE_34)
            PRM_1141, // LowerLimit_AnaIn2 (using RULE_34)
            PRM_1140, // UpperLimit_AnaIn2 (using RULE_34)
            PRM_1137  // Funktion_AnaIn2 (using RULE_34)
    }
	VALIDITY		IF (((PRM_45 == 1) && (PRM_2239 >= 2))) { TRUE; } ELSE { FALSE; }  // using RULE_34
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_110_S "Ausgänge binär"
// 
MENU menu_DIS_110_S // Ausgänge binär
{
    LABEL		[TXT_DIS_110];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_1012, // Funktion_DigOut1 (using RULE_33)
            PRM_1102, // Funktion_DigOut2 (using RULE_33)
            PRM_1097, // Funktion_DigOut3 (using RULE_33)
            PRM_1092, // Funktion_DigOut4 (using RULE_33)
            PRM_1087, // Funktion_DigOut5 (using RULE_33)
            PRM_1082, // Funktion_DigOut6 (using RULE_33)
            PRM_1077, // Funktion_DigOut7 (using RULE_20)
            PRM_1072, // Funktion_DigOut8 (using RULE_20)
            PRM_1107, // Funktion_DigOut9 (using RULE_20)
            PRM_1122, // Funktion_DigOut10 (using RULE_20)
            PRM_1117, // Funktion_DigOut11 (using RULE_20)
            PRM_1112, // Funktion_DigOut12 (using RULE_20)
            PRM_1013, // InvertDigOut1 (using RULE_33)
            PRM_1103, // InvertDigOut2 (using RULE_33)
            PRM_1098, // InvertDigOut3 (using RULE_33)
            PRM_1093, // InvertDigOut4 (using RULE_33)
            PRM_1088, // InvertDigOut5 (using RULE_33)
            PRM_1083, // InvertDigOut6 (using RULE_33)
            PRM_1078, // InvertDigOut7 (using RULE_20)
            PRM_1073, // InvertDigOut8 (using RULE_20)
            PRM_1108, // InvertDigOut9 (using RULE_20)
            PRM_1123, // InvertDigOut10 (using RULE_20)
            PRM_1118, // InvertDigOut11 (using RULE_20)
            PRM_1113  // InvertDigOut12 (using RULE_20)
    }
	VALIDITY		IF (((PRM_45 == 1) && (PRM_2294 >= 6))) { TRUE; } ELSE { FALSE; }  // using RULE_33
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_335_S "Ausgänge analog"
// 
MENU menu_DIS_335_S // Ausgänge analog
{
    LABEL		[TXT_DIS_335];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_1254, // Funktion AnPwmOut1 (using RULE_35)
            PRM_1255, // Bereich_AnPwmOut1 (using RULE_35)
            PRM_1262, // Funktion AnPwmOut2 (using RULE_35)
            PRM_1263  // Bereich_AnPwmOut2 (using RULE_35)
 
 
    }
	VALIDITY		IF (((PRM_45 == 1) && (PRM_2293 >= 2))) { TRUE; } ELSE { FALSE; }  // using RULE_35
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_600_S "Profibus"
// 
MENU menu_DIS_600_S // Profibus
{
    LABEL		[TXT_DIS_600];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_2885, // Redundanz-Mode (using RULE_173)
            PRM_3527  // Sende-Mode (using RULE_468)
    }
	VALIDITY		IF (((PRM_181 == 1) && (PRM_3059 == 1))) { TRUE; } ELSE { FALSE; }  // using RULE_173
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_708_S "LWL-Modul"
// 
MENU menu_DIS_708_S // LWL-Modul
{
    LABEL		[TXT_DIS_708];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_3482, // Lwl Überwachung (using RULE_307)
            PRM_3481, // Lwl Bus-Topologie (using RULE_307)
            PRM_3496  // Lwl-Baudrate (using RULE_307)
    }
	VALIDITY		IF (PRM_3495 == 1) { TRUE; } ELSE { FALSE; }  // using RULE_307
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_168_S "Antrieb"
// 
MENU menu_DIS_168_S // Antrieb
{
    LABEL		[TXT_DIS_168];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_208, // MODE_Thermofehler
            PRM_79, // Drehsinn Schließen
            menu_DIS_175_S  // MWG (using RULE_62)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_175_S "MWG"
// 
MENU menu_DIS_175_S // MWG
{
    LABEL		[TXT_DIS_175];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_2088, // NennmomentZuNm (using RULE_62)
            PRM_1969, // NennmomentAufNm (using RULE_62)
            PRM_1707, // Winkel min Close (using RULE_62)
            PRM_1711, // Torque min Close (using RULE_62)
            PRM_1705, // Winkel max Close (using RULE_62)
            PRM_1709, // Torque max Close (using RULE_62)
            PRM_1708, // Winkel min Open (using RULE_62)
            PRM_1712, // Torque min Open (using RULE_62)
            PRM_1706, // Winkel max Open (using RULE_62)
            PRM_1710, // Torque max Open (using RULE_62)
            PRM_1715, // KorrekturKennlnClose (using RULE_62)
            PRM_1716, // KorrekturKennlnOpen (using RULE_62)
            PRM_1741, // MWG TrqSwOpenHyster (using RULE_62)
            PRM_1713, // Torque Totzone (using RULE_62)
            PRM_1725, // MWG LimitSwitchHyst (using RULE_62)
            PRM_2180, // UsrTripTorqueMinClos (using RULE_62)
            PRM_2181, // UsrTripTorqueMaxClos (using RULE_62)
            PRM_2178, // UsrTripTorqueMinOpen (using RULE_62)
            PRM_2179  // UsrTripTorqueMaxOpen (using RULE_62)
    }
	VALIDITY		IF (((PRM_1752 == 1))) { TRUE; } ELSE { FALSE; }  // using RULE_62
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_170_S "Phasenüberwachung"
// 
MENU menu_DIS_170_S // Phasenüberwachung
{
    LABEL		[TXT_DIS_170];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_1168, // AutoPhaseKorrektur (implicit RULE_90)
            PRM_209  // PhaseDelaytime (implicit RULE_90)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_380_S "Serviceschnittstelle"
// 
MENU menu_DIS_380_S // Serviceschnittstelle
{
    LABEL		[TXT_DIS_380];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_1165, // Geräte-TAG
            PRM_2175  // ServicemotionOrtClnt
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_178_S "Anwendungsfunktionen"
// 
MENU menu_DIS_178_S // Anwendungsfunktionen
{
    LABEL		[TXT_DIS_178];
    ACCESS		ONLINE;
    ITEMS
    {
            menu_DIS_212_S  // Aktivierung
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_212_S "Aktivierung"
// 
MENU menu_DIS_212_S // Aktivierung
{
    LABEL		[TXT_DIS_212];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_2923, // Aktivierung NOT
            PRM_1177, // TaktZuAktiv
            PRM_1176, // TaktAufAktiv
            PRM_1169, // AktivierngStelRegler (using RULE_13)
            PRM_1931, // Fahrprofil Aktivierung (using RULE_13)
            PRM_2591, // BT-Aktivierung
            PRM_3135, // Aktiv. Freigabe ORT (using RULE_200)
            PRM_3692, // ForcedRmtCtrl_Activate (using RULE_372)
            PRM_3771, // AutoChangeOver Aktiv (using RULE_379)
            PRM_3217, // Aktivierung Interlock  (using RULE_204)
            PRM_3971  // DrehmoWarn Aktiv (using RULE_397)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_592_S "Gerätestatus"
// 
MENU menu_DIS_592_S // Gerätestatus
{
    LABEL		[TXT_DIS_592];
    ACCESS		ONLINE;
    ITEMS
    {
            menu_DIS_612_S, // Allgemein
            menu_DIS_540, // Auma-Meldungen
            menu_DIS_533, // Namur-Meldungen
            menu_DIS_613_S, // Stellungsregler (using RULE_14)
            menu_DIS_593_S  // ED Überwachung (using RULE_155)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_612_S "Allgemein"
// 
MENU menu_DIS_612_S // Allgemein
{
    LABEL		[TXT_DIS_612];
    ACCESS		ONLINE;
    ITEMS
    {
            DeviceAlertDisplay(PZD_268), // BypassedDoeFehler
            DeviceAlertDisplay(PZD_269), // BypassedDsFehler
            PZD_2 (READ_ONLY), // Istwert E2
            PZD_545 (READ_ONLY), // Drehmoment Istwert
            PZD_120 (READ_ONLY), // Betriebsmodus
            menu_PZD_144_S, // Fahrbefehl
            DeviceBoolDisplay(PZD_264), // AntriebFaehrtAUF
            DeviceBoolDisplay(PZD_265), // AntriebFaehrtZU
            DeviceBoolDisplay(PZD_401), // Position erreicht
            DeviceBoolDisplay(PZD_375), // WOE_Konditioniert
            DeviceBoolDisplay(PZD_376), // WS_Konditioniert
            DeviceBoolDisplay(PZD_459), // DOE_Signal
            DeviceBoolDisplay(PZD_460)  // DS_Signal
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_PZD_144_S "Fahrbefehl"
// 
MENU menu_PZD_144_S // Fahrbefehl
{
    LABEL		[TXT_PZD_144];
	STYLE		GROUP;
    ACCESS		ONLINE;
    ITEMS
    {
            PZD_144_cmd (READ_ONLY), // Logik: Fahrbefehl (cmd)
            PZD_144_dir (READ_ONLY), // Logik: Fahrbefehl (direction)
            PZD_144_speed (READ_ONLY), // Logik: Fahrbefehl (speed)
            PZD_144_position (READ_ONLY)  // Logik: Fahrbefehl (position)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_613_S "Stellungsregler"
// 
MENU menu_DIS_613_S // Stellungsregler
{
    LABEL		[TXT_DIS_613];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_84, // StellungreglerMode (using RULE_14)
            PZD_7 (READ_ONLY), // Fern1SollwertE1 (using RULE_14)
            PZD_709 (READ_ONLY), // Istwert E2(synchron) (using RULE_14)
            PZD_659 (READ_ONLY)  // XTActual (using RULE_14)
    }
	VALIDITY		IF (PRM_1169 == 1) { TRUE; } ELSE { FALSE; }  // using RULE_14
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_593_S "ED Überwachung"
// 
MENU menu_DIS_593_S // ED Überwachung
{
    LABEL		[TXT_DIS_593];
    ACCESS		ONLINE;
    ITEMS
    {
            PZD_488 (READ_ONLY), // ED Time (using RULE_155)
            PZD_489 (READ_ONLY)  // ED Starts (using RULE_155)
    }
	VALIDITY		IF (PRM_2121 == 1) { TRUE; } ELSE { FALSE; }  // using RULE_155
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_22_S "Diagnose"
// 
MENU menu_DIS_22_S // Diagnose
{
    LABEL		[TXT_DIS_22];
    ACCESS		ONLINE;
    ITEMS
    {
            menu_DIS_244_S, // Bluetooth
            menu_DIS_240_S, // Profibus Kanal 1 (using RULE_21)
            menu_DIS_549_S, // Profibus Kanal 2 (using RULE_105)
            menu_DIS_602_S, // Profibus Details (using RULE_21)
            menu_DIS_638_S, // LWL (using RULE_307)
            menu_DIS_177_S, // Betriebsdaten
            menu_DIS_524_S  // Gerätetemperaturen
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_244_S "Bluetooth"
// 
MENU menu_DIS_244_S // Bluetooth
{
    LABEL		[TXT_DIS_244];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_1165, // Geräte-TAG (using RULE_149)
            PRM_2188, // Lokale BDA (using RULE_149)
            PRM_2604, // BDA Gegenstelle (using RULE_149)
            PRM_2591  // BT-Aktivierung (using RULE_94)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_240_S "Profibus Kanal 1"
// 
MENU menu_DIS_240_S // Profibus Kanal 1
{
    LABEL		[TXT_DIS_240];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_1321, // Profibus_Adresse_1 (using RULE_21)
            PZD_578 (READ_ONLY), // Pb Baudrate K1 (using RULE_21)
            PZD_576 (READ_ONLY), // Pb WD-Status K1 (using RULE_21)
            PZD_577 (READ_ONLY), // Pb DP-Status K1 (using RULE_21)
            PZD_580 (READ_ONLY), // Pb GC Clear K1 (using RULE_21)
            PZD_579 (READ_ONLY), // Pb 0 Tele K1 (using RULE_21)
            PZD_581 (READ_ONLY), // Pb GC Freeze K1 (using RULE_21)
            PZD_582 (READ_ONLY)  // Pb GC Sync K1 (using RULE_21)
    }
	VALIDITY		IF (PRM_181 == 1) { TRUE; } ELSE { FALSE; }  // using RULE_21
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_549_S "Profibus Kanal 2"
// 
MENU menu_DIS_549_S // Profibus Kanal 2
{
    LABEL		[TXT_DIS_549];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_1322, // Profibus_Adresse_2 (using RULE_105)
            PZD_585 (READ_ONLY), // Pb Baudrate K2 (using RULE_105)
            PZD_583 (READ_ONLY), // Pb WD-Status K2 (using RULE_105)
            PZD_584 (READ_ONLY), // Pb DP-Status K2 (using RULE_105)
            PZD_587 (READ_ONLY), // Pb GC Clear K2 (using RULE_105)
            PZD_586 (READ_ONLY), // Pb 0 Tele K2 (using RULE_105)
            PZD_588 (READ_ONLY), // Pb GC Freeze K2 (using RULE_105)
            PZD_589 (READ_ONLY)  // Pb GC Sync K2 (using RULE_105)
    }
	VALIDITY		IF (((PRM_181 == 1) && (PRM_3059 == 1) && (PRM_2885 != 0))) { TRUE; } ELSE { FALSE; }  // using RULE_105
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_602_S "Profibus Details"
// 
MENU menu_DIS_602_S // Profibus Details
{
    LABEL		[TXT_DIS_602];
    ACCESS		ONLINE;
    ITEMS
    {
            DeviceBoolDisplay(PZD_737), // DPV1_Control (using RULE_21)
            DeviceBoolDisplay(PZD_738), // DP-V1 C2-Verbindung  (using RULE_21)
            DeviceBoolDisplay(PZD_604), // Fahrbef.Kanal1 aktiv (using RULE_21)
            DeviceBoolDisplay(PZD_605), // Fahrbef.Kanal2 aktiv (using RULE_105)
            PZD_741 (READ_ONLY), // Primary Channel (PNO) (using RULE_105)
            PZD_742 (READ_ONLY), // Secondary Channel (PNO) (using RULE_105)
            PRM_3006, // Profibus Ident Nr (using RULE_21)
            PRM_2885, // Redundanz-Mode (using RULE_173)
            PZD_744 (READ_ONLY), // DP-V1 Enable (SetPrm) (using RULE_21)
            PZD_746 (READ_ONLY), // DP-ALARM (SetPrm) (using RULE_105)
            PZD_745 (READ_ONLY), // DP-RED (SetPrm) (using RULE_105)
            PRM_3527  // Sende-Mode (using RULE_468)
    }
	VALIDITY		IF (PRM_181 == 1) { TRUE; } ELSE { FALSE; }  // using RULE_21
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_638_S "LWL"
// 
MENU menu_DIS_638_S // LWL
{
    LABEL		[TXT_DIS_638];
    ACCESS		ONLINE;
    ITEMS
    {
            PZD_794 (READ_ONLY), // Lwl_Signal_Kanal-1 (using RULE_307)
            PZD_795 (READ_ONLY), // Lwl_Signal_Kanal-2 (using RULE_307)
            PZD_833 (READ_ONLY), // Lwl_RS485_Formatfehl (using RULE_307)
            PZD_797 (READ_ONLY), // LwlBaudrate (using RULE_307)
            PRM_3479  // Version Lwl-FPGA (using RULE_307)
    }
	VALIDITY		IF (PRM_3495 == 1) { TRUE; } ELSE { FALSE; }  // using RULE_307
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_177_S "Betriebsdaten"
// 
MENU menu_DIS_177_S // Betriebsdaten
{
    LABEL		[TXT_DIS_177];
    ACCESS		ONLINE;
    ITEMS
    {
            menu_DIS_183_S, // Betriebsdaten Gesamt
            menu_DIS_188_S  // Betriebsdaten Kunde
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_183_S "Betriebsdaten Gesamt"
// 
MENU menu_DIS_183_S // Betriebsdaten Gesamt
{
    LABEL		[TXT_DIS_183];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_495, // Laufzeit
            PRM_496, // Anläufe
            PRM_503, // Thermofehler
            PRM_501, // Drehmofehler ZU
            PRM_502, // Drehmofehler AUF
            PRM_498, // Wegabschaltungen ZU
            PRM_500, // Wegabschaltungen AUF
            PRM_497, // Drehmoabschaltungen ZU
            PRM_499, // Drehmoabschaltungen AUF
            PRM_505, // ErrorsEDTime
            PRM_506, // ErrorsEDMax
            PRM_507  // Resets
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_188_S "Betriebsdaten Kunde"
// 
MENU menu_DIS_188_S // Betriebsdaten Kunde
{
    LABEL		[TXT_DIS_188];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_163, // Laufzeit
            PRM_164, // Anläufe
            PRM_170, // Thermofehler
            PRM_175, // Drehmofehler ZU
            PRM_171, // Drehmofehler AUF
            PRM_172, // Wegabschaltungen ZU
            PRM_174, // Wegabschaltungen AUF
            PRM_166, // Drehmoabschaltung en ZU
            PRM_173, // Drehmoabschaltungen AUF
            PRM_168, // ErrorsEDTime
            PRM_167, // ErrorsEDMax
            PRM_165, // Anzahl Resets
            coPRM_3484 (HIDDEN)  // Betriebsd. zurücksetzen
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_524_S "Gerätetemperaturen"
// 
MENU menu_DIS_524_S // Gerätetemperaturen
{
    LABEL		[TXT_DIS_524];
    ACCESS		ONLINE;
    ITEMS
    {
            PZD_4 (READ_ONLY),  // T_Steuerung
            PZD_109 (READ_ONLY) // T_Steuereinheit (using RULE_11)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_540 "Auma-Meldungen"
// 
MENU menu_DIS_540 // Auma-Meldungen
{
    LABEL		[TXT_DIS_540];
	STYLE		MENU;
    ACCESS		ONLINE;
    ITEMS
    {
		IF ((PZD_78 == 0)&&(PZD_80 == 0)&&(PZD_79 == 0)) { [TXT_NO_ACTIVE_MESSAGES] }
		PZD_78 (HIDDEN), menu_DIS_541, // Warnungen (using RulePZD_78)
		PZD_80 (HIDDEN), menu_DIS_542, // nicht bereit FERN (using RulePZD_80)
		PZD_79 (HIDDEN), menu_DIS_543  // Fehler (using RulePZD_79)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_541 "Sammel-Meldung2: Warnung"
// 
MENU menu_DIS_541 // Sammel-Meldung2: Warnung
{
    LABEL		[TXT_DIS_541];
	STYLE		PAGE;
    ACCESS		ONLINE;
    ITEMS
    {
			PZD_78 (HIDDEN)
			IF (PZD_78 == 0) { [TXT_NO_ACTIVE_MESSAGES] }
            PZD_82 (HIDDEN), menu_PZD_82, // Sammel-Meldung6: Konfigurationswarnung (using RulePZD_82)
            PZD_91 (HIDDEN), menu_PZD_91, // Sammel-Meldung 15: Interne Warnung (using RulePZD_91)
            PZD_93 (HIDDEN), menu_PZD_93, // Sammel-Meldung 17: Warnung Hydraulik (using RulePZD_93)
            DeviceAlertDisplay(PZD_461), // FailSafe ist aktiv (using RulePZD_461)
            DeviceAlertDisplay(PZD_834), // MWG: Drehmomentwarnung AUF	 (using RulePZD_834)
            DeviceAlertDisplay(PZD_835), // MWG: Drehmomentwarnung ZU (using RulePZD_835)
            DeviceAlertDisplay(PZD_486), // Lcb: ED Warnung 1: (Laufzeit) (using RulePZD_486)
            DeviceAlertDisplay(PZD_487), // Lcb: ED Warnung 2 (Anläufe) (using RulePZD_487)
            DeviceAlertDisplay(PZD_556), // Stellzeitwarnung (using RulePZD_556)
            DeviceAlertDisplay(PZD_563), // Keine Reaktion: Warnung (using RulePZD_563)
            DeviceAlertDisplay(PZD_485), // Logik: 24VExt Error (using RulePZD_485)
            DeviceAlertDisplay(PZD_490), // Lcb: RTC nicht gesetzt (using RulePZD_490)
            DeviceAlertDisplay(PZD_629), // Warnung Temperatur Steuerung (using RulePZD_629)
            DeviceAlertDisplay(PZD_630), // Warnung Temperatur Motor (using RulePZD_630)
            DeviceAlertDisplay(PZD_631), // Warnung Temperatur Getriebe (using RulePZD_631)
            DeviceAlertDisplay(PZD_625), // Warnung LWL (Meldung von Modul)) (using RulePZD_625)
            DeviceAlertDisplay(PZD_810), // Warnung LWL nicht vorhanden (using RulePZD_810)
            DeviceAlertDisplay(PZD_813), // Warnung LWL Budget (using RulePZD_813)
            DeviceAlertDisplay(PZD_633), // Warnung AnalogIn 1 E8 (using RulePZD_633)
            DeviceAlertDisplay(PZD_634), // Warnung AnalogIn 2 E9 (using RulePZD_634)
            DeviceAlertDisplay(PZD_637)  // Warnung Sollposition E1 (using RulePZD_637)
    }
 	VALIDITY IF (PZD_78 != 0) { TRUE; } ELSE { FALSE;}  //(using RulePZD_78)
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_PZD_82 "Sammel-Meldung6: Konfigurationswarnung"
// 
MENU menu_PZD_82 // Sammel-Meldung6: Konfigurationswarnung
{
    LABEL		[TXT_PZD_82];
	STYLE		GROUP;
    ACCESS		ONLINE;
    ITEMS
    {
			PZD_82 (HIDDEN),
            DeviceAlertDisplay(PZD_666), // Warnung: keine Sollwertquelle bei aktiviertem Stellungsregler parametriert (using RulePZD_666)
            DeviceAlertDisplay(PZD_758), // PRM-Konsistenz: Stellungsregler-Totzonenkonfiguration (using RulePZD_758)
            DeviceAlertDisplay(PZD_759), // PRM-Konsistenz: Feldbuskonfiguration (using RulePZD_759)
            DeviceAlertDisplay(PZD_760), // PRM-Konsistenz: MWG-Drehmokonfiguration ZU (using RulePZD_760)
			DeviceAlertDisplay(PZD_761), // PRM-Konsistenz: MWG-Drehmokonfiguration AUF (using RulePZD_761)
            DeviceAlertDisplay(PZD_762), // PRM-Konsistenz: DigIn1-Konfiguration (using RulePZD_762)
            DeviceAlertDisplay(PZD_763), // PRM-Konsistenz: DigIn2-Konfiguration (using RulePZD_763)
            DeviceAlertDisplay(PZD_764), // PRM-Konsistenz: DigIn3-Konfiguration (using RulePZD_764)
            DeviceAlertDisplay(PZD_765), // PRM-Konsistenz: DigIn4-Konfiguration (using RulePZD_765)
            DeviceAlertDisplay(PZD_766), // PRM-Konsistenz: DigIn5-Konfiguration (using RulePZD_766)
            DeviceAlertDisplay(PZD_767), // PRM-Konsistenz: DigIn6-Konfiguration (using RulePZD_767)
            DeviceAlertDisplay(PZD_768), // PRM-Konsistenz: DigIn7-Konfiguration (using RulePZD_768)
            DeviceAlertDisplay(PZD_769), // PRM-Konsistenz: DigIn8-Konfiguration (using RulePZD_769)
            DeviceAlertDisplay(PZD_770), // PRM-Konsistenz: DigIn9-Konfiguration (using RulePZD_770)
            DeviceAlertDisplay(PZD_771), // PRM-Konsistenz: DigIn10-Konfiguration (using RulePZD_771)
            DeviceAlertDisplay(PZD_808), // PRM-Konsistenz: Konfiguration der Auslösequelle für die NOT-Funktion (using RulePZD_808)
            DeviceAlertDisplay(PZD_828), // PRM-Konsistenz: Konfiguration der Profilfahrt (using RulePZD_828)
            DeviceAlertDisplay(PZD_832)  // PRM-Konsistenz: LWL-Konfiguration (using RulePZD_832)
    }
	VALIDITY IF (PZD_82 != 0) { TRUE; } ELSE { FALSE; }  // using RulePZD_82
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_PZD_91 "Sammel-Meldung 15: Interne Warnung"
// 
MENU menu_PZD_91 // Sammel-Meldung 15: Interne Warnung
{
    LABEL		[TXT_PZD_91];
	STYLE		GROUP;
    ACCESS		ONLINE;
    ITEMS
    {
			PZD_91 (HIDDEN),
            DeviceAlertDisplay(PZD_483), // Logik: 24VKD Error (using RulePZD_483)
            DeviceAlertDisplay(PZD_484), // Logik: 24VInt Error (using RulePZD_484)
            DeviceAlertDisplay(PZD_619), // Warnung Heizung SA Defekt (using RulePZD_619)
            DeviceAlertDisplay(PZD_621), // Warnung keine Referenzfahrrt E2 (using RulePZD_621)
            DeviceAlertDisplay(PZD_623), // Warnung Signalbruch E2 (using RulePZD_623)
            DeviceAlertDisplay(PZD_622)  // Warnung geringer Signalhub E2 (using RulePZD_622)
    }
	VALIDITY IF (PZD_91 != 0) { TRUE; } ELSE { FALSE; }  // using RulePZD_91
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_PZD_93 "Sammel-Meldung 17: Warnung Hydraulik"
// 
MENU menu_PZD_93 // Sammel-Meldung 17: Warnung Hydraulik
{
    LABEL		[TXT_PZD_93];
	STYLE		GROUP;
    ACCESS		ONLINE;
    ITEMS
    {
			PZD_93 (HIDDEN),
            DeviceAlertDisplay(PZD_790), // Meldung: Hydraulikdruck (Hydr.-Antrieb) (using RulePZD_790)
            DeviceAlertDisplay(PZD_791), // Meldung: Laufzeit Motor (Hydr.-Antrieb) (using RulePZD_791)
            DeviceAlertDisplay(PZD_798)  // PRM-Konsistenz: Hydraulik-Speicherdruckkonfiguration (using RulePZD_798)
    }
	VALIDITY IF (PZD_93 != 0) { TRUE; } ELSE { FALSE; }  // using RulePZD_93
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_542 "Sammel-Meldung4: nicht bereit Fern"
// 
MENU menu_DIS_542 // Sammel-Meldung4: nicht bereit Fern
{
    LABEL		[TXT_DIS_542];
	STYLE		PAGE;
    ACCESS		ONLINE;
    ITEMS
    {
			PZD_80 (HIDDEN)
			IF (PZD_80 == 0) { [TXT_NO_ACTIVE_MESSAGES] }
            PZD_89 (HIDDEN), menu_PZD_89, // Sammel-Meldung 13: Falscher Befehl (using RulePZD_89)
            DeviceAlertDisplay(PZD_757), // InterlockActive (using RulePZD_757)
            DeviceAlertDisplay(PZD_553), // Logik: Handbetrieb aktiviert (using RulePZD_553)
            DeviceAlertDisplay(PZD_844), // Wahlschalter nicht Fern, maskiert (using RulePZD_844)
            DeviceAlertDisplay(PZD_685), // lokaler HALT (using RulePZD_685)
            DeviceAlertDisplay(PZD_285), // Logik: Betriebsmodus EMCY_STOP (using RulePZD_285)
            DeviceAlertDisplay(PZD_282), // Logik: Betriebsmodus SERVICE (using RulePZD_282)
            DeviceAlertDisplay(PZD_281), // Logik: Betriebsmodus Sperre (Interlock) durch Bypass oder sonstige Funktionen (using RulePZD_281)
            DeviceAlertDisplay(PZD_280), // Logik: Betriebsmodus EMCY_OP (using RulePZD_280)
            DeviceAlertDisplay(PZD_606)  // Feldbus Fail Safe aktiv (using RulePZD_606)
    }
	VALIDITY IF (PZD_80 != 0) { TRUE; } ELSE { FALSE; }  // using RulePZD_80
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_PZD_89 "Sammel-Meldung 13: Falscher Befehl"
// 
MENU menu_PZD_89 // Sammel-Meldung 13: Falscher Befehl
{
    LABEL		[TXT_PZD_89];
	STYLE		GROUP;
    ACCESS		ONLINE;
    ITEMS
    {
			PZD_89 (HIDDEN),
            DeviceAlertDisplay(PZD_371), // Logik: ungültiger Fahrbefehl (using RulePZD_371)
            DeviceAlertDisplay(PZD_555), // Falscher Befehl Interface I (using RulePZD_555)
            DeviceAlertDisplay(PZD_688)  // Falscher Befehl Feldbus (using RulePZD_688)
    }
	VALIDITY IF (PZD_89 != 0) { TRUE; } ELSE { FALSE; }  // using RulePZD_89
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_543 "Sammel-Meldung3: Fehler"
// 
MENU menu_DIS_543 // Sammel-Meldung3: Fehler
{
    LABEL		[TXT_DIS_543];
	STYLE		PAGE;
    ACCESS		ONLINE;
    ITEMS
    {
			PZD_79 (HIDDEN)
			IF (PZD_79 == 0) { [TXT_NO_ACTIVE_MESSAGES] }
            PZD_87 (HIDDEN), menu_PZD_87,  // Sammel-Meldung 11: Konfigurationsfehler (using RulePZD_87)
            PZD_90 (HIDDEN), menu_PZD_90,  // Sammel-Meldung 14: Interne Fehler (using RulePZD_90)
            DeviceAlertDisplay(PZD_268), // Logik: Bypassed Drehmomentfehler AUF (using RulePZD_268)
            DeviceAlertDisplay(PZD_269), // Logik: Bypassed Drehmomentfehler ZU (using RulePZD_269)
            DeviceAlertDisplay(PZD_270), // Logik: Bypassed Thermofehler (using RulePZD_270)
            DeviceAlertDisplay(PZD_718), // Keine Reaktion: Fehler (using RulePZD_718)
            DeviceAlertDisplay(PZD_481), // Logik: PH_DIR_NOK (falsche Phasenfolge) (using RulePZD_481)
            DeviceAlertDisplay(PZD_302), // Logik: Phasenausfall (using RulePZD_302)
            DeviceAlertDisplay(PZD_479)  // Logik: Netzqualität (using RulePZD_479)
    }
	VALIDITY IF (PZD_79 != 0) { TRUE; } ELSE { FALSE; }  // using RulePZD_79
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_PZD_87 "Sammel-Meldung 11: Konfigurationsfehler"
// 
MENU menu_PZD_87 // Sammel-Meldung 11: Konfigurationsfehler
{
    LABEL		[TXT_PZD_87];
	STYLE		GROUP;
    ACCESS		ONLINE;
    ITEMS
    {
			PZD_87 (HIDDEN),
            DeviceAlertDisplay(PZD_671), // System: Interner Fehler Konfiguration Stellungsgeber (using RulePZD_671)
            DeviceAlertDisplay(PZD_809)  // System: Konfigurationsfehler \"FERN-Interface fehlt\" (using RulePZD_809)
    }
 	VALIDITY IF (PZD_87 != 0) { TRUE; } ELSE { FALSE; }  // using RulePZD_87
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_PZD_90 "Sammel-Meldung 14: Interne Fehler"
// 
MENU menu_PZD_90 // Sammel-Meldung 14: Interne Fehler
{
    LABEL		[TXT_PZD_90];
	STYLE		GROUP;
    ACCESS		ONLINE;
    ITEMS
    {
			PZD_90 (HIDDEN),
            DeviceAlertDisplay(PZD_684), // Wahlschalter defekt (using RulePZD_684)
            DeviceAlertDisplay(PZD_664), // Meldung: Ausgang defekt (using RulePZD_664)
            DeviceAlertDisplay(PZD_557), // Motorschutzüberwachung defekt (using RulePZD_557)
            DeviceAlertDisplay(PZD_480), // Logik: HW-Fehler (using RulePZD_480)
            DeviceAlertDisplay(PZD_482), // Logik: 24VAC Error (using RulePZD_482)
            DeviceAlertDisplay(PZD_675), // System: Interner Fehler Lcb-Exception (using RulePZD_675)
            DeviceAlertDisplay(PZD_676), // System: Interner Fehler Logik-Exception (using RulePZD_676)
            DeviceAlertDisplay(PZD_677), // System: Interner Fehler Mwg-Exception (using RulePZD_677)
            DeviceAlertDisplay(PZD_678), // System: Interner Fehler Bus-Exception (using RulePZD_678)
            DeviceAlertDisplay(PZD_679), // Fehler Stellungsgeber (using RulePZD_679)
            DeviceAlertDisplay(PZD_707), // Interner Fehler MWG Messystem defekt (using RulePZD_707)
            DeviceAlertDisplay(PZD_708)  // Interner Fehler Endlagen defekt (using RulePZD_708)
    }
	VALIDITY IF (PZD_90 != 0) { TRUE; } ELSE { FALSE; }  // using RulePZD_90
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_533 "Namur-Meldungen"
// 
MENU menu_DIS_533 // Namur-Meldungen
{
    LABEL		[TXT_DIS_533];
	STYLE		MENU;
    ACCESS		ONLINE;
    ITEMS
    {
		IF ((PZD_83 == 0)&&(PZD_84 == 0)&&(PZD_86 == 0)) { [TXT_NO_ACTIVE_MESSAGES] }
		PZD_83 (HIDDEN), menu_DIS_534, // außerhalb Spez. (using RulePZD_83)
		PZD_84 (HIDDEN), menu_DIS_535, // Funktionskontrolle (using RulePZD_84)
		PZD_86 (HIDDEN), menu_DIS_537  // Ausfall (using RulePZD_86)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_534 "Sammel-Meldung7: Namur Out Of Spec"
// 
MENU menu_DIS_534 // Sammel-Meldung7: Namur Out Of Spec
{
    LABEL		[TXT_DIS_534];
	STYLE		PAGE;
    ACCESS		ONLINE;
    ITEMS
    {
			PZD_83 (HIDDEN)
			IF (PZD_83 == 0) { [TXT_NO_ACTIVE_MESSAGES] }
            PZD_78 (HIDDEN), menu_DIS_541  // Sammel-Meldung2: Warnung (using RulePZD_78)
    }
	VALIDITY	IF (PZD_83 != 0) { TRUE; } ELSE { FALSE; }  // using RulePZD_83
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_535 "Sammel-Meldung8: Namur Funktionskontrolle"
// 
MENU menu_DIS_535 // Sammel-Meldung8: Namur Funktionskontrolle
{
    LABEL		[TXT_DIS_535];
	STYLE		PAGE;
    ACCESS		ONLINE;
    ITEMS
    {
			PZD_84 (HIDDEN)
			IF (PZD_84 == 0) { [TXT_NO_ACTIVE_MESSAGES] }
            DeviceAlertDisplay(PZD_553), // Logik: Handschalter betätigt (using RulePZD_553)
            DeviceAlertDisplay(PZD_844), // Wahlschalter nicht Fern, maskiert (using RulePZD_844)
            DeviceAlertDisplay(PZD_685), // lokaler HALT (using RulePZD_685)
            DeviceAlertDisplay(PZD_285), // Logik: Betriebsmodus EMCY_STOP (using RulePZD_285)
            DeviceAlertDisplay(PZD_282)  // Logik: Betriebsmodus SERVICE (using RulePZD_282)
    }
	VALIDITY	IF (PZD_84 != 0) { TRUE; } ELSE { FALSE; }  // using RulePZD_84
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_537 "Sammel-Meldung10: Namur Ausfall"
// 
MENU menu_DIS_537 // Sammel-Meldung10: Namur Ausfall
{
    LABEL		[TXT_DIS_537];
	STYLE		PAGE;
    ACCESS		ONLINE;
    ITEMS
    {
			PZD_86 (HIDDEN)
			IF (PZD_86 == 0) { [TXT_NO_ACTIVE_MESSAGES] }
            PZD_79 (HIDDEN), menu_DIS_543 // Sammel-Meldung3: Fehler (using RulePZD_79)
    }
	VALIDITY	IF (PZD_86 != 0) { TRUE; } ELSE { FALSE; }  // using RulePZD_86
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   EDD Table Maintenance
// 
#ifdef _PDM6_COMPAT_ // PDM6 compatibility mode
MENU	Table_Main_Maintenance
{
    LABEL	[TXT_TST_1230];
    ITEMS
    {
            menu_DIS_9_M, // Display...
            menu_DIS_21_M, // Informationen
            menu_DIS_41_M, // Einstellungen
            menu_DIS_53_M, // Gerätekonfiguration
            menu_DIS_592_M, // Gerätestatus
            menu_DIS_22_M  // Diagnose
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_9_M "Display..."
// 
MENU menu_DIS_9_M // Display...
{
    LABEL		[TXT_DIS_9];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_33 (READ_ONLY), // Sprache
/*            DIS_221 "Datum und Uhrzeit" (Usage: AC01.2 ToolSuite EDD PDA; ReadAccess: 1; RuleSet: ); ### CMD not implemented yet ###*/
            PRM_1996 (READ_ONLY), // Datumsformat
            PRM_1433 (READ_ONLY), // Zeitformat
            PRM_1467 (READ_ONLY), // Zahlenformat
            PRM_2182 (READ_ONLY), // Einheit Drehmoment
            PRM_2006 (READ_ONLY), // Einheit Temperatur
            PRM_2418 (READ_ONLY)  // Diagnoseauswahl
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_21_M "Informationen"
// 
MENU menu_DIS_21_M // Informationen
{
    LABEL		[TXT_DIS_21];
    ACCESS		ONLINE;
    ITEMS
    {
#ifdef PA_IANDM
			menu_IM_record,
#endif
            menu_DIS_26_M, // Gerätekennung
            menu_DIS_62_M  // Produktion
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_26_M "Gerätekennung"
// 
MENU menu_DIS_26_M // Gerätekennung
{
    LABEL		[TXT_DIS_26];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_1164 (READ_ONLY), // Produktbez.
            PRM_1165 (READ_ONLY), // Geräte-TAG
            PRM_1166 (READ_ONLY), // Projektname
            menu_DIS_28_M, // Steuerung
            menu_DIS_29_M  // Antrieb
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_28_M "Steuerung"
// 
MENU menu_DIS_28_M // Steuerung
{
    LABEL		[TXT_DIS_28];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_1760 (READ_ONLY), // KommNr Steuerung
            PRM_1762 (READ_ONLY), // WerksNr Steuerung
            PRM_1764 (READ_ONLY), // Schaltplan Steuerung
            PRM_2176 (READ_ONLY)  // Datum der Endabnahme
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_29_M "Antrieb"
// 
MENU menu_DIS_29_M // Antrieb
{
    LABEL		[TXT_DIS_29];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_1761 (READ_ONLY), // KommNr Antrieb
            PRM_1763 (READ_ONLY), // WerksNr Antrieb
            PRM_1765 (READ_ONLY)  // Schaltplan Antrieb
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_62_M "Produktion"
// 
MENU menu_DIS_62_M // Produktion
{
    LABEL		[TXT_DIS_62];
    ACCESS		ONLINE;
    ITEMS
    {
            VersionEddGen, // EDD Generator version
			DesignatedDevVersion, // vorgesehene FW version
            PRM_1759, // Firmware Version
            PRM_2568  // Version Sprache
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_41_M "Einstellungen"
// 
MENU menu_DIS_41_M // Einstellungen
{
    LABEL		[TXT_DIS_41];
    ACCESS		ONLINE;
    ITEMS
    {
            menu_DIS_12_M, // Abschaltart
            menu_DIS_13_M, // Drehmo-Einstellung
            menu_DIS_75_M, // Ortssteuerstelle
            menu_DIS_15_M, // Interface (using RULE_19)
            menu_DIS_16_M, // Profibus (using RULE_21)
            menu_DIS_145_M, // Stellungsregler (using RULE_14)
            menu_DIS_378_M, // Sicherheitsverhalten
            menu_DIS_198_M, // NOT-Funktion (using RULE_12)
            menu_DIS_142_M, // Taktgeber (using RULE_30)
            menu_DIS_143_M, // Stützpunkte
            menu_DIS_355_M, // ED-Überwachung
            menu_DIS_676_M, // Bewegungserkennung
            menu_DIS_568_M, // Stellzeitüberwachung
            menu_DIS_632_M, // Reaktionsüberwachung (using RULE_301)
            menu_DIS_664_M  // Interlock (using RULE_205)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_12_M "Abschaltart"
// 
MENU menu_DIS_12_M // Abschaltart
{
    LABEL		[TXT_DIS_12];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_578 (READ_ONLY), // Abschaltart ZU
            PRM_9 (READ_ONLY)  // Abschaltart AUF
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_13_M "Drehmo-Einstellung"
// 
MENU menu_DIS_13_M // Drehmo-Einstellung
{
    LABEL		[TXT_DIS_13];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_1182 (READ_ONLY), // Anfahrüberbrückung
            PRM_82 (READ_ONLY), // DrehmoBypassZeit
            PRM_2041 (READ_ONLY), // PRM_TorqueNmClose (using RULE_11)
            PRM_2036 (READ_ONLY), // PRM_TorqueNmOpen (using RULE_11)
            PRM_2041 (READ_ONLY), // PRM_TorqueNmClose (using RULE_295)
            PRM_2036 (READ_ONLY), // PRM_TorqueNmOpen (using RULE_295)
            PRM_3667 (READ_ONLY), // THRE_MwgTorqueWarnCl (using RULE_11)
            PRM_3657 (READ_ONLY)  // THRE_MwgTorqueWarnOp (using RULE_11)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_75_M "Ortssteuerstelle"
// 
MENU menu_DIS_75_M // Ortssteuerstelle
{
    LABEL		[TXT_DIS_75];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_12 (READ_ONLY), // SelbsthVerhaltOrt
            PRM_3143 (READ_ONLY), // Verh. Lokaler Halt
            PRM_3136 (READ_ONLY), // Verh. Freigabe ORT (using RULE_202)
            PRM_3693 (READ_ONLY), // ForcedRmtCtrl_Mode (using RULE_373)
            PRM_3694 (READ_ONLY)  // ForcedRmtCtrl_ImplFBus (using RULE_373)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_15_M "Interface"
// 
MENU menu_DIS_15_M // Interface
{
    LABEL		[TXT_DIS_15];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_519 (READ_ONLY), // SelbsthVerhaltFern1 (using RULE_19)
            PRM_533 (READ_ONLY)  // SelbsthVerhaltFern2 (using RULE_20)
    }
	VALIDITY		IF (PRM_45 == 1) { TRUE; } ELSE { FALSE; }  // using RULE_19
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_16_M "Profibus"
// 
MENU menu_DIS_16_M // Profibus
{
    LABEL		[TXT_DIS_16];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_1321 (READ_ONLY), // Profibus_Adresse_1 (using RULE_21)
            PRM_1322 (READ_ONLY)  // Profibus_Adresse_2 (using RULE_302)
    }
	VALIDITY	IF (PRM_181 == 1) { TRUE; } ELSE { FALSE; }  // using RULE_21
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_145_M "Stellungsregler"
// 
MENU menu_DIS_145_M // Stellungsregler
{
    LABEL		[TXT_DIS_145];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_84 (READ_ONLY), // StellungreglerMode (using RULE_14)
            PRM_87 (READ_ONLY), // StelReglExtTotzone (using RULE_167)
            PRM_86 (READ_ONLY), // StelReglTotzeit (using RULE_14)
            PRM_212 (READ_ONLY), // StelReglInnTotzAuf (using RULE_167)
            PRM_213 (READ_ONLY), // StelReglInnTotzZu (using RULE_167)
            PRM_2916 (READ_ONLY), // StelReglHysAuf (using RULE_169)
            PRM_2917 (READ_ONLY), // StelReglHysZu (using RULE_169)
            PRM_215 (READ_ONLY), // SollwertToleranzZu (using RULE_14)
            PRM_214 (READ_ONLY), // SollwertToleranzAuf (using RULE_14)
            PRM_1179 (READ_ONLY)  // Zulässige Anläufe/h (using RULE_14)
    }
	VALIDITY	IF (PRM_1169 == 1) { TRUE; } ELSE { FALSE; }  // using RULE_14
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_378_M "Sicherheitsverhalten"
// 
MENU menu_DIS_378_M // Sicherheitsverhalten
{
    LABEL		[TXT_DIS_378];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_1869 (READ_ONLY), // AuslösungFailsafe
            PRM_1870 (READ_ONLY), // VerhaltenFailsafe
            PRM_1871 (READ_ONLY), // AuslösequellFailsafe
            PRM_1874 (HIDDEN), uiPRM_1874 (READ_ONLY), // VerzögerungFailsafe
            PRM_1872 (READ_ONLY)  // PositionFailsafe
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_198_M "NOT-Funktion"
// 
MENU menu_DIS_198_M // NOT-Funktion
{
    LABEL		[TXT_DIS_198];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_68 (READ_ONLY), // Auslösung NOT (using RULE_12)
            PRM_67 (READ_ONLY), // Betriebsart NOT (using RULE_12)
            PRM_2924 (READ_ONLY), // Auslösequelle NOT (using RULE_12)
            PRM_230 (READ_ONLY), // Verhalten NOT (using RULE_12)
            PRM_231 (READ_ONLY), // Position NOT (using RULE_12)
            PRM_70 (READ_ONLY), // Bypass Drehmo NOT (using RULE_12)
            PRM_69 (READ_ONLY), // Bypass Thermo NOT (using RULE_12)
            PRM_71 (READ_ONLY), // Bypass Takt NOT (using RULE_12)
            PRM_2950 (READ_ONLY), // Bypass Fahrprofil NOT (using RULE_12)
            PRM_3255 (READ_ONLY), // IgnoreNotfahrtIntlck (using RULE_12)
            PRM_3295 (READ_ONLY), // Bypass Lokaler Halt (using RULE_12)
            PRM_4015 (HIDDEN), uiPRM_4015 (READ_ONLY)  // DelayTime_DlyESD (using RULE_12)
    }
	VALIDITY	IF (PRM_2923 != 0) { TRUE; } ELSE { FALSE; }  // using RULE_12
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_142_M "Taktgeber"
// 
MENU menu_DIS_142_M // Taktgeber
{
    LABEL		[TXT_DIS_142];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_590 (READ_ONLY), // TaktbetriebZuMode (using RULE_16)
            PRM_592 (HIDDEN), uiPRM_592 (READ_ONLY), // TaktfahrzeitZu (using RULE_16)
            PRM_591 (HIDDEN), uiPRM_591 (READ_ONLY), // TaktpausenzeitZu (using RULE_16)
            PRM_594 (READ_ONLY), // TaktstreckeZuStart (using RULE_16)
            PRM_593 (READ_ONLY), // TaktstreckeZuEnde (using RULE_16)
            PRM_13 (READ_ONLY), // TaktbetriebAufMode (using RULE_17)
            PRM_7 (HIDDEN), uiPRM_7 (READ_ONLY), // TaktfahrzeitAuf (using RULE_17)
            PRM_8 (HIDDEN), uiPRM_8 (READ_ONLY), // TaktpausenzeitAuf (using RULE_17)
            PRM_5 (READ_ONLY), // TaktstreckeAufStart (using RULE_17)
            PRM_6 (READ_ONLY)  // TaktstreckeAufEnde (using RULE_17)
    }
	VALIDITY	IF (((PRM_1177 == 1)) || ((PRM_1176 == 1))) { TRUE; } ELSE { FALSE; }  // using RULE_30
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_143_M "Stützpunkte"
// 
MENU menu_DIS_143_M // Stützpunkte
{
    LABEL		[TXT_DIS_143];
    ACCESS		ONLINE;
    ITEMS
    {
            menu_DIS_160_M, // Positionen
            menu_DIS_257_M, // Fahrverhalten (using RULE_18)
            menu_DIS_266_M, // Meldeverhalten
            menu_DIS_268_M  // Pausenzeit (using RULE_18)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_160_M "Positionen"
// 
MENU menu_DIS_160_M // Positionen
{
    LABEL		[TXT_DIS_160];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_20 (READ_ONLY), // Stütz1_Position
            PRM_466 (READ_ONLY), // Stütz2_Position
            PRM_470 (READ_ONLY), // Stütz3_Position
            PRM_474 (READ_ONLY), // Stütz4_Position
            PRM_478 (READ_ONLY), // Stütz5_Position
            PRM_482 (READ_ONLY), // Stütz6_Position
            PRM_486 (READ_ONLY), // Stütz7_Position
            PRM_490 (READ_ONLY)  // Stütz8_Position
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_257_M "Fahrverhalten"
// 
MENU menu_DIS_257_M // Fahrverhalten
{
    LABEL		[TXT_DIS_257];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_29 (READ_ONLY), // Stütz1_Fahrverhalten (using RULE_18)
            PRM_467 (READ_ONLY), // Stütz2_Fahrverhalten (using RULE_18)
            PRM_471 (READ_ONLY), // Stütz3_Fahrverhalten (using RULE_18)
            PRM_475 (READ_ONLY), // Stütz4_Fahrverhalten (using RULE_18)
            PRM_479 (READ_ONLY), // Stütz5_Fahrverhalten (using RULE_18)
            PRM_483 (READ_ONLY), // Stütz6_Fahrverhalten (using RULE_18)
            PRM_487 (READ_ONLY), // Stütz7_Fahrverhalten (using RULE_18)
            PRM_491 (READ_ONLY)  // Stütz8_Fahrverhalten (using RULE_18)
    }
	VALIDITY		IF (PRM_1931 == 1) { TRUE; } ELSE { FALSE; }  // using RULE_18
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_266_M "Meldeverhalten"
// 
MENU menu_DIS_266_M // Meldeverhalten
{
    LABEL		[TXT_DIS_266];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_28 (READ_ONLY), // Stütz1_Meldeverhaltn
            PRM_468 (READ_ONLY), // Stütz2_Meldeverhaltn
            PRM_472 (READ_ONLY), // Stütz3_Meldeverhaltn
            PRM_476 (READ_ONLY), // Stütz4_Meldeverhaltn
            PRM_480 (READ_ONLY), // Stütz5_Meldeverhaltn
            PRM_484 (READ_ONLY), // Stütz6_Meldeverhaltn
            PRM_488 (READ_ONLY), // Stütz7_Meldeverhaltn
            PRM_492 (READ_ONLY)  // Stütz8_Meldeverhaltn
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_268_M "Pausenzeit"
// 
MENU menu_DIS_268_M // Pausenzeit
{
    LABEL		[TXT_DIS_268];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_1887 (HIDDEN), uiPRM_1887 (READ_ONLY), // Stütz1_Pausenzeit (using RULE_18)
            PRM_1888 (HIDDEN), uiPRM_1888 (READ_ONLY), // Stütz2_Pausenzeit (using RULE_18)
            PRM_1889 (HIDDEN), uiPRM_1889 (READ_ONLY), // Stütz3_Pausenzeit (using RULE_18)
            PRM_1890 (HIDDEN), uiPRM_1890 (READ_ONLY), // Stütz4_Pausenzeit (using RULE_18)
            PRM_1891 (HIDDEN), uiPRM_1891 (READ_ONLY), // Stütz5_Pausenzeit (using RULE_18)
            PRM_1892 (HIDDEN), uiPRM_1892 (READ_ONLY), // Stütz6_Pausenzeit (using RULE_18)
            PRM_1893 (HIDDEN), uiPRM_1893 (READ_ONLY), // Stütz7_Pausenzeit (using RULE_18)
            PRM_1894 (HIDDEN), uiPRM_1894 (READ_ONLY)  // Stütz8_Pausenzeit (using RULE_18)
    }
	VALIDITY		IF (PRM_1931 == 1) { TRUE; } ELSE { FALSE; }  // using RULE_18
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_355_M "ED-Überwachung"
// 
MENU menu_DIS_355_M // ED-Überwachung
{
    LABEL		[TXT_DIS_355];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_2121 (READ_ONLY), // ED-Enable
            PRM_2122 (READ_ONLY), // Max Laufzeit pro Std
            PRM_2123 (READ_ONLY)  // Max Anläufe pro Std
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_676_M "Bewegungserkennung"
// 
MENU menu_DIS_676_M // Bewegungserkennung
{
    LABEL		[TXT_DIS_676];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_2554 (READ_ONLY), // Mode_MotionDetector
            PRM_2555 (HIDDEN), uiPRM_2555 (READ_ONLY), // Dt_MotionDetector (using RULE_239)
            PRM_2556 (READ_ONLY), // Dx_MotionDetector (using RULE_239)
            PRM_3187 (HIDDEN), uiPRM_3187 (READ_ONLY), // Dt_MotionDetectMwg (using RULE_238)
            PRM_3188 (READ_ONLY), // Dx_MotionDetectMwg (using RULE_238)
            PRM_3629 (READ_ONLY)  // HwMonoflop: SetTime_ms
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_568_M "Stellzeitüberwachung"
// 
MENU menu_DIS_568_M // Stellzeitüberwachung
{
    LABEL		[TXT_DIS_568];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_2546 (READ_ONLY), // ApplMode_OpTimeMon
            PRM_2547 (HIDDEN), uiPRM_2547 (READ_ONLY)  // ApplOpTime_OpTimeMon
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_632_M "Reaktionsüberwachung"
// 
MENU menu_DIS_632_M // Reaktionsüberwachung
{
    LABEL		[TXT_DIS_632];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_3157 (READ_ONLY), // Betriebsart Standard (using RULE_301)
            PRM_3158 (READ_ONLY)  // Reakt.Reaktionszeit (using RULE_301)
    }
	VALIDITY		IF (PRM_3156 == 0) { TRUE; } ELSE { FALSE; }  // using RULE_301
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_664_M "Interlock"
// 
MENU menu_DIS_664_M // Interlock
{
    LABEL		[TXT_DIS_664];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_3218 (READ_ONLY), // Betriebsart Interlock (using RULE_205)
            PRM_3219 (READ_ONLY), // Verhalten Interlock (using RULE_205)
            PRM_3255 (READ_ONLY)  // IgnoreNotfahrtIntlck (using RULE_205)
    }
	VALIDITY		IF (PRM_3217 == 1) { TRUE; } ELSE { FALSE; }  // using RULE_205
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_53_M "Gerätekonfiguration"
// 
MENU menu_DIS_53_M // Gerätekonfiguration
{
    LABEL		[TXT_DIS_53];
    ACCESS		ONLINE;
    ITEMS
    {
            menu_DIS_159_M, // Ortssteuerstelle
            menu_DIS_139_M, // Interface (using RULE_19)
            menu_DIS_600_M, // Profibus (using RULE_173)
            menu_DIS_708_M, // LWL-Modul (using RULE_307)
            menu_DIS_168_M, // Antrieb
            menu_DIS_380_M, // Serviceschnittstelle
            menu_DIS_178_M  // Anwendungsfunktionen
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_159_M "Ortssteuerstelle"
// 
MENU menu_DIS_159_M // Ortssteuerstelle
{
    LABEL		[TXT_DIS_159];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_160 (READ_ONLY), // Fkt Meldeleuchte 1
            PRM_557 (READ_ONLY), // Fkt Meldeleuchte 2
            PRM_561 (READ_ONLY), // Fkt Meldeleuchte 3
            PRM_565 (READ_ONLY), // Fkt Meldeleuchte 4
            PRM_569 (READ_ONLY), // Fkt Meldeleuchte 5
            PRM_1175 (READ_ONLY)  // Blinker USA/Europa
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_139_M "Interface"
// 
MENU menu_DIS_139_M // Interface
{
    LABEL		[TXT_DIS_139];
    ACCESS		ONLINE;
    ITEMS
    {
            menu_DIS_116_M, // Eingänge binär (using RULE_31)
            menu_DIS_389_M, // Eingänge analog (using RULE_34)
            menu_DIS_110_M, // Ausgänge binär (using RULE_33)
            menu_DIS_335_M  // Ausgänge analog (using RULE_35)
    }
	VALIDITY		IF (PRM_45 == 1) { TRUE; } ELSE { FALSE; }  // using RULE_19
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_116_M "Eingänge binär"
// 
MENU menu_DIS_116_M // Eingänge binär
{
    LABEL		[TXT_DIS_116];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_873 (READ_ONLY), // Funktion_DigIn1 (using RULE_31)
            PRM_932 (READ_ONLY), // Funktion_DigIn2 (using RULE_31)
            PRM_926 (READ_ONLY), // Funktion_DigIn3 (using RULE_31)
            PRM_920 (READ_ONLY), // Funktion_DigIn4 (using RULE_31)
            PRM_914 (READ_ONLY), // Funktion_DigIn5 (using RULE_32)
            PRM_908 (READ_ONLY), // Funktion_DigIn6 (using RULE_32)
            PRM_902 (READ_ONLY), // Funktion_DigIn7 (using RULE_20)
            PRM_896 (READ_ONLY), // Funktion_DigIn8 (using RULE_20)
            PRM_890 (READ_ONLY), // Funktion_DigIn9 (using RULE_20)
            PRM_884 (READ_ONLY), // Funktion_DigIn10 (using RULE_20)
            PRM_878 (READ_ONLY), // InvertDigIn1 (using RULE_31)
            PRM_933 (READ_ONLY), // InvertDigIn2 (using RULE_31)
            PRM_927 (READ_ONLY), // InvertDigIn3 (using RULE_31)
            PRM_921 (READ_ONLY), // InvertDigIn4 (using RULE_31)
            PRM_915 (READ_ONLY), // InvertDigIn5 (using RULE_32)
            PRM_909 (READ_ONLY), // InvertDigIn6 (using RULE_32)
            PRM_903 (READ_ONLY), // InvertDigIn7 (using RULE_20)
            PRM_897 (READ_ONLY), // InvertDigIn8 (using RULE_20)
            PRM_891 (READ_ONLY), // InvertDigIn9 (using RULE_20)
            PRM_885 (READ_ONLY)  // InvertDigIn10 (using RULE_20)
    }
	VALIDITY		IF (((PRM_45 == 1) && (PRM_2281 >= 4))) { TRUE; } ELSE { FALSE; }  // using RULE_31
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_389_M "Eingänge analog"
// 
MENU menu_DIS_389_M // Eingänge analog
{
    LABEL		[TXT_DIS_389];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_1133 (READ_ONLY), // LowerLimit_AnaIn1 (using RULE_34)
            PRM_1130 (READ_ONLY), // UpperLimit_AnaIn1 (using RULE_34)
            PRM_1129 (READ_ONLY), // Funktion_AnaIn1 (using RULE_34)
            PRM_1141 (READ_ONLY), // LowerLimit_AnaIn2 (using RULE_34)
            PRM_1140 (READ_ONLY), // UpperLimit_AnaIn2 (using RULE_34)
            PRM_1137 (READ_ONLY)  // Funktion_AnaIn2 (using RULE_34)
    }
	VALIDITY		IF (((PRM_45 == 1) && (PRM_2239 >= 2))) { TRUE; } ELSE { FALSE; }  // using RULE_34
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_110_M "Ausgänge binär"
// 
MENU menu_DIS_110_M // Ausgänge binär
{
    LABEL		[TXT_DIS_110];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_1012 (READ_ONLY), // Funktion_DigOut1 (using RULE_33)
            PRM_1102 (READ_ONLY), // Funktion_DigOut2 (using RULE_33)
            PRM_1097 (READ_ONLY), // Funktion_DigOut3 (using RULE_33)
            PRM_1092 (READ_ONLY), // Funktion_DigOut4 (using RULE_33)
            PRM_1087 (READ_ONLY), // Funktion_DigOut5 (using RULE_33)
            PRM_1082 (READ_ONLY), // Funktion_DigOut6 (using RULE_33)
            PRM_1077 (READ_ONLY), // Funktion_DigOut7 (using RULE_20)
            PRM_1072 (READ_ONLY), // Funktion_DigOut8 (using RULE_20)
            PRM_1107 (READ_ONLY), // Funktion_DigOut9 (using RULE_20)
            PRM_1122 (READ_ONLY), // Funktion_DigOut10 (using RULE_20)
            PRM_1117 (READ_ONLY), // Funktion_DigOut11 (using RULE_20)
            PRM_1112 (READ_ONLY), // Funktion_DigOut12 (using RULE_20)
            PRM_1013 (READ_ONLY), // InvertDigOut1 (using RULE_33)
            PRM_1103 (READ_ONLY), // InvertDigOut2 (using RULE_33)
            PRM_1098 (READ_ONLY), // InvertDigOut3 (using RULE_33)
            PRM_1093 (READ_ONLY), // InvertDigOut4 (using RULE_33)
            PRM_1088 (READ_ONLY), // InvertDigOut5 (using RULE_33)
            PRM_1083 (READ_ONLY), // InvertDigOut6 (using RULE_33)
            PRM_1078 (READ_ONLY), // InvertDigOut7 (using RULE_20)
            PRM_1073 (READ_ONLY), // InvertDigOut8 (using RULE_20)
            PRM_1108 (READ_ONLY), // InvertDigOut9 (using RULE_20)
            PRM_1123 (READ_ONLY), // InvertDigOut10 (using RULE_20)
            PRM_1118 (READ_ONLY), // InvertDigOut11 (using RULE_20)
            PRM_1113 (READ_ONLY)  // InvertDigOut12 (using RULE_20)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_335_M "Ausgänge analog"
// 
MENU menu_DIS_335_M // Ausgänge analog
{
    LABEL		[TXT_DIS_335];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_1254 (READ_ONLY), // Funktion AnPwmOut1 (using RULE_35)
            PRM_1255 (READ_ONLY), // Bereich_AnPwmOut1 (using RULE_35)
            PRM_1262 (READ_ONLY), // Funktion AnPwmOut2 (using RULE_35)
            PRM_1263 (READ_ONLY)  // Bereich_AnPwmOut2 (using RULE_35)
 
 
    }
	VALIDITY		IF (((PRM_45 == 1) && (PRM_2293 >= 2))) { TRUE; } ELSE { FALSE; }  // using RULE_35
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_600_M "Profibus"
// 
MENU menu_DIS_600_M // Profibus
{
    LABEL		[TXT_DIS_600];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_2885 (READ_ONLY), // Redundanz-Mode (using RULE_173)
            PRM_3527 (READ_ONLY)  // Sende-Mode (using RULE_468)
    }
	VALIDITY		IF (((PRM_181 == 1) && (PRM_3059 == 1))) { TRUE; } ELSE { FALSE; }  // using RULE_173
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_708_M "LWL-Modul"
// 
MENU menu_DIS_708_M // LWL-Modul
{
    LABEL		[TXT_DIS_708];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_3482 (READ_ONLY), // Lwl Überwachung (using RULE_307)
            PRM_3481 (READ_ONLY), // Lwl Bus-Topologie (using RULE_307)
            PRM_3496 (READ_ONLY)  // Lwl-Baudrate (using RULE_307)
    }
	VALIDITY		IF (PRM_3495 == 1) { TRUE; } ELSE { FALSE; }  // using RULE_307
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_168_M "Antrieb"
// 
MENU menu_DIS_168_M // Antrieb
{
    LABEL		[TXT_DIS_168];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_208 (READ_ONLY), // MODE_Thermofehler
            PRM_79 (READ_ONLY)  // Drehsinn Schließen
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_380_M "Serviceschnittstelle"
// 
MENU menu_DIS_380_M // Serviceschnittstelle
{
    LABEL		[TXT_DIS_380];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_1165 (READ_ONLY), // Geräte-TAG
            PRM_2175 (READ_ONLY)  // ServicemotionOrtClnt
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_178_M "Anwendungsfunktionen"
// 
MENU menu_DIS_178_M // Anwendungsfunktionen
{
    LABEL		[TXT_DIS_178];
    ACCESS		ONLINE;
    ITEMS
    {
            menu_DIS_212_M  // Aktivierung
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_212_M "Aktivierung"
// 
MENU menu_DIS_212_M // Aktivierung
{
    LABEL		[TXT_DIS_212];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_2923 (READ_ONLY), // Aktivierung NOT
            PRM_1177 (READ_ONLY), // TaktZuAktiv
            PRM_1176 (READ_ONLY), // TaktAufAktiv
            PRM_1169 (READ_ONLY), // AktivierngStelRegler (using RULE_13)
            PRM_1931 (READ_ONLY), // Fahrprofil Aktivierung (using RULE_13)
            PRM_2591 (READ_ONLY), // BT-Aktivierung
            PRM_3135 (READ_ONLY), // Aktiv. Freigabe ORT (using RULE_200)
            PRM_3692 (READ_ONLY), // ForcedRmtCtrl_Activate (using RULE_372)
            PRM_3771 (READ_ONLY), // AutoChangeOver Aktiv (using RULE_379)
            PRM_3217 (READ_ONLY), // Aktivierung Interlock  (using RULE_204)
            PRM_3971 (READ_ONLY)  // DrehmoWarn Aktiv (using RULE_397)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_592_M "Gerätestatus"
// 
MENU menu_DIS_592_M // Gerätestatus
{
    LABEL		[TXT_DIS_592];
    ACCESS		ONLINE;
    ITEMS
    {
            menu_DIS_612_M, // Allgemein
            menu_DIS_540, // Auma-Meldungen
            menu_DIS_533, // Namur-Meldungen
            menu_DIS_613_M, // Stellungsregler (using RULE_14)
            menu_DIS_593_M  // ED Überwachung (using RULE_155)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_612_M "Allgemein"
// 
MENU menu_DIS_612_M // Allgemein
{
    LABEL		[TXT_DIS_612];
    ACCESS		ONLINE;
    ITEMS
    {
            PZD_268 (NO_LABEL, READ_ONLY), // BypassedDoeFehler
            PZD_269 (NO_LABEL, READ_ONLY), // BypassedDsFehler
            PZD_2 (READ_ONLY), // Istwert E2
            PZD_545 (READ_ONLY), // Drehmoment Istwert
            PZD_120 (READ_ONLY), // Betriebsmodus
            menu_PZD_144_M, // Fahrbefehl
            PZD_264 (NO_LABEL, READ_ONLY), // AntriebFaehrtAUF
            PZD_265 (NO_LABEL, READ_ONLY), // AntriebFaehrtZU
            PZD_401 (NO_LABEL, READ_ONLY), // Position erreicht
            PZD_375 (NO_LABEL, READ_ONLY), // WOE_Konditioniert
            PZD_376 (NO_LABEL, READ_ONLY), // WS_Konditioniert
            PZD_459 (NO_LABEL, READ_ONLY), // DOE_Signal
            PZD_460 (NO_LABEL, READ_ONLY)  // DS_Signal
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_PZD_144_M "Fahrbefehl"
// 
MENU menu_PZD_144_M // Fahrbefehl
{
    LABEL		[TXT_PZD_144];
	STYLE		GROUP;
    ACCESS		ONLINE;
    ITEMS
    {
            PZD_144_cmd (READ_ONLY), // Logik: Fahrbefehl (cmd)
            PZD_144_dir (READ_ONLY), // Logik: Fahrbefehl (direction)
            PZD_144_speed (READ_ONLY), // Logik: Fahrbefehl (speed)
            PZD_144_position (READ_ONLY)  // Logik: Fahrbefehl (position)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_613_M "Stellungsregler"
// 
MENU menu_DIS_613_M // Stellungsregler
{
    LABEL		[TXT_DIS_613];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_84 (READ_ONLY), // StellungreglerMode (using RULE_14)
            PZD_7 (READ_ONLY), // Fern1SollwertE1 (using RULE_14)
            PZD_709 (READ_ONLY), // Istwert E2(synchron) (using RULE_14)
            PZD_659 (READ_ONLY)  // XTActual (using RULE_14)
    }
	VALIDITY		IF (PRM_1169 == 1) { TRUE; } ELSE { FALSE; }  // using RULE_14
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_593_M "ED Überwachung"
// 
MENU menu_DIS_593_M // ED Überwachung
{
    LABEL		[TXT_DIS_593];
    ACCESS		ONLINE;
    ITEMS
    {
            PZD_488 (READ_ONLY), // ED Time (using RULE_155)
            PZD_489 (READ_ONLY)  // ED Starts (using RULE_155)
    }
	VALIDITY		IF (PRM_2121 == 1) { TRUE; } ELSE { FALSE; }  // using RULE_155
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_22_M "Diagnose"
// 
MENU menu_DIS_22_M // Diagnose
{
    LABEL		[TXT_DIS_22];
    ACCESS		ONLINE;
    ITEMS
    {
            menu_DIS_244_M,  // Bluetooth
            menu_DIS_240_M, // Profibus Kanal 1 (using RULE_21)
            menu_DIS_549_M, // Profibus Kanal 2 (using RULE_105)
            menu_DIS_602_M, // Profibus Details (using RULE_21)
            menu_DIS_638_M, // LWL (using RULE_307)
            menu_DIS_177_M, // Betriebsdaten
            menu_DIS_524_M  // Gerätetemperaturen
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_244_M "Bluetooth"
// 
MENU menu_DIS_244_M // Bluetooth
{
    LABEL		[TXT_DIS_244];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_1165 (READ_ONLY), // Geräte-TAG (using RULE_149)
            PRM_2188 (READ_ONLY), // Lokale BDA (using RULE_149)
            PRM_2604 (READ_ONLY), // BDA Gegenstelle (using RULE_149)
            PRM_2591 (READ_ONLY)  // BT-Aktivierung (using RULE_94)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_240_M "Profibus Kanal 1"
// 
MENU menu_DIS_240_M // Profibus Kanal 1
{
    LABEL		[TXT_DIS_240];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_1321 (READ_ONLY), // Profibus_Adresse_1 (using RULE_21)
            PZD_578 (READ_ONLY), // Pb Baudrate K1 (using RULE_21)
            PZD_576 (READ_ONLY), // Pb WD-Status K1 (using RULE_21)
            PZD_577 (READ_ONLY), // Pb DP-Status K1 (using RULE_21)
            PZD_580 (READ_ONLY), // Pb GC Clear K1 (using RULE_21)
            PZD_579 (READ_ONLY), // Pb 0 Tele K1 (using RULE_21)
            PZD_581 (READ_ONLY), // Pb GC Freeze K1 (using RULE_21)
            PZD_582 (READ_ONLY)  // Pb GC Sync K1 (using RULE_21)
    }
	VALIDITY		IF (PRM_181 == 1) { TRUE; } ELSE { FALSE; }  // using RULE_21
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_549_M "Profibus Kanal 2"
// 
MENU menu_DIS_549_M // Profibus Kanal 2
{
    LABEL		[TXT_DIS_549];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_1322 (READ_ONLY), // Profibus_Adresse_2 (using RULE_105)
            PZD_585 (READ_ONLY), // Pb Baudrate K2 (using RULE_105)
            PZD_583 (READ_ONLY), // Pb WD-Status K2 (using RULE_105)
            PZD_584 (READ_ONLY), // Pb DP-Status K2 (using RULE_105)
            PZD_587 (READ_ONLY), // Pb GC Clear K2 (using RULE_105)
            PZD_586 (READ_ONLY), // Pb 0 Tele K2 (using RULE_105)
            PZD_588 (READ_ONLY), // Pb GC Freeze K2 (using RULE_105)
            PZD_589 (READ_ONLY)  // Pb GC Sync K2 (using RULE_105)
    }
	VALIDITY		IF (((PRM_181 == 1) && (PRM_3059 == 1) && (PRM_2885 != 0))) { TRUE; } ELSE { FALSE; }  // using RULE_105
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_602_M "Profibus Details"
// 
MENU menu_DIS_602_M // Profibus Details
{
    LABEL		[TXT_DIS_602];
    ACCESS		ONLINE;
    ITEMS
    {
            PZD_737 (NO_LABEL, READ_ONLY), // DPV1_Control (using RULE_21)
            PZD_738 (NO_LABEL, READ_ONLY), // DP-V1 C2-Verbindung  (using RULE_21)
            PZD_604 (NO_LABEL, READ_ONLY), // Fahrbef.Kanal1 aktiv (using RULE_21)
            PZD_605 (NO_LABEL, READ_ONLY), // Fahrbef.Kanal2 aktiv (using RULE_105)
            PZD_741 (READ_ONLY), // Primary Channel (PNO) (using RULE_105)
            PZD_742 (READ_ONLY), // Secondary Channel (PNO) (using RULE_105)
            PRM_3006 (READ_ONLY), // Profibus Ident Nr (using RULE_21)
            PRM_2885 (READ_ONLY), // Redundanz-Mode (using RULE_173)
            PZD_744 (READ_ONLY), // DP-V1 Enable (SetPrm) (using RULE_21)
            PZD_746 (READ_ONLY), // DP-ALARM (SetPrm) (using RULE_105)
            PZD_745 (READ_ONLY), // DP-RED (SetPrm) (using RULE_105)
            PRM_3527 (READ_ONLY)  // Sende-Mode (using RULE_468)
    }
	VALIDITY		IF (PRM_181 == 1) { TRUE; } ELSE { FALSE; }  // using RULE_21
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_638_M "LWL"
// 
MENU menu_DIS_638_M // LWL
{
    LABEL		[TXT_DIS_638];
    ACCESS		ONLINE;
    ITEMS
    {
            PZD_794 (READ_ONLY), // Lwl_Signal_Kanal-1 (using RULE_307)
            PZD_795 (READ_ONLY), // Lwl_Signal_Kanal-2 (using RULE_307)
            PZD_833 (READ_ONLY), // Lwl_RS485_Formatfehl (using RULE_307)
            PZD_797 (READ_ONLY), // LwlBaudrate (using RULE_307)
            PRM_3479 (READ_ONLY)  // Version Lwl-FPGA (using RULE_307)
    }
	VALIDITY		IF (PRM_3495 == 1) { TRUE; } ELSE { FALSE; }  // using RULE_307
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_177_M "Betriebsdaten"
// 
MENU menu_DIS_177_M // Betriebsdaten
{
    LABEL		[TXT_DIS_177];
    ACCESS		ONLINE;
    ITEMS
    {
            menu_DIS_183_M, // Betriebsdaten Gesamt
            menu_DIS_188_M  // Betriebsdaten Kunde
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_183_M "Betriebsdaten Gesamt"
// 
MENU menu_DIS_183_M // Betriebsdaten Gesamt
{
    LABEL		[TXT_DIS_183];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_495 (READ_ONLY), // Laufzeit
            PRM_496 (READ_ONLY), // Anläufe
            PRM_503 (READ_ONLY), // Thermofehler
            PRM_501 (READ_ONLY), // Drehmofehler ZU
            PRM_502 (READ_ONLY), // Drehmofehler AUF
            PRM_498 (READ_ONLY), // Wegabschaltungen ZU
            PRM_500 (READ_ONLY), // Wegabschaltungen AUF
            PRM_497 (READ_ONLY), // Drehmoabschaltungen ZU
            PRM_499 (READ_ONLY), // Drehmoabschaltungen AUF
            PRM_505 (READ_ONLY), // ErrorsEDTime
            PRM_506 (READ_ONLY), // ErrorsEDMax
            PRM_507 (READ_ONLY)  // Resets
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_188_M "Betriebsdaten Kunde"
// 
MENU menu_DIS_188_M // Betriebsdaten Kunde
{
    LABEL		[TXT_DIS_188];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_163 (READ_ONLY), // Laufzeit
            PRM_164 (READ_ONLY), // Anläufe
            PRM_170 (READ_ONLY), // Thermofehler
            PRM_175 (READ_ONLY), // Drehmofehler ZU
            PRM_171 (READ_ONLY), // Drehmofehler AUF
            PRM_172 (READ_ONLY), // Wegabschaltungen ZU
            PRM_174 (READ_ONLY), // Wegabschaltungen AUF
            PRM_166 (READ_ONLY), // Drehmoabschaltung en ZU
            PRM_173 (READ_ONLY), // Drehmoabschaltungen AUF
            PRM_168 (READ_ONLY), // ErrorsEDTime
            PRM_167 (READ_ONLY), // ErrorsEDMax
            PRM_165 (READ_ONLY), // Anzahl Resets
            PRM_3484 (READ_ONLY, HIDDEN)  // Betriebsd. zurücksetzen
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_524_M "Gerätetemperaturen"
// 
MENU menu_DIS_524_M // Gerätetemperaturen
{
    LABEL		[TXT_DIS_524];
    ACCESS		ONLINE;
    ITEMS
    {
            PZD_4 (READ_ONLY)  // T_Steuerung
            PZD_109 (READ_ONLY), // T_Steuereinheit (using RULE_11)
    }
}
 
#endif /* _PDM6_COMPAT_ */
//---------------------------------------------------------------------------------------------------------------------
//~
//   EDD Special methods
// 
//---------------------------------------------------------------------------------------------------------------------
//~
//   EDD Diagnosis method
// 
#ifdef _PDM_
// standard method for device specific diagnosis status
METHOD method_PDM_DeviceDiagnosis
{
    LABEL	[TXT_method_PDM_DeviceDiagnosis];
    ACCESS	ONLINE;
    DEFINITION
    {
        // ACKNOWLEDGE( "method_PDM_DeviceDiagnosis: Start" );
		// refresh menu Allgemein
		ReadCommand(read_PZD_268);    // Logik: Bypassed Drehmomentfehler AUF (4 Octets)
        ReadCommand(read_PZD_269);    // Logik: Bypassed Drehmomentfehler ZU (4 Octets)
        ReadCommand(read_PZD_112);    // Wahlschalter (2 Octets)
        ReadCommand(read_PZD_2);      // Stellungsistwert Stellantrieb E2 (2 Octets)
        ReadCommand(read_PZD_545);    // Drehmomentwert AUF/ZU in % normiert auf 0 bis 1000 ( ZU 127% = 0, 0% = 500, AUF 127% = 1000) (2 Octets)
        ReadCommand(read_PZD_120);    // Logik: Betriebsmodus (2 Octets)
        ReadCommand(read_PZD_144);    // Logik: Fahrbefehl (4 Octets)
        ReadCommand(read_PZD_264);    // Logik: Fährt Richtung AUF (logisch, unterdrückt bei SafeStop (SIL)) (4 Octets)
        ReadCommand(read_PZD_265);    // Logik: Fährt Richtung ZU (logisch, unterdrückt bei SafeStop (SIL)) (4 Octets)
        ReadCommand(read_PZD_401);    // Logik: Position erreicht (4 Octets)
        ReadCommand(read_PZD_375);    // Logik: Wegendlage Shalter AUF (konditioniert) (4 Octets)
        ReadCommand(read_PZD_376);    // Logik: Wegendlage Schalter ZU (konditioniert) (4 Octets)
        ReadCommand(read_PZD_459);    // Logik: Signal Torque OPEN (4 Octets)
        ReadCommand(read_PZD_460);    // Logik: Signal Torque CLOSE (4 Octets)

        if (PRM_1169 == 1)  // refresh menu Stellungsregler (using RULE_14)
		{
            ReadCommand(read_PRM_84);  // Stellungsregler Adaptives Verhalten (2 Octets)
            ReadCommand(read_PZD_7);   // Stellungs-Sollwert E1 (2 Octets)
            ReadCommand(read_PZD_709); // Stellungsistwert Stellantrieb E2 (synchronisiert) (2 Octets)
            ReadCommand(read_PZD_659); // Aktuelle Totzone (Stellungsreglerausgang) (4 Octets)			
		}

        if (PRM_2121 == 1)  // refresh menu ED Überwachung (using RULE_155)
		{
            ReadCommand(read_PZD_488); // Lcb: ED Aktuelle Einschaltzeit (4 Octets)
            ReadCommand(read_PZD_489); // Lcb: ED Aktuelle Schaltspiele (4 Octets)

		}

        // PDM_DIAG_PROCESS_WARNING: DIS_541 "Sammel-Meldung2: Warnung"
        // read value of PZD_78 before checking its state
        ReadCommand(read_PZD_78);
        if(PZD_78 != 0)
        {
            PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
            PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_DIS_541]);
            // PDM_DIAG_PROCESS_WARNING: PZD_82 "Sammel-Meldung6: Konfigurationswarnung"
            // read value of PZD_82 before checking its state
            ReadCommand(read_PZD_82);
            if(PZD_82 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_82]);
                // PDM_DIAG_PROCESS_WARNING: PZD_666 "Warnung: keine Sollwertquelle bei aktiviertem Stellungsregler parametriert"
                // read value of PZD_666 before checking its state
                ReadCommand(read_PZD_666);
                if(PZD_666 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_666]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_758 "PRM-Konsistenz: Stellungsregler-Totzonenkonfiguration"
                // read value of PZD_758 before checking its state
                ReadCommand(read_PZD_758);
                if(PZD_758 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_758]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_759 "PRM-Konsistenz: Feldbuskonfiguration"
                // read value of PZD_759 before checking its state
                ReadCommand(read_PZD_759);
                if(PZD_759 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_759]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_760 "PRM-Konsistenz: MWG-Drehmokonfiguration ZU"
                // read value of PZD_760 before checking its state
                ReadCommand(read_PZD_760);
                if(PZD_760 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_760]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_761 "PRM-Konsistenz: MWG-Drehmokonfiguration AUF"
                // read value of PZD_761 before checking its state
                ReadCommand(read_PZD_761);
                if(PZD_761 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_761]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_762 "PRM-Konsistenz: DigIn1-Konfiguration"
                // read value of PZD_762 before checking its state
                ReadCommand(read_PZD_762);
                if(PZD_762 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_762]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_763 "PRM-Konsistenz: DigIn2-Konfiguration"
                // read value of PZD_763 before checking its state
                ReadCommand(read_PZD_763);
                if(PZD_763 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_763]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_764 "PRM-Konsistenz: DigIn3-Konfiguration"
                // read value of PZD_764 before checking its state
                ReadCommand(read_PZD_764);
                if(PZD_764 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_764]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_765 "PRM-Konsistenz: DigIn4-Konfiguration"
                // read value of PZD_765 before checking its state
                ReadCommand(read_PZD_765);
                if(PZD_765 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_765]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_766 "PRM-Konsistenz: DigIn5-Konfiguration"
                // read value of PZD_766 before checking its state
                ReadCommand(read_PZD_766);
                if(PZD_766 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_766]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_767 "PRM-Konsistenz: DigIn6-Konfiguration"
                // read value of PZD_767 before checking its state
                ReadCommand(read_PZD_767);
                if(PZD_767 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_767]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_768 "PRM-Konsistenz: DigIn7-Konfiguration"
                // read value of PZD_768 before checking its state
                ReadCommand(read_PZD_768);
                if(PZD_768 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_768]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_769 "PRM-Konsistenz: DigIn8-Konfiguration"
                // read value of PZD_769 before checking its state
                ReadCommand(read_PZD_769);
                if(PZD_769 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_769]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_770 "PRM-Konsistenz: DigIn9-Konfiguration"
                // read value of PZD_770 before checking its state
                ReadCommand(read_PZD_770);
                if(PZD_770 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_770]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_771 "PRM-Konsistenz: DigIn10-Konfiguration"
                // read value of PZD_771 before checking its state
                ReadCommand(read_PZD_771);
                if(PZD_771 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_771]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_808 "PRM-Konsistenz: Konfiguration der Auslösequelle für die NOT-Funktion"
                // read value of PZD_808 before checking its state
                ReadCommand(read_PZD_808);
                if(PZD_808 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_808]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_828 "PRM-Konsistenz: Konfiguration der Profilfahrt"
                // read value of PZD_828 before checking its state
                ReadCommand(read_PZD_828);
                if(PZD_828 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_828]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_832 "PRM-Konsistenz: LWL-Konfiguration"
                // read value of PZD_832 before checking its state
                ReadCommand(read_PZD_832);
                if(PZD_832 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_832]);
                }
            }
            // PDM_DIAG_PROCESS_WARNING: PZD_91 "Sammel-Meldung 15: Interne Warnung"
            // read value of PZD_91 before checking its state
            ReadCommand(read_PZD_91);
            if(PZD_91 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_91]);
                // PDM_DIAG_PROCESS_WARNING: PZD_483 "Logik: 24VKD Error"
                // read value of PZD_483 before checking its state
                ReadCommand(read_PZD_483);
                if(PZD_483 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_483]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_484 "Logik: 24VInt Error"
                // read value of PZD_484 before checking its state
                ReadCommand(read_PZD_484);
                if(PZD_484 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_484]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_619 "Warnung Heizung SA Defekt"
                // read value of PZD_619 before checking its state
                ReadCommand(read_PZD_619);
                if(PZD_619 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_619]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_621 "Warnung keine Referenzfahrrt E2"
                // read value of PZD_621 before checking its state
                ReadCommand(read_PZD_621);
                if(PZD_621 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_621]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_623 "Warnung Signalbruch E2"
                // read value of PZD_623 before checking its state
                ReadCommand(read_PZD_623);
                if(PZD_623 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_623]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_622 "Warnung geringer Signalhub E2"
                // read value of PZD_622 before checking its state
                ReadCommand(read_PZD_622);
                if(PZD_622 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_622]);
                }
            }
            // PDM_DIAG_PROCESS_WARNING: PZD_93 "Sammel-Meldung 17: Warnung Hydraulik"
            // read value of PZD_93 before checking its state
            ReadCommand(read_PZD_93);
            if(PZD_93 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_93]);
                // PDM_DIAG_PROCESS_WARNING: PZD_790 "Meldung: Hydraulikdruck (Hydr.-Antrieb)"
                // read value of PZD_790 before checking its state
                ReadCommand(read_PZD_790);
                if(PZD_790 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_790]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_791 "Meldung: Laufzeit Motor (Hydr.-Antrieb)"
                // read value of PZD_791 before checking its state
                ReadCommand(read_PZD_791);
                if(PZD_791 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_791]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_798 "PRM-Konsistenz: Hydraulik-Speicherdruckkonfiguration"
                // read value of PZD_798 before checking its state
                ReadCommand(read_PZD_798);
                if(PZD_798 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_798]);
                }
            }
            // PDM_DIAG_PROCESS_WARNING: PZD_461 "FailSafe ist aktiv"
            // read value of PZD_461 before checking its state
            ReadCommand(read_PZD_461);
            if(PZD_461 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_461]);
            }
            // PDM_DIAG_PROCESS_WARNING: PZD_834 "MWG: Drehmomentwarnung AUF	"
            // read value of PZD_834 before checking its state
            ReadCommand(read_PZD_834);
            if(PZD_834 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_834]);
            }
            // PDM_DIAG_PROCESS_WARNING: PZD_835 "MWG: Drehmomentwarnung ZU"
            // read value of PZD_835 before checking its state
            ReadCommand(read_PZD_835);
            if(PZD_835 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_835]);
            }
            // PDM_DIAG_PROCESS_WARNING: PZD_486 "Lcb: ED Warnung 1: (Laufzeit)"
            // read value of PZD_486 before checking its state
            ReadCommand(read_PZD_486);
            if(PZD_486 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_486]);
            }
            // PDM_DIAG_PROCESS_WARNING: PZD_487 "Lcb: ED Warnung 2 (Anläufe)"
            // read value of PZD_487 before checking its state
            ReadCommand(read_PZD_487);
            if(PZD_487 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_487]);
            }
            // PDM_DIAG_PROCESS_WARNING: PZD_556 "Stellzeitwarnung"
            // read value of PZD_556 before checking its state
            ReadCommand(read_PZD_556);
            if(PZD_556 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_556]);
            }
            // PDM_DIAG_PROCESS_WARNING: PZD_563 "Keine Reaktion: Warnung"
            // read value of PZD_563 before checking its state
            ReadCommand(read_PZD_563);
            if(PZD_563 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_563]);
            }
            // PDM_DIAG_PROCESS_WARNING: PZD_485 "Logik: 24VExt Error"
            // read value of PZD_485 before checking its state
            ReadCommand(read_PZD_485);
            if(PZD_485 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_485]);
            }
            // PDM_DIAG_PROCESS_WARNING: PZD_490 "Lcb: RTC nicht gesetzt"
            // read value of PZD_490 before checking its state
            ReadCommand(read_PZD_490);
            if(PZD_490 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_490]);
            }
            // PDM_DIAG_PROCESS_WARNING: PZD_629 "Warnung Temperatur Steuerung"
            // read value of PZD_629 before checking its state
            ReadCommand(read_PZD_629);
            if(PZD_629 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_629]);
            }
            // PDM_DIAG_PROCESS_WARNING: PZD_630 "Warnung Temperatur Motor"
            // read value of PZD_630 before checking its state
            ReadCommand(read_PZD_630);
            if(PZD_630 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_630]);
            }
            // PDM_DIAG_PROCESS_WARNING: PZD_631 "Warnung Temperatur Getriebe"
            // read value of PZD_631 before checking its state
            ReadCommand(read_PZD_631);
            if(PZD_631 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_631]);
            }
            // PDM_DIAG_PROCESS_WARNING: PZD_625 "Warnung LWL (Meldung von Modul))"
            // read value of PZD_625 before checking its state
            ReadCommand(read_PZD_625);
            if(PZD_625 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_625]);
            }
            // PDM_DIAG_PROCESS_WARNING: PZD_810 "Warnung LWL nicht vorhanden"
            // read value of PZD_810 before checking its state
            ReadCommand(read_PZD_810);
            if(PZD_810 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_810]);
            }
            // PDM_DIAG_PROCESS_WARNING: PZD_813 "Warnung LWL Budget"
            // read value of PZD_813 before checking its state
            ReadCommand(read_PZD_813);
            if(PZD_813 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_813]);
            }
            // PDM_DIAG_PROCESS_WARNING: PZD_633 "Warnung AnalogIn 1 E8"
            // read value of PZD_633 before checking its state
            ReadCommand(read_PZD_633);
            if(PZD_633 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_633]);
            }
            // PDM_DIAG_PROCESS_WARNING: PZD_634 "Warnung AnalogIn 2 E9"
            // read value of PZD_634 before checking its state
            ReadCommand(read_PZD_634);
            if(PZD_634 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_634]);
            }
            // PDM_DIAG_PROCESS_WARNING: PZD_637 "Warnung Sollposition E1"
            // read value of PZD_637 before checking its state
            ReadCommand(read_PZD_637);
            if(PZD_637 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_637]);
            }
        }
        // PDM_DIAG_MODE_LOCAL_OVERRIDE: DIS_542 "Sammel-Meldung4: nicht bereit Fern"
        // read value of PZD_80 before checking its state
        ReadCommand(read_PZD_80);
        if(PZD_80 != 0)
        {
            PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
            PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_DIS_542]);
            // PDM_DIAG_MODE_LOCAL_OVERRIDE: PZD_89 "Sammel-Meldung 13: Falscher Befehl"
            // read value of PZD_89 before checking its state
            ReadCommand(read_PZD_89);
            if(PZD_89 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_PZD_89]);
                // PDM_DIAG_MODE_LOCAL_OVERRIDE: PZD_371 "Logik: ungültiger Fahrbefehl"
                // read value of PZD_371 before checking its state
                ReadCommand(read_PZD_371);
                if(PZD_371 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_PZD_371]);
                }
                // PDM_DIAG_MODE_LOCAL_OVERRIDE: PZD_555 "Falscher Befehl Interface I"
                // read value of PZD_555 before checking its state
                ReadCommand(read_PZD_555);
                if(PZD_555 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_PZD_555]);
                }
                // PDM_DIAG_MODE_LOCAL_OVERRIDE: PZD_688 "Falscher Befehl Feldbus"
                // read value of PZD_688 before checking its state
                ReadCommand(read_PZD_688);
                if(PZD_688 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_PZD_688]);
                }
            }
            // PDM_DIAG_MODE_LOCAL_OVERRIDE: PZD_275 "Remote_Bus Aktivierung mit 0, Remote Interface Aktivierung mit 1 "
            // read value of PZD_275 before checking its state
            ReadCommand(read_PZD_275);
            if(PZD_275 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_PZD_275]);
            }
            // PDM_DIAG_MODE_LOCAL_OVERRIDE: PZD_757 "InterlockActive"
            // read value of PZD_757 before checking its state
            ReadCommand(read_PZD_757);
            if(PZD_757 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_PZD_757]);
            }
            // PDM_DIAG_MODE_LOCAL_OVERRIDE: PZD_553 "Logik: Handbetrieb aktiviert"
            // read value of PZD_553 before checking its state
            ReadCommand(read_PZD_553);
            if(PZD_553 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_PZD_553]);
            }
            // PDM_DIAG_MODE_LOCAL_OVERRIDE: PZD_844 "Wahlschalter nicht Fern, maskiert"
            // read value of PZD_844 before checking its state
            ReadCommand(read_PZD_844);
            if(PZD_844 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_PZD_844]);
            }
            // PDM_DIAG_MODE_LOCAL_OVERRIDE: PZD_685 "lokaler HALT"
            // read value of PZD_685 before checking its state
            ReadCommand(read_PZD_685);
            if(PZD_685 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_PZD_685]);
            }
            // PDM_DIAG_MODE_LOCAL_OVERRIDE: PZD_285 "Logik: Betriebsmodus EMCY_STOP"
            // read value of PZD_285 before checking its state
            ReadCommand(read_PZD_285);
            if(PZD_285 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_PZD_285]);
            }
            // PDM_DIAG_MODE_LOCAL_OVERRIDE: PZD_282 "Logik: Betriebsmodus SERVICE"
            // read value of PZD_282 before checking its state
            ReadCommand(read_PZD_282);
            if(PZD_282 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_PZD_282]);
            }
            // PDM_DIAG_MODE_LOCAL_OVERRIDE: PZD_281 "Logik: Betriebsmodus Sperre (Interlock) durch Bypass oder sonstige Funktionen"
            // read value of PZD_281 before checking its state
            ReadCommand(read_PZD_281);
            if(PZD_281 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_PZD_281]);
            }
            // PDM_DIAG_MODE_LOCAL_OVERRIDE: PZD_280 "Logik: Betriebsmodus EMCY_OP"
            // read value of PZD_280 before checking its state
            ReadCommand(read_PZD_280);
            if(PZD_280 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_PZD_280]);
            }
            // PDM_DIAG_MODE_LOCAL_OVERRIDE: PZD_606 "Feldbus Fail Safe aktiv"
            // read value of PZD_606 before checking its state
            ReadCommand(read_PZD_606);
            if(PZD_606 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_PZD_606]);
            }
        }
        // PDM_DIAG_MODE_OUT_OF_SERVICE: DIS_543 "Sammel-Meldung3: Fehler"
        // read value of PZD_79 before checking its state
        ReadCommand(read_PZD_79);
        if(PZD_79 != 0)
        {
            PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
            PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_DIS_543]);
            // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_87 "Sammel-Meldung 11: Konfigurationsfehler"
            // read value of PZD_87 before checking its state
            ReadCommand(read_PZD_87);
            if(PZD_87 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_87]);
                // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_671 "System: Interner Fehler Konfiguration Stellungsgeber"
                // read value of PZD_671 before checking its state
                ReadCommand(read_PZD_671);
                if(PZD_671 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_671]);
                }
                // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_809 "System: Konfigurationsfehler \"FERN-Interface fehlt\""
                // read value of PZD_809 before checking its state
                ReadCommand(read_PZD_809);
                if(PZD_809 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_809]);
                }
            }
            // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_90 "Sammel-Meldung 14: Interne Fehler"
            // read value of PZD_90 before checking its state
            ReadCommand(read_PZD_90);
            if(PZD_90 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_90]);
                // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_417 "MWG: Kalibrier-Feedback Hall-Sensor 1 "
                // read value of PZD_417 before checking its state
                ReadCommand(read_PZD_417);
                if(PZD_417 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_417]);
                }
                // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_421 "MWG: Kalibrier-Feedback Hall-Sensor 2 "
                // read value of PZD_421 before checking its state
                ReadCommand(read_PZD_421);
                if(PZD_421 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_421]);
                }
                // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_420 "MWG: Kalibrier-Feedback Hall-Sensor 3 "
                // read value of PZD_420 before checking its state
                ReadCommand(read_PZD_420);
                if(PZD_420 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_420]);
                }
                // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_419 "MWG: Kalibrier-Feedback Hall-Sensor 4 "
                // read value of PZD_419 before checking its state
                ReadCommand(read_PZD_419);
                if(PZD_419 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_419]);
                }
                // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_418 "MWG: Kalibrier-Feedback Hall-Sensor 5 "
                // read value of PZD_418 before checking its state
                ReadCommand(read_PZD_418);
                if(PZD_418 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_418]);
                }
                // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_684 "Wahlschalter defekt"
                // read value of PZD_684 before checking its state
                ReadCommand(read_PZD_684);
                if(PZD_684 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_684]);
                }
                // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_664 "Meldung: Ausgang defekt"
                // read value of PZD_664 before checking its state
                ReadCommand(read_PZD_664);
                if(PZD_664 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_664]);
                }
                // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_557 "Motorschutzüberwachung defekt"
                // read value of PZD_557 before checking its state
                ReadCommand(read_PZD_557);
                if(PZD_557 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_557]);
                }
                // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_480 "Logik: HW-Fehler"
                // read value of PZD_480 before checking its state
                ReadCommand(read_PZD_480);
                if(PZD_480 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_480]);
                }
                // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_482 "Logik: 24VAC Error"
                // read value of PZD_482 before checking its state
                ReadCommand(read_PZD_482);
                if(PZD_482 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_482]);
                }
                // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_675 "System: Interner Fehler Lcb-Exception"
                // read value of PZD_675 before checking its state
                ReadCommand(read_PZD_675);
                if(PZD_675 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_675]);
                }
                // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_676 "System: Interner Fehler Logik-Exception"
                // read value of PZD_676 before checking its state
                ReadCommand(read_PZD_676);
                if(PZD_676 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_676]);
                }
                // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_677 "System: Interner Fehler Mwg-Exception"
                // read value of PZD_677 before checking its state
                ReadCommand(read_PZD_677);
                if(PZD_677 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_677]);
                }
                // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_678 "System: Interner Fehler Bus-Exception"
                // read value of PZD_678 before checking its state
                ReadCommand(read_PZD_678);
                if(PZD_678 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_678]);
                }
                // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_679 "Fehler Stellungsgeber"
                // read value of PZD_679 before checking its state
                ReadCommand(read_PZD_679);
                if(PZD_679 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_679]);
                }
                // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_707 "Interner Fehler MWG Messystem defekt"
                // read value of PZD_707 before checking its state
                ReadCommand(read_PZD_707);
                if(PZD_707 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_707]);
                }
                // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_708 "Interner Fehler Endlagen defekt"
                // read value of PZD_708 before checking its state
                ReadCommand(read_PZD_708);
                if(PZD_708 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_708]);
                }
            }
            // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_268 "Logik: Bypassed Drehmomentfehler AUF"
            if(PZD_268 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_268]);
            }
            // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_269 "Logik: Bypassed Drehmomentfehler ZU"
            if(PZD_269 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_269]);
            }
            // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_270 "Logik: Bypassed Thermofehler"
            // read value of PZD_270 before checking its state
            ReadCommand(read_PZD_270);
            if(PZD_270 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_270]);
            }
            // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_718 "Keine Reaktion: Fehler"
            // read value of PZD_718 before checking its state
            ReadCommand(read_PZD_718);
            if(PZD_718 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_718]);
            }
            // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_481 "Logik: PH_DIR_NOK (falsche Phasenfolge)"
            // read value of PZD_481 before checking its state
            ReadCommand(read_PZD_481);
            if(PZD_481 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_481]);
            }
            // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_302 "Logik: Phasenausfall"
            // read value of PZD_302 before checking its state
            ReadCommand(read_PZD_302);
            if(PZD_302 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_302]);
            }
            // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_479 "Logik: Netzqualität"
            // read value of PZD_479 before checking its state
            ReadCommand(read_PZD_479);
            if(PZD_479 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_479]);
            }
        }
        // PDM_DIAG_PROCESS_WARNING: DIS_534 "Sammel-Meldung7: Namur Out Of Spec"
        // read value of PZD_83 before checking its state
        ReadCommand(read_PZD_83);
        if(PZD_83 != 0)
        {
            PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
            PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_DIS_534]);
            // PDM_DIAG_PROCESS_WARNING: DIS_541 "Sammel-Meldung2: Warnung"
            // read value of PZD_78 before checking its state
            ReadCommand(read_PZD_78);
            if(PZD_78 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_DIS_541]);
                // PDM_DIAG_PROCESS_WARNING: PZD_82 "Sammel-Meldung6: Konfigurationswarnung"
                // read value of PZD_82 before checking its state
                ReadCommand(read_PZD_82);
                if(PZD_82 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_82]);
                    // PDM_DIAG_PROCESS_WARNING: PZD_666 "Warnung: keine Sollwertquelle bei aktiviertem Stellungsregler parametriert"
                    // read value of PZD_666 before checking its state
                    ReadCommand(read_PZD_666);
                    if(PZD_666 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_666]);
                    }
                    // PDM_DIAG_PROCESS_WARNING: PZD_758 "PRM-Konsistenz: Stellungsregler-Totzonenkonfiguration"
                    // read value of PZD_758 before checking its state
                    ReadCommand(read_PZD_758);
                    if(PZD_758 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_758]);
                    }
                    // PDM_DIAG_PROCESS_WARNING: PZD_759 "PRM-Konsistenz: Feldbuskonfiguration"
                    // read value of PZD_759 before checking its state
                    ReadCommand(read_PZD_759);
                    if(PZD_759 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_759]);
                    }
                    // PDM_DIAG_PROCESS_WARNING: PZD_760 "PRM-Konsistenz: MWG-Drehmokonfiguration ZU"
                    // read value of PZD_760 before checking its state
                    ReadCommand(read_PZD_760);
                    if(PZD_760 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_760]);
                    }
                    // PDM_DIAG_PROCESS_WARNING: PZD_761 "PRM-Konsistenz: MWG-Drehmokonfiguration AUF"
                    // read value of PZD_761 before checking its state
                    ReadCommand(read_PZD_761);
                    if(PZD_761 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_761]);
                    }
                    // PDM_DIAG_PROCESS_WARNING: PZD_762 "PRM-Konsistenz: DigIn1-Konfiguration"
                    // read value of PZD_762 before checking its state
                    ReadCommand(read_PZD_762);
                    if(PZD_762 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_762]);
                    }
                    // PDM_DIAG_PROCESS_WARNING: PZD_763 "PRM-Konsistenz: DigIn2-Konfiguration"
                    // read value of PZD_763 before checking its state
                    ReadCommand(read_PZD_763);
                    if(PZD_763 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_763]);
                    }
                    // PDM_DIAG_PROCESS_WARNING: PZD_764 "PRM-Konsistenz: DigIn3-Konfiguration"
                    // read value of PZD_764 before checking its state
                    ReadCommand(read_PZD_764);
                    if(PZD_764 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_764]);
                    }
                    // PDM_DIAG_PROCESS_WARNING: PZD_765 "PRM-Konsistenz: DigIn4-Konfiguration"
                    // read value of PZD_765 before checking its state
                    ReadCommand(read_PZD_765);
                    if(PZD_765 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_765]);
                    }
                    // PDM_DIAG_PROCESS_WARNING: PZD_766 "PRM-Konsistenz: DigIn5-Konfiguration"
                    // read value of PZD_766 before checking its state
                    ReadCommand(read_PZD_766);
                    if(PZD_766 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_766]);
                    }
                    // PDM_DIAG_PROCESS_WARNING: PZD_767 "PRM-Konsistenz: DigIn6-Konfiguration"
                    // read value of PZD_767 before checking its state
                    ReadCommand(read_PZD_767);
                    if(PZD_767 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_767]);
                    }
                    // PDM_DIAG_PROCESS_WARNING: PZD_768 "PRM-Konsistenz: DigIn7-Konfiguration"
                    // read value of PZD_768 before checking its state
                    ReadCommand(read_PZD_768);
                    if(PZD_768 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_768]);
                    }
                    // PDM_DIAG_PROCESS_WARNING: PZD_769 "PRM-Konsistenz: DigIn8-Konfiguration"
                    // read value of PZD_769 before checking its state
                    ReadCommand(read_PZD_769);
                    if(PZD_769 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_769]);
                    }
                    // PDM_DIAG_PROCESS_WARNING: PZD_770 "PRM-Konsistenz: DigIn9-Konfiguration"
                    // read value of PZD_770 before checking its state
                    ReadCommand(read_PZD_770);
                    if(PZD_770 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_770]);
                    }
                    // PDM_DIAG_PROCESS_WARNING: PZD_771 "PRM-Konsistenz: DigIn10-Konfiguration"
                    // read value of PZD_771 before checking its state
                    ReadCommand(read_PZD_771);
                    if(PZD_771 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_771]);
                    }
                    // PDM_DIAG_PROCESS_WARNING: PZD_808 "PRM-Konsistenz: Konfiguration der Auslösequelle für die NOT-Funktion"
                    // read value of PZD_808 before checking its state
                    ReadCommand(read_PZD_808);
                    if(PZD_808 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_808]);
                    }
                    // PDM_DIAG_PROCESS_WARNING: PZD_828 "PRM-Konsistenz: Konfiguration der Profilfahrt"
                    // read value of PZD_828 before checking its state
                    ReadCommand(read_PZD_828);
                    if(PZD_828 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_828]);
                    }
                    // PDM_DIAG_PROCESS_WARNING: PZD_832 "PRM-Konsistenz: LWL-Konfiguration"
                    // read value of PZD_832 before checking its state
                    ReadCommand(read_PZD_832);
                    if(PZD_832 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_832]);
                    }
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_91 "Sammel-Meldung 15: Interne Warnung"
                // read value of PZD_91 before checking its state
                ReadCommand(read_PZD_91);
                if(PZD_91 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_91]);
                    // PDM_DIAG_PROCESS_WARNING: PZD_483 "Logik: 24VKD Error"
                    // read value of PZD_483 before checking its state
                    ReadCommand(read_PZD_483);
                    if(PZD_483 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_483]);
                    }
                    // PDM_DIAG_PROCESS_WARNING: PZD_484 "Logik: 24VInt Error"
                    // read value of PZD_484 before checking its state
                    ReadCommand(read_PZD_484);
                    if(PZD_484 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_484]);
                    }
                    // PDM_DIAG_PROCESS_WARNING: PZD_619 "Warnung Heizung SA Defekt"
                    // read value of PZD_619 before checking its state
                    ReadCommand(read_PZD_619);
                    if(PZD_619 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_619]);
                    }
                    // PDM_DIAG_PROCESS_WARNING: PZD_621 "Warnung keine Referenzfahrrt E2"
                    // read value of PZD_621 before checking its state
                    ReadCommand(read_PZD_621);
                    if(PZD_621 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_621]);
                    }
                    // PDM_DIAG_PROCESS_WARNING: PZD_623 "Warnung Signalbruch E2"
                    // read value of PZD_623 before checking its state
                    ReadCommand(read_PZD_623);
                    if(PZD_623 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_623]);
                    }
                    // PDM_DIAG_PROCESS_WARNING: PZD_622 "Warnung geringer Signalhub E2"
                    // read value of PZD_622 before checking its state
                    ReadCommand(read_PZD_622);
                    if(PZD_622 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_622]);
                    }
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_93 "Sammel-Meldung 17: Warnung Hydraulik"
                // read value of PZD_93 before checking its state
                ReadCommand(read_PZD_93);
                if(PZD_93 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_93]);
                    // PDM_DIAG_PROCESS_WARNING: PZD_790 "Meldung: Hydraulikdruck (Hydr.-Antrieb)"
                    // read value of PZD_790 before checking its state
                    ReadCommand(read_PZD_790);
                    if(PZD_790 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_790]);
                    }
                    // PDM_DIAG_PROCESS_WARNING: PZD_791 "Meldung: Laufzeit Motor (Hydr.-Antrieb)"
                    // read value of PZD_791 before checking its state
                    ReadCommand(read_PZD_791);
                    if(PZD_791 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_791]);
                    }
                    // PDM_DIAG_PROCESS_WARNING: PZD_798 "PRM-Konsistenz: Hydraulik-Speicherdruckkonfiguration"
                    // read value of PZD_798 before checking its state
                    ReadCommand(read_PZD_798);
                    if(PZD_798 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_798]);
                    }
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_461 "FailSafe ist aktiv"
                // read value of PZD_461 before checking its state
                ReadCommand(read_PZD_461);
                if(PZD_461 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_461]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_834 "MWG: Drehmomentwarnung AUF	"
                // read value of PZD_834 before checking its state
                ReadCommand(read_PZD_834);
                if(PZD_834 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_834]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_835 "MWG: Drehmomentwarnung ZU"
                // read value of PZD_835 before checking its state
                ReadCommand(read_PZD_835);
                if(PZD_835 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_835]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_486 "Lcb: ED Warnung 1: (Laufzeit)"
                // read value of PZD_486 before checking its state
                ReadCommand(read_PZD_486);
                if(PZD_486 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_486]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_487 "Lcb: ED Warnung 2 (Anläufe)"
                // read value of PZD_487 before checking its state
                ReadCommand(read_PZD_487);
                if(PZD_487 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_487]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_556 "Stellzeitwarnung"
                // read value of PZD_556 before checking its state
                ReadCommand(read_PZD_556);
                if(PZD_556 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_556]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_563 "Keine Reaktion: Warnung"
                // read value of PZD_563 before checking its state
                ReadCommand(read_PZD_563);
                if(PZD_563 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_563]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_485 "Logik: 24VExt Error"
                // read value of PZD_485 before checking its state
                ReadCommand(read_PZD_485);
                if(PZD_485 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_485]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_490 "Lcb: RTC nicht gesetzt"
                // read value of PZD_490 before checking its state
                ReadCommand(read_PZD_490);
                if(PZD_490 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_490]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_629 "Warnung Temperatur Steuerung"
                // read value of PZD_629 before checking its state
                ReadCommand(read_PZD_629);
                if(PZD_629 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_629]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_630 "Warnung Temperatur Motor"
                // read value of PZD_630 before checking its state
                ReadCommand(read_PZD_630);
                if(PZD_630 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_630]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_631 "Warnung Temperatur Getriebe"
                // read value of PZD_631 before checking its state
                ReadCommand(read_PZD_631);
                if(PZD_631 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_631]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_625 "Warnung LWL (Meldung von Modul))"
                // read value of PZD_625 before checking its state
                ReadCommand(read_PZD_625);
                if(PZD_625 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_625]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_810 "Warnung LWL nicht vorhanden"
                // read value of PZD_810 before checking its state
                ReadCommand(read_PZD_810);
                if(PZD_810 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_810]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_813 "Warnung LWL Budget"
                // read value of PZD_813 before checking its state
                ReadCommand(read_PZD_813);
                if(PZD_813 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_813]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_633 "Warnung AnalogIn 1 E8"
                // read value of PZD_633 before checking its state
                ReadCommand(read_PZD_633);
                if(PZD_633 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_633]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_634 "Warnung AnalogIn 2 E9"
                // read value of PZD_634 before checking its state
                ReadCommand(read_PZD_634);
                if(PZD_634 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_634]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_637 "Warnung Sollposition E1"
                // read value of PZD_637 before checking its state
                ReadCommand(read_PZD_637);
                if(PZD_637 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_637]);
                }
            }
        }
        // PDM_DIAG_MODE_LOCAL_OVERRIDE: DIS_535 "Sammel-Meldung8: Namur Funktionskontrolle"
        // read value of PZD_84 before checking its state
        ReadCommand(read_PZD_84);
        if(PZD_84 != 0)
        {
            PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
            PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_DIS_535]);
            // PDM_DIAG_MODE_LOCAL_OVERRIDE: PZD_553 "Logik: Handbetrieb aktiviert"
            // read value of PZD_553 before checking its state
            ReadCommand(read_PZD_553);
            if(PZD_553 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_PZD_553]);
            }
            // PDM_DIAG_MODE_LOCAL_OVERRIDE: PZD_844 "Wahlschalter nicht Fern, maskiert"
            // read value of PZD_844 before checking its state
            ReadCommand(read_PZD_844);
            if(PZD_844 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_PZD_844]);
            }
            // PDM_DIAG_MODE_LOCAL_OVERRIDE: PZD_685 "lokaler HALT"
            // read value of PZD_685 before checking its state
            ReadCommand(read_PZD_685);
            if(PZD_685 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_PZD_685]);
            }
            // PDM_DIAG_MODE_LOCAL_OVERRIDE: PZD_285 "Logik: Betriebsmodus EMCY_STOP"
            // read value of PZD_285 before checking its state
            ReadCommand(read_PZD_285);
            if(PZD_285 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_PZD_285]);
            }
            // PDM_DIAG_MODE_LOCAL_OVERRIDE: PZD_282 "Logik: Betriebsmodus SERVICE"
            // read value of PZD_282 before checking its state
            ReadCommand(read_PZD_282);
            if(PZD_282 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_PZD_282]);
            }
        }
        // PDM_DIAG_MAINT_LOW: DIS_536 "Sammel-Meldung9: Namur Wartungsbedarf"
        // read value of PZD_85 before checking its state
        ReadCommand(read_PZD_85);
        if(PZD_85 != 0)
        {
            PDM_Diag_Status_Diagnosis |= PDM_DIAG_MAINT_LOW;
            PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MAINT_LOW, [TXT_DIS_536]);
        }
        // PDM_DIAG_MODE_OUT_OF_SERVICE: DIS_537 "Sammel-Meldung10: Namur Ausfall"
        // read value of PZD_86 before checking its state
        ReadCommand(read_PZD_86);
        if(PZD_86 != 0)
        {
            PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
            PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_DIS_537]);
            // PDM_DIAG_MODE_OUT_OF_SERVICE: DIS_543 "Sammel-Meldung3: Fehler"
            // read value of PZD_79 before checking its state
            ReadCommand(read_PZD_79);
            if(PZD_79 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_DIS_543]);
                // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_87 "Sammel-Meldung 11: Konfigurationsfehler"
                // read value of PZD_87 before checking its state
                ReadCommand(read_PZD_87);
                if(PZD_87 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_87]);
                    // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_671 "System: Interner Fehler Konfiguration Stellungsgeber"
                    // read value of PZD_671 before checking its state
                    ReadCommand(read_PZD_671);
                    if(PZD_671 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_671]);
                    }
                    // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_809 "System: Konfigurationsfehler \"FERN-Interface fehlt\""
                    // read value of PZD_809 before checking its state
                    ReadCommand(read_PZD_809);
                    if(PZD_809 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_809]);
                    }
                }
                // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_90 "Sammel-Meldung 14: Interne Fehler"
                // read value of PZD_90 before checking its state
                ReadCommand(read_PZD_90);
                if(PZD_90 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_90]);
                    // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_417 "MWG: Kalibrier-Feedback Hall-Sensor 1 "
                    // read value of PZD_417 before checking its state
                    ReadCommand(read_PZD_417);
                    if(PZD_417 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_417]);
                    }
                    // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_421 "MWG: Kalibrier-Feedback Hall-Sensor 2 "
                    // read value of PZD_421 before checking its state
                    ReadCommand(read_PZD_421);
                    if(PZD_421 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_421]);
                    }
                    // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_420 "MWG: Kalibrier-Feedback Hall-Sensor 3 "
                    // read value of PZD_420 before checking its state
                    ReadCommand(read_PZD_420);
                    if(PZD_420 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_420]);
                    }
                    // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_419 "MWG: Kalibrier-Feedback Hall-Sensor 4 "
                    // read value of PZD_419 before checking its state
                    ReadCommand(read_PZD_419);
                    if(PZD_419 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_419]);
                    }
                    // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_418 "MWG: Kalibrier-Feedback Hall-Sensor 5 "
                    // read value of PZD_418 before checking its state
                    ReadCommand(read_PZD_418);
                    if(PZD_418 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_418]);
                    }
                    // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_684 "Wahlschalter defekt"
                    // read value of PZD_684 before checking its state
                    ReadCommand(read_PZD_684);
                    if(PZD_684 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_684]);
                    }
                    // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_664 "Meldung: Ausgang defekt"
                    // read value of PZD_664 before checking its state
                    ReadCommand(read_PZD_664);
                    if(PZD_664 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_664]);
                    }
                    // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_557 "Motorschutzüberwachung defekt"
                    // read value of PZD_557 before checking its state
                    ReadCommand(read_PZD_557);
                    if(PZD_557 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_557]);
                    }
                    // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_480 "Logik: HW-Fehler"
                    // read value of PZD_480 before checking its state
                    ReadCommand(read_PZD_480);
                    if(PZD_480 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_480]);
                    }
                    // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_482 "Logik: 24VAC Error"
                    // read value of PZD_482 before checking its state
                    ReadCommand(read_PZD_482);
                    if(PZD_482 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_482]);
                    }
                    // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_675 "System: Interner Fehler Lcb-Exception"
                    // read value of PZD_675 before checking its state
                    ReadCommand(read_PZD_675);
                    if(PZD_675 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_675]);
                    }
                    // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_676 "System: Interner Fehler Logik-Exception"
                    // read value of PZD_676 before checking its state
                    ReadCommand(read_PZD_676);
                    if(PZD_676 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_676]);
                    }
                    // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_677 "System: Interner Fehler Mwg-Exception"
                    // read value of PZD_677 before checking its state
                    ReadCommand(read_PZD_677);
                    if(PZD_677 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_677]);
                    }
                    // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_678 "System: Interner Fehler Bus-Exception"
                    // read value of PZD_678 before checking its state
                    ReadCommand(read_PZD_678);
                    if(PZD_678 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_678]);
                    }
                    // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_679 "Fehler Stellungsgeber"
                    // read value of PZD_679 before checking its state
                    ReadCommand(read_PZD_679);
                    if(PZD_679 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_679]);
                    }
                    // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_707 "Interner Fehler MWG Messystem defekt"
                    // read value of PZD_707 before checking its state
                    ReadCommand(read_PZD_707);
                    if(PZD_707 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_707]);
                    }
                    // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_708 "Interner Fehler Endlagen defekt"
                    // read value of PZD_708 before checking its state
                    ReadCommand(read_PZD_708);
                    if(PZD_708 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_708]);
                    }
                }
                // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_268 "Logik: Bypassed Drehmomentfehler AUF"
                if(PZD_268 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_268]);
                }
                // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_269 "Logik: Bypassed Drehmomentfehler ZU"
                if(PZD_269 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_269]);
                }
                // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_270 "Logik: Bypassed Thermofehler"
                // read value of PZD_270 before checking its state
                ReadCommand(read_PZD_270);
                if(PZD_270 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_270]);
                }
                // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_718 "Keine Reaktion: Fehler"
                // read value of PZD_718 before checking its state
                ReadCommand(read_PZD_718);
                if(PZD_718 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_718]);
                }
                // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_481 "Logik: PH_DIR_NOK (falsche Phasenfolge)"
                // read value of PZD_481 before checking its state
                ReadCommand(read_PZD_481);
                if(PZD_481 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_481]);
                }
                // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_302 "Logik: Phasenausfall"
                // read value of PZD_302 before checking its state
                ReadCommand(read_PZD_302);
                if(PZD_302 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_302]);
                }
                // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_479 "Logik: Netzqualität"
                // read value of PZD_479 before checking its state
                ReadCommand(read_PZD_479);
                if(PZD_479 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_479]);
                }
            }
        }
        // ACKNOWLEDGE( "method_PDM_DeviceDiagnosis: vor Gut-Auswertung, PDM_Diag_Status_Diagnosis = " + PDM_Diag_Status_Diagnosis );
        // reset PDM status if there is no alarm:
        if(PDM_Diag_Status_Diagnosis == PDM_DIAG_NOT_VALIDATED)
        {
            PDM_Diag_Status_Diagnosis = PDM_DIAG_GOOD;
        }
        // ACKNOWLEDGE( "method_PDM_DeviceDiagnosis: Ende, PDM_Diag_Status_Diagnosis = " + PDM_Diag_Status_Diagnosis );
    }
}
#endif /* _PDM_ */
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   coPRM_3484
// 
METHOD coPRM_3484
{
    LABEL		[TXT_PRM_3484];
    HELP		[HLP_PRM_3484];
    DEFINITION
    {
        DELAY(2,[TXT_TST_1234]);
        iassign(PRM_3484, 1);
        WriteCommand(write_PRM_3484);
        /* reading back information */
        ReadCommand(read_PRM_3484);
        ACKNOWLEDGE([TXT_TST_1235]);
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   coPRM_3487
// 
METHOD coPRM_3487
{
    LABEL		[TXT_PRM_3487];
    HELP		[HLP_PRM_3487];
    DEFINITION
    {
        DELAY(2,[TXT_TST_1234]);
        iassign(PRM_3487, 1);
        WriteCommand(write_PRM_3487);
        /* reading back information */
        ReadCommand(read_PRM_3487);
        ACKNOWLEDGE([TXT_TST_1235]);
    }
}
 
#ifndef dtmGENERATOR
//---------------------------------------------------------------------------------------------------------------------
//~
//   EDD Convert MMSS01 to U16
// 
#ifdef _PDM_
METHOD convert_MMSS01_to_U16(DD_STRING & in, unsigned int & out, unsigned int min_val, unsigned int max_val)
#else
METHOD convert_MMSS01_to_U16(DD_STRING in, DD_ITEM out, unsigned int min_val, unsigned int max_val)
#endif
{
    LABEL		[TXT_convert_MMSS01_to_U16];
    ACCESS		OFFLINE;
    DEFINITION
    {
        int i, is_error;
        unsigned int min, sec, dsec, val;
        char smin[6], ssec[6], sdsec[6];
        is_error= 0;
        // check input value and calculate time values
        // structure "[<min>:]<sec>[,<dsec>]"
        // find string after ":":
        ssec= strstr(in,":");
        if (ssec[0]==':')
        {
            smin= in;
            // assign <sec> string (remove 1st char)
            for (i= 0; i<strlen(ssec)-1;i++) { ssec[i]=ssec[i+1]; }
            //// TODO-AMS: ssec[i]='\0';
			ssec[i]=0x00;

        }
        // else: interpret value as in sec
        else
        {
            // set <min> string
            smin= "0";
            // assign <sec> string
            ssec= in;
        }
        // calculate string after "," or ".":
        sdsec= strstr(in,",");
        if (sdsec[0] == 0x00) { sdsec= strstr(in,".");}
        for (i= 0; i<strlen(sdsec)-1;i++) { sdsec[i]=sdsec[i+1]; }
        //// TODO-AMS: sdsec[i]='\0';
		sdsec[i]=0x00;
        // interpret component strings
        dsec= atoi(sdsec) % 10;
        sec= (atoi(ssec) + atoi(sdsec) / 10) % 60;
        min= atoi(smin) + (atoi(ssec) + atoi(sdsec) / 10) / 60;
        // check limits
        val= (min*60 + sec)*10 + dsec;
        if (val > max_val)
        {
            // display error message
            ACKNOWLEDGE([TXT_TST_1236]);
            is_error= 1;
        }
        else if (val < min_val)
        {
            // display error message
            ACKNOWLEDGE([TXT_TST_1237]);
            is_error= 1;
        }
        if (is_error)
        {
            // readjust values
            dsec= out % 10;
            sec= (out / 10) % 60;
            min= out / 600;
        }
        // merge time values and assign to DD_STRING
        if (min < 10)
            in= "0" + itoa(min) + ":";
        else
            in= itoa(min) + ":";
        if (sec < 10)
            in+= "0" + itoa(sec) + ",";
        else
            in+= itoa(sec) + ",";
        in+= itoa(dsec);
        // assign time value to U16
        out= (min*60 + sec)*10 + dsec;
        // make changes permanent
        save_values();
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   EDD Convert U16 to MMSS01
// 
#ifdef _PDM_
METHOD convert_U16_to_MMSS01(unsigned int in, DD_STRING & out)
#else
METHOD convert_U16_to_MMSS01(unsigned int in, DD_STRING out)
#endif
{
    LABEL		[TXT_convert_U16_to_MMSS01];
    ACCESS		OFFLINE;
    DEFINITION
    {
        int min;
        int sec;
        int dsec;
        // calculate time values from in
        min= in / 600;
        sec= (in / 10) % 60;
        dsec= in % 10;
        // merge values and assign to out string
        // structure "<min>:<sec>,<dsec>"
        if (min < 10)
            out= "0" + itoa(min) + ":";
        else
            out= itoa(min) + ":";
        if (sec < 10)
            out+= "0" + itoa(sec) + ",";
        else
            out+= itoa(sec) + ",";
        out+= itoa(dsec);
        // make changes permanent
        save_values();
    }
}
 
#endif /* !dtmGENERATOR */
//---------------------------------------------------------------------------------------------------------------------
//~
//   EDD Special menus
// 
//---------------------------------------------------------------------------------------------------------------------
//~
//   EDD Download menu
// 
#ifdef dtmGENERATOR
MENU upload_parameters	// parameters will be read from device
#else
MENU download_variables	// parameter will be read from device
#endif  /* dtmGENERATOR */
{
#ifdef _PDM_
    LABEL		[menu_load_to_PC]; //PDM based reference text
#else
    LABEL		"Read parameters from device...";
#endif  /* _PDM_ */
	ENTRY		ROOT;
	PURPOSE		LOAD_TO_APPLICATION;
    ITEMS
    {
        // all READ VARIABLE's
        PRM_5,          // Slot: 254  Index: 17   Name: "Taktstrecke: Start AUF"
        PRM_6,          // Slot: 254  Index: 17   Name: "Taktstrecke: Ende AUF"
        PRM_7,          // Slot: 254  Index: 17   Name: "Taktfahrzeit AUF"
        PRM_8,          // Slot: 254  Index: 17   Name: "Taktpausenzeit AUF"
        PRM_9,          // Slot: 254  Index: 9    Name: "Abschaltart AUF"
        PRM_12,         // Slot: 254  Index: 11   Name: "Selbsthaltungsverhalten Ort"
        PRM_13,         // Slot: 254  Index: 17   Name: "Takbetrieb Mode AUF"
        PRM_20,         // Slot: 254  Index: 18   Name: "Stützpunkt 1 Position"
        PRM_28,         // Slot: 254  Index: 20   Name: "Stützpunkt 1 Meldeverhalten"
        PRM_29,         // Slot: 254  Index: 19   Name: "Stützpunkt 1 Fahrverhalten"
        PRM_33,         // Slot: 254  Index: 1    Name: "Sprache Display"
        PRM_45,         // Slot: 0    Index: 45   Name: "Interface1-Vorhanden SOLL-Konfiguration"
        PRM_67,         // Slot: 254  Index: 16   Name: "NOT-Funktion Betriebsart"
        PRM_68,         // Slot: 254  Index: 16   Name: "NOT-Funktion Auslösung"
        PRM_69,         // Slot: 254  Index: 16   Name: "NOT Überbrückung Thermofehler"
        PRM_70,         // Slot: 254  Index: 16   Name: "NOT Überbrückung Drehmomentfehler"
        PRM_71,         // Slot: 254  Index: 16   Name: "NOT Überbrückung Taktgeber"
        PRM_79,         // Slot: 254  Index: 36   Name: "Drehsinn"
        PRM_82,         // Slot: 254  Index: 10   Name: "Anfahrüberbrückungszeit"
        PRM_84,         // Slot: 254  Index: 52   Name: "Stellungsregler Adaptives Verhalten"
        PRM_86,         // Slot: 254  Index: 14   Name: "Totzeit Tt"
        PRM_87,         // Slot: 0    Index: 87   Name: "Totzone Xt"
        PRM_160,        // Slot: 254  Index: 28   Name: "Prozesswert (Auswahl Input Link)"
        PRM_163,        // Slot: 254  Index: 60   Name: "MotorRunningTime (User)"
        PRM_164,        // Slot: 254  Index: 60   Name: "NumberOfStarts (User)"
        PRM_165,        // Slot: 254  Index: 60   Name: "Resets (User)"
        PRM_166,        // Slot: 254  Index: 60   Name: "StopsTrqClose (User)"
        PRM_167,        // Slot: 254  Index: 60   Name: "ErrorsEDMax (User)"
        PRM_168,        // Slot: 254  Index: 60   Name: "ErrorsEDTime (User)"
        PRM_170,        // Slot: 254  Index: 60   Name: "ErrorsThermo (User)"
        PRM_171,        // Slot: 254  Index: 60   Name: "ErrorsTrqOpen (User)"
        PRM_172,        // Slot: 254  Index: 60   Name: "StopsPosClose (User)"
        PRM_173,        // Slot: 254  Index: 60   Name: "StopsTrqOpen (User)"
        PRM_174,        // Slot: 254  Index: 60   Name: "StopsPosOpen (User)"
        PRM_175,        // Slot: 254  Index: 60   Name: "ErrorsTrqClose (User)"
        PRM_181,        // Slot: 1    Index: 81   Name: "Bus-Vorhanden SOLL-Konfiguration"
        PRM_208,        // Slot: 254  Index: 36   Name: "Mode Temperaturfehler"
        PRM_209,        // Slot: 254  Index: 39   Name: "DelayTime"
        PRM_212,        // Slot: 254  Index: 14   Name: "Nachlauf AUF (innere Totzone Xi_AUF)"
        PRM_213,        // Slot: 254  Index: 14   Name: "Nachlauf ZU (innere Totzone Xi_ZU)"
        PRM_214,        // Slot: 254  Index: 14   Name: "Toleranz E1 AUF"
        PRM_215,        // Slot: 254  Index: 14   Name: "Toleranz E1 ZU"
        PRM_217,        // Slot: 2    Index: 17   Name: "Prozeßregler Freischaltung \"Kauf\""
        PRM_230,        // Slot: 254  Index: 16   Name: "NOT-Funktion Verhalten"
        PRM_231,        // Slot: 254  Index: 16   Name: "NOT-Position"
        PRM_466,        // Slot: 254  Index: 18   Name: "Stützpunkt 2 Position"
        PRM_467,        // Slot: 254  Index: 19   Name: "Stützpunkt 2 Fahrverhalten"
        PRM_468,        // Slot: 254  Index: 20   Name: "Stützpunkt 2 Meldeverhalten"
        PRM_470,        // Slot: 254  Index: 18   Name: "Stützpunkt 3 Position"
        PRM_471,        // Slot: 254  Index: 19   Name: "Stützpunkt 3 Fahrverhalten"
        PRM_472,        // Slot: 254  Index: 20   Name: "Stützpunkt 3 Meldeverhalten"
        PRM_474,        // Slot: 254  Index: 18   Name: "Stützpunkt 4 Position"
        PRM_475,        // Slot: 254  Index: 19   Name: "Stützpunkt 4 Fahrverhalten"
        PRM_476,        // Slot: 254  Index: 20   Name: "Stützpunkt 4 Meldeverhalten"
        PRM_478,        // Slot: 254  Index: 18   Name: "Stützpunkt 5 Position"
        PRM_479,        // Slot: 254  Index: 19   Name: "Stützpunkt 5 Fahrverhalten"
        PRM_480,        // Slot: 254  Index: 20   Name: "Stützpunkt 5 Meldeverhalten"
        PRM_482,        // Slot: 254  Index: 18   Name: "Stützpunkt 6 Position"
        PRM_483,        // Slot: 254  Index: 19   Name: "Stützpunkt 6 Fahrverhalten"
        PRM_484,        // Slot: 254  Index: 20   Name: "Stützpunkt 6 Meldeverhalten"
        PRM_486,        // Slot: 254  Index: 18   Name: "Stützpunkt 7 Position"
        PRM_487,        // Slot: 254  Index: 19   Name: "Stützpunkt 7 Fahrverhalten"
        PRM_488,        // Slot: 254  Index: 20   Name: "Stützpunkt 7 Meldeverhalten"
        PRM_490,        // Slot: 254  Index: 18   Name: "Stützpunkt 8 Position"
        PRM_491,        // Slot: 254  Index: 19   Name: "Stützpunkt 8 Fahrverhalten"
        PRM_492,        // Slot: 254  Index: 20   Name: "Stützpunkt 8 Meldeverhalten"
        PRM_495,        // Slot: 254  Index: 59   Name: "MotorRunningTime (Factory)"
        PRM_496,        // Slot: 254  Index: 59   Name: "NumberOfStarts (Factory)"
        PRM_497,        // Slot: 254  Index: 59   Name: "StopsTrqClose (Factory)"
        PRM_498,        // Slot: 254  Index: 59   Name: "StopsPosClose (Factory)"
        PRM_499,        // Slot: 254  Index: 59   Name: "StopsTrqOpen (Factory)"
        PRM_500,        // Slot: 254  Index: 59   Name: "StopsPosOpen (Factory)"
        PRM_501,        // Slot: 254  Index: 59   Name: "ErrorsTrqClose (Factory)"
        PRM_502,        // Slot: 254  Index: 59   Name: "ErrorsTrqOpen (Factory)"
        PRM_503,        // Slot: 254  Index: 59   Name: "ErrorsThermo (Factory)"
        PRM_505,        // Slot: 254  Index: 59   Name: "ErrorsEDTime (Factory)"
        PRM_506,        // Slot: 254  Index: 59   Name: "ErrorsEDMax (Factory)"
        PRM_507,        // Slot: 254  Index: 59   Name: "Resets (Factory)"
        PRM_519,        // Slot: 254  Index: 12   Name: "Selbsthaltungsverhalten Fern1"
        PRM_533,        // Slot: 254  Index: 12   Name: "Selbsthaltungsverhalten Fern2"
        PRM_557,        // Slot: 254  Index: 28   Name: "Prozesswert"
        PRM_561,        // Slot: 254  Index: 28   Name: "Prozesswert  (Auswahl Input Link)"
        PRM_565,        // Slot: 254  Index: 28   Name: "Prozesswert  (Auswahl Input Link)"
        PRM_569,        // Slot: 254  Index: 28   Name: "Prozesswert  (Auswahl Input Link)"
        PRM_578,        // Slot: 254  Index: 9    Name: "Abschaltart ZU"
        PRM_590,        // Slot: 254  Index: 17   Name: "Taktbetrieb Mode ZU"
        PRM_591,        // Slot: 254  Index: 17   Name: "Taktpausenzeit ZU"
        PRM_592,        // Slot: 254  Index: 17   Name: "Taktfahrzeit ZU"
        PRM_593,        // Slot: 254  Index: 17   Name: "Taktstrecke: Ende ZU"
        PRM_594,        // Slot: 254  Index: 17   Name: "Taktstrecke: Start ZU"
        PRM_873,        // Slot: 254  Index: 29   Name: "DigitalIn1-Signal-Ausgang (Default: MODE)"
        PRM_878,        // Slot: 254  Index: 29   Name: "IsInverted (Invertierter Eingang)"
        PRM_884,        // Slot: 254  Index: 29   Name: "Digital-Signal-Ausgang "
        PRM_885,        // Slot: 254  Index: 29   Name: "IsInverted (Invertierter Eingang)"
        PRM_890,        // Slot: 254  Index: 29   Name: "Digital-Signal-Ausgang"
        PRM_891,        // Slot: 254  Index: 29   Name: "IsInverted (Invertierter Eingang)"
        PRM_896,        // Slot: 254  Index: 29   Name: "Digital-Signal-Ausgang"
        PRM_897,        // Slot: 254  Index: 29   Name: "IsInverted (Invertierter Eingang)"
        PRM_902,        // Slot: 254  Index: 29   Name: "Digital-Signal-Ausgang"
        PRM_903,        // Slot: 254  Index: 29   Name: "IsInverted (Invertierter Eingang)"
        PRM_908,        // Slot: 254  Index: 29   Name: "Digital-Signal-Ausgang (Default:Keine Funktion)"
        PRM_909,        // Slot: 254  Index: 29   Name: "IsInverted (Invertierter Eingang)"
        PRM_914,        // Slot: 254  Index: 29   Name: "Digital-Signal-Ausgang (Default: NOT )"
        PRM_915,        // Slot: 254  Index: 29   Name: "IsInverted (Invertierter Eingang)"
        PRM_920,        // Slot: 254  Index: 29   Name: "Digital-Signal-Ausgang (Default: Fern HALT)"
        PRM_921,        // Slot: 254  Index: 29   Name: "IsInverted (Invertierter Eingang)"
        PRM_926,        // Slot: 254  Index: 29   Name: "Digital-Signal-Ausgang (Default: Fahre AUF)"
        PRM_927,        // Slot: 254  Index: 29   Name: "IsInverted (Invertierter Eingang)"
        PRM_932,        // Slot: 254  Index: 29   Name: "Digital-Signal-Ausgang (Default: Fahre ZU)"
        PRM_933,        // Slot: 254  Index: 29   Name: "IsInverted (Invertierter Eingang)"
        PRM_1012,       // Slot: 254  Index: 31   Name: "Digital-Signal-Eingang (Default AUMA-Fehler)"
        PRM_1013,       // Slot: 254  Index: 31   Name: "IsInverted (Invertierter Ausgang)"
        PRM_1072,       // Slot: 254  Index: 31   Name: "Digital-Signal-Eingang (Default: Phasenfehler)"
        PRM_1073,       // Slot: 254  Index: 31   Name: "IsInverted (Invertierter Ausgang)"
        PRM_1077,       // Slot: 254  Index: 31   Name: "Digital-Signal-Eingang (Default: Thermofehler)"
        PRM_1078,       // Slot: 254  Index: 31   Name: "IsInverted (Invertierter Ausgang)"
        PRM_1082,       // Slot: 254  Index: 31   Name: "Digital-Signal-Eingang (Default: Drehmoschalter AUF)"
        PRM_1083,       // Slot: 254  Index: 31   Name: "IsInverted (Invertierter Ausgang)"
        PRM_1087,       // Slot: 254  Index: 31   Name: "Digital-Signal-Eingang (Default: Drehmofehler ZU)"
        PRM_1088,       // Slot: 254  Index: 31   Name: "IsInverted (Invertierter Ausgang)"
        PRM_1092,       // Slot: 254  Index: 31   Name: "Digital-Signal-Eingang (Default: Wahlschalter FERN)"
        PRM_1093,       // Slot: 254  Index: 31   Name: "IsInverted (Invertierter Ausgang)"
        PRM_1097,       // Slot: 254  Index: 31   Name: "Digital-Signal-Eingang (Default: Endlage AUF)"
        PRM_1098,       // Slot: 254  Index: 31   Name: "IsInverted (Invertierter Ausgang)"
        PRM_1102,       // Slot: 254  Index: 31   Name: "Digital-Signal-Eingang (Default: Endlage ZU)"
        PRM_1103,       // Slot: 254  Index: 31   Name: "IsInverted (Invertierter Ausgang)"
        PRM_1107,       // Slot: 254  Index: 31   Name: "Digital-Signal-Eingang (Default: Weg-Endschalter ZU)"
        PRM_1108,       // Slot: 254  Index: 31   Name: "IsInverted (Invertierter Ausgang)"
        PRM_1112,       // Slot: 254  Index: 31   Name: "Digital-Signal-Eingang (Default: Drehmoschalter AUF)"
        PRM_1113,       // Slot: 254  Index: 31   Name: "IsInverted (Invertierter Ausgang)"
        PRM_1117,       // Slot: 254  Index: 31   Name: "Digital-Signal-Eingang (Default: Drehmo-Schalter ZU)"
        PRM_1118,       // Slot: 254  Index: 31   Name: "IsInverted (Invertierter Ausgang)"
        PRM_1122,       // Slot: 254  Index: 31   Name: "Digital-Signal-Eingang (Default: Weg-Endschalter AUF)"
        PRM_1123,       // Slot: 254  Index: 31   Name: "IsInverted (Invertierter Ausgang)"
        PRM_1129,       // Slot: 254  Index: 30   Name: "Normierter Wert (0 ... 1000): Default: Stellungssollwert E1"
        PRM_1130,       // Slot: 254  Index: 30   Name: "Oberer Grenzwert [0,1 mA] für das Eingangssignal"
        PRM_1133,       // Slot: 254  Index: 30   Name: "Unterer Grenzwert [0,1 mA] für das Eingangssignal"
        PRM_1137,       // Slot: 254  Index: 30   Name: "Normierter Wert (0 ... 1000): Default: Drehzahl Sollwert"
        PRM_1140,       // Slot: 254  Index: 30   Name: "Oberer Grenzwert [0,1 mA] für das Eingangssignal"
        PRM_1141,       // Slot: 254  Index: 30   Name: "Unterer Grenzwert [0,1 mA] für das Eingangssignal"
        PRM_1164,       // Slot: 254  Index: 2    Name: "Gerätebezeichnung"
        PRM_1165,       // Slot: 254  Index: 54   Name: "Geräte-TAG"
        PRM_1166,       // Slot: 254  Index: 2    Name: "Projektname"
        PRM_1168,       // Slot: 254  Index: 39   Name: "Drehfeldrichtung kompensieren"
        PRM_1169,       // Slot: 254  Index: 43   Name: "Stellungsregler Aktivierung"
        PRM_1175,       // Slot: 254  Index: 28   Name: "Blinker-Verhalten"
        PRM_1176,       // Slot: 254  Index: 43   Name: "Taktgeber Aktivierung AUF"
        PRM_1177,       // Slot: 254  Index: 43   Name: "Taktgeber Aktivierung ZU"
        PRM_1178,       // Slot: 11   Index: 78   Name: "Stellungsregler \"Kauf\""
        PRM_1179,       // Slot: 254  Index: 14   Name: "max. zulässige Anläufe /h"
        PRM_1182,       // Slot: 254  Index: 10   Name: "Anfahrüberbrückung Freigabe"
        PRM_1254,       // Slot: 254  Index: 32   Name: "Prozessdaten-Eingang(Default: Stellungsistwert E2)"
        PRM_1255,       // Slot: 254  Index: 32   Name: "Auswahlparameter Ausgangsbereich"
        PRM_1262,       // Slot: 254  Index: 32   Name: "Prozessdaten-Eingang (Default: Drehmoment Itwert)"
        PRM_1263,       // Slot: 254  Index: 32   Name: "Auswahlparameter Ausgangsbereich"
        PRM_1321,       // Slot: 13   Index: 21   Name: "Profibus Adresse 1"
        PRM_1322,       // Slot: 13   Index: 22   Name: "Profibus Adresse 2 (redundant)"
        PRM_1433,       // Slot: 254  Index: 1    Name: "Zeitformat"
        PRM_1467,       // Slot: 254  Index: 1    Name: "Zahlenformat"
        PRM_1705,       // Slot: 254  Index: 37   Name: "Winkel max. CLOSE"
        PRM_1706,       // Slot: 254  Index: 37   Name: "Winkel max. OPEN"
        PRM_1707,       // Slot: 254  Index: 37   Name: "Winkel min. CLOSE"
        PRM_1708,       // Slot: 254  Index: 37   Name: "Winkel min. OPEN"
        PRM_1709,       // Slot: 254  Index: 37   Name: "Torque max. CLOSE"
        PRM_1710,       // Slot: 254  Index: 37   Name: "Torque max. OPEN"
        PRM_1711,       // Slot: 254  Index: 37   Name: "Torque min. CLOSE"
        PRM_1712,       // Slot: 254  Index: 37   Name: "Torque min. OPEN"
        PRM_1713,       // Slot: 254  Index: 37   Name: "Torque Totzone"
        PRM_1715,       // Slot: 254  Index: 37   Name: "Korrektur Kennlinie CLOSE"
        PRM_1716,       // Slot: 254  Index: 37   Name: "Korrektur Kennlinie OPEN"
        PRM_1725,       // Slot: 254  Index: 37   Name: "Komparator Hysterese für Endlagen"
        PRM_1741,       // Slot: 254  Index: 37   Name: "Komparator Hysterese"
        PRM_1751,       // Slot: 254  Index: 7    Name: "ArtikelNr Logik IST-Konfiguration"
        PRM_1752,       // Slot: 17   Index: 52   Name: "MWG-Vorhanden SOLL-Konfiguration"
        PRM_1754,       // Slot: 254  Index: 7    Name: "Lcb ArtikelNr  IST-Konfiguration"
        PRM_1755,       // Slot: 254  Index: 7    Name: "ArtikelNr Relaisplatine IST-Konfiguration"
        PRM_1756,       // Slot: 254  Index: 7    Name: "ArtikelNr Optionsplatine  IST-Konfiguration"
        PRM_1757,       // Slot: 254  Index: 7    Name: "ArtikelNr Interface1 IST-Konfiguration"
        PRM_1758,       // Slot: 254  Index: 7    Name: "ArtikelNr Bus  IST-Konfiguration"
        PRM_1759,       // Slot: 254  Index: 5    Name: "Firmware Version AC01.2"
        PRM_1760,       // Slot: 254  Index: 3    Name: "KommNr Steuerung"
        PRM_1761,       // Slot: 254  Index: 4    Name: "KommNr Antrieb"
        PRM_1762,       // Slot: 254  Index: 3    Name: "Werksnummer Steuerung"
        PRM_1763,       // Slot: 254  Index: 4    Name: "Werksnummer Antrieb"
        PRM_1764,       // Slot: 254  Index: 3    Name: "Schaltplannummer Steuerung"
        PRM_1765,       // Slot: 254  Index: 4    Name: "Schaltplannummer Antrieb"
        PRM_1767,       // Slot: 254  Index: 22   Name: "Stützpunkt 1 Hysterese"
        PRM_1768,       // Slot: 254  Index: 22   Name: "Stützpunkt 2 Hysterese"
        PRM_1769,       // Slot: 254  Index: 22   Name: "Stützpunkt 3 Hysterese"
        PRM_1770,       // Slot: 254  Index: 22   Name: "Stützpunkt 4 Hysterese"
        PRM_1771,       // Slot: 254  Index: 22   Name: "Stützpunkt 5 Hysterese"
        PRM_1772,       // Slot: 254  Index: 22   Name: "Stützpunkt 6 Hysterese"
        PRM_1773,       // Slot: 254  Index: 22   Name: "Stützpunkt 7 Hysterese"
        PRM_1774,       // Slot: 254  Index: 22   Name: "Stützpunkt 8 Hysterese"
        PRM_1869,       // Slot: 254  Index: 15   Name: "Auslösung Sicherheitsbetrieb (Default:1 = Zuerst GUT)"
        PRM_1870,       // Slot: 254  Index: 15   Name: "Verhalten Sicherheitsbetrieb (Default: 0 = STOP)"
        PRM_1871,       // Slot: 254  Index: 15   Name: "Auslösequelle Sicherheitsbetrieb (Default: 4 = Sollwert + Bus-Ausfall)"
        PRM_1872,       // Slot: 254  Index: 15   Name: "FailSafe-Position"
        PRM_1874,       // Slot: 254  Index: 15   Name: "FailsSafe-Verzögerungszeit"
        PRM_1875,       // Slot: 254  Index: 7    Name: "ArtikelNr MWG IST-Konfiguration"
        PRM_1887,       // Slot: 254  Index: 21   Name: "Stützpunkt 1 Pausenzeit"
        PRM_1888,       // Slot: 254  Index: 21   Name: "Stützpunkt 2 Pausenzeit"
        PRM_1889,       // Slot: 254  Index: 21   Name: "Stützpunkt 3 Pausenzeit"
        PRM_1890,       // Slot: 254  Index: 21   Name: "Stützpunkt 4 Pausenzeit"
        PRM_1891,       // Slot: 254  Index: 21   Name: "Stützpunkt 5 Pausenzeit"
        PRM_1892,       // Slot: 254  Index: 21   Name: "Stützpunkt 6 Pausenzeit"
        PRM_1893,       // Slot: 254  Index: 21   Name: "Stützpunkt 7 Pausenzeit"
        PRM_1894,       // Slot: 254  Index: 21   Name: "Stützpunkt 8 Pausenzeit"
        PRM_1931,       // Slot: 254  Index: 43   Name: "Fahrprofil \"Aktivierung\" (wird auch vom CmdSequencer genutzt)"
        PRM_1969,       // Slot: 254  Index: 37   Name: "Nennmoment Auf (Antrieb)"
        PRM_1996,       // Slot: 254  Index: 1    Name: "Datumsformat"
        PRM_2006,       // Slot: 254  Index: 1    Name: "Anzeigeeinheit Temperatur"
        PRM_2036,       // Slot: 20   Index: 36   Name: "Abschaltmoment AUF [Nm]"
        PRM_2041,       // Slot: 20   Index: 41   Name: "Abschaltmoment ZU [Nm]"
        PRM_2088,       // Slot: 254  Index: 37   Name: "Nennmoment Zu (Antrieb)"
        PRM_2121,       // Slot: 254  Index: 23   Name: "EDEnable"
        PRM_2122,       // Slot: 254  Index: 23   Name: "EDMaxTimeHour"
        PRM_2123,       // Slot: 254  Index: 23   Name: "EDMaxStartHour"
        PRM_2175,       // Slot: 254  Index: 42   Name: " Betriebsart ServiceMotion-Betrieb 0 = NUR_ORT1 = FERN_ORT"
        PRM_2176,       // Slot: 254  Index: 3    Name: "Datum der Endabnahme"
        PRM_2178,       // Slot: 21   Index: 78   Name: "minimales Abschaltmoment AUF [Nm]"
        PRM_2179,       // Slot: 21   Index: 79   Name: "maximales Abschaltmoment AUF [Nm]"
        PRM_2180,       // Slot: 21   Index: 80   Name: "minimales Abschaltmoment ZU [Nm]"
        PRM_2181,       // Slot: 21   Index: 81   Name: "maximales Abschaltmoment ZU [Nm]"
        PRM_2182,       // Slot: 254  Index: 1    Name: "Anzeigeeinheit Drehmoment"
        PRM_2188,       // Slot: 254  Index: 54   Name: "Lokale Bluetooth-Geräteadresse (XX:XX:XX:XX:XX:XX)"
        PRM_2217,       // Slot: 254  Index: 6    Name: "App-Lcb"
        PRM_2218,       // Slot: 254  Index: 6    Name: "Btl-Lcb"
        PRM_2219,       // Slot: 254  Index: 6    Name: "App-Logik"
        PRM_2220,       // Slot: 254  Index: 6    Name: "Btl-Logik"
        PRM_2221,       // Slot: 254  Index: 6    Name: "App-Mwg"
        PRM_2222,       // Slot: 254  Index: 6    Name: "Btl-Mwg"
        PRM_2223,       // Slot: 254  Index: 6    Name: "App-Bus"
        PRM_2224,       // Slot: 254  Index: 6    Name: "Btl-Bus"
        PRM_2239,       // Slot: 22   Index: 39   Name: "Logik-Hwib-VI1"
        PRM_2281,       // Slot: 22   Index: 81   Name: "Interface-Hwib-VI1"
        PRM_2293,       // Slot: 22   Index: 93   Name: "Interface-Hwib-VI3"
        PRM_2294,       // Slot: 22   Index: 94   Name: "Interface-Hwib-VI2"
        PRM_2308,       // Slot: 23   Index: 8    Name: "MWG-Hwib-VI2"
        PRM_2339,       // Slot: 23   Index: 39   Name: "OPT-Vorhanden SOLL-Konfiguration"
        PRM_2400,       // Slot: 254  Index: 38   Name: "Mindestwert 5V-Referenzspannung (0...1023)"
        PRM_2401,       // Slot: 254  Index: 38   Name: "Mindestwert Poti-Signal (0...1023)"
        PRM_2402,       // Slot: 254  Index: 38   Name: "Mindestwert Poti-Hub (0...1023)"
        PRM_2415,       // Slot: 24   Index: 15   Name: "Interface2-Vorhanden SOLL-Konfiguration"
        PRM_2418,       // Slot: 254  Index: 1    Name: "Diagnoseauswahl"
        PRM_2546,       // Slot: 254  Index: 25   Name: "Applikationsparameter Betriebsart"
        PRM_2547,       // Slot: 254  Index: 25   Name: "Applikationsparameter Stellzeit (Einheit 0,1 sec)"
        PRM_2554,       // Slot: 254  Index: 24   Name: "Applikationsparameter: Betriebsart (0 = AUS, 1 = EIN)"
        PRM_2555,       // Slot: 254  Index: 24   Name: "Applikationsparameter: Zeitintervall für die Erkennung (Einheit: 0,1 sec)"
        PRM_2556,       // Slot: 254  Index: 24   Name: "Applikationsparameter: Wegintervall für die Erkennung der Bewegung (Einheit: 0,1 % des Stellwegs)"
        PRM_2568,       // Slot: 254  Index: 5    Name: "Version der ausgewählten Sprachdatei"
        PRM_2591,       // Slot: 254  Index: 54   Name: "Bluetooth-Aktivierung"
        PRM_2604,       // Slot: 254  Index: 54   Name: "Bluetooth-Geräteadresse der Gegenstelle(XX:XX:XX:XX:XX:XX)"
        PRM_2755,       // Slot: 27   Index: 55   Name: "Stellungsgeber SOLL-Konfiguration"
        PRM_2798,       // Slot: 254  Index: 41   Name: "Applikationsparameter: 24VExt-Überwachung Aktivierung"
        PRM_2865,       // Slot: 254  Index: 41   Name: "Parameter: Activate (Default = Aktiviert)"
        PRM_2872,       // Slot: 254  Index: 41   Name: "Parameter: Activate (Default = Aktiviert)"
        PRM_2878,       // Slot: 254  Index: 41   Name: "Parameter: Activate (Default = Aktiviert)"
        PRM_2885,       // Slot: 254  Index: 57   Name: "Redundanz-Mode"
        PRM_2916,       // Slot: 254  Index: 14   Name: "Hysterese zwischen innerer Totzone und äußerer Tozone in Richtung AUF für adaptiven Stellungsregler "
        PRM_2917,       // Slot: 254  Index: 14   Name: "Hysterese zwischen innerer Totzone und äußerer Tozone in Richtung ZU für adaptiven Stellungsregler "
        PRM_2923,       // Slot: 254  Index: 43   Name: "Aktivierung NOT-Funktion"
        PRM_2924,       // Slot: 254  Index: 16   Name: "Auswahl Auslösequelle"
        PRM_2950,       // Slot: 254  Index: 16   Name: "NOT Überbrückung Fahrprofil"
        PRM_2992,       // Slot: 254  Index: 36   Name: "Handradschalter: Vorhanden, bzw. Kontaktart"
        PRM_3006,       // Slot: 254  Index: 57   Name: "Profibus Ident Nr"
        PRM_3053,       // Slot: 254  Index: 38   Name: "Hysterese"
        PRM_3059,       // Slot: 30   Index: 59   Name: "Anzahl Bus-Kanäle Soll*"
        PRM_3134,       // Slot: 31   Index: 34   Name: "\"Freigabe OSS\" Kaufparameter"
        PRM_3135,       // Slot: 254  Index: 43   Name: "\"Freigabe OSS\" Aktivierung"
        PRM_3136,       // Slot: 254  Index: 11   Name: "\"Freigabe OSS\" Verhalten"
        PRM_3143,       // Slot: 254  Index: 11   Name: "\"Lokaler Halt\" Verhalten"
        PRM_3156,       // Slot: 31   Index: 56   Name: "Applikation: Betriebsart EX-Ausführung"
        PRM_3157,       // Slot: 254  Index: 26   Name: "Applikation: Betriebsart Standard-Ausführung"
        PRM_3158,       // Slot: 254  Index: 26   Name: "Applikation: Überwachungszeit"
        PRM_3172,       // Slot: 254  Index: 36   Name: "Applikationsparameter: Heizungsüberwachung aktivieren"
        PRM_3180,       // Slot: 254  Index: 41   Name: "Applikationsparameter: Heizungsüberwachung aktivieren"
        PRM_3187,       // Slot: 254  Index: 24   Name: "Applikationsparameter: Zeitintervall für die Erkennung (Einheit: 0,1 sec)"
        PRM_3188,       // Slot: 254  Index: 24   Name: "Applikationsparameter: Wegintervall für die Erkennung der Bewegung (Inkremente)"
        PRM_3216,       // Slot: 32   Index: 16   Name: "Applikationsparameter ApplRelease"
        PRM_3217,       // Slot: 254  Index: 43   Name: "Applikationsparameter ApplActivation"
        PRM_3218,       // Slot: 254  Index: 27   Name: "Applikationsparameter ApplMode"
        PRM_3219,       // Slot: 254  Index: 27   Name: "Applikationsparameter ApplBehaviour"
        PRM_3232,       // Slot: 254  Index: 41   Name: "Enable"
        PRM_3255,       // Slot: 254  Index: 27   Name: "Applikationsparameter ApplIgnoreESD"
        PRM_3295,       // Slot: 254  Index: 16   Name: "NOT Überbrückung Lokaler Halt"
        PRM_3297,       // Slot: 32   Index: 97   Name: "Hydraulikantrieb SOLL-Konfiguration"
        PRM_3479,       // Slot: 254  Index: 58   Name: "Lwl-Modul (FPGA)"
        PRM_3481,       // Slot: 34   Index: 81   Name: "Lwl-Bus-Topologie"
        PRM_3482,       // Slot: 34   Index: 82   Name: "Lwl-Überwachung"
        PRM_3495,       // Slot: 34   Index: 95   Name: "LwlMod-Vorhanden SOLL-Konfiguration"
        PRM_3496,       // Slot: 34   Index: 96   Name: "Lwl-Baudrate"
        PRM_3527,       // Slot: 254  Index: 57   Name: "Sende-Mode (sende auf 2 Leitungen)"
        PRM_3590,       // Slot: 35   Index: 90   Name: "Prozeßregler Aktivierung"
        PRM_3596,       // Slot: 35   Index: 96   Name: "Redundanz-Mode"
        PRM_3629,       // Slot: 36   Index: 29   Name: "SetTime_ms"
        PRM_3657,       // Slot: 36   Index: 57   Name: "Komparator Threshold"
        PRM_3667,       // Slot: 36   Index: 67   Name: "Komparator Threshold"
        PRM_3691,       // Slot: 36   Index: 91   Name: "Freikauf"
        PRM_3692,       // Slot: 36   Index: 92   Name: "Aktivierung"
        PRM_3693,       // Slot: 254  Index: 11   Name: "Verhalten"
        PRM_3694,       // Slot: 254  Index: 11   Name: "Feldbus beachten"
        PRM_3770,       // Slot: 37   Index: 70   Name: "AutoChangeOver Kauf"
        PRM_3771,       // Slot: 37   Index: 71   Name: "AutoChangeOver Aktivierung"
        PRM_3970,       // Slot: 39   Index: 70   Name: "Drehmomentüberwachung Kauf"
        PRM_3971,       // Slot: 39   Index: 71   Name: "Drehmomentüberwachung Aktivierung"
        PRM_4015,       // Slot: 254  Index: 16   Name: "Parameter: DelayTime (Default: 1,0 sec)"
        PZD_2,          // Slot: 254  Index: 44   Name: "Stellungsistwert Stellantrieb E2"
        PZD_4,          // Slot: 254  Index: 62   Name: "Temperatur Steuerung"
        PZD_7,          // Slot: 254  Index: 52   Name: "Stellungs-Sollwert E1"
        PZD_77,         // Slot: 0    Index: 205  Name: "Sammel-Meldung1: Info"
        PZD_78,         // Slot: 0    Index: 206  Name: "Sammel-Meldung2: Warnung"
        PZD_79,         // Slot: 0    Index: 207  Name: "Sammel-Meldung3: Fehler"
        PZD_80,         // Slot: 0    Index: 208  Name: "Sammel-Meldung4: nicht bereit Fern"
        PZD_81,         // Slot: 0    Index: 209  Name: "Sammel-Meldung5: auma OK"
        PZD_82,         // Slot: 0    Index: 210  Name: "Sammel-Meldung6: Konfigurationswarnung"
        PZD_83,         // Slot: 0    Index: 211  Name: "Sammel-Meldung7: Namur Out Of Spec"
        PZD_84,         // Slot: 0    Index: 212  Name: "Sammel-Meldung8: Namur Funktionskontrolle"
        PZD_85,         // Slot: 0    Index: 213  Name: "Sammel-Meldung9: Namur Wartungsbedarf"
        PZD_86,         // Slot: 0    Index: 214  Name: "Sammel-Meldung10: Namur Ausfall"
        PZD_87,         // Slot: 0    Index: 215  Name: "Sammel-Meldung 11: Konfigurationsfehler"
        PZD_89,         // Slot: 0    Index: 217  Name: "Sammel-Meldung 13: Falscher Befehl"
        PZD_90,         // Slot: 0    Index: 218  Name: "Sammel-Meldung 14: Interne Fehler"
        PZD_91,         // Slot: 0    Index: 219  Name: "Sammel-Meldung 15: Interne Warnung"
        PZD_92,         // Slot: 0    Index: 220  Name: "Sammel-Meldung 16: Diagnose Feldbus"
        PZD_93,         // Slot: 0    Index: 221  Name: "Sammel-Meldung 17: Warnung Hydraulik"
        PZD_101,        // Slot: 1    Index: 129  Name: "Sammel-Meldung: Reserve 32 "
        PZD_104,        // Slot: 1    Index: 132  Name: "Sammel-Meldung: Reserve 29"
        PZD_109,        // Slot: 254  Index: 62   Name: "Temperatur Steuereinheit"
        PZD_112,        // Slot: 254  Index: 44   Name: "Wahlschalter"
        PZD_120,        // Slot: 254  Index: 44   Name: "Logik: Betriebsmodus"
        PZD_144_dir,      // Slot: 1    Index: 172  Bytes: 2    Name: "Logik: Fahrbefehl (direction)"
        PZD_144_speed,      // Slot: 1    Index: 172  Bytes: 2    Name: "Logik: Fahrbefehl (speed)"
        PZD_144_position,      // Slot: 1    Index: 172  Bytes: 2    Name: "Logik: Fahrbefehl (position)"
        PZD_144_cmd,      // Slot: 1    Index: 172  Bytes: 2    Name: "Logik: Fahrbefehl (cmd)"
        PZD_264,        // Slot: 254  Index: 44   Name: "Logik: Fährt Richtung AUF (logisch)"
        PZD_265,        // Slot: 254  Index: 44   Name: "Logik: Fährt Richtung ZU (logisch)"
        PZD_268,        // Slot: 254  Index: 44   Name: "Logik: Bypassed Drehmomentfehler AUF"
        PZD_269,        // Slot: 254  Index: 44   Name: "Logik: Bypassed Drehmomentfehler ZU"
        PZD_270,        // Slot: 2    Index: 198  Name: "Logik: Bypassed Thermofehler"
        PZD_275,        // Slot: 2    Index: 203  Name: "Remote_Bus Aktivierung mit 0, Remote Interface Aktivierung mit 1 "
        PZD_280,        // Slot: 2    Index: 208  Name: "Logik: Betriebsmodus EMCY_OP"
        PZD_281,        // Slot: 2    Index: 209  Name: "Logik: Betriebsmodus Sperre (Interlock) durch Bypass oder sonstige Funktionen"
        PZD_282,        // Slot: 2    Index: 210  Name: "Logik: Betriebsmodus SERVICE"
        PZD_285,        // Slot: 2    Index: 213  Name: "Logik: Betriebsmodus EMCY_STOP"
        PZD_302,        // Slot: 3    Index: 130  Name: "Logik: Phasenausfall"
        PZD_371,        // Slot: 3    Index: 199  Name: "Logik: ungültiger Fahrbefehl"
        PZD_375,        // Slot: 254  Index: 44   Name: "Logik: Wegendlage Shalter AUF (konditioniert)"
        PZD_376,        // Slot: 254  Index: 44   Name: "Logik: Wegendlage Schalter ZU (konditioniert)"
        PZD_401,        // Slot: 254  Index: 44   Name: "Logik: Position erreicht"
        PZD_417,        // Slot: 4    Index: 145  Name: "MWG: Kalibrier-Feedback Hall-Sensor 1 "
        PZD_418,        // Slot: 4    Index: 146  Name: "MWG: Kalibrier-Feedback Hall-Sensor 5 "
        PZD_419,        // Slot: 4    Index: 147  Name: "MWG: Kalibrier-Feedback Hall-Sensor 4 "
        PZD_420,        // Slot: 4    Index: 148  Name: "MWG: Kalibrier-Feedback Hall-Sensor 3 "
        PZD_421,        // Slot: 4    Index: 149  Name: "MWG: Kalibrier-Feedback Hall-Sensor 2 "
        PZD_459,        // Slot: 254  Index: 44   Name: "Logik: Signal Torque OPEN "
        PZD_460,        // Slot: 254  Index: 44   Name: "Logik: Signal Torque CLOSE"
        PZD_461,        // Slot: 4    Index: 189  Name: "FailSafe ist aktiv"
        PZD_479,        // Slot: 4    Index: 207  Name: "Logik: Netzqualität"
        PZD_480,        // Slot: 4    Index: 208  Name: "Logik: HW-Fehler"
        PZD_481,        // Slot: 4    Index: 209  Name: "Logik: PH_DIR_NOK (falsche Phasenfolge)"
        PZD_482,        // Slot: 4    Index: 210  Name: "Logik: 24VAC Error"
        PZD_483,        // Slot: 4    Index: 211  Name: "Logik: 24VKD Error"
        PZD_484,        // Slot: 4    Index: 212  Name: "Logik: 24VInt Error"
        PZD_485,        // Slot: 4    Index: 213  Name: "Logik: 24VExt Error"
        PZD_486,        // Slot: 4    Index: 214  Name: "Lcb: ED Warnung 1: (Laufzeit)"
        PZD_487,        // Slot: 4    Index: 215  Name: "Lcb: ED Warnung 2 (Anläufe)"
        PZD_488,        // Slot: 254  Index: 53   Name: "Lcb: ED Aktuelle Einschaltzeit"
        PZD_489,        // Slot: 254  Index: 53   Name: "Lcb: ED Aktuelle Schaltspiele"
        PZD_490,        // Slot: 4    Index: 218  Name: "Lcb: RTC nicht gesetzt"
        PZD_545,        // Slot: 254  Index: 44   Name: "Drehmomentwert AUF/ZU in % normiert auf 0 bis 1000 ( ZU 127% = 0, 0% = 500, AUF 127% = 1000)"
        PZD_553,        // Slot: 5    Index: 181  Name: "Logik: Handbetrieb aktiviert"
        PZD_555,        // Slot: 5    Index: 183  Name: "Falscher Befehl Interface I"
        PZD_556,        // Slot: 5    Index: 184  Name: "Stellzeitwarnung"
        PZD_557,        // Slot: 5    Index: 185  Name: "Motorschutzüberwachung defekt"
        PZD_563,        // Slot: 5    Index: 191  Name: "Keine Reaktion: Warnung"
        PZD_576,        // Slot: 5    Index: 204  Name: "Watchdog-Status (Kanal 1)"
        PZD_577,        // Slot: 5    Index: 205  Name: "DP-Status (Kanal 1)"
        PZD_578,        // Slot: 5    Index: 206  Name: "Baudrate (Kanal 1)"
        PZD_579,        // Slot: 5    Index: 207  Name: "0 Byte Tele Clear (Kanal 1)"
        PZD_580,        // Slot: 5    Index: 208  Name: "Global Control Clear (Kanal 1)"
        PZD_581,        // Slot: 5    Index: 209  Name: "Global Control Freeze (Kanal 1)"
        PZD_582,        // Slot: 5    Index: 210  Name: "Global Control Sync (Kanal 1)"
        PZD_583,        // Slot: 5    Index: 211  Name: "Watchdog-Status (Kanal 2)"
        PZD_584,        // Slot: 5    Index: 212  Name: "DP-Status (Kanal 2)"
        PZD_585,        // Slot: 5    Index: 213  Name: "Baudrate (Kanal 2)"
        PZD_586,        // Slot: 5    Index: 214  Name: "0 Byte Tele Clear (Kanal 2)"
        PZD_587,        // Slot: 5    Index: 215  Name: "Global Control Clear (Kanal 2)"
        PZD_588,        // Slot: 5    Index: 216  Name: "Global Control Freeze (Kanal 2)"
        PZD_589,        // Slot: 5    Index: 217  Name: "Global Control Sync (Kanal 2)"
        PZD_604,        // Slot: 254  Index: 57   Name: "Fahrbefehlskanal 1 aktiv"
        PZD_605,        // Slot: 254  Index: 57   Name: "Fahrbefehlskanal 2 aktiv"
        PZD_606,        // Slot: 6    Index: 134  Name: "Feldbus Fail Safe aktiv"
        PZD_619,        // Slot: 6    Index: 147  Name: "Warnung Heizung SA Defekt"
        PZD_621,        // Slot: 6    Index: 149  Name: "Warnung keine Referenzfahrrt E2"
        PZD_622,        // Slot: 6    Index: 150  Name: "Warnung geringer Signalhub E2"
        PZD_623,        // Slot: 6    Index: 151  Name: "Warnung Signalbruch E2"
        PZD_625,        // Slot: 6    Index: 153  Name: "Warnung LWL (Meldung von Modul))"
        PZD_629,        // Slot: 6    Index: 157  Name: "Warnung Temperatur Steuerung"
        PZD_630,        // Slot: 6    Index: 158  Name: "Warnung Temperatur Motor"
        PZD_631,        // Slot: 6    Index: 159  Name: "Warnung Temperatur Getriebe"
        PZD_633,        // Slot: 6    Index: 161  Name: "Warnung AnalogIn 1 E8"
        PZD_634,        // Slot: 6    Index: 162  Name: "Warnung AnalogIn 2 E9"
        PZD_637,        // Slot: 6    Index: 165  Name: "Warnung Sollposition E1"
        PZD_657,        // Slot: 6    Index: 185  Name: "DP-Status Data Ex (Kanal 1)"
        PZD_658,        // Slot: 6    Index: 186  Name: "DP-Status Data Ex (Kanal 2)"
        PZD_659,        // Slot: 254  Index: 52   Name: "Aktuelle Totzone (Stellungsreglerausgang)"
        PZD_664,        // Slot: 6    Index: 192  Name: "Meldung: Ausgang defekt"
        PZD_666,        // Slot: 6    Index: 194  Name: "Warnung: keine Sollwertquelle bei aktiviertem Stellungsregler parametriert"
        PZD_671,        // Slot: 6    Index: 199  Name: "System: Interner Fehler Konfiguration Stellungsgeber"
        PZD_675,        // Slot: 6    Index: 203  Name: "System: Interner Fehler Lcb-Exception"
        PZD_676,        // Slot: 6    Index: 204  Name: "System: Interner Fehler Logik-Exception"
        PZD_677,        // Slot: 6    Index: 205  Name: "System: Interner Fehler Mwg-Exception"
        PZD_678,        // Slot: 6    Index: 206  Name: "System: Interner Fehler Bus-Exception"
        PZD_679,        // Slot: 6    Index: 207  Name: "Fehler Stellungsgeber"
        PZD_684,        // Slot: 6    Index: 212  Name: "Wahlschalter defekt"
        PZD_685,        // Slot: 6    Index: 213  Name: "lokaler HALT"
        PZD_688,        // Slot: 6    Index: 216  Name: "Falscher Befehl Feldbus"
        PZD_707,        // Slot: 7    Index: 135  Name: "Interner Fehler MWG Messystem defekt"
        PZD_708,        // Slot: 7    Index: 136  Name: "Interner Fehler Endlagen defekt"
        PZD_709,        // Slot: 254  Index: 52   Name: "Stellungsistwert Stellantrieb E2 (synchronisiert)"
        PZD_718,        // Slot: 7    Index: 146  Name: "Keine Reaktion: Fehler"
        PZD_737,        // Slot: 254  Index: 57   Name: "DPV1_Control"
        PZD_738,        // Slot: 254  Index: 57   Name: "DPV1 C2-Verbindung aktiv"
        PZD_741,        // Slot: 254  Index: 57   Name: "Primary Channel"
        PZD_742,        // Slot: 254  Index: 57   Name: "Secondary Channel"
        PZD_744,        // Slot: 254  Index: 57   Name: "DP-V1 GSD aktiv"
        PZD_745,        // Slot: 254  Index: 57   Name: "DP-REDUNDANZ aktiv"
        PZD_746,        // Slot: 254  Index: 57   Name: "DP-ALARM aktiv"
        PZD_757,        // Slot: 7    Index: 185  Name: "InterlockActive"
        PZD_758,        // Slot: 7    Index: 186  Name: "PRM-Konsistenz: Stellungsregler-Totzonenkonfiguration"
        PZD_759,        // Slot: 7    Index: 187  Name: "PRM-Konsistenz: Feldbuskonfiguration"
        PZD_760,        // Slot: 7    Index: 188  Name: "PRM-Konsistenz: MWG-Drehmokonfiguration ZU"
        PZD_761,        // Slot: 7    Index: 189  Name: "PRM-Konsistenz: MWG-Drehmokonfiguration AUF"
        PZD_762,        // Slot: 7    Index: 190  Name: "PRM-Konsistenz: DigIn1-Konfiguration"
        PZD_763,        // Slot: 7    Index: 191  Name: "PRM-Konsistenz: DigIn2-Konfiguration"
        PZD_764,        // Slot: 7    Index: 192  Name: "PRM-Konsistenz: DigIn3-Konfiguration"
        PZD_765,        // Slot: 7    Index: 193  Name: "PRM-Konsistenz: DigIn4-Konfiguration"
        PZD_766,        // Slot: 7    Index: 194  Name: "PRM-Konsistenz: DigIn5-Konfiguration"
        PZD_767,        // Slot: 7    Index: 195  Name: "PRM-Konsistenz: DigIn6-Konfiguration"
        PZD_768,        // Slot: 7    Index: 196  Name: "PRM-Konsistenz: DigIn7-Konfiguration"
        PZD_769,        // Slot: 7    Index: 197  Name: "PRM-Konsistenz: DigIn8-Konfiguration"
        PZD_770,        // Slot: 7    Index: 198  Name: "PRM-Konsistenz: DigIn9-Konfiguration"
        PZD_771,        // Slot: 7    Index: 199  Name: "PRM-Konsistenz: DigIn10-Konfiguration"
        PZD_790,        // Slot: 7    Index: 218  Name: "Meldung: Hydraulikdruck (Hydr.-Antrieb)"
        PZD_791,        // Slot: 7    Index: 219  Name: "Meldung: Laufzeit Motor (Hydr.-Antrieb)"
        PZD_794,        // Slot: 254  Index: 58   Name: "Lwl-Signalqualität Kanal-1"
        PZD_795,        // Slot: 254  Index: 58   Name: "Lwl-Signalqualität Kanal-2"
        PZD_797,        // Slot: 254  Index: 58   Name: "Lwl-Baudrate"
        PZD_798,        // Slot: 7    Index: 226  Name: "PRM-Konsistenz: Hydraulik-Speicherdruckkonfiguration"
        PZD_808,        // Slot: 8    Index: 136  Name: "PRM-Konsistenz: Konfiguration der Auslösequelle für die NOT-Funktion"
        PZD_809,        // Slot: 8    Index: 137  Name: "System: Konfigurationsfehler \"FERN-Interface fehlt\""
        PZD_810,        // Slot: 8    Index: 138  Name: "Warnung LWL nicht vorhanden"
        PZD_813,        // Slot: 8    Index: 141  Name: "Warnung LWL Budget"
        PZD_828,        // Slot: 8    Index: 156  Name: "PRM-Konsistenz: Konfiguration der Profilfahrt"
        PZD_832,        // Slot: 8    Index: 160  Name: "PRM-Konsistenz: LWL-Konfiguration"
        PZD_833,        // Slot: 254  Index: 58   Name: "Lwl-Formatfehler RS485"
        PZD_834,        // Slot: 8    Index: 162  Name: "MWG: Drehmomentwarnung AUF	"
        PZD_835,        // Slot: 8    Index: 163  Name: "MWG: Drehmomentwarnung ZU"
        PZD_844         // Slot: 8    Index: 172  Name: "Wahlschalter nicht Fern, maskiert"
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   EDD Upload menu
// 
#ifdef dtmGENERATOR
MENU download_parameters	// parameters will be written to device
#else
MENU upload_variables	// parameter will be written to device
#endif  /* dtmGENERATOR */
{
#ifdef _PDM_
    LABEL		[menu_load_to_device]; //PDM based reference text
#else
    LABEL		"Write parameters to device...";
#endif  /* _PDM_ */
	ENTRY		ROOT;
	PURPOSE		LOAD_TO_DEVICE;
    ITEMS
    {
        // all WRITE VARIABLE's
        PRM_5,          // Slot: 0    Index: 5    Name: "Taktstrecke: Start AUF"
        PRM_6,          // Slot: 0    Index: 6    Name: "Taktstrecke: Ende AUF"
        PRM_7,          // Slot: 0    Index: 7    Name: "Taktfahrzeit AUF"
        PRM_8,          // Slot: 0    Index: 8    Name: "Taktpausenzeit AUF"
        PRM_9,          // Slot: 0    Index: 9    Name: "Abschaltart AUF"
        PRM_12,         // Slot: 0    Index: 12   Name: "Selbsthaltungsverhalten Ort"
        PRM_13,         // Slot: 0    Index: 13   Name: "Takbetrieb Mode AUF"
        PRM_20,         // Slot: 0    Index: 20   Name: "Stützpunkt 1 Position"
        PRM_28,         // Slot: 0    Index: 28   Name: "Stützpunkt 1 Meldeverhalten"
        PRM_29,         // Slot: 0    Index: 29   Name: "Stützpunkt 1 Fahrverhalten"
        PRM_33,         // Slot: 0    Index: 33   Name: "Sprache Display"
        PRM_67,         // Slot: 0    Index: 67   Name: "NOT-Funktion Betriebsart"
        PRM_68,         // Slot: 0    Index: 68   Name: "NOT-Funktion Auslösung"
        PRM_69,         // Slot: 0    Index: 69   Name: "NOT Überbrückung Thermofehler"
        PRM_70,         // Slot: 0    Index: 70   Name: "NOT Überbrückung Drehmomentfehler"
        PRM_71,         // Slot: 0    Index: 71   Name: "NOT Überbrückung Taktgeber"
        PRM_82,         // Slot: 0    Index: 82   Name: "Anfahrüberbrückungszeit"
        PRM_84,         // Slot: 0    Index: 84   Name: "Stellungsregler Adaptives Verhalten"
        PRM_86,         // Slot: 0    Index: 86   Name: "Totzeit Tt"
        PRM_87,         // Slot: 0    Index: 87   Name: "Totzone Xt"
        PRM_160,        // Slot: 1    Index: 60   Name: "Prozesswert (Auswahl Input Link)"
        PRM_208,        // Slot: 2    Index: 8    Name: "Mode Temperaturfehler"
        PRM_209,        // Slot: 2    Index: 9    Name: "DelayTime"
        PRM_212,        // Slot: 2    Index: 12   Name: "Nachlauf AUF (innere Totzone Xi_AUF)"
        PRM_213,        // Slot: 2    Index: 13   Name: "Nachlauf ZU (innere Totzone Xi_ZU)"
        PRM_214,        // Slot: 2    Index: 14   Name: "Toleranz E1 AUF"
        PRM_215,        // Slot: 2    Index: 15   Name: "Toleranz E1 ZU"
        PRM_230,        // Slot: 2    Index: 30   Name: "NOT-Funktion Verhalten"
        PRM_231,        // Slot: 2    Index: 31   Name: "NOT-Position"
        PRM_466,        // Slot: 4    Index: 66   Name: "Stützpunkt 2 Position"
        PRM_467,        // Slot: 4    Index: 67   Name: "Stützpunkt 2 Fahrverhalten"
        PRM_468,        // Slot: 4    Index: 68   Name: "Stützpunkt 2 Meldeverhalten"
        PRM_470,        // Slot: 4    Index: 70   Name: "Stützpunkt 3 Position"
        PRM_471,        // Slot: 4    Index: 71   Name: "Stützpunkt 3 Fahrverhalten"
        PRM_472,        // Slot: 4    Index: 72   Name: "Stützpunkt 3 Meldeverhalten"
        PRM_474,        // Slot: 4    Index: 74   Name: "Stützpunkt 4 Position"
        PRM_475,        // Slot: 4    Index: 75   Name: "Stützpunkt 4 Fahrverhalten"
        PRM_476,        // Slot: 4    Index: 76   Name: "Stützpunkt 4 Meldeverhalten"
        PRM_478,        // Slot: 4    Index: 78   Name: "Stützpunkt 5 Position"
        PRM_479,        // Slot: 4    Index: 79   Name: "Stützpunkt 5 Fahrverhalten"
        PRM_480,        // Slot: 4    Index: 80   Name: "Stützpunkt 5 Meldeverhalten"
        PRM_482,        // Slot: 4    Index: 82   Name: "Stützpunkt 6 Position"
        PRM_483,        // Slot: 4    Index: 83   Name: "Stützpunkt 6 Fahrverhalten"
        PRM_484,        // Slot: 4    Index: 84   Name: "Stützpunkt 6 Meldeverhalten"
        PRM_486,        // Slot: 4    Index: 86   Name: "Stützpunkt 7 Position"
        PRM_487,        // Slot: 4    Index: 87   Name: "Stützpunkt 7 Fahrverhalten"
        PRM_488,        // Slot: 4    Index: 88   Name: "Stützpunkt 7 Meldeverhalten"
        PRM_490,        // Slot: 4    Index: 90   Name: "Stützpunkt 8 Position"
        PRM_491,        // Slot: 4    Index: 91   Name: "Stützpunkt 8 Fahrverhalten"
        PRM_492,        // Slot: 4    Index: 92   Name: "Stützpunkt 8 Meldeverhalten"
        PRM_519,        // Slot: 5    Index: 19   Name: "Selbsthaltungsverhalten Fern1"
        PRM_533,        // Slot: 5    Index: 33   Name: "Selbsthaltungsverhalten Fern2"
        PRM_557,        // Slot: 5    Index: 57   Name: "Prozesswert"
        PRM_561,        // Slot: 5    Index: 61   Name: "Prozesswert  (Auswahl Input Link)"
        PRM_565,        // Slot: 5    Index: 65   Name: "Prozesswert  (Auswahl Input Link)"
        PRM_569,        // Slot: 5    Index: 69   Name: "Prozesswert  (Auswahl Input Link)"
        PRM_578,        // Slot: 5    Index: 78   Name: "Abschaltart ZU"
        PRM_590,        // Slot: 5    Index: 90   Name: "Taktbetrieb Mode ZU"
        PRM_591,        // Slot: 5    Index: 91   Name: "Taktpausenzeit ZU"
        PRM_592,        // Slot: 5    Index: 92   Name: "Taktfahrzeit ZU"
        PRM_593,        // Slot: 5    Index: 93   Name: "Taktstrecke: Ende ZU"
        PRM_594,        // Slot: 5    Index: 94   Name: "Taktstrecke: Start ZU"
        PRM_1012,       // Slot: 10   Index: 12   Name: "Digital-Signal-Eingang (Default AUMA-Fehler)"
        PRM_1013,       // Slot: 10   Index: 13   Name: "IsInverted (Invertierter Ausgang)"
        PRM_1072,       // Slot: 10   Index: 72   Name: "Digital-Signal-Eingang (Default: Phasenfehler)"
        PRM_1073,       // Slot: 10   Index: 73   Name: "IsInverted (Invertierter Ausgang)"
        PRM_1077,       // Slot: 10   Index: 77   Name: "Digital-Signal-Eingang (Default: Thermofehler)"
        PRM_1078,       // Slot: 10   Index: 78   Name: "IsInverted (Invertierter Ausgang)"
        PRM_1082,       // Slot: 10   Index: 82   Name: "Digital-Signal-Eingang (Default: Drehmoschalter AUF)"
        PRM_1083,       // Slot: 10   Index: 83   Name: "IsInverted (Invertierter Ausgang)"
        PRM_1087,       // Slot: 10   Index: 87   Name: "Digital-Signal-Eingang (Default: Drehmofehler ZU)"
        PRM_1088,       // Slot: 10   Index: 88   Name: "IsInverted (Invertierter Ausgang)"
        PRM_1092,       // Slot: 10   Index: 92   Name: "Digital-Signal-Eingang (Default: Wahlschalter FERN)"
        PRM_1093,       // Slot: 10   Index: 93   Name: "IsInverted (Invertierter Ausgang)"
        PRM_1097,       // Slot: 10   Index: 97   Name: "Digital-Signal-Eingang (Default: Endlage AUF)"
        PRM_1098,       // Slot: 10   Index: 98   Name: "IsInverted (Invertierter Ausgang)"
        PRM_1102,       // Slot: 11   Index: 2    Name: "Digital-Signal-Eingang (Default: Endlage ZU)"
        PRM_1103,       // Slot: 11   Index: 3    Name: "IsInverted (Invertierter Ausgang)"
        PRM_1107,       // Slot: 11   Index: 7    Name: "Digital-Signal-Eingang (Default: Weg-Endschalter ZU)"
        PRM_1108,       // Slot: 11   Index: 8    Name: "IsInverted (Invertierter Ausgang)"
        PRM_1112,       // Slot: 11   Index: 12   Name: "Digital-Signal-Eingang (Default: Drehmoschalter AUF)"
        PRM_1113,       // Slot: 11   Index: 13   Name: "IsInverted (Invertierter Ausgang)"
        PRM_1117,       // Slot: 11   Index: 17   Name: "Digital-Signal-Eingang (Default: Drehmo-Schalter ZU)"
        PRM_1118,       // Slot: 11   Index: 18   Name: "IsInverted (Invertierter Ausgang)"
        PRM_1122,       // Slot: 11   Index: 22   Name: "Digital-Signal-Eingang (Default: Weg-Endschalter AUF)"
        PRM_1123,       // Slot: 11   Index: 23   Name: "IsInverted (Invertierter Ausgang)"
        PRM_1130,       // Slot: 11   Index: 30   Name: "Oberer Grenzwert [0,1 mA] für das Eingangssignal"
        PRM_1133,       // Slot: 11   Index: 33   Name: "Unterer Grenzwert [0,1 mA] für das Eingangssignal"
        PRM_1140,       // Slot: 11   Index: 40   Name: "Oberer Grenzwert [0,1 mA] für das Eingangssignal"
        PRM_1141,       // Slot: 11   Index: 41   Name: "Unterer Grenzwert [0,1 mA] für das Eingangssignal"
        PRM_1165,       // Slot: 11   Index: 65   Name: "Geräte-TAG"
        PRM_1166,       // Slot: 11   Index: 66   Name: "Projektname"
        PRM_1169,       // Slot: 11   Index: 69   Name: "Stellungsregler Aktivierung"
        PRM_1175,       // Slot: 11   Index: 75   Name: "Blinker-Verhalten"
        PRM_1176,       // Slot: 11   Index: 76   Name: "Taktgeber Aktivierung AUF"
        PRM_1177,       // Slot: 11   Index: 77   Name: "Taktgeber Aktivierung ZU"
        PRM_1179,       // Slot: 11   Index: 79   Name: "max. zulässige Anläufe /h"
        PRM_1182,       // Slot: 11   Index: 82   Name: "Anfahrüberbrückung Freigabe"
        PRM_1255,       // Slot: 12   Index: 55   Name: "Auswahlparameter Ausgangsbereich"
        PRM_1263,       // Slot: 12   Index: 63   Name: "Auswahlparameter Ausgangsbereich"
        PRM_1433,       // Slot: 14   Index: 33   Name: "Zeitformat"
        PRM_1467,       // Slot: 14   Index: 67   Name: "Zahlenformat"
        PRM_1869,       // Slot: 18   Index: 69   Name: "Auslösung Sicherheitsbetrieb (Default:1 = Zuerst GUT)"
        PRM_1870,       // Slot: 18   Index: 70   Name: "Verhalten Sicherheitsbetrieb (Default: 0 = STOP)"
        PRM_1871,       // Slot: 18   Index: 71   Name: "Auslösequelle Sicherheitsbetrieb (Default: 4 = Sollwert + Bus-Ausfall)"
        PRM_1872,       // Slot: 18   Index: 72   Name: "FailSafe-Position"
        PRM_1874,       // Slot: 18   Index: 74   Name: "FailsSafe-Verzögerungszeit"
        PRM_1887,       // Slot: 18   Index: 87   Name: "Stützpunkt 1 Pausenzeit"
        PRM_1888,       // Slot: 18   Index: 88   Name: "Stützpunkt 2 Pausenzeit"
        PRM_1889,       // Slot: 18   Index: 89   Name: "Stützpunkt 3 Pausenzeit"
        PRM_1890,       // Slot: 18   Index: 90   Name: "Stützpunkt 4 Pausenzeit"
        PRM_1891,       // Slot: 18   Index: 91   Name: "Stützpunkt 5 Pausenzeit"
        PRM_1892,       // Slot: 18   Index: 92   Name: "Stützpunkt 6 Pausenzeit"
        PRM_1893,       // Slot: 18   Index: 93   Name: "Stützpunkt 7 Pausenzeit"
        PRM_1894,       // Slot: 18   Index: 94   Name: "Stützpunkt 8 Pausenzeit"
        PRM_1931,       // Slot: 19   Index: 31   Name: "Fahrprofil \"Aktivierung\" (wird auch vom CmdSequencer genutzt)"
        PRM_1996,       // Slot: 19   Index: 96   Name: "Datumsformat"
        PRM_2006,       // Slot: 20   Index: 6    Name: "Anzeigeeinheit Temperatur"
        PRM_2036,       // Slot: 20   Index: 36   Name: "Abschaltmoment AUF [Nm]"
        PRM_2041,       // Slot: 20   Index: 41   Name: "Abschaltmoment ZU [Nm]"
        PRM_2121,       // Slot: 21   Index: 21   Name: "EDEnable"
        PRM_2122,       // Slot: 21   Index: 22   Name: "EDMaxTimeHour"
        PRM_2123,       // Slot: 21   Index: 23   Name: "EDMaxStartHour"
        PRM_2175,       // Slot: 21   Index: 75   Name: " Betriebsart ServiceMotion-Betrieb 0 = NUR_ORT1 = FERN_ORT"
        PRM_2182,       // Slot: 21   Index: 82   Name: "Anzeigeeinheit Drehmoment"
        PRM_2418,       // Slot: 24   Index: 18   Name: "Diagnoseauswahl"
        PRM_2546,       // Slot: 25   Index: 46   Name: "Applikationsparameter Betriebsart"
        PRM_2547,       // Slot: 25   Index: 47   Name: "Applikationsparameter Stellzeit (Einheit 0,1 sec)"
        PRM_2554,       // Slot: 25   Index: 54   Name: "Applikationsparameter: Betriebsart (0 = AUS, 1 = EIN)"
        PRM_2555,       // Slot: 25   Index: 55   Name: "Applikationsparameter: Zeitintervall für die Erkennung (Einheit: 0,1 sec)"
        PRM_2556,       // Slot: 25   Index: 56   Name: "Applikationsparameter: Wegintervall für die Erkennung der Bewegung (Einheit: 0,1 % des Stellwegs)"
        PRM_2591,       // Slot: 25   Index: 91   Name: "Bluetooth-Aktivierung"
        PRM_2865,       // Slot: 28   Index: 65   Name: "Parameter: Activate (Default = Aktiviert)"
        PRM_2885,       // Slot: 28   Index: 85   Name: "Redundanz-Mode"
        PRM_2916,       // Slot: 29   Index: 16   Name: "Hysterese zwischen innerer Totzone und äußerer Tozone in Richtung AUF für adaptiven Stellungsregler "
        PRM_2917,       // Slot: 29   Index: 17   Name: "Hysterese zwischen innerer Totzone und äußerer Tozone in Richtung ZU für adaptiven Stellungsregler "
        PRM_2923,       // Slot: 29   Index: 23   Name: "Aktivierung NOT-Funktion"
        PRM_2924,       // Slot: 29   Index: 24   Name: "Auswahl Auslösequelle"
        PRM_2950,       // Slot: 29   Index: 50   Name: "NOT Überbrückung Fahrprofil"
        PRM_3135,       // Slot: 31   Index: 35   Name: "\"Freigabe OSS\" Aktivierung"
        PRM_3136,       // Slot: 31   Index: 36   Name: "\"Freigabe OSS\" Verhalten"
        PRM_3143,       // Slot: 31   Index: 43   Name: "\"Lokaler Halt\" Verhalten"
        PRM_3157,       // Slot: 31   Index: 57   Name: "Applikation: Betriebsart Standard-Ausführung"
        PRM_3158,       // Slot: 31   Index: 58   Name: "Applikation: Überwachungszeit"
        PRM_3187,       // Slot: 31   Index: 87   Name: "Applikationsparameter: Zeitintervall für die Erkennung (Einheit: 0,1 sec)"
        PRM_3188,       // Slot: 31   Index: 88   Name: "Applikationsparameter: Wegintervall für die Erkennung der Bewegung (Inkremente)"
        PRM_3217,       // Slot: 32   Index: 17   Name: "Applikationsparameter ApplActivation"
        PRM_3218,       // Slot: 32   Index: 18   Name: "Applikationsparameter ApplMode"
        PRM_3219,       // Slot: 32   Index: 19   Name: "Applikationsparameter ApplBehaviour"
        PRM_3255,       // Slot: 32   Index: 55   Name: "Applikationsparameter ApplIgnoreESD"
        PRM_3295,       // Slot: 32   Index: 95   Name: "NOT Überbrückung Lokaler Halt"
        PRM_3482,       // Slot: 34   Index: 82   Name: "Lwl-Überwachung"
        PRM_3527,       // Slot: 35   Index: 27   Name: "Sende-Mode (sende auf 2 Leitungen)"
        PRM_3590,       // Slot: 35   Index: 90   Name: "Prozeßregler Aktivierung"
        PRM_3596,       // Slot: 35   Index: 96   Name: "Redundanz-Mode"
        PRM_3629,       // Slot: 36   Index: 29   Name: "SetTime_ms"
        PRM_3657,       // Slot: 36   Index: 57   Name: "Komparator Threshold"
        PRM_3667,       // Slot: 36   Index: 67   Name: "Komparator Threshold"
        PRM_3692,       // Slot: 36   Index: 92   Name: "Aktivierung"
        PRM_3693,       // Slot: 36   Index: 93   Name: "Verhalten"
        PRM_3694,       // Slot: 36   Index: 94   Name: "Feldbus beachten"
        PRM_3771,       // Slot: 37   Index: 71   Name: "AutoChangeOver Aktivierung"
        PRM_3971        // Slot: 39   Index: 71   Name: "Drehmomentüberwachung Aktivierung"
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   End of file
//---------------------------------------------------------------------------------------------------------------------
